!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_3413) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(   &
                      nGC_34) - coupl(nGC_1)*coupl(nGC_38) - coupl(nGC_2)*coupl&
                      (nGC_35) - coupl(nGC_2)*coupl(nGC_39))/(48d0*pi**2d0*Nc)
    coupl(nGC_3179) = -cima*ee*(cw - sw)*(cw + sw)/(4d0*cMW*cw*sw)
    coupl(nGC_3178) = cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_3128) = cima*cw*ee/sw**2d0
    coupl(nGC_3353) = coupl(nGC_23)*(coupl(nGC_210)*coupl(nGC_40) + coupl(     &
                      nGC_25)*coupl(nGC_41) + coupl(nGC_354)*coupl(nGC_4) +    &
                      coupl(nGC_40)*coupl(nGC_41))/(8d0*pi**2d0)
    coupl(nGC_8442) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_3167) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_4930) = coupl(nGC_11)*dZdL_QED2
    coupl(nGC_4931) = coupl(nGC_11)*dZdL_QCD2
    coupl(nGC_8440) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_6200) = coupl(nGC_63)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_6201) = coupl(nGC_63)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_3540) = coupl(nGC_3089)*dyup_QED3
    coupl(nGC_3287) = (-coupl(nGC_1)*coupl(nGC_170)*coupl(nGC_57) + 8d0*coupl( &
                      nGC_1)*coupl(nGC_2)*coupl(nGC_57) - coupl(nGC_2)*coupl(  &
                      nGC_4)*coupl(nGC_57) - coupl(nGC_21)*coupl(nGC_23)*coupl(&
                      nGC_59) - coupl(nGC_23)*coupl(nGC_548)*coupl(nGC_58) +   &
                      8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_57) - coupl(   &
                      nGC_35)*coupl(nGC_40)*coupl(nGC_57) - coupl(nGC_38)*coupl&
                      (nGC_57)*coupl(nGC_918) - coupl(nGC_58)*coupl(nGC_73)*   &
                      coupl(nGC_76) - coupl(nGC_59)*coupl(nGC_73)*coupl(nGC_75 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3507) = coupl(nGC_3072)*dydo_QED3
    coupl(nGC_3538) = coupl(nGC_3089)*dyup_QED1_QCD2
    coupl(nGC_3158) = cima*ee/cw
    coupl(nGC_3120) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_3121) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
    coupl(nGC_3117) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_3502) = -cima*dys_QED3
    coupl(nGC_3122) = ee/(2d0*sw)
    coupl(nGC_3503) = cima*dyt_QED1
    coupl(nGC_3541) = coupl(nGC_3090)*dyup_QED1_QCD2
    coupl(nGC_3123) = -ee/(2d0*sw**2d0)
    coupl(nGC_8688) = coupl(nGC_3575) + coupl(nGC_MZ)*dZZ
    coupl(nGC_3124) = cima*cw*ee/sw
    coupl(nGC_7083) = coupl(nGC_MI)*dZWMinus
    coupl(nGC_5267) = coupl(nGC_4)*dZmuMinusL + coupl(nGC_40)*dZZA/2d0
    coupl(nGC_7080) = coupl(nGC_35)*dZcR_QED2
    coupl(nGC_3126) = cima*ee/sw
    coupl(nGC_3127) = -cima*cw*ee/sw
    coupl(nGC_3546) = coupl(nGC_3067)*dyc_QED3
    coupl(nGC_7082) = coupl(nGC_35)*dZcR_QCD2
    coupl(nGC_3508) = coupl(nGC_3066)*dydo_QED1_QCD2
    coupl(nGC_3101) = cima*ee**2d0/(2d0*cw**2d0)
    coupl(nGC_3509) = coupl(nGC_3066)*dydo_QED1
    coupl(nGC_4962) = coupl(nGC_37)*dZZA/2d0
    coupl(nGC_3209) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMB**  &
                      2d0*cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(&
                      nGC_35)**2d0 + 2d0*Nc*cMC**2d0*cima*coupl(nGC_39)**2d0 + &
                      2d0*Nc*cMD**2d0*cima*coupl(nGC_34)**2d0 + 2d0*Nc*cMD**2d0&
                      *cima*coupl(nGC_38)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(   &
                      nGC_34)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_38)**2d0 + &
                      2d0*Nc*cMT**2d0*cima*coupl(nGC_35)**2d0 + 2d0*Nc*cMT**2d0&
                      *cima*coupl(nGC_39)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_35)**2d0 + 2d0*Nc*cMU**2d0*cima*coupl(nGC_39)**2d0 + &
                      2d0*cME**2d0*cima*coupl(nGC_36)**2d0 + 2d0*cME**2d0*cima*&
                      coupl(nGC_40)**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_36)**2d0&
                       + 2d0*cMM**2d0*cima*coupl(nGC_40)**2d0 + 2d0*cMTA**2d0* &
                      cima*coupl(nGC_36)**2d0 + 2d0*cMTA**2d0*cima*coupl(nGC_40&
                      )**2d0 + 3d0*cMW**2d0*cima*coupl(nGC_210)**2d0 + 3d0*cMW &
                      **2d0*cima*coupl(nGC_25)**2d0 - 2d0*cMW**2d0*coupl(      &
                      nGC_314))/(16d0*pi**2d0)
    coupl(nGC_3188) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)/(cw &
                      **3d0*sw**2d0)
    coupl(nGC_4803) = coupl(nGC_46)*dZZA/2d0
    coupl(nGC_HHH) = -3d0*cima*dt/vev**2d0
    coupl(nGC_3404) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_57)**2d0 -  &
                      coupl(nGC_61)**2d0 - coupl(nGC_73)**2d0 - coupl(nGC_85)**&
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_3181) = -cMW*cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_5291) = coupl(nGC_3518) + coupl(nGC_56)*dZbL/2d0 + coupl(nGC_56)*&
                      dZbR/2d0
    coupl(nGC_3558) = coupl(nGC_3083)*dyt_QED1
    coupl(nGC_3229) = cMS*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_3228) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(nGC_38&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3555) = coupl(nGC_3065)*dyc_QED1_QCD2
    coupl(nGC_3554) = coupl(nGC_3088)*dyup_QED3
    coupl(nGC_3557) = coupl(nGC_3065)*dyc_QED3
    coupl(nGC_3224) = cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_3551) = coupl(nGC_3082)*dyt_QED1
    coupl(nGC_3550) = coupl(nGC_3084)*dyt_QED1
    coupl(nGC_3221) = -Nc*cima*coupl(nGC_10)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_3552) = coupl(nGC_3088)*dyup_QED1_QCD2
    coupl(nGC_3388) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                      nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_62)*   &
                      coupl(nGC_64) - coupl(nGC_63)**2d0 - coupl(nGC_85)**2d0  &
                      )/(64d0*pi**2d0)
    coupl(nGC_5131) = coupl(nGC_3487) + coupl(nGC_38)*dZZ/2d0
    coupl(nGC_5130) = coupl(nGC_1)*dZAZ/2d0
    coupl(nGC_3380) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_58)*   &
                      coupl(nGC_60) + coupl(nGC_59)**2d0 + coupl(nGC_73)**2d0  &
                      )/(64d0*pi**2d0*Nc)
    coupl(nGC_3382) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(   &
                      nGC_35)**2d0 + coupl(nGC_57)**2d0 + coupl(nGC_58)*coupl( &
                      nGC_60) + coupl(nGC_59)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3383) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(  &
                      nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_58)*   &
                      coupl(nGC_60) - coupl(nGC_59)**2d0 - coupl(nGC_73)**2d0  &
                      )/(64d0*pi**2d0)
    coupl(nGC_3384) = -coupl(nGC_11)**2d0*sq2**3d0*(Nc**2d0*cima*coupl(nGC_10  &
                      ) + coupl(nGC_11))/(64d0*pi**2d0*Nc)
    coupl(nGC_3385) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(  &
                      nGC_35)**2d0 - coupl(nGC_57)**2d0 - coupl(nGC_58)*coupl( &
                      nGC_60) - coupl(nGC_59)**2d0)/(64d0*pi**2d0)
    coupl(nGC_3386) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_62)*   &
                      coupl(nGC_64) + coupl(nGC_63)**2d0 + coupl(nGC_85)**2d0  &
                      )/(64d0*pi**2d0*Nc)
    coupl(nGC_3387) = -coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(   &
                      nGC_34)**2d0 + coupl(nGC_61)**2d0 + coupl(nGC_62)*coupl( &
                      nGC_64) + coupl(nGC_63)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3313) = coupl(nGC_11)**2d0*coupl(nGC_74)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5440) = coupl(nGC_38)*dZdL_QCD2
    coupl(nGC_3258) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*coupl&
                      (nGC_53)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*&
                      coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_78)*coupl(   &
                      nGC_80) + coupl(nGC_2)*coupl(nGC_79)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
    coupl(nGC_5442) = coupl(nGC_34)*dZdR_QED2
    coupl(nGC_5444) = coupl(nGC_34)*dZdR_QCD2
    coupl(nGC_3252) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4  &
                      )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(    &
                      nGC_4)*coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_4)*coupl( &
                      nGC_71)**2d0)/(32d0*pi**2d0)
    coupl(nGC_5448) = coupl(nGC_3526) + coupl(nGC_65)*dZeMinusR/2d0 + coupl(   &
                      nGC_65)*dZnu_eL/2d0
    coupl(nGC_3319) = coupl(nGC_11)**2d0*coupl(nGC_86)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3256) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_74)*coupl(nGC_76) + coupl(  &
                      nGC_1)*coupl(nGC_75)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23&
                      )**2d0 + coupl(nGC_2)*coupl(nGC_57)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0*coupl(nGC_354))/(32d0*pi**2d0)
    coupl(nGC_3225) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-cMC**2d0 - cMD**2d0 - &
                      cMS**2d0 - cMU**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_3254) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_69)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3255) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_81)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3556) = coupl(nGC_3065)*dyc_QED1
    coupl(nGC_3223) = cima*sq2**2d0*(-3d0*Nc*coupl(nGC_10)**2d0 + 8d0*coupl(   &
                      nGC_11)**2d0)/(192d0*pi**2d0*Nc)
    coupl(nGC_3262) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*coupl&
                      (nGC_61)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*&
                      coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_86)*coupl(   &
                      nGC_88) + coupl(nGC_2)*coupl(nGC_87)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
    coupl(nGC_3429) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*coupl(&
                      nGC_1174)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_1172)* &
                      sq2**2d0 + 15d0*coupl(nGC_10)**2d0*coupl(nGC_1174)*sq2** &
                      2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0)/(   &
                      192d0*pi**2d0)
    coupl(nGC_3428) = (-5d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 3d0*cima*coupl( &
                      nGC_1172)**2d0 - 6d0*cima*coupl(nGC_1172)*coupl(nGC_12   &
                      ) + 3d0*cima*coupl(nGC_12)**2d0 - 6d0*coupl(nGC_10)**2d0*&
                      coupl(nGC_1172)*sq2**2d0 + 9d0*coupl(nGC_10)**2d0*coupl( &
                      nGC_12)*sq2**2d0)/(96d0*pi**2d0)
    coupl(nGC_3553) = coupl(nGC_3088)*dyup_QED1
    coupl(nGC_3421) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl( &
                      nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(48d0*pi**2d0*Nc&
                      **2d0)
    coupl(nGC_7076) = coupl(nGC_39)*dZcL_QED2
    coupl(nGC_3423) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*cima*&
                      coupl(nGC_1172)**2d0 + 12d0*Nc*cima*coupl(nGC_12)**2d0 - &
                      21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_1172)*sq2**2d0 +    &
                      21d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 + 24d0*&
                      cima*coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_3422) = sq2**2d0*(-2d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 3d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_1168) - 3d0*Nc*coupl(    &
                      nGC_10)**2d0*coupl(nGC_1174) - 20d0*cima*coupl(nGC_11)** &
                      4d0*sq2**2d0)/(384d0*pi**2d0)
    coupl(nGC_3425) = (5d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 3d0*Nc*cima*  &
                      coupl(nGC_1172)*coupl(nGC_1174) - 3d0*Nc*cima*coupl(     &
                      nGC_1174)*coupl(nGC_12) + 3d0*Nc*coupl(nGC_10)**2d0*coupl&
                      (nGC_1172)*sq2**2d0 - 3d0*Nc*coupl(nGC_10)**2d0*coupl(   &
                      nGC_1174)*sq2**2d0 - 6d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                      nGC_12)*sq2**2d0 - 2d0*cima*coupl(nGC_11)**4d0*sq2**4d0  &
                      )/(192d0*pi**2d0*Nc)
    coupl(nGC_3424) = (20d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*cima*&
                      coupl(nGC_1172)*coupl(nGC_1174) - 12d0*Nc*cima*coupl(    &
                      nGC_1174)*coupl(nGC_12) - 3d0*Nc*coupl(nGC_10)**2d0*coupl&
                      (nGC_1168)*sq2**2d0 + 15d0*Nc*coupl(nGC_10)**2d0*coupl(  &
                      nGC_1172)*sq2**2d0 - 15d0*Nc*coupl(nGC_10)**2d0*coupl(   &
                      nGC_1174)*sq2**2d0 - 21d0*Nc*coupl(nGC_10)**2d0*coupl(   &
                      nGC_12)*sq2**2d0 - 8d0*cima*coupl(nGC_11)**4d0*sq2**4d0  &
                      )/(768d0*pi**2d0*Nc)
    coupl(nGC_3427) = (-20d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*cima*coupl&
                      (nGC_1174)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_1168)*&
                      sq2**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_1172)*sq2**  &
                      2d0 + 33d0*coupl(nGC_10)**2d0*coupl(nGC_1174)*sq2**2d0 + &
                      3d0*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0)/(384d0*pi &
                      **2d0)
    coupl(nGC_3426) = (10d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*Nc*cima* &
                      coupl(nGC_1172)*coupl(nGC_1174) - 6d0*Nc*cima*coupl(     &
                      nGC_1174)*coupl(nGC_12) - 3d0*Nc*coupl(nGC_10)**2d0*coupl&
                      (nGC_1168)*sq2**2d0 + 9d0*Nc*coupl(nGC_10)**2d0*coupl(   &
                      nGC_1172)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                      nGC_1174)*sq2**2d0 - 9d0*Nc*coupl(nGC_10)**2d0*coupl(    &
                      nGC_12)*sq2**2d0 - 4d0*cima*coupl(nGC_11)**4d0*sq2**4d0  &
                      )/(384d0*pi**2d0*Nc)
    coupl(nGC_5000) = coupl(nGC_3472) + coupl(nGC_37)*dZH/2d0 + coupl(nGC_37)* &
                      dZZ/2d0
    coupl(nGC_3389) = -coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(  &
                      nGC_34)**2d0 - coupl(nGC_61)**2d0 - coupl(nGC_62)*coupl( &
                      nGC_64) - coupl(nGC_63)**2d0)/(64d0*pi**2d0)
    coupl(nGC_6085) = coupl(nGC_52)*dZZA/2d0
    coupl(nGC_6080) = coupl(nGC_MI)*dZtL
    coupl(nGC_6081) = coupl(nGC_MT)*(dZtL + dZtR)/2d0
    coupl(nGC_6083) = coupl(nGC_MI)*dZtR
    coupl(nGC_6126) = coupl(nGC_67)*(dZeMinusL + dZeMinusR)/2d0
    coupl(nGC_5344) = coupl(nGC_2)*dZuR_QED2
    coupl(nGC_5342) = coupl(nGC_2)*dZuL_QCD2
    coupl(nGC_3381) = -coupl(nGC_11)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_10 &
                      ) - coupl(nGC_11))/(64d0*pi**2d0*Nc**2d0)
    coupl(nGC_6444) = coupl(nGC_3487) + coupl(nGC_38)*dZZ/2d0 + coupl(nGC_38)* &
                      dZbL
    coupl(nGC_6446) = coupl(nGC_5130) + coupl(nGC_6444)
    coupl(nGC_6568) = coupl(nGC_MI)*dZdR_QCD2
    coupl(nGC_6563) = coupl(nGC_MI)*dZdL_QED2
    coupl(nGC_6567) = coupl(nGC_MI)*dZdR_QED2
    coupl(nGC_6566) = coupl(nGC_MD)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_6565) = coupl(nGC_MD)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_6564) = coupl(nGC_MI)*dZdL_QCD2
    coupl(nGC_3189) = cima*(-2d0*Nc*coupl(nGC_23)**2d0 - coupl(nGC_210)**2d0 - &
                      2d0*coupl(nGC_23)**2d0 - coupl(nGC_25)**2d0 - coupl(nGC_3&
                      )**2d0 - coupl(nGC_354)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3265) = (4d0*Nc*coupl(nGC_34)*coupl(nGC_53)**2d0 + 4d0*Nc*coupl( &
                      nGC_34)*coupl(nGC_61)**2d0 + 4d0*Nc*coupl(nGC_34)*coupl( &
                      nGC_73)**2d0 - 4d0*Nc*coupl(nGC_35)*coupl(nGC_57)**2d0 - &
                      4d0*Nc*coupl(nGC_35)*coupl(nGC_77)**2d0 - 4d0*Nc*coupl(  &
                      nGC_35)*coupl(nGC_85)**2d0 + 4d0*Nc*coupl(nGC_38)*coupl( &
                      nGC_57)**2d0 + 4d0*Nc*coupl(nGC_38)*coupl(nGC_77)**2d0 + &
                      4d0*Nc*coupl(nGC_38)*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(  &
                      nGC_39)*coupl(nGC_53)**2d0 - 4d0*Nc*coupl(nGC_39)*coupl( &
                      nGC_61)**2d0 - 4d0*Nc*coupl(nGC_39)*coupl(nGC_73)**2d0 - &
                      6d0*coupl(nGC_1460)*coupl(nGC_20)*coupl(nGC_25) + coupl( &
                      nGC_170)**2d0*coupl(nGC_40) + coupl(nGC_206)*coupl(      &
                      nGC_548)*coupl(nGC_954) + coupl(nGC_21)*coupl(nGC_22)*   &
                      coupl(nGC_37) - 6d0*coupl(nGC_22)*coupl(nGC_25)*coupl(   &
                      nGC_548) + 4d0*coupl(nGC_36)*coupl(nGC_65)**2d0 + 4d0*   &
                      coupl(nGC_36)*coupl(nGC_69)**2d0 + 4d0*coupl(nGC_36)*    &
                      coupl(nGC_81)**2d0 + coupl(nGC_40)*coupl(nGC_918)**2d0 - &
                      4d0*coupl(nGC_41)*coupl(nGC_65)**2d0 - 4d0*coupl(nGC_41)*&
                      coupl(nGC_69)**2d0 - 4d0*coupl(nGC_41)*coupl(nGC_81)**2d0&
                      )/(96d0*pi**2d0)
    coupl(nGC_3348) = coupl(nGC_11)**2d0*coupl(nGC_87)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3349) = (12d0*Nc*coupl(nGC_23)**2d0*coupl(nGC_38) - 12d0*Nc*coupl&
                      (nGC_23)**2d0*coupl(nGC_39) - 11d0*coupl(nGC_210)**2d0*  &
                      coupl(nGC_25) + 12d0*coupl(nGC_23)**2d0*coupl(nGC_40) -  &
                      12d0*coupl(nGC_23)**2d0*coupl(nGC_41) - 11d0*coupl(nGC_25&
                      )*coupl(nGC_354)**2d0)/(96d0*pi**2d0)
    coupl(nGC_3344) = (coupl(nGC_206)*coupl(nGC_40)*coupl(nGC_82) + coupl(     &
                      nGC_23)*coupl(nGC_81)*coupl(nGC_954) + coupl(nGC_36)*    &
                      coupl(nGC_37)*coupl(nGC_82) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_83) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_83) - coupl(nGC_82)**2d0*coupl(nGC_83) - coupl(nGC_83&
                      )**3d0)/(32d0*pi**2d0)
    coupl(nGC_3345) = (coupl(nGC_206)*coupl(nGC_36)*coupl(nGC_84) + coupl(     &
                      nGC_21)*coupl(nGC_23)*coupl(nGC_81) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_83) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_84) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_83) -  &
                      coupl(nGC_83)**3d0 - coupl(nGC_83)*coupl(nGC_84)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3346) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_87) - coupl(nGC_206)*   &
                      coupl(nGC_39)*coupl(nGC_86) - coupl(nGC_23)*coupl(nGC_85 &
                      )*coupl(nGC_954) - coupl(nGC_35)*coupl(nGC_37)*coupl(    &
                      nGC_86) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_87   &
                      ) - coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) - coupl(   &
                      nGC_86)**2d0*coupl(nGC_87) - coupl(nGC_87)**3d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3347) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_87) - coupl(nGC_206)*   &
                      coupl(nGC_35)*coupl(nGC_88) - coupl(nGC_21)*coupl(nGC_23 &
                      )*coupl(nGC_85) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                      nGC_87) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_88) -    &
                      coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_85) - coupl(nGC_87 &
                      )**3d0 - coupl(nGC_87)*coupl(nGC_88)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3340) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_75) - coupl(nGC_20)*    &
                      coupl(nGC_23)*coupl(nGC_73) - coupl(nGC_206)*coupl(nGC_34&
                      )*coupl(nGC_74) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_75) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_74) -    &
                      coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) - coupl(nGC_74 &
                      )**2d0*coupl(nGC_75) - coupl(nGC_75)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3341) = coupl(nGC_11)**2d0*coupl(nGC_75)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3342) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_79) - coupl(nGC_206)*   &
                      coupl(nGC_39)*coupl(nGC_78) - coupl(nGC_23)*coupl(nGC_77 &
                      )*coupl(nGC_954) - coupl(nGC_35)*coupl(nGC_37)*coupl(    &
                      nGC_78) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_79   &
                      ) - coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77) - coupl(   &
                      nGC_78)**2d0*coupl(nGC_79) - coupl(nGC_79)**3d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3343) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_79) - coupl(nGC_206)*   &
                      coupl(nGC_35)*coupl(nGC_80) - coupl(nGC_21)*coupl(nGC_23 &
                      )*coupl(nGC_77) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                      nGC_79) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_80) -    &
                      coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_77) - coupl(nGC_79 &
                      )**3d0 - coupl(nGC_79)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3311) = coupl(nGC_11)**2d0*coupl(nGC_76)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3316) = (coupl(nGC_206)*coupl(nGC_36)*coupl(nGC_83) + coupl(     &
                      nGC_22)*coupl(nGC_23)*coupl(nGC_81) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_82) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_83) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_82) -  &
                      coupl(nGC_82)**2d0*coupl(nGC_84) - coupl(nGC_83)**2d0*   &
                      coupl(nGC_84))/(32d0*pi**2d0)
    coupl(nGC_3506) = coupl(nGC_3072)*dydo_QED1
    coupl(nGC_3259) = (coupl(nGC_1)*coupl(nGC_77)**2d0 + 4d0*coupl(nGC_2)**3d0 &
                       + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2)*   &
                      coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_2)*coupl(nGC_79  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3505) = coupl(nGC_3072)*dydo_QED1_QCD2
    coupl(nGC_3469) = coupl(nGC_3109)*dZee + coupl(nGC_3110)*dsw_
    coupl(nGC_3468) = coupl(nGC_3113)*dZee + coupl(nGC_3114)*dsw_
    coupl(nGC_3465) = coupl(nGC_3122)*dZee + coupl(nGC_3123)*dsw_
    coupl(nGC_3464) = coupl(nGC_3054)*dsw_ + coupl(nGC_3055)*dZee + coupl(     &
                      nGC_3056)*dvev_QEDM1
    coupl(nGC_3467) = coupl(nGC_3130)*dZee + coupl(nGC_3131)*dsw_
    coupl(nGC_3466) = coupl(nGC_3118)*dZee + coupl(nGC_3119)*dsw_
    coupl(nGC_3461) = coupl(nGC_3098)*dZee
    coupl(nGC_3460) = coupl(nGC_3044)*dlam_QED2 + coupl(nGC_3045)*dvev_QEDM1
    coupl(nGC_3463) = coupl(nGC_3132)*dZee + coupl(nGC_3133)*dsw_
    coupl(nGC_8437) = coupl(nGC_MI)*dZsL_QED2
    coupl(nGC_3253) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_4) + coupl(nGC_4)*coupl(nGC_65)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3545) = coupl(nGC_3067)*dyc_QED1
    coupl(nGC_3250) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4  &
                      )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(    &
                      nGC_4)*coupl(nGC_66)*coupl(nGC_68) + coupl(nGC_4)*coupl( &
                      nGC_67)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3251) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4)**&
                      2d0 + coupl(nGC_70)*coupl(nGC_72) + coupl(nGC_71)**2d0)/(&
                      32d0*pi**2d0)
    coupl(nGC_5166) = coupl(nGC_3540) + coupl(nGC_86)*dZuL_QED2/2d0 + coupl(   &
                      nGC_86)*dZuR_QED2/2d0
    coupl(nGC_5164) = coupl(nGC_3538) + coupl(nGC_86)*dZuL_QCD2/2d0 + coupl(   &
                      nGC_86)*dZuR_QCD2/2d0
    coupl(nGC_5165) = coupl(nGC_3541) + coupl(nGC_88)*dZuL_QCD2/2d0 + coupl(   &
                      nGC_88)*dZuR_QCD2/2d0
    coupl(nGC_3257) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_74)*coupl(nGC_76) + coupl(  &
                      nGC_1)*coupl(nGC_75)**2d0 + coupl(nGC_2)*coupl(nGC_73)** &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_3263) = (coupl(nGC_1)*coupl(nGC_85)**2d0 + 4d0*coupl(nGC_2)**3d0 &
                       + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2)*   &
                      coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_2)*coupl(nGC_87  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3261) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_3) + 4d0*coupl(nGC_4  &
                      )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_40)**2d0 + coupl(    &
                      nGC_4)*coupl(nGC_82)*coupl(nGC_84) + coupl(nGC_4)*coupl( &
                      nGC_83)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3260) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4)**&
                      2d0 + coupl(nGC_82)*coupl(nGC_84) + coupl(nGC_83)**2d0)/(&
                      32d0*pi**2d0)
    coupl(nGC_3267) = (-4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) + 4d0*&
                      Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_59) - 4d0*Nc*   &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) - 4d0*Nc*coupl(&
                      nGC_23)*coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*coupl(nGC_23&
                      )*coupl(nGC_77)*coupl(nGC_79) + 4d0*Nc*coupl(nGC_23)*    &
                      coupl(nGC_85)*coupl(nGC_87) + coupl(nGC_1460)*coupl(     &
                      nGC_22)**2d0 + coupl(nGC_1460)*coupl(nGC_954)**2d0 - 6d0*&
                      coupl(nGC_20)*coupl(nGC_25)*coupl(nGC_40) - 6d0*coupl(   &
                      nGC_20)*coupl(nGC_3)*coupl(nGC_4) + coupl(nGC_206)*coupl(&
                      nGC_548)*coupl(nGC_918) - 6d0*coupl(nGC_210)*coupl(nGC_37&
                      )*coupl(nGC_548) - 4d0*coupl(nGC_23)*coupl(nGC_65)*coupl(&
                      nGC_67) - 4d0*coupl(nGC_23)*coupl(nGC_69)*coupl(nGC_71   &
                      ) - 4d0*coupl(nGC_23)*coupl(nGC_81)*coupl(nGC_83))/(96d0*&
                      pi**2d0)
    coupl(nGC_3266) = (-4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_54) + 4d0*&
                      Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_58) - 4d0*Nc*   &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_62) - 4d0*Nc*coupl(&
                      nGC_23)*coupl(nGC_73)*coupl(nGC_74) + 4d0*Nc*coupl(nGC_23&
                      )*coupl(nGC_77)*coupl(nGC_78) + 4d0*Nc*coupl(nGC_23)*    &
                      coupl(nGC_85)*coupl(nGC_86) - 6d0*coupl(nGC_20)*coupl(   &
                      nGC_206)*coupl(nGC_210) + coupl(nGC_20)*coupl(nGC_37)*   &
                      coupl(nGC_918) + coupl(nGC_22)**3d0 + coupl(nGC_22)*coupl&
                      (nGC_954)**2d0 - 4d0*coupl(nGC_23)*coupl(nGC_65)*coupl(  &
                      nGC_66) - 4d0*coupl(nGC_23)*coupl(nGC_69)*coupl(nGC_70   &
                      ) - 4d0*coupl(nGC_23)*coupl(nGC_81)*coupl(nGC_82) - 6d0* &
                      coupl(nGC_25)*coupl(nGC_40)*coupl(nGC_548) - 6d0*coupl(  &
                      nGC_3)*coupl(nGC_4)*coupl(nGC_548))/(96d0*pi**2d0)
    coupl(nGC_5717) = coupl(nGC_11)*dZsL_QED2
    coupl(nGC_3264) = (4d0*Nc*cMB*coupl(nGC_53)**2d0*coupl(nGC_55) + 4d0*Nc*cMB&
                      *coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) + 4d0*Nc*cMB* &
                      coupl(nGC_55)*coupl(nGC_77)**2d0 + 4d0*Nc*cMC*coupl(     &
                      nGC_57)**2d0*coupl(nGC_59) + 4d0*Nc*cMC*coupl(nGC_57)*   &
                      coupl(nGC_73)*coupl(nGC_75) + 4d0*Nc*cMC*coupl(nGC_59)*  &
                      coupl(nGC_73)**2d0 + 4d0*Nc*cMD*coupl(nGC_61)**2d0*coupl(&
                      nGC_63) + 4d0*Nc*cMD*coupl(nGC_61)*coupl(nGC_85)*coupl(  &
                      nGC_87) + 4d0*Nc*cMD*coupl(nGC_63)*coupl(nGC_85)**2d0 +  &
                      4d0*Nc*cMS*coupl(nGC_57)**2d0*coupl(nGC_75) + 4d0*Nc*cMS*&
                      coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) + 4d0*Nc*cMS*  &
                      coupl(nGC_73)**2d0*coupl(nGC_75) + 4d0*Nc*cMT*coupl(     &
                      nGC_53)**2d0*coupl(nGC_79) + 4d0*Nc*cMT*coupl(nGC_53)*   &
                      coupl(nGC_55)*coupl(nGC_77) + 4d0*Nc*cMT*coupl(nGC_77)** &
                      2d0*coupl(nGC_79) + 4d0*Nc*cMU*coupl(nGC_61)**2d0*coupl( &
                      nGC_87) + 4d0*Nc*cMU*coupl(nGC_61)*coupl(nGC_63)*coupl(  &
                      nGC_85) + 4d0*Nc*cMU*coupl(nGC_85)**2d0*coupl(nGC_87) +  &
                      4d0*cME*coupl(nGC_65)**2d0*coupl(nGC_67) + 4d0*cMM*coupl(&
                      nGC_69)**2d0*coupl(nGC_71) + 4d0*cMTA*coupl(nGC_81)**2d0*&
                      coupl(nGC_83) + 4d0*cima*coupl(nGC_17)*coupl(nGC_50) +   &
                      8d0*cima*coupl(nGC_27)*coupl(nGC_51) + 2d0*cima*coupl(   &
                      nGC_45)*coupl(nGC_52) + 8d0*cima*coupl(nGC_47)*coupl(    &
                      nGC_8) - coupl(nGC_1460)*coupl(nGC_20)*coupl(nGC_50) +   &
                      coupl(nGC_1460)*coupl(nGC_48)*coupl(nGC_954) + coupl(    &
                      nGC_170)**2d0*coupl(nGC_48) - coupl(nGC_170)*coupl(nGC_21&
                      )*coupl(nGC_51) - coupl(nGC_170)*coupl(nGC_51)*coupl(    &
                      nGC_954) + coupl(nGC_20)*coupl(nGC_21)*coupl(nGC_48) -   &
                      coupl(nGC_206)*coupl(nGC_22)*coupl(nGC_47) - coupl(nGC_21&
                      )*coupl(nGC_47)*coupl(nGC_918) + coupl(nGC_21)*coupl(    &
                      nGC_49)*coupl(nGC_954) + coupl(nGC_22)*coupl(nGC_48)*    &
                      coupl(nGC_548) - coupl(nGC_22)*coupl(nGC_50)*coupl(      &
                      nGC_548) - coupl(nGC_37)*coupl(nGC_47)*coupl(nGC_548) -  &
                      coupl(nGC_40)**2d0*coupl(nGC_52) - coupl(nGC_47)*coupl(  &
                      nGC_918)*coupl(nGC_954) + coupl(nGC_48)*coupl(nGC_918)** &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_5719) = coupl(nGC_11)*dZsR_QED2
    coupl(nGC_5718) = coupl(nGC_11)*dZsL_QCD2
    coupl(nGC_3269) = (-coupl(nGC_1)*coupl(nGC_170)*coupl(nGC_53) + 8d0*coupl( &
                      nGC_1)*coupl(nGC_2)*coupl(nGC_53) - coupl(nGC_2)*coupl(  &
                      nGC_4)*coupl(nGC_53) - coupl(nGC_20)*coupl(nGC_23)*coupl(&
                      nGC_55) - coupl(nGC_23)*coupl(nGC_548)*coupl(nGC_56) +   &
                      8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_53) - coupl(   &
                      nGC_34)*coupl(nGC_53)*coupl(nGC_918) - coupl(nGC_39)*    &
                      coupl(nGC_40)*coupl(nGC_53) - coupl(nGC_55)*coupl(nGC_77 &
                      )*coupl(nGC_79) - coupl(nGC_56)*coupl(nGC_77)*coupl(     &
                      nGC_78))/(32d0*pi**2d0)
    coupl(nGC_3268) = (2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53) -  &
                      2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53) -   &
                      2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53) +   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57) -   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57) -   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_57) +   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_61) -   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61) -   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61) +   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73) -   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73) -   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73) +   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77) -   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_77) -   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_77) +   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85) -   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85) -   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85) +   &
                      2d0*cME*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65) - 2d0* &
                      cME*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65) - 2d0*cME* &
                      coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65) + 2d0*cMM*coupl&
                      (nGC_23)*coupl(nGC_36)*coupl(nGC_69) - 2d0*cMM*coupl(    &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_69) - 2d0*cMM*coupl(     &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_69) + 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_36)*coupl(nGC_81) - 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_81) - 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_81) + 4d0*cima*coupl(    &
                      nGC_19)*coupl(nGC_47) + 4d0*cima*coupl(nGC_218)*coupl(   &
                      nGC_51) - coupl(nGC_170)*coupl(nGC_354)*coupl(nGC_47) -  &
                      coupl(nGC_20)*coupl(nGC_25)*coupl(nGC_50) + 6d0*coupl(   &
                      nGC_210)*coupl(nGC_25)*coupl(nGC_47) - coupl(nGC_210)*   &
                      coupl(nGC_47)*coupl(nGC_918) + 6d0*coupl(nGC_25)*coupl(  &
                      nGC_354)*coupl(nGC_51) - coupl(nGC_25)*coupl(nGC_52)*    &
                      coupl(nGC_954))/(32d0*pi**2d0)
    coupl(nGC_3312) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_74) - coupl(nGC_206)*   &
                      coupl(nGC_38)*coupl(nGC_75) - coupl(nGC_23)*coupl(nGC_548&
                      )*coupl(nGC_73) - coupl(nGC_34)*coupl(nGC_37)*coupl(     &
                      nGC_75) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_74   &
                      ) - coupl(nGC_57)*coupl(nGC_58)*coupl(nGC_73) - coupl(   &
                      nGC_74)**2d0*coupl(nGC_76) - coupl(nGC_75)**2d0*coupl(   &
                      nGC_76))/(32d0*pi**2d0)
    coupl(nGC_3310) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_76) - coupl(nGC_206)*   &
                      coupl(nGC_34)*coupl(nGC_75) - coupl(nGC_22)*coupl(nGC_23 &
                      )*coupl(nGC_73) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_76) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_75) -    &
                      coupl(nGC_57)*coupl(nGC_60)*coupl(nGC_73) - coupl(nGC_74 &
                      )*coupl(nGC_75)**2d0 - coupl(nGC_74)*coupl(nGC_76)**2d0  &
                      )/(32d0*pi**2d0)
    coupl(nGC_5430) = coupl(nGC_3557) + coupl(nGC_5426)
    coupl(nGC_5272) = coupl(nGC_3527) + coupl(nGC_69)*dZmuMinusR/2d0 + coupl(  &
                      nGC_69)*dZnu_muL/2d0
    coupl(nGC_3323) = (-4d0*Nc*cMB*coupl(nGC_23)**2d0*coupl(nGC_55) - 4d0*Nc*  &
                      cMC*coupl(nGC_23)**2d0*coupl(nGC_59) - 4d0*Nc*cMD*coupl( &
                      nGC_23)**2d0*coupl(nGC_63) - 4d0*Nc*cMS*coupl(nGC_23)**  &
                      2d0*coupl(nGC_75) - 4d0*Nc*cMT*coupl(nGC_23)**2d0*coupl( &
                      nGC_79) - 4d0*Nc*cMU*coupl(nGC_23)**2d0*coupl(nGC_87) -  &
                      4d0*cME*coupl(nGC_23)**2d0*coupl(nGC_67) - 4d0*cMM*coupl(&
                      nGC_23)**2d0*coupl(nGC_71) - 4d0*cMTA*coupl(nGC_23)**2d0*&
                      coupl(nGC_83) + 4d0*cima*coupl(nGC_18)*coupl(nGC_50) +   &
                      2d0*cima*coupl(nGC_314)*coupl(nGC_52) - coupl(nGC_21)*   &
                      coupl(nGC_210)*coupl(nGC_47) - coupl(nGC_21)*coupl(      &
                      nGC_354)*coupl(nGC_51) + 6d0*coupl(nGC_210)**2d0*coupl(  &
                      nGC_50) - coupl(nGC_210)*coupl(nGC_47)*coupl(nGC_954) +  &
                      6d0*coupl(nGC_25)**2d0*coupl(nGC_52) + 6d0*coupl(nGC_354 &
                      )**2d0*coupl(nGC_50) - coupl(nGC_354)*coupl(nGC_51)*coupl&
                      (nGC_954))/(32d0*pi**2d0)
    coupl(nGC_3486) = coupl(nGC_3166)*dZee + coupl(nGC_3167)*dsw_ + coupl(     &
                      nGC_3168)*dcw_
    coupl(nGC_3485) = coupl(nGC_3154)*dZee + coupl(nGC_3155)*dsw_ + coupl(     &
                      nGC_3156)*dcw_
    coupl(nGC_3484) = coupl(nGC_3120)*dZee + coupl(nGC_3121)*dsw_
    coupl(nGC_3483) = coupl(nGC_112)*dZgs_QCD2
    coupl(nGC_3482) = coupl(nGC_3091)*dZee
    coupl(nGC_3481) = coupl(nGC_3092)*dZee
    coupl(nGC_5378) = coupl(nGC_75)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_5377) = coupl(nGC_75)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_3489) = coupl(nGC_3172)*dZee + coupl(nGC_3173)*dsw_ + coupl(     &
                      nGC_3174)*dcw_
    coupl(nGC_3488) = coupl(nGC_3151)*dZee + coupl(nGC_3152)*dsw_ + coupl(     &
                      nGC_3153)*dcw_
    coupl(nGC_6905) = coupl(nGC_35)*dZuR_QCD2
    coupl(nGC_6907) = coupl(nGC_3485) + coupl(nGC_35)*dZZ/2d0
    coupl(nGC_6906) = coupl(nGC_3486) + coupl(nGC_39)*dZZ/2d0
    coupl(nGC_6901) = coupl(nGC_39)*dZuL_QCD2
    coupl(nGC_6903) = coupl(nGC_35)*dZuR_QED2
    coupl(nGC_5889) = coupl(nGC_31)*dZH/2d0 + coupl(nGC_3450)
    coupl(nGC_4976) = coupl(nGC_1)*dZbL + coupl(nGC_38)*dZZA/2d0
    coupl(nGC_4975) = coupl(nGC_1)*dZbR + coupl(nGC_34)*dZZA/2d0
    coupl(nGC_7023) = coupl(nGC_MI)*dZuL_QED2
    coupl(nGC_7025) = coupl(nGC_MU)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_7024) = coupl(nGC_MI)*dZuL_QCD2
    coupl(nGC_7026) = coupl(nGC_MU)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_7029) = coupl(nGC_MI)*dZuR_QED2
    coupl(nGC_4872) = coupl(nGC_27)*dZA/2d0 + coupl(nGC_27)*dZH/2d0 + coupl(   &
                      nGC_27)*dZWMinus/2d0 + coupl(nGC_3463) + coupl(nGC_8)*   &
                      dZZA/2d0
    coupl(nGC_3548) = coupl(nGC_3063)*dyc_QED1
    coupl(nGC_3549) = coupl(nGC_3063)*dyc_QED3
    coupl(nGC_3238) = (4d0*Nc*coupl(nGC_1)*coupl(nGC_53)**2d0 + 4d0*Nc*coupl(  &
                      nGC_1)*coupl(nGC_57)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(   &
                      nGC_61)**2d0 + 4d0*Nc*coupl(nGC_1)*coupl(nGC_73)**2d0 +  &
                      4d0*Nc*coupl(nGC_1)*coupl(nGC_77)**2d0 + 4d0*Nc*coupl(   &
                      nGC_1)*coupl(nGC_85)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(   &
                      nGC_53)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_57)**2d0 -  &
                      4d0*Nc*coupl(nGC_2)*coupl(nGC_61)**2d0 - 4d0*Nc*coupl(   &
                      nGC_2)*coupl(nGC_73)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(   &
                      nGC_77)**2d0 - 4d0*Nc*coupl(nGC_2)*coupl(nGC_85)**2d0 -  &
                      6d0*coupl(nGC_1460)*coupl(nGC_20)*coupl(nGC_3) + coupl(  &
                      nGC_170)**2d0*coupl(nGC_4) - 6d0*coupl(nGC_22)*coupl(    &
                      nGC_3)*coupl(nGC_548) + 4d0*coupl(nGC_4)*coupl(nGC_65)** &
                      2d0 + 4d0*coupl(nGC_4)*coupl(nGC_69)**2d0 + 4d0*coupl(   &
                      nGC_4)*coupl(nGC_81)**2d0 + coupl(nGC_4)*coupl(nGC_918)**&
                      2d0)/(96d0*pi**2d0)
    coupl(nGC_3239) = (12d0*Nc*coupl(nGC_1)*coupl(nGC_23)**2d0 - 12d0*Nc*coupl(&
                      nGC_2)*coupl(nGC_23)**2d0 - 11d0*coupl(nGC_210)**2d0*    &
                      coupl(nGC_3) + 12d0*coupl(nGC_23)**2d0*coupl(nGC_4) -    &
                      11d0*coupl(nGC_3)*coupl(nGC_354)**2d0)/(96d0*pi**2d0)
    coupl(nGC_3234) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_54)*coupl(nGC_56) + coupl(  &
                      nGC_1)*coupl(nGC_55)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23&
                      )**2d0 + coupl(nGC_2)*coupl(nGC_77)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0*coupl(nGC_354))/(32d0*pi**2d0)
    coupl(nGC_3235) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_54)*coupl(nGC_56) + coupl(  &
                      nGC_1)*coupl(nGC_55)**2d0 + coupl(nGC_2)*coupl(nGC_53)** &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_3236) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53) -  &
                      2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_57) - 2d0&
                      *Nc*cMD*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61) - 2d0*Nc&
                      *cMS*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73) - 2d0*Nc*  &
                      cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77) - 2d0*Nc*cMU&
                      *coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_85) + 4d0*cima*    &
                      coupl(nGC_218)*coupl(nGC_47) + 4d0*cima*coupl(nGC_5)*    &
                      coupl(nGC_51) - coupl(nGC_21)*coupl(nGC_354)*coupl(nGC_50&
                      ) + 6d0*coupl(nGC_25)*coupl(nGC_354)*coupl(nGC_47) -     &
                      coupl(nGC_25)*coupl(nGC_40)*coupl(nGC_51) + 6d0*coupl(   &
                      nGC_3)*coupl(nGC_354)*coupl(nGC_51) - coupl(nGC_3)*coupl(&
                      nGC_4)*coupl(nGC_51))/(32d0*pi**2d0)
    coupl(nGC_3237) = (-2d0*Nc*cMB*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_53) -  &
                      2d0*Nc*cMC*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_57) - 2d0&
                      *Nc*cMD*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_61) - 2d0*Nc&
                      *cMS*coupl(nGC_2)*coupl(nGC_23)*coupl(nGC_73) - 2d0*Nc*  &
                      cMT*coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_77) - 2d0*Nc*cMU&
                      *coupl(nGC_1)*coupl(nGC_23)*coupl(nGC_85) + 4d0*cima*    &
                      coupl(nGC_218)*coupl(nGC_47) + 4d0*cima*coupl(nGC_5)*    &
                      coupl(nGC_51) - coupl(nGC_170)*coupl(nGC_354)*coupl(     &
                      nGC_51) - coupl(nGC_20)*coupl(nGC_3)*coupl(nGC_50) + 6d0*&
                      coupl(nGC_210)*coupl(nGC_3)*coupl(nGC_47) - coupl(nGC_210&
                      )*coupl(nGC_51)*coupl(nGC_918) + 6d0*coupl(nGC_3)*coupl( &
                      nGC_354)*coupl(nGC_51))/(32d0*pi**2d0)
    coupl(nGC_3230) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(nGC_39&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3231) = cMTA*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)** &
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_3232) = cMU*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_35)*coupl(nGC_39&
                      ))/(8d0*pi**2d0)
    coupl(nGC_3233) = cMU*cima*coupl(nGC_11)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/(  &
                      32d0*pi**2d0*Nc)
    coupl(nGC_5088) = coupl(nGC_3489) + coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)* &
                      dZnu_tauL
    coupl(nGC_5127) = coupl(nGC_34)*dZsR_QED2
    coupl(nGC_5125) = coupl(nGC_38)*dZsL_QCD2
    coupl(nGC_5083) = coupl(nGC_3455) + coupl(nGC_44)*dZH/2d0
    coupl(nGC_5129) = coupl(nGC_34)*dZsR_QCD2
    coupl(nGC_5693) = coupl(nGC_20)*dZH/2d0 + coupl(nGC_20)*dZWMinus/2d0 +     &
                      coupl(nGC_3468)
    coupl(nGC_5597) = coupl(nGC_3489) + coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)* &
                      dZnu_eL
    coupl(nGC_4906) = coupl(nGC_1)*dZdL_QCD2
    coupl(nGC_4905) = coupl(nGC_1)*dZdL_QED2
    coupl(nGC_3303) = coupl(nGC_11)**2d0*coupl(nGC_64)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3304) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_62) - coupl(nGC_206)*   &
                      coupl(nGC_38)*coupl(nGC_63) - coupl(nGC_23)*coupl(nGC_548&
                      )*coupl(nGC_61) - coupl(nGC_34)*coupl(nGC_37)*coupl(     &
                      nGC_63) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_62   &
                      ) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_86) - coupl(   &
                      nGC_62)**2d0*coupl(nGC_64) - coupl(nGC_63)**2d0*coupl(   &
                      nGC_64))/(32d0*pi**2d0)
    coupl(nGC_5590) = coupl(nGC_3503) + coupl(nGC_77)*dZbL/2d0 + coupl(nGC_77)*&
                      dZtR/2d0
    coupl(nGC_3308) = (coupl(nGC_206)*coupl(nGC_36)*coupl(nGC_71) + coupl(     &
                      nGC_22)*coupl(nGC_23)*coupl(nGC_69) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_70) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_71) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_70) -  &
                      coupl(nGC_70)**2d0*coupl(nGC_72) - coupl(nGC_71)**2d0*   &
                      coupl(nGC_72))/(32d0*pi**2d0)
    coupl(nGC_3309) = (coupl(nGC_206)*coupl(nGC_40)*coupl(nGC_71) + coupl(     &
                      nGC_23)*coupl(nGC_548)*coupl(nGC_69) + coupl(nGC_36)*    &
                      coupl(nGC_37)*coupl(nGC_71) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_72) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_72) - coupl(nGC_70)*coupl(nGC_71)**2d0 - coupl(nGC_70&
                      )*coupl(nGC_72)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3436) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_1172)*coupl(nGC_12) - 12d0*Nc*coupl(nGC_10)**  &
                      2d0*coupl(nGC_1172)*sq2**2d0 + 9d0*Nc*coupl(nGC_10)**2d0*&
                      coupl(nGC_12)*sq2**2d0 + 12d0*cima*coupl(nGC_11)**4d0*sq2&
                      **4d0)/(384d0*pi**2d0)
    coupl(nGC_3437) = cima*coupl(nGC_11)**4d0*sq2**4d0/(48d0*pi**2d0*Nc**2d0)
    coupl(nGC_3434) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 3d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_1168) - 9d0*Nc*coupl(    &
                      nGC_10)**2d0*coupl(nGC_1174) - 40d0*cima*coupl(nGC_11)** &
                      4d0*sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_3435) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 24d0*Nc*cima*&
                      coupl(nGC_1172)*coupl(nGC_12) - 39d0*Nc*coupl(nGC_10)**  &
                      2d0*coupl(nGC_1172)*sq2**2d0 + 3d0*Nc*coupl(nGC_10)**2d0*&
                      coupl(nGC_12)*sq2**2d0 + 24d0*cima*coupl(nGC_11)**4d0*sq2&
                      **4d0)/(768d0*pi**2d0)
    coupl(nGC_3432) = (-8d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 + 12d0*Nc*cima*&
                      coupl(nGC_1172)**2d0 + 12d0*Nc*cima*coupl(nGC_12)**2d0 - &
                      3d0*Nc*coupl(nGC_10)**2d0*coupl(nGC_1172)*sq2**2d0 + 39d0&
                      *Nc*coupl(nGC_10)**2d0*coupl(nGC_12)*sq2**2d0 + 24d0*cima&
                      *coupl(nGC_11)**4d0*sq2**4d0)/(768d0*pi**2d0)
    coupl(nGC_3433) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**2d0 + 9d0*&
                      Nc*coupl(nGC_10)**2d0*coupl(nGC_1168) - 3d0*Nc*coupl(    &
                      nGC_10)**2d0*coupl(nGC_1174) - 40d0*cima*coupl(nGC_11)** &
                      4d0*sq2**2d0)/(768d0*pi**2d0)
    coupl(nGC_3430) = (-10d0*cima*coupl(nGC_10)**4d0*sq2**4d0 + 6d0*cima*coupl(&
                      nGC_1174)**2d0 + 3d0*coupl(nGC_10)**2d0*coupl(nGC_1168)* &
                      sq2**2d0 + 18d0*coupl(nGC_10)**2d0*coupl(nGC_1174)*sq2** &
                      2d0)/(192d0*pi**2d0)
    coupl(nGC_3431) = (-4d0*Nc*cima*coupl(nGC_10)**4d0*sq2**4d0 - 12d0*Nc*cima*&
                      coupl(nGC_1172)*coupl(nGC_12) - 9d0*Nc*coupl(nGC_10)**2d0&
                      *coupl(nGC_1172)*sq2**2d0 + 12d0*Nc*coupl(nGC_10)**2d0*  &
                      coupl(nGC_12)*sq2**2d0 + 12d0*cima*coupl(nGC_11)**4d0*sq2&
                      **4d0)/(384d0*pi**2d0)
    coupl(nGC_3438) = -cima*coupl(nGC_11)**4d0*sq2**4d0/(16d0*pi**2d0*Nc**3d0)
    coupl(nGC_3439) = coupl(nGC_3099)*dZgs_QCD2
    coupl(nGC_3281) = (coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_84) + coupl(nGC_23&
                      )*coupl(nGC_83)*coupl(nGC_954) + coupl(nGC_36)*coupl(    &
                      nGC_40)*coupl(nGC_81) + 8d0*coupl(nGC_36)*coupl(nGC_41)* &
                      coupl(nGC_81) + coupl(nGC_4)**2d0*coupl(nGC_81) + coupl( &
                      nGC_41)*coupl(nGC_81)*coupl(nGC_918))/(32d0*pi**2d0)
    coupl(nGC_8685) = coupl(nGC_MI)*dZZ
    coupl(nGC_3283) = (4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_55) - 4d0* &
                      Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_59) + 4d0*Nc*   &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_63) + 4d0*Nc*coupl(&
                      nGC_23)*coupl(nGC_73)*coupl(nGC_75) - 4d0*Nc*coupl(nGC_23&
                      )*coupl(nGC_77)*coupl(nGC_79) - 4d0*Nc*coupl(nGC_23)*    &
                      coupl(nGC_85)*coupl(nGC_87) + coupl(nGC_1460)**2d0*coupl(&
                      nGC_954) - 6d0*coupl(nGC_170)*coupl(nGC_21)*coupl(nGC_354&
                      ) + coupl(nGC_206)*coupl(nGC_40)*coupl(nGC_548) - 6d0*   &
                      coupl(nGC_21)*coupl(nGC_210)*coupl(nGC_918) + coupl(     &
                      nGC_22)**2d0*coupl(nGC_954) + 4d0*coupl(nGC_23)*coupl(   &
                      nGC_65)*coupl(nGC_67) + 4d0*coupl(nGC_23)*coupl(nGC_69)* &
                      coupl(nGC_71) + 4d0*coupl(nGC_23)*coupl(nGC_81)*coupl(   &
                      nGC_83) - 6d0*coupl(nGC_25)*coupl(nGC_37)*coupl(nGC_548  &
                      ))/(96d0*pi**2d0)
    coupl(nGC_3282) = (4d0*Nc*coupl(nGC_23)*coupl(nGC_53)*coupl(nGC_56) - 4d0* &
                      Nc*coupl(nGC_23)*coupl(nGC_57)*coupl(nGC_60) + 4d0*Nc*   &
                      coupl(nGC_23)*coupl(nGC_61)*coupl(nGC_64) + 4d0*Nc*coupl(&
                      nGC_23)*coupl(nGC_73)*coupl(nGC_76) - 4d0*Nc*coupl(nGC_23&
                      )*coupl(nGC_77)*coupl(nGC_80) - 4d0*Nc*coupl(nGC_23)*    &
                      coupl(nGC_85)*coupl(nGC_88) + coupl(nGC_1460)**2d0*coupl(&
                      nGC_22) - 6d0*coupl(nGC_170)*coupl(nGC_354)*coupl(nGC_548&
                      ) - 6d0*coupl(nGC_206)*coupl(nGC_21)*coupl(nGC_25) +     &
                      coupl(nGC_21)*coupl(nGC_37)*coupl(nGC_40) - 6d0*coupl(   &
                      nGC_210)*coupl(nGC_548)*coupl(nGC_918) + coupl(nGC_22)** &
                      3d0 + 4d0*coupl(nGC_23)*coupl(nGC_65)*coupl(nGC_68) + 4d0&
                      *coupl(nGC_23)*coupl(nGC_69)*coupl(nGC_72) + 4d0*coupl(  &
                      nGC_23)*coupl(nGC_81)*coupl(nGC_84))/(96d0*pi**2d0)
    coupl(nGC_3285) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_53) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_53) + coupl(nGC_170)*coupl(&
                      nGC_2)*coupl(nGC_53) + coupl(nGC_21)*coupl(nGC_23)*coupl(&
                      nGC_55) + coupl(nGC_23)*coupl(nGC_54)*coupl(nGC_548) +   &
                      8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_53) + coupl(   &
                      nGC_34)*coupl(nGC_40)*coupl(nGC_53) + coupl(nGC_39)*coupl&
                      (nGC_53)*coupl(nGC_918) - coupl(nGC_54)*coupl(nGC_77)*   &
                      coupl(nGC_80) - coupl(nGC_55)*coupl(nGC_77)*coupl(nGC_79 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3284) = (2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_53) -  &
                      2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_53) -   &
                      2d0*Nc*cMB*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_53) +   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_57) -   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_57) -   &
                      2d0*Nc*cMC*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_57) +   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_61) -   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_61) -   &
                      2d0*Nc*cMD*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_61) +   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_34)*coupl(nGC_73) -   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_73) -   &
                      2d0*Nc*cMS*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_73) +   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_77) -   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_77) -   &
                      2d0*Nc*cMT*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_77) +   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_35)*coupl(nGC_85) -   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_38)*coupl(nGC_85) -   &
                      2d0*Nc*cMU*coupl(nGC_23)*coupl(nGC_39)*coupl(nGC_85) +   &
                      2d0*cME*coupl(nGC_23)*coupl(nGC_36)*coupl(nGC_65) - 2d0* &
                      cME*coupl(nGC_23)*coupl(nGC_40)*coupl(nGC_65) - 2d0*cME* &
                      coupl(nGC_23)*coupl(nGC_41)*coupl(nGC_65) + 2d0*cMM*coupl&
                      (nGC_23)*coupl(nGC_36)*coupl(nGC_69) - 2d0*cMM*coupl(    &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_69) - 2d0*cMM*coupl(     &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_69) + 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_36)*coupl(nGC_81) - 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_40)*coupl(nGC_81) - 2d0*cMTA*coupl(    &
                      nGC_23)*coupl(nGC_41)*coupl(nGC_81) + 4d0*cima*coupl(    &
                      nGC_19)*coupl(nGC_47) + 4d0*cima*coupl(nGC_218)*coupl(   &
                      nGC_51) - coupl(nGC_1460)*coupl(nGC_210)*coupl(nGC_52) - &
                      coupl(nGC_21)*coupl(nGC_210)*coupl(nGC_50) + 6d0*coupl(  &
                      nGC_210)*coupl(nGC_25)*coupl(nGC_47) + 6d0*coupl(nGC_210 &
                      )*coupl(nGC_3)*coupl(nGC_51) - coupl(nGC_25)*coupl(nGC_40&
                      )*coupl(nGC_47) - coupl(nGC_3)*coupl(nGC_4)*coupl(nGC_47 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3539) = coupl(nGC_3089)*dyup_QED1
    coupl(nGC_3286) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_77) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_77) + coupl(nGC_1460)*coupl&
                      (nGC_23)*coupl(nGC_79) + coupl(nGC_170)*coupl(nGC_2)*    &
                      coupl(nGC_77) + coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_78 &
                      ) + 8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_77) + coupl&
                      (nGC_35)*coupl(nGC_77)*coupl(nGC_918) + coupl(nGC_38)*   &
                      coupl(nGC_40)*coupl(nGC_77) - coupl(nGC_53)*coupl(nGC_55 &
                      )*coupl(nGC_79) - coupl(nGC_53)*coupl(nGC_56)*coupl(     &
                      nGC_78))/(32d0*pi**2d0)
    coupl(nGC_3537) = coupl(nGC_3087)*dytau_QED1
    coupl(nGC_3536) = coupl(nGC_3078)*dym_QED1
    coupl(nGC_3535) = coupl(nGC_3074)*dye_QED1
    coupl(nGC_3534) = coupl(nGC_3086)*dytau_QED1
    coupl(nGC_3533) = coupl(nGC_3085)*dytau_QED1
    coupl(nGC_3532) = coupl(nGC_3076)*dym_QED1
    coupl(nGC_3531) = coupl(nGC_3077)*dym_QED1
    coupl(nGC_3530) = coupl(nGC_3073)*dye_QED1
    coupl(nGC_3456) = coupl(nGC_3106)*dlam_QED2
    coupl(nGC_6116) = coupl(nGC_3546) + coupl(nGC_60)*dZcL_QED2/2d0 + coupl(   &
                      nGC_60)*dZcR_QED2/2d0
    coupl(nGC_5292) = coupl(nGC_3517) + coupl(nGC_54)*dZbL/2d0 + coupl(nGC_54)*&
                      dZbR/2d0
    coupl(nGC_6473) = coupl(nGC_1)*dZsL_QCD2
    coupl(nGC_6472) = coupl(nGC_1)*dZsL_QED2
    coupl(nGC_6477) = coupl(nGC_1)*dZsR_QED2
    coupl(nGC_6570) = coupl(nGC_3571) + coupl(nGC_6566)
    coupl(nGC_6478) = coupl(nGC_1)*dZsR_QCD2
    coupl(nGC_7030) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_3300) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_60) - coupl(nGC_206)*   &
                      coupl(nGC_39)*coupl(nGC_59) - coupl(nGC_23)*coupl(nGC_548&
                      )*coupl(nGC_57) - coupl(nGC_35)*coupl(nGC_37)*coupl(     &
                      nGC_59) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_60   &
                      ) - coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_76) - coupl(   &
                      nGC_58)*coupl(nGC_59)**2d0 - coupl(nGC_58)*coupl(nGC_60  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3208) = cima*(coupl(nGC_210)**2d0 + coupl(nGC_25)**2d0)/(48d0*pi &
                      **2d0)
    coupl(nGC_9690) = -coupl(nGC_3239)
    coupl(nGC_9363) = -coupl(nGC_3267)
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
