!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl4()
    coupl(nGC_3193) = cima*(-coupl(nGC_1)**2d0 - coupl(nGC_23)**2d0 - coupl(   &
                      nGC_38)**2d0)/(16d0*pi**2d0)
    coupl(nGC_3192) = cMB*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_34)*coupl(nGC_38&
                      ))/(8d0*pi**2d0)
    coupl(nGC_5479) = coupl(nGC_3486) + coupl(nGC_39)*dZZ/2d0 + coupl(nGC_39)* &
                      dZtL
    coupl(nGC_6365) = coupl(nGC_3473) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)* &
                      dZeMinusL
    coupl(nGC_6366) = coupl(nGC_3490) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)* &
                      dZeMinusR
    coupl(nGC_3280) = (-coupl(nGC_170)*coupl(nGC_4)*coupl(nGC_69) - coupl(     &
                      nGC_20)*coupl(nGC_23)*coupl(nGC_71) - coupl(nGC_23)*coupl&
                      (nGC_548)*coupl(nGC_72) + 8d0*coupl(nGC_36)*coupl(nGC_41 &
                      )*coupl(nGC_69) - coupl(nGC_36)*coupl(nGC_69)*coupl(     &
                      nGC_918) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_69))/(  &
                      32d0*pi**2d0)
    coupl(nGC_6368) = coupl(nGC_4943) + coupl(nGC_6365)
    coupl(nGC_6204) = coupl(nGC_3521) + coupl(nGC_6200)
    coupl(nGC_6202) = coupl(nGC_3519) + coupl(nGC_6201)
    coupl(nGC_6203) = coupl(nGC_3520) + coupl(nGC_63)*dZH/2d0
    coupl(nGC_3289) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_61) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_61) + coupl(nGC_170)*coupl(&
                      nGC_2)*coupl(nGC_61) + coupl(nGC_21)*coupl(nGC_23)*coupl(&
                      nGC_63) + coupl(nGC_23)*coupl(nGC_548)*coupl(nGC_62) +   &
                      8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_61) + coupl(   &
                      nGC_34)*coupl(nGC_40)*coupl(nGC_61) + coupl(nGC_39)*coupl&
                      (nGC_61)*coupl(nGC_918) - coupl(nGC_62)*coupl(nGC_85)*   &
                      coupl(nGC_88) - coupl(nGC_63)*coupl(nGC_85)*coupl(nGC_87 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_5543) = coupl(nGC_3551) + coupl(nGC_78)*dZtL/2d0 + coupl(nGC_78)*&
                      dZtR/2d0
    coupl(nGC_5544) = coupl(nGC_3550) + coupl(nGC_80)*dZtL/2d0 + coupl(nGC_80)*&
                      dZtR/2d0
    coupl(nGC_3288) = (-coupl(nGC_1)*coupl(nGC_170)*coupl(nGC_73) + 8d0*coupl( &
                      nGC_1)*coupl(nGC_2)*coupl(nGC_73) - coupl(nGC_1460)*coupl&
                      (nGC_23)*coupl(nGC_75) - coupl(nGC_2)*coupl(nGC_4)*coupl(&
                      nGC_73) - coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_74) + 8d0&
                      *coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_73) - coupl(nGC_34&
                      )*coupl(nGC_73)*coupl(nGC_918) - coupl(nGC_39)*coupl(    &
                      nGC_40)*coupl(nGC_73) - coupl(nGC_57)*coupl(nGC_59)*coupl&
                      (nGC_75) - coupl(nGC_57)*coupl(nGC_60)*coupl(nGC_74))/(  &
                      32d0*pi**2d0)
    coupl(nGC_5269) = coupl(nGC_5141) + coupl(nGC_5267)
    coupl(nGC_5380) = coupl(nGC_3523) + coupl(nGC_75)*dZH/2d0
    coupl(nGC_5381) = coupl(nGC_3524) + coupl(nGC_5377)
    coupl(nGC_5387) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZeMinusL/2d0 &
                       + coupl(nGC_23)*dZnu_eL/2d0 + coupl(nGC_3484)
    coupl(nGC_4891) = coupl(nGC_3491) + coupl(nGC_61)*dZdR_QCD2/2d0 + coupl(   &
                      nGC_61)*dZuL_QCD2/2d0
    coupl(nGC_7086) = coupl(nGC_3576) + coupl(nGC_MW)*dZWMinus
    coupl(nGC_4893) = coupl(nGC_3493) + coupl(nGC_61)*dZdR_QED2/2d0 + coupl(   &
                      nGC_61)*dZuL_QED2/2d0
    coupl(nGC_4892) = coupl(nGC_3494) + coupl(nGC_85)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_85)*dZuR_QCD2/2d0
    coupl(nGC_4894) = coupl(nGC_3496) + coupl(nGC_85)*dZdL_QED2/2d0 + coupl(   &
                      nGC_85)*dZuR_QED2/2d0
    coupl(nGC_4897) = coupl(nGC_17)*dZH + coupl(nGC_17)*dZWMinus + coupl(      &
                      nGC_3469)
    coupl(nGC_5266) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZmuMinusR
    coupl(nGC_8516) = coupl(nGC_3578) + coupl(nGC_MMW_GF)*dZWMinus/2d0
    coupl(nGC_6934) = -coupl(nGC_5000)
    coupl(nGC_4960) = coupl(nGC_3558) + coupl(nGC_79)*dZH/2d0
    coupl(nGC_4963) = -coupl(nGC_4962)
    coupl(nGC_4968) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZbL/2d0 +    &
                      coupl(nGC_23)*dZtL/2d0 + coupl(nGC_3484)
    coupl(nGC_4807) = coupl(nGC_28)*dZAZ/2d0 + coupl(nGC_3474) + coupl(nGC_9)* &
                      dZWMinus/2d0 + coupl(nGC_9)*dZZ/2d0
    coupl(nGC_9335) = -coupl(nGC_3295)
    coupl(nGC_6909) = coupl(nGC_5477) + coupl(nGC_6906)
    coupl(nGC_6908) = coupl(nGC_5477) + coupl(nGC_6907)
    coupl(nGC_5807) = -coupl(nGC_5806)
    coupl(nGC_5134) = coupl(nGC_5130) + coupl(nGC_5131)
    coupl(nGC_5132) = coupl(nGC_34)*dZZ/2d0 + coupl(nGC_3488)
    coupl(nGC_8223) = 3d0*coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3439)
    coupl(nGC_9242) = -coupl(nGC_3238)
    coupl(nGC_4977) = coupl(nGC_4913) + coupl(nGC_4975)
    coupl(nGC_4978) = coupl(nGC_4913) + coupl(nGC_4976)
    coupl(nGC_3317) = (coupl(nGC_206)*coupl(nGC_40)*coupl(nGC_83) + coupl(     &
                      nGC_23)*coupl(nGC_548)*coupl(nGC_81) + coupl(nGC_36)*    &
                      coupl(nGC_37)*coupl(nGC_83) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_84) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_84) - coupl(nGC_82)*coupl(nGC_83)**2d0 - coupl(nGC_82&
                      )*coupl(nGC_84)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3315) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_80) - coupl(nGC_206)*   &
                      coupl(nGC_39)*coupl(nGC_79) - coupl(nGC_23)*coupl(nGC_548&
                      )*coupl(nGC_77) - coupl(nGC_35)*coupl(nGC_37)*coupl(     &
                      nGC_79) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_80   &
                      ) - coupl(nGC_53)*coupl(nGC_56)*coupl(nGC_77) - coupl(   &
                      nGC_78)*coupl(nGC_79)**2d0 - coupl(nGC_78)*coupl(nGC_80  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3314) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_78) - coupl(nGC_206)*   &
                      coupl(nGC_35)*coupl(nGC_79) - coupl(nGC_22)*coupl(nGC_23 &
                      )*coupl(nGC_77) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                      nGC_78) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_79) -    &
                      coupl(nGC_53)*coupl(nGC_54)*coupl(nGC_77) - coupl(nGC_78 &
                      )**2d0*coupl(nGC_80) - coupl(nGC_79)**2d0*coupl(nGC_80   &
                      ))/(32d0*pi**2d0)
    coupl(nGC_5935) = coupl(nGC_25)*dZZA/2d0 + coupl(nGC_3)*dZA/2d0 + coupl(   &
                      nGC_3)*dZWMinus + coupl(nGC_3441)
    coupl(nGC_3318) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_86) - coupl(nGC_206)*   &
                      coupl(nGC_35)*coupl(nGC_87) - coupl(nGC_22)*coupl(nGC_23 &
                      )*coupl(nGC_85) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                      nGC_86) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_87) -    &
                      coupl(nGC_61)*coupl(nGC_62)*coupl(nGC_85) - coupl(nGC_86 &
                      )**2d0*coupl(nGC_88) - coupl(nGC_87)**2d0*coupl(nGC_88   &
                      ))/(32d0*pi**2d0)
    coupl(nGC_4876) = coupl(nGC_27)*dZAZ/2d0 + coupl(nGC_3475) + coupl(nGC_8)* &
                      dZH/2d0 + coupl(nGC_8)*dZWMinus/2d0 + coupl(nGC_8)*dZZ/  &
                      2d0
    coupl(nGC_5359) = coupl(nGC_3564) + coupl(nGC_5356)
    coupl(nGC_5757) = coupl(nGC_3447) + coupl(nGC_4)*dZA/2d0 + coupl(nGC_40)*  &
                      dZZA/2d0
    coupl(nGC_4987) = coupl(nGC_3)*dZWMinus/2d0 + coupl(nGC_3441)
    coupl(nGC_5758) = -coupl(nGC_5757)
    coupl(nGC_5694) = -coupl(nGC_5693)
    coupl(nGC_4901) = coupl(nGC_25)*dZZ/2d0 + coupl(nGC_3)*dZAZ/2d0 + coupl(   &
                      nGC_3443)
    coupl(nGC_6127) = coupl(nGC_3535) + coupl(nGC_67)*dZH/2d0
    coupl(nGC_5296) = coupl(nGC_24)*dZZA/2d0 + coupl(nGC_3447) + coupl(nGC_4)* &
                      dZA/2d0
    coupl(nGC_4867) = coupl(nGC_3447) + coupl(nGC_4)*dZWMinus/2d0
    coupl(nGC_5097) = coupl(nGC_29)*dZA/2d0 + coupl(nGC_29)*dZWMinus + coupl(  &
                      nGC_29)*dZZ/2d0 + coupl(nGC_3445)
    coupl(nGC_5098) = -2d0*coupl(nGC_5096) + coupl(nGC_5097)
    coupl(nGC_5099) = coupl(nGC_5096) - coupl(nGC_5097)/2d0
    coupl(nGC_6443) = coupl(nGC_34)*dZZ/2d0 + coupl(nGC_34)*dZbR + coupl(      &
                      nGC_3488)
    coupl(nGC_6033) = coupl(nGC_3563) + coupl(nGC_6030)
    coupl(nGC_4914) = coupl(nGC_4912) + coupl(nGC_4913)
    coupl(nGC_4915) = coupl(nGC_4907) + coupl(nGC_4913)
    coupl(nGC_6128) = coupl(nGC_6126) + coupl(nGC_6127)
    coupl(nGC_6334) = coupl(nGC_3579) + coupl(nGC_MZ_GF)*dZZ/2d0
    coupl(nGC_5144) = coupl(nGC_5141) + coupl(nGC_5142)
    coupl(nGC_5145) = coupl(nGC_5141) + coupl(nGC_5143)
    coupl(nGC_9279) = -coupl(nGC_3283)
    coupl(nGC_5634) = coupl(nGC_5141) + coupl(nGC_5633)
    coupl(nGC_10319) = -coupl(nGC_3349)
    coupl(nGC_5481) = coupl(nGC_5477) + coupl(nGC_5479)
    coupl(nGC_5480) = coupl(nGC_5477) + coupl(nGC_5478)
    coupl(nGC_5173) = -coupl(nGC_5172)
    coupl(nGC_5576) = coupl(nGC_3577) + coupl(nGC_MW_GF)*dZWMinus/2d0
    coupl(nGC_5402) = coupl(nGC_3471) + coupl(nGC_42)*dZA/2d0 + coupl(nGC_42)* &
                      dZZ/2d0 + coupl(nGC_45)*dZZA/2d0 + coupl(nGC_6)*dZAZ/2d0
    coupl(nGC_4834) = coupl(nGC_24)*dZWMinus/2d0 + coupl(nGC_3452)
    coupl(nGC_9610) = -coupl(nGC_3266)
    coupl(nGC_4934) = coupl(nGC_11)*dZg_QCD2/2d0 + coupl(nGC_3483)
    coupl(nGC_4935) = coupl(nGC_4929) + coupl(nGC_4934)
    coupl(nGC_4839) = coupl(nGC_3479) + coupl(nGC_42)*dZAZ + coupl(nGC_45)*dZZ
    coupl(nGC_4843) = coupl(nGC_3464) + coupl(nGC_47)*dZZA/2d0 + coupl(nGC_51)*&
                      dZA/2d0 + coupl(nGC_51)*dZWMinus/2d0
    coupl(nGC_4936) = coupl(nGC_4931) + coupl(nGC_4934)
    coupl(nGC_6367) = coupl(nGC_4943) + coupl(nGC_6366)
    coupl(nGC_5280) = coupl(nGC_3442) + coupl(nGC_5)*dZA + coupl(nGC_5)*dZWMinus
    coupl(nGC_5167) = coupl(nGC_3543) + coupl(nGC_88)*dZuL_QED2/2d0 + coupl(   &
                      nGC_88)*dZuR_QED2/2d0
    coupl(nGC_5710) = coupl(nGC_3480) + coupl(nGC_52)*dZH/2d0 + coupl(nGC_52)* &
                      dZZ
    coupl(nGC_4949) = coupl(nGC_3490) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)* &
                      dZtauMinusR
    coupl(nGC_4948) = coupl(nGC_3473) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)* &
                      dZtauMinusL
    coupl(nGC_5654) = coupl(nGC_25)*dZWMinus + coupl(nGC_25)*dZZ/2d0 + coupl(  &
                      nGC_3)*dZAZ/2d0 + coupl(nGC_3443)
    coupl(nGC_5196) = coupl(nGC_4943) + coupl(nGC_5194)
    coupl(nGC_5936) = -coupl(nGC_5935)
    coupl(nGC_5308) = coupl(nGC_3532) + coupl(nGC_70)*dZmuMinusL/2d0 + coupl(  &
                      nGC_70)*dZmuMinusR/2d0
    coupl(nGC_5309) = coupl(nGC_3531) + coupl(nGC_72)*dZmuMinusL/2d0 + coupl(  &
                      nGC_72)*dZmuMinusR/2d0
    coupl(nGC_7937) = 2d0*coupl(nGC_12)*dZg_QCD2 + coupl(nGC_3440)
    coupl(nGC_5300) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZmuMinusL/2d0&
                       + coupl(nGC_23)*dZnu_muL/2d0 + coupl(nGC_3484)
    coupl(nGC_4921) = coupl(nGC_4919) + coupl(nGC_4920)
    coupl(nGC_5118) = coupl(nGC_13)*dZH + coupl(nGC_3457)
    coupl(nGC_9439) = -coupl(nGC_3240)
    coupl(nGC_5113) = coupl(nGC_5106) + coupl(nGC_5112)
    coupl(nGC_5114) = coupl(nGC_5109) + coupl(nGC_5112)
    coupl(nGC_4950) = coupl(nGC_4943) + coupl(nGC_4949)
    coupl(nGC_4951) = coupl(nGC_4943) + coupl(nGC_4948)
    coupl(nGC_5268) = coupl(nGC_5141) + coupl(nGC_5266)
    coupl(nGC_4880) = coupl(nGC_3489) + coupl(nGC_41)*dZZ/2d0 + coupl(nGC_41)* &
                      dZnu_muL
    coupl(nGC_6321) = coupl(nGC_24)*dZZ/2d0 + coupl(nGC_3452) + coupl(nGC_4)*  &
                      dZAZ/2d0
    coupl(nGC_6825) = -coupl(nGC_5654)
    coupl(nGC_4961) = coupl(nGC_4959) + coupl(nGC_4960)
    coupl(nGC_5022) = coupl(nGC_5020) + coupl(nGC_5021)
    coupl(nGC_5379) = coupl(nGC_3522) + coupl(nGC_5378)
    coupl(nGC_6084) = coupl(nGC_3569) + coupl(nGC_6081)
    coupl(nGC_5776) = -coupl(nGC_5775)
    coupl(nGC_6445) = coupl(nGC_5130) + coupl(nGC_6443)
    coupl(nGC_5724) = coupl(nGC_4934) + coupl(nGC_5718)
    coupl(nGC_7938) = -2d0*coupl(nGC_7937)
    coupl(nGC_7941) = -coupl(nGC_7937)
    coupl(nGC_4988) = -coupl(nGC_4987)
    coupl(nGC_7942) = 2d0*coupl(nGC_7937)
    coupl(nGC_5723) = coupl(nGC_4934) + coupl(nGC_5720)
    coupl(nGC_5737) = coupl(nGC_4934) + coupl(nGC_5734)
    coupl(nGC_4868) = -coupl(nGC_4867)
    coupl(nGC_4835) = -coupl(nGC_4834)
    coupl(nGC_6322) = -coupl(nGC_6321)
    coupl(nGC_4902) = -coupl(nGC_4901)
    coupl(nGC_5133) = coupl(nGC_5130) + coupl(nGC_5132)
    coupl(nGC_6975) = coupl(nGC_4934) + coupl(nGC_6971)
    coupl(nGC_6974) = coupl(nGC_4934) + coupl(nGC_6969)
    coupl(nGC_5282) = coupl(nGC_5279) - 2d0*coupl(nGC_5280)
    coupl(nGC_5281) = -coupl(nGC_5279)/2d0 + coupl(nGC_5280)
    coupl(nGC_5738) = coupl(nGC_4934) + coupl(nGC_5736)
    coupl(nGC_5297) = -coupl(nGC_5296)
  end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
