!******************************************************************************!
!                                                                              !
!    vertices_info2.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info2.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info2
  implicit none
  contains
  subroutine fill_vertices_mdl2()
    use class_vertices
    use class_couplings
    allocate(vertices(800)%branch(0:1))
    call av(800, 0, 0, 4, 0, VVV0, 0, [1, 0], [nGC_10])

    call av(800, 1, 1, 5, 0, VVV0, 0, [1, 0], [nGC_10])

    allocate(vertices(801)%branch(0:0))
    call av(801, 0, 8, 1, 0, VVV0, 0, [0, 1], [nGC_25])

    allocate(vertices(802)%branch(0:0))
    call av(802, 0, 8, 1, 0, SVV0, 0, [0, 1], [nGC_52])

    allocate(vertices(803)%branch(0:0))
    call av(803, 0, 17, 1, 0, FaSF0, 0, [0, 1], [nGC_59, nGC_59])

    allocate(vertices(804)%branch(0:0))
    call av(804, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_170])

    allocate(vertices(805)%branch(0:0))
    call av(805, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_8])

    allocate(vertices(806)%branch(0:0))
    call av(806, 0, 20, 1, 0, SFaF0, 0, [0, 1], [nGC_58, nGC_60])

    allocate(vertices(807)%branch(0:0))
    call av(807, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_314, nGC_19, nGC_19])

    allocate(vertices(808)%branch(0:0))
    call av(808, 0, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_34, nGC_38])

    allocate(vertices(809)%branch(0:0))
    call av(809, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(810)%branch(0:0))
    call av(810, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14])

    allocate(vertices(811)%branch(0:0))
    call av(811, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_19, nGC_314, nGC_19])

    allocate(vertices(812)%branch(0:0))
    call av(812, 0, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(813)%branch(0:0))
    call av(813, 0, 8, 1, 0, UaUV0, 0, [0, 1], [nGC_234])

    allocate(vertices(814)%branch(0:0))
    call av(814, 0, 8, 1, 0, SVV0, 0, [0, 1], [nGC_51])

    allocate(vertices(815)%branch(0:0))
    call av(815, 0, 8, 1, 0, FaFV0, 0, [0, 1], [nGC_36, nGC_40])

    allocate(vertices(816)%branch(0:1))
    call av(816, 0, 32, 2, 0, FaVF0, 0, [1, 0], [nGC_11, nGC_11])

    call av(816, 1, 33, 3, 0, FaVF0, 0, [1, 0], [nGC_11, nGC_11])

    allocate(vertices(817)%branch(0:0))
    call av(817, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_26])

    allocate(vertices(818)%branch(0:1))
    call av(818, 0, 34, 2, 0, FaFV0, 0, [1, 0], [nGC_11, nGC_11])

    call av(818, 1, 35, 3, 0, FaFV0, 0, [1, 0], [nGC_11, nGC_11])

    allocate(vertices(819)%branch(0:0))
    call av(819, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_9])

    allocate(vertices(820)%branch(0:0))
    call av(820, 0, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_61, nGC_85])

    allocate(vertices(821)%branch(0:0))
    call av(821, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13])

    allocate(vertices(822)%branch(0:0))
    call av(822, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_31])

    allocate(vertices(823)%branch(0:0))
    call av(823, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_28])

    allocate(vertices(824)%branch(0:0))
    call av(824, 0, 8, 1, 0, VFFa0, 0, [0, 1], [nGC_23])

    allocate(vertices(825)%branch(0:0))
    call av(825, 0, 20, 1, 0, SFaF0, 0, [0, 1], [nGC_76, nGC_74])

    allocate(vertices(826)%branch(0:0))
    call av(826, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_46])

    allocate(vertices(827)%branch(0:0))
    call av(827, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_17])

    allocate(vertices(828)%branch(0:0))
    call av(828, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13])

    allocate(vertices(829)%branch(0:0))
    call av(829, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_28])

    allocate(vertices(830)%branch(0:0))
    call av(830, 0, 8, 1, 0, UaUV0, 0, [0, 1], [nGC_170])

    allocate(vertices(831)%branch(0:0))
    call av(831, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_51])

    allocate(vertices(832)%branch(0:0))
    call av(832, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_8])

    allocate(vertices(833)%branch(0:1))
    call av(833, 0, 38, 2, 0, VFaF1, 0, [1, 0], [nGC_11, nGC_11])

    call av(833, 1, 39, 3, 0, VFaF1, 0, [1, 0], [nGC_11, nGC_11])

    allocate(vertices(834)%branch(0:0))
    call av(834, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_7])

    allocate(vertices(835)%branch(0:0))
    call av(835, 0, 20, 1, 0, VFaF1, 0, [0, 1], [nGC_34, nGC_38])

    allocate(vertices(836)%branch(0:0))
    call av(836, 0, 8, 1, 0, FaSF0, 0, [0, 1], [nGC_68, nGC_66])

    allocate(vertices(837)%branch(0:0))
    call av(837, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_6])

    allocate(vertices(838)%branch(0:0))
    call av(838, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_51])

    allocate(vertices(839)%branch(0:0))
    call av(839, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_8])

    allocate(vertices(840)%branch(0:0))
    call av(840, 0, 8, 1, 0, SFFa0, 0, [0, 1], [nGC_68, nGC_66])

    allocate(vertices(841)%branch(0:0))
    call av(841, 0, 8, 1, 0, FFaS2, 0, [0, 1], [nGC_65])

    allocate(vertices(842)%branch(0:0))
    call av(842, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_42])

    allocate(vertices(843)%branch(0:0))
    call av(843, 0, 17, 1, 0, FaVF0, 0, [0, 1], [nGC_34, nGC_38])

    allocate(vertices(844)%branch(0:0))
    call av(844, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_8])

    allocate(vertices(845)%branch(0:0))
    call av(845, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_27])

    allocate(vertices(846)%branch(0:0))
    call av(846, 0, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_31])

    allocate(vertices(847)%branch(0:0))
    call av(847, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_45])

    allocate(vertices(848)%branch(0:0))
    call av(848, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_4])

    allocate(vertices(849)%branch(0:0))
    call av(849, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_7])

    allocate(vertices(850)%branch(0:0))
    call av(850, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_26])

    allocate(vertices(851)%branch(0:0))
    call av(851, 0, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_76, nGC_74])

    allocate(vertices(852)%branch(0:0))
    call av(852, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_46])

    allocate(vertices(853)%branch(0:0))
    call av(853, 0, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_87, nGC_87])

    allocate(vertices(854)%branch(0:0))
    call av(854, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5, nGC_396, nGC_5])

    allocate(vertices(855)%branch(0:0))
    call av(855, 0, 8, 1, 0, FSFa2, 0, [0, 1], [nGC_83, nGC_83])

    allocate(vertices(856)%branch(0:0))
    call av(856, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_18, nGC_18, nGC_434])

    allocate(vertices(857)%branch(0:0))
    call av(857, 0, 8, 1, 0, FFaS1, 0, [0, 1], [nGC_65])

    allocate(vertices(858)%branch(0:0))
    call av(858, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_8])

    allocate(vertices(859)%branch(0:0))
    call av(859, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_7])

    allocate(vertices(860)%branch(0:0))
    call av(860, 0, 8, 1, 0, FaVF0, 0, [0, 1], [nGC_36, nGC_40])

    allocate(vertices(861)%branch(0:0))
    call av(861, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13])

    allocate(vertices(862)%branch(0:0))
    call av(862, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_8])

    allocate(vertices(863)%branch(0:0))
    call av(863, 0, 8, 1, 0, UaVU0, 0, [0, 1], [nGC_210])

    allocate(vertices(864)%branch(0:0))
    call av(864, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_17])

    allocate(vertices(865)%branch(0:0))
    call av(865, 0, 8, 1, 0, FVFa0, 0, [0, 1], [nGC_23])

    allocate(vertices(866)%branch(0:0))
    call av(866, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_170])

    allocate(vertices(867)%branch(0:0))
    call av(867, 0, 20, 1, 0, VFaF1, 0, [0, 1], [nGC_1, nGC_1])

    allocate(vertices(868)%branch(0:0))
    call av(868, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_7])

    allocate(vertices(869)%branch(0:0))
    call av(869, 0, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_55, nGC_55])

    allocate(vertices(870)%branch(0:0))
    call av(870, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_26])

    allocate(vertices(871)%branch(0:0))
    call av(871, 0, 8, 1, 0, UaVU0, 0, [0, 1], [nGC_170])

    allocate(vertices(872)%branch(0:0))
    call av(872, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_2, nGC_2])

    allocate(vertices(873)%branch(0:0))
    call av(873, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_27])

    allocate(vertices(874)%branch(0:0))
    call av(874, 0, 8, 1, 0, VUUa0, 0, [0, 1], [nGC_354])

    allocate(vertices(875)%branch(0:0))
    call av(875, 0, 8, 1, 0, VFFa0, 0, [0, 1], [nGC_41])

    allocate(vertices(876)%branch(0:0))
    call av(876, 0, 8, 1, 0, FaSF0, 0, [0, 1], [nGC_84, nGC_82])

    allocate(vertices(877)%branch(0:0))
    call av(877, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_18, nGC_434, nGC_18])

    allocate(vertices(878)%branch(0:0))
    call av(878, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_9])

    allocate(vertices(879)%branch(0:0))
    call av(879, 0, 8, 1, 0, UUaV0, 0, [0, 1], [nGC_170])

    allocate(vertices(880)%branch(0:0))
    call av(880, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_27])

    allocate(vertices(881)%branch(0:0))
    call av(881, 0, 21, 1, 0, VFFa1, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(882)%branch(0:0))
    call av(882, 0, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_23])

    allocate(vertices(883)%branch(0:0))
    call av(883, 0, 8, 1, 0, VVS0, 0, [0, 1], [nGC_50])

    allocate(vertices(884)%branch(0:0))
    call av(884, 0, 8, 1, 0, FSFa2, 0, [0, 1], [nGC_84, nGC_82])

    allocate(vertices(885)%branch(0:0))
    call av(885, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_9])

    allocate(vertices(886)%branch(0:0))
    call av(886, 0, 8, 1, 0, FVFa0, 0, [0, 1], [nGC_41])

    allocate(vertices(887)%branch(0:0))
    call av(887, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_8])

    allocate(vertices(888)%branch(0:0))
    call av(888, 0, 21, 1, 0, SFFa0, 0, [0, 1], [nGC_85, nGC_61])

    allocate(vertices(889)%branch(0:0))
    call av(889, 0, 8, 1, 0, UaUV0, 0, [0, 1], [nGC_170])

    allocate(vertices(890)%branch(0:0))
    call av(890, 0, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_43])

    allocate(vertices(891)%branch(0:0))
    call av(891, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_7])

    allocate(vertices(892)%branch(0:0))
    call av(892, 0, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_41])

    allocate(vertices(893)%branch(0:0))
    call av(893, 0, 8, 1, 0, UUaV0, 0, [0, 1], [nGC_170])

    allocate(vertices(894)%branch(0:0))
    call av(894, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5, nGC_396, nGC_5])

    allocate(vertices(895)%branch(0:0))
    call av(895, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_50])

    allocate(vertices(896)%branch(0:0))
    call av(896, 0, 18, 1, 0, FaFV1, 0, [0, 1], [nGC_23])

    allocate(vertices(897)%branch(0:0))
    call av(897, 0, 21, 1, 0, VFFa0, 0, [0, 1], [nGC_23])

    allocate(vertices(898)%branch(0:0))
    call av(898, 0, 19, 1, 0, FSFa2, 0, [0, 1], [nGC_63, nGC_63])

    allocate(vertices(899)%branch(0:1))
    call av(899, 0, 40, 2, 0, VFFa1, 0, [1, 0], [nGC_11, nGC_11])

    call av(899, 1, 41, 3, 0, VFFa1, 0, [1, 0], [nGC_11, nGC_11])

    allocate(vertices(900)%branch(0:0))
    call av(900, 0, 8, 1, 0, FSFa0, 0, [0, 1], [nGC_69])

    allocate(vertices(901)%branch(0:0))
    call av(901, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_17])

    allocate(vertices(902)%branch(0:0))
    call av(902, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13])

    allocate(vertices(903)%branch(0:0))
    call av(903, 0, 17, 1, 0, FaSF0, 0, [0, 1], [nGC_53, nGC_77])

    allocate(vertices(904)%branch(0:0))
    call av(904, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_954])

    allocate(vertices(905)%branch(0:0))
    call av(905, 0, 8, 1, 0, FSFa2, 0, [0, 1], [nGC_71, nGC_71])

    allocate(vertices(906)%branch(0:0))
    call av(906, 0, 8, 1, 0, VUUa0, 0, [0, 1], [nGC_354])

    allocate(vertices(907)%branch(0:0))
    call av(907, 0, 18, 1, 0, FaFV1, 0, [0, 1], [nGC_23])

    allocate(vertices(908)%branch(0:0))
    call av(908, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_27])

    allocate(vertices(909)%branch(0:0))
    call av(909, 0, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_1, nGC_1])

    allocate(vertices(910)%branch(0:0))
    call av(910, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_85, nGC_61])

    allocate(vertices(911)%branch(0:0))
    call av(911, 0, 8, 1, 0, UVUa0, 0, [0, 1], [nGC_170])

    allocate(vertices(912)%branch(0:0))
    call av(912, 0, 8, 1, 0, UUaV0, 0, [0, 1], [nGC_234])

    allocate(vertices(913)%branch(0:1))
    call av(913, 0, 11, 2, 0, FFaV0, 0, [1, 0], [nGC_11, nGC_11])

    call av(913, 1, 12, 3, 0, FFaV0, 0, [1, 0], [nGC_11, nGC_11])

    allocate(vertices(914)%branch(0:0))
    call av(914, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5, nGC_396, nGC_5])

    allocate(vertices(915)%branch(0:0))
    call av(915, 0, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_16])

    allocate(vertices(916)%branch(0:0))
    call av(916, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_8])

    allocate(vertices(917)%branch(0:0))
    call av(917, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_56, nGC_54])

    allocate(vertices(918)%branch(0:0))
    call av(918, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_7])

    allocate(vertices(919)%branch(0:0))
    call av(919, 0, 8, 1, 0, SFaF0, 0, [0, 1], [nGC_67, nGC_67])

    allocate(vertices(920)%branch(0:0))
    call av(920, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_33])

    allocate(vertices(921)%branch(0:0))
    call av(921, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_48])

    allocate(vertices(922)%branch(0:0))
    call av(922, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_7])

    allocate(vertices(923)%branch(0:0))
    call av(923, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_206])

    allocate(vertices(924)%branch(0:0))
    call av(924, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_218, nGC_218, nGC_29])

    allocate(vertices(925)%branch(0:0))
    call av(925, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_218, nGC_218, nGC_29])

    allocate(vertices(926)%branch(0:0))
    call av(926, 0, 19, 1, 0, FSFa2, 0, [0, 1], [nGC_64, nGC_62])

    allocate(vertices(927)%branch(0:0))
    call av(927, 0, 8, 1, 0, FFaV0, 0, [0, 1], [nGC_36, nGC_40])

    allocate(vertices(928)%branch(0:0))
    call av(928, 0, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_30])

    allocate(vertices(929)%branch(0:0))
    call av(929, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_46])

    allocate(vertices(930)%branch(0:0))
    call av(930, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_17])

    allocate(vertices(931)%branch(0:0))
    call av(931, 0, 8, 1, 0, VUUa0, 0, [0, 1], [nGC_170])

    allocate(vertices(932)%branch(0:0))
    call av(932, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13])

    allocate(vertices(933)%branch(0:0))
    call av(933, 0, 8, 1, 0, UVUa0, 0, [0, 1], [nGC_170])

    allocate(vertices(934)%branch(0:0))
    call av(934, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_27])

    allocate(vertices(935)%branch(0:0))
    call av(935, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_48])

    allocate(vertices(936)%branch(0:0))
    call av(936, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_218, nGC_29, nGC_218])

    allocate(vertices(937)%branch(0:0))
    call av(937, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_34, nGC_38])

    allocate(vertices(938)%branch(0:0))
    call av(938, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_28])

    allocate(vertices(939)%branch(0:0))
    call av(939, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_9])

    allocate(vertices(940)%branch(0:0))
    call av(940, 0, 8, 1, 0, FaFV0, 0, [0, 1], [nGC_36, nGC_40])

    allocate(vertices(941)%branch(0:0))
    call av(941, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_43])

    allocate(vertices(942)%branch(0:0))
    call av(942, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14])

    allocate(vertices(943)%branch(0:0))
    call av(943, 0, 8, 1, 0, VFaF1, 0, [0, 1], [nGC_4, nGC_4])

    allocate(vertices(944)%branch(0:1))
    call av(944, 0, 11, 2, 0, FFaV0, 0, [1, 0], [nGC_11, nGC_11])

    call av(944, 1, 12, 3, 0, FFaV0, 0, [1, 0], [nGC_11, nGC_11])

    allocate(vertices(945)%branch(0:0))
    call av(945, 0, 8, 1, 0, VFFa0, 0, [0, 1], [nGC_23])

    allocate(vertices(946)%branch(0:0))
    call av(946, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_17])

    allocate(vertices(947)%branch(0:0))
    call av(947, 0, 17, 1, 0, FaSF0, 0, [0, 1], [nGC_85, nGC_61])

    allocate(vertices(948)%branch(0:0))
    call av(948, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_42])

    allocate(vertices(949)%branch(0:0))
    call av(949, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_17])

    allocate(vertices(950)%branch(0:0))
    call av(950, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_8])

    allocate(vertices(951)%branch(0:0))
    call av(951, 0, 17, 1, 0, FaVF0, 0, [0, 1], [nGC_1, nGC_1])

    allocate(vertices(952)%branch(0:0))
    call av(952, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_9])

    allocate(vertices(953)%branch(0:0))
    call av(953, 0, 21, 1, 0, VFFa1, 0, [0, 1], [nGC_1, nGC_1])

    allocate(vertices(954)%branch(0:0))
    call av(954, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_206])

    allocate(vertices(955)%branch(0:0))
    call av(955, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_33])

    allocate(vertices(956)%branch(0:0))
    call av(956, 0, 8, 1, 0, UVUa0, 0, [0, 1], [nGC_210])

    allocate(vertices(957)%branch(0:0))
    call av(957, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_396, nGC_5, nGC_5])

    allocate(vertices(958)%branch(0:0))
    call av(958, 0, 8, 1, 0, FaFV1, 0, [0, 1], [nGC_41])

    allocate(vertices(959)%branch(0:0))
    call av(959, 0, 8, 1, 0, UaUV0, 0, [0, 1], [nGC_354])

    allocate(vertices(960)%branch(0:0))
    call av(960, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_37])

    allocate(vertices(961)%branch(0:0))
    call av(961, 0, 8, 1, 0, VUUa0, 0, [0, 1], [nGC_170])

    allocate(vertices(962)%branch(0:0))
    call av(962, 0, 20, 1, 0, SFaF0, 0, [0, 1], [nGC_77, nGC_53])

    allocate(vertices(963)%branch(0:0))
    call av(963, 0, 20, 1, 0, VFaF1, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(964)%branch(0:0))
    call av(964, 0, 17, 1, 0, FaVF0, 0, [0, 1], [nGC_34, nGC_38])

    allocate(vertices(965)%branch(0:0))
    call av(965, 0, 8, 1, 0, FVFa0, 0, [0, 1], [nGC_23])

    allocate(vertices(966)%branch(0:0))
    call av(966, 0, 21, 1, 0, VFFa1, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(967)%branch(0:0))
    call av(967, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_9])

    allocate(vertices(968)%branch(0:0))
    call av(968, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_17])

    allocate(vertices(969)%branch(0:0))
    call av(969, 0, 20, 1, 0, SFaF0, 0, [0, 1], [nGC_63, nGC_63])

    allocate(vertices(970)%branch(0:1))
    call av(970, 0, 38, 2, 0, VFaF1, 0, [1, 0], [nGC_11, nGC_11])

    call av(970, 1, 39, 3, 0, VFaF1, 0, [1, 0], [nGC_11, nGC_11])

    allocate(vertices(971)%branch(0:0))
    call av(971, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_77, nGC_53])

    allocate(vertices(972)%branch(0:0))
    call av(972, 0, 8, 1, 0, FVFa1, 0, [0, 1], [nGC_36, nGC_40])

    allocate(vertices(973)%branch(0:0))
    call av(973, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_218, nGC_218, nGC_29])

    allocate(vertices(974)%branch(0:1))
    call av(974, 0, 28, 4, 0, VUaU0, 0, [1, 0], [nGC_556])

    call av(974, 1, 29, 5, 0, VUaU0, 0, [1, 0], [nGC_556])

    allocate(vertices(975)%branch(0:0))
    call av(975, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_28])

    allocate(vertices(976)%branch(0:0))
    call av(976, 0, 8, 1, 0, VVS0, 0, [0, 1], [nGC_51])

    allocate(vertices(977)%branch(0:0))
    call av(977, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_28])

    allocate(vertices(978)%branch(0:0))
    call av(978, 0, 20, 1, 0, SFaF0, 0, [0, 1], [nGC_56, nGC_54])

    allocate(vertices(979)%branch(0:1))
    call av(979, 0, 36, 2, 0, FVFa1, 0, [1, 0], [nGC_11, nGC_11])

    call av(979, 1, 37, 3, 0, FVFa1, 0, [1, 0], [nGC_11, nGC_11])

    allocate(vertices(980)%branch(0:0))
    call av(980, 0, 8, 1, 0, VUUa0, 0, [0, 1], [nGC_234])

    allocate(vertices(981)%branch(0:0))
    call av(981, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_43])

    allocate(vertices(982)%branch(0:0))
    call av(982, 0, 8, 1, 0, VFaF1, 0, [0, 1], [nGC_36, nGC_40])

    allocate(vertices(983)%branch(0:0))
    call av(983, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_13])

    allocate(vertices(984)%branch(0:0))
    call av(984, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_42])

    allocate(vertices(985)%branch(0:0))
    call av(985, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_218, nGC_218, nGC_29])

    allocate(vertices(986)%branch(0:0))
    call av(986, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_28])

    allocate(vertices(987)%branch(0:0))
    call av(987, 0, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_77, nGC_53])

    allocate(vertices(988)%branch(0:0))
    call av(988, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_7])

    allocate(vertices(989)%branch(0:0))
    call av(989, 0, 8, 1, 0, VVV0, 0, [0, 1], [nGC_25])

    allocate(vertices(990)%branch(0:0))
    call av(990, 0, 8, 1, 0, FFaS0, 0, [0, 1], [nGC_68, nGC_66])

    allocate(vertices(991)%branch(0:0))
    call av(991, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_49])

    allocate(vertices(992)%branch(0:0))
    call av(992, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_9])

    allocate(vertices(993)%branch(0:0))
    call av(993, 0, 21, 1, 0, VFFa0, 0, [0, 1], [nGC_23])

    allocate(vertices(994)%branch(0:0))
    call av(994, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_28])

    allocate(vertices(995)%branch(0:0))
    call av(995, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_9])

    allocate(vertices(996)%branch(0:0))
    call av(996, 0, 8, 1, 0, FaVF0, 0, [0, 1], [nGC_4, nGC_4])

    allocate(vertices(997)%branch(0:0))
    call av(997, 0, 8, 1, 0, VVV0, 0, [0, 1], [nGC_3])

    allocate(vertices(998)%branch(0:0))
    call av(998, 0, 20, 1, 0, VFaF1, 0, [0, 1], [nGC_34, nGC_38])

    allocate(vertices(999)%branch(0:0))
    call av(999, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_8])

    allocate(vertices(1000)%branch(0:0))
    call av(1000, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_9])

    allocate(vertices(1001)%branch(0:0))
    call av(1001, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_17])

    allocate(vertices(1002)%branch(0:0))
    call av(1002, 0, 17, 1, 0, FaVF0, 0, [0, 1], [nGC_35, nGC_39])

    allocate(vertices(1003)%branch(0:0))
    call av(1003, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_27])

    allocate(vertices(1004)%branch(0:0))
    call av(1004, 0, 8, 1, 0, UaVU0, 0, [0, 1], [nGC_354])

    allocate(vertices(1005)%branch(0:0))
    call av(1005, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_15])

    allocate(vertices(1006)%branch(0:0))
    call av(1006, 0, 8, 1, 0, FFaS1, 0, [0, 1], [nGC_69])

    allocate(vertices(1007)%branch(0:0))
    call av(1007, 0, 8, 1, 0, VVV0, 0, [0, 1], [nGC_210])

    allocate(vertices(1008)%branch(0:0))
    call av(1008, 0, 8, 1, 0, FSFa2, 0, [0, 1], [nGC_67, nGC_67])

    allocate(vertices(1009)%branch(0:0))
    call av(1009, 0, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_14])

    allocate(vertices(1010)%branch(0:0))
    call av(1010, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_314, nGC_19, nGC_19])

    allocate(vertices(1011)%branch(0:0))
    call av(1011, 0, 17, 1, 0, FaSF0, 0, [0, 1], [nGC_63, nGC_63])

    allocate(vertices(1012)%branch(0:0))
    call av(1012, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_28])

    allocate(vertices(1013)%branch(0:0))
    call av(1013, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_6])

    allocate(vertices(1014)%branch(0:0))
    call av(1014, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_29, nGC_218, nGC_218])

    allocate(vertices(1015)%branch(0:1))
    call av(1015, 0, 36, 2, 0, FVFa1, 0, [1, 0], [nGC_11, nGC_11])

    call av(1015, 1, 37, 3, 0, FVFa1, 0, [1, 0], [nGC_11, nGC_11])

    allocate(vertices(1016)%branch(0:0))
    call av(1016, 0, 8, 1, 0, VFaF0, 0, [0, 1], [nGC_23])

    allocate(vertices(1017)%branch(0:0))
    call av(1017, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_8])

    allocate(vertices(1018)%branch(0:0))
    call av(1018, 0, 8, 1, 0, VFFa1, 0, [0, 1], [nGC_4, nGC_4])

    allocate(vertices(1019)%branch(0:0))
    call av(1019, 0, 21, 1, 0, SFFa0, 0, [0, 1], [nGC_75, nGC_75])

    allocate(vertices(1020)%branch(0:0))
    call av(1020, 0, 8, 1, 0, UaUS0, 0, [0, 1], [nGC_31])

    allocate(vertices(1021)%branch(0:0))
    call av(1021, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_42])

    allocate(vertices(1022)%branch(0:0))
    call av(1022, 0, 17, 1, 0, FaVF1, 0, [0, 1], [nGC_23])

    allocate(vertices(1023)%branch(0:0))
    call av(1023, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_27])

    allocate(vertices(1024)%branch(0:0))
    call av(1024, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_47])

    allocate(vertices(1025)%branch(0:0))
    call av(1025, 0, 8, 1, 0, SVV0, 0, [0, 1], [nGC_47])

    allocate(vertices(1026)%branch(0:0))
    call av(1026, 0, 8, 1, 0, UaUV0, 0, [0, 1], [nGC_354])

    allocate(vertices(1027)%branch(0:0))
    call av(1027, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_28])

    allocate(vertices(1028)%branch(0:0))
    call av(1028, 0, 8, 1, 0, UaUS0, 0, [0, 1], [nGC_16])

    allocate(vertices(1029)%branch(0:0))
    call av(1029, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_27])

    allocate(vertices(1030)%branch(0:0))
    call av(1030, 0, 20, 1, 0, VFaF0, 0, [0, 1], [nGC_23])

    allocate(vertices(1031)%branch(0:0))
    call av(1031, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_45])

    allocate(vertices(1032)%branch(0:0))
    call av(1032, 0, 8, 1, 0, VFFa0, 0, [0, 1], [nGC_23])

    allocate(vertices(1033)%branch(0:0))
    call av(1033, 0, 8, 1, 0, SSS0, 0, [0, 1], [nGC_48])

    allocate(vertices(1034)%branch(0:0))
    call av(1034, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_58, nGC_60])

    allocate(vertices(1035)%branch(0:0))
    call av(1035, 0, 8, 1, 0, VVV0, 0, [0, 1], [nGC_210])

    allocate(vertices(1036)%branch(0:0))
    call av(1036, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_170])

    allocate(vertices(1037)%branchCT(0:0))
    call avCT(1037, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_4803])

    allocate(vertices(1)%branchCT(0:0))
    call avCT(1, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4807])

    allocate(vertices(2)%branchCT(0:0))
    call avCT(2, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4811])

    allocate(vertices(3)%branchCT(0:0))
    call avCT(3, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_4815])

    allocate(vertices(164)%branchCT(0:0))
    call avCT(164, 0, 8, 1, 0, SFaF0, 0, [0, 1], [nGC_4821, nGC_4820])

    allocate(vertices(5)%branchCT(0:0))
    call avCT(5, 0, 8, 1, 0, FSFa0, 0, [0, 1], [nGC_4824])

    allocate(vertices(1038)%branchCT(0:0))
    call avCT(1038, 0, 13, 1, 0, FaF0, 0, [0, 0], [nGC_4826, nGC_4825])

    allocate(vertices(6)%branchCT(0:0))
    call avCT(6, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_4829])

    allocate(vertices(40)%branchCT(0:0))
    call avCT(40, 0, 8, 1, 0, FaFS1, 0, [0, 1], [nGC_4824])

    allocate(vertices(8)%branchCT(0:0))
    call avCT(8, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_4835])

    allocate(vertices(10)%branchCT(0:0))
    call avCT(10, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_4839])

    allocate(vertices(11)%branchCT(0:0))
    call avCT(11, 0, 8, 1, 0, SVV0, 0, [0, 1], [nGC_4843])

    allocate(vertices(12)%branchCT(0:0))
    call avCT(12, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_4829])

    allocate(vertices(941)%branchCT(0:0))
    call avCT(941, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_3451])

    allocate(vertices(13)%branchCT(0:0))
    call avCT(13, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_4815])

    allocate(vertices(14)%branchCT(0:0))
    call avCT(14, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_4807])

    allocate(vertices(1039)%branchCT(0:0))
    call avCT(1039, 0, 8, 1, 0, FVFa0, 0, [0, 1], [nGC_4853])

    allocate(vertices(15)%branchCT(0:2))
    call avCT(15, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_4862, nGC_4862])

    call avCT(15, 1, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_4863, nGC_4863])

    call avCT(15, 2, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_4864, nGC_4864])

    allocate(vertices(16)%branchCT(0:0))
    call avCT(16, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_4868])

    allocate(vertices(17)%branchCT(0:0))
    call avCT(17, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4872])

    allocate(vertices(18)%branchCT(0:0))
    call avCT(18, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_4876])

    allocate(vertices(19)%branchCT(0:0))
    call avCT(19, 0, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_3448])

    allocate(vertices(20)%branchCT(0:0))
    call avCT(20, 0, 8, 1, 0, VFaF0, 0, [0, 1], [nGC_4880])

    allocate(vertices(21)%branchCT(0:2))
    call avCT(21, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_4892, nGC_4891])

    call avCT(21, 1, 20, 1, 0, SFaF0, 0, [0, 1], [nGC_3495, nGC_3492])

    call avCT(21, 2, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_4894, nGC_4893])

    allocate(vertices(22)%branchCT(0:0))
    call avCT(22, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_4897])

    allocate(vertices(23)%branchCT(0:0))
    call avCT(23, 0, 8, 1, 0, UaVU0, 0, [0, 1], [nGC_4902])

    allocate(vertices(24)%branchCT(0:0))
    call avCT(24, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4829])

    allocate(vertices(25)%branchCT(0:2))
    call avCT(25, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_4910, nGC_4905])

    call avCT(25, 1, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_4914, nGC_4915])

    call avCT(25, 2, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_4911, nGC_4906])

    allocate(vertices(541)%branchCT(0:0))
    call avCT(541, 0, 8, 1, 0, FFaS0, 0, [0, 1], [nGC_4921, nGC_4921])

    allocate(vertices(27)%branchCT(0:0))
    call avCT(27, 0, 8, 1, 0, SVV0, 0, [0, 1], [nGC_4925])

    allocate(vertices(28)%branchCT(0:0))
    call avCT(28, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_4829])

    allocate(vertices(29)%branchCT(0:3))
    call avCT(29, 0, 38, 2, 0, VFaF1, 0, [1, 2], [nGC_4928, nGC_4930])

    call avCT(29, 1, 38, 2, 0, VFaF1, 0, [3, 0], [nGC_4935, nGC_4936])

    call avCT(29, 2, 39, 3, 0, VFaF1, 0, [1, 2], [nGC_4928, nGC_4930])

    call avCT(29, 3, 39, 3, 0, VFaF1, 0, [3, 0], [nGC_4935, nGC_4936])

    allocate(vertices(30)%branchCT(0:0))
    call avCT(30, 0, 8, 1, 0, FaFV0, 0, [0, 1], [nGC_4950, nGC_4951])

    allocate(vertices(31)%branchCT(0:0))
    call avCT(31, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4955])

    allocate(vertices(32)%branchCT(0:0))
    call avCT(32, 0, 17, 1, 0, FaSF0, 0, [0, 1], [nGC_4961, nGC_4961])

    allocate(vertices(1040)%branchCT(0:0))
    call avCT(1040, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_4963])

    allocate(vertices(34)%branchCT(0:0))
    call avCT(34, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_3454])

    allocate(vertices(1041)%branchCT(0:0))
    call avCT(1041, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4803])

    allocate(vertices(35)%branchCT(0:0))
    call avCT(35, 0, 20, 1, 0, VFaF0, 0, [0, 1], [nGC_4968])

    allocate(vertices(36)%branchCT(0:0))
    call avCT(36, 0, 20, 1, 0, VFaF1, 0, [0, 1], [nGC_4977, nGC_4978])

    allocate(vertices(37)%branchCT(0:0))
    call avCT(37, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4872])

    allocate(vertices(38)%branchCT(0:0))
    call avCT(38, 0, 8, 1, 0, SVV0, 0, [0, 1], [nGC_4843])

    allocate(vertices(39)%branchCT(0:0))
    call avCT(39, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_4988])

    allocate(vertices(7)%branchCT(0:0))
    call avCT(7, 0, 8, 1, 0, FaFS0, 0, [0, 1], [nGC_4994, nGC_4993])

    allocate(vertices(41)%branchCT(0:0))
    call avCT(41, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_4925])

    allocate(vertices(42)%branchCT(0:0))
    call avCT(42, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_5000])

    allocate(vertices(43)%branchCT(0:0))
    call avCT(43, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_3453])

    allocate(vertices(44)%branchCT(0:0))
    call avCT(44, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_4815])

    allocate(vertices(950)%branchCT(0:0))
    call avCT(950, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_4876])

    allocate(vertices(45)%branchCT(0:0))
    call avCT(45, 0, 8, 1, 0, FaFV1, 0, [0, 1], [nGC_4880])

    allocate(vertices(46)%branchCT(0:0))
    call avCT(46, 0, 8, 1, 0, FaSF0, 0, [0, 1], [nGC_4921, nGC_4921])

    allocate(vertices(47)%branchCT(0:0))
    call avCT(47, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_4872])

    allocate(vertices(48)%branchCT(0:0))
    call avCT(48, 0, 19, 1, 0, FSFa2, 0, [0, 1], [nGC_5022, nGC_5022])

    allocate(vertices(49)%branchCT(0:0))
    call avCT(49, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4876])

    allocate(vertices(50)%branchCT(0:2))
    call avCT(50, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_5036, nGC_5037])

    call avCT(50, 1, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_3506, nGC_3509])

    call avCT(50, 2, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_5038, nGC_5039])

    allocate(vertices(51)%branchCT(0:0))
    call avCT(51, 0, 8, 1, 0, VFaF1, 0, [0, 1], [nGC_4950, nGC_4951])

    allocate(vertices(52)%branchCT(0:0))
    call avCT(52, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4876])

    allocate(vertices(53)%branchCT(0:0))
    call avCT(53, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_4839])

    allocate(vertices(163)%branchCT(0:0))
    call avCT(163, 0, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_3451])

    allocate(vertices(54)%branchCT(0:0))
    call avCT(54, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_5055])

    allocate(vertices(55)%branchCT(0:2))
    call avCT(55, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_5066, nGC_5067])

    call avCT(55, 1, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_3501, nGC_3498])

    call avCT(55, 2, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_5068, nGC_5069])

    allocate(vertices(56)%branchCT(0:2))
    call avCT(56, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_4891, nGC_4892])

    call avCT(56, 1, 20, 1, 0, SFaF0, 0, [0, 1], [nGC_3492, nGC_3495])

    call avCT(56, 2, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_4893, nGC_4894])

    allocate(vertices(1042)%branchCT(0:0))
    call avCT(1042, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_4803])

    allocate(vertices(57)%branchCT(0:0))
    call avCT(57, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_5083])

    allocate(vertices(58)%branchCT(0:0))
    call avCT(58, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_4829])

    allocate(vertices(59)%branchCT(0:0))
    call avCT(59, 0, 8, 1, 0, FVFa0, 0, [0, 1], [nGC_5088])

    allocate(vertices(60)%branchCT(0:0))
    call avCT(60, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_4876])

    allocate(vertices(61)%branchCT(0:0))
    call avCT(61, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5098, nGC_5099, nGC_5099])

    allocate(vertices(1043)%branchCT(0:0))
    call avCT(1043, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_4803])

    allocate(vertices(62)%branchCT(0:0))
    call avCT(62, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_4876])

    allocate(vertices(437)%branchCT(0:2))
    call avCT(437, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_5104, nGC_5107])

    call avCT(437, 1, 20, 1, 0, VFaF1, 0, [0, 1], [nGC_5113, nGC_5114])

    call avCT(437, 2, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_5105, nGC_5108])

    allocate(vertices(861)%branchCT(0:1))
    call avCT(861, 0, 9, 1, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    call avCT(861, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_5118])

    allocate(vertices(64)%branchCT(0:0))
    call avCT(64, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_4872])

    allocate(vertices(65)%branchCT(0:2))
    call avCT(65, 0, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_5129, nGC_5125])

    call avCT(65, 1, 21, 1, 0, VFFa1, 0, [0, 1], [nGC_5133, nGC_5134])

    call avCT(65, 2, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_5127, nGC_5123])

    allocate(vertices(464)%branchCT(0:0))
    call avCT(464, 0, 8, 1, 0, FaVF0, 0, [0, 1], [nGC_5144, nGC_5145])

    allocate(vertices(67)%branchCT(0:1))
    call avCT(67, 0, 9, 1, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    call avCT(67, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_5118])

    allocate(vertices(68)%branchCT(0:0))
    call avCT(68, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_4872])

    allocate(vertices(69)%branchCT(0:0))
    call avCT(69, 0, 8, 1, 0, VUUa0, 0, [0, 1], [nGC_4988])

    allocate(vertices(70)%branchCT(0:2))
    call avCT(70, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_5164, nGC_5165])

    call avCT(70, 1, 21, 1, 0, SFFa0, 0, [0, 1], [nGC_3539, nGC_3542])

    call avCT(70, 2, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_5166, nGC_5167])

    allocate(vertices(71)%branchCT(0:0))
    call avCT(71, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_5171])

    allocate(vertices(1044)%branchCT(0:1))
    call avCT(1044, 0, 15, 1, 0, VV0, 0, [2, 0], [nGC_5173, nGC_5172])

    call avCT(1044, 1, 16, 8, 0, VV0, 0, [2, 0], [nGC_5173, nGC_5172])

    allocate(vertices(1045)%branchCT(0:0))
    call avCT(1045, 0, 13, 1, 0, VV1, 0, [0, 0], [nGC_5175, nGC_5176, nGC_5175 &
    , nGC_5176, nGC_5177])

    allocate(vertices(72)%branchCT(0:2))
    call avCT(72, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_5104, nGC_5107])

    call avCT(72, 1, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_5113, nGC_5114])

    call avCT(72, 2, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_5105, nGC_5108])

    allocate(vertices(73)%branchCT(0:0))
    call avCT(73, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_4897])

    allocate(vertices(74)%branchCT(0:0))
    call avCT(74, 0, 8, 1, 0, FVFa1, 0, [0, 1], [nGC_5195, nGC_5196])

    allocate(vertices(75)%branchCT(0:0))
    call avCT(75, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4811])

    allocate(vertices(76)%branchCT(0:0))
    call avCT(76, 0, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_5208, nGC_5209])

    allocate(vertices(77)%branchCT(0:0))
    call avCT(77, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_4876])

    allocate(vertices(78)%branchCT(0:0))
    call avCT(78, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_4872])

    allocate(vertices(863)%branchCT(0:0))
    call avCT(863, 0, 8, 1, 0, UaVU0, 0, [0, 1], [nGC_5219])

    allocate(vertices(80)%branchCT(0:0))
    call avCT(80, 0, 8, 1, 0, SVV0, 0, [0, 1], [nGC_4925])

    allocate(vertices(871)%branchCT(0:0))
    call avCT(871, 0, 8, 1, 0, UaVU0, 0, [0, 1], [nGC_4868])

    allocate(vertices(81)%branchCT(0:0))
    call avCT(81, 0, 8, 1, 0, VVS0, 0, [0, 1], [nGC_4843])

    allocate(vertices(82)%branchCT(0:0))
    call avCT(82, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4829])

    allocate(vertices(83)%branchCT(0:0))
    call avCT(83, 0, 8, 1, 0, UUaV0, 0, [0, 1], [nGC_5219])

    allocate(vertices(84)%branchCT(0:0))
    call avCT(84, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_5054])

    allocate(vertices(355)%branchCT(0:0))
    call avCT(355, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_4872])

    allocate(vertices(86)%branchCT(0:0))
    call avCT(86, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4872])

    allocate(vertices(87)%branchCT(0:0))
    call avCT(87, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_4872])

    allocate(vertices(88)%branchCT(0:0))
    call avCT(88, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_5245])

    allocate(vertices(89)%branchCT(0:0))
    call avCT(89, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_5219])

    allocate(vertices(1046)%branchCT(0:0))
    call avCT(1046, 0, 13, 1, 0, FFa0, 0, [0, 0], [nGC_5252, nGC_5249, nGC_5253&
    , nGC_5253])

    allocate(vertices(90)%branchCT(0:0))
    call avCT(90, 0, 20, 1, 0, SFaF0, 0, [0, 1], [nGC_4961, nGC_4961])

    allocate(vertices(91)%branchCT(0:0))
    call avCT(91, 0, 8, 1, 0, UaUV0, 0, [0, 1], [nGC_4835])

    allocate(vertices(92)%branchCT(0:0))
    call avCT(92, 0, 8, 1, 0, FaVF0, 0, [0, 1], [nGC_5268, nGC_5269])

    allocate(vertices(93)%branchCT(0:0))
    call avCT(93, 0, 8, 1, 0, FSFa1, 0, [0, 1], [nGC_5272])

    allocate(vertices(94)%branchCT(0:0))
    call avCT(94, 0, 8, 1, 0, FaSF1, 0, [0, 1], [nGC_4824])

    allocate(vertices(95)%branchCT(0:1))
    call avCT(95, 0, 9, 1, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    call avCT(95, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_3457])

    allocate(vertices(96)%branchCT(0:0))
    call avCT(96, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5281, nGC_5281, nGC_5282])

    allocate(vertices(97)%branchCT(0:0))
    call avCT(97, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_3448])

    allocate(vertices(98)%branchCT(0:0))
    call avCT(98, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4815])

    allocate(vertices(99)%branchCT(0:0))
    call avCT(99, 0, 21, 1, 0, SFFa0, 0, [0, 1], [nGC_5291, nGC_5292])

    allocate(vertices(866)%branchCT(0:0))
    call avCT(866, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_5297])

    allocate(vertices(101)%branchCT(0:0))
    call avCT(101, 0, 8, 1, 0, FVFa0, 0, [0, 1], [nGC_5300])

    allocate(vertices(102)%branchCT(0:0))
    call avCT(102, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4876])

    allocate(vertices(103)%branchCT(0:0))
    call avCT(103, 0, 8, 1, 0, FaFS0, 0, [0, 1], [nGC_5309, nGC_5308])

    allocate(vertices(104)%branchCT(0:0))
    call avCT(104, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_4955])

    allocate(vertices(105)%branchCT(0:2))
    call avCT(105, 0, 19, 1, 0, FSFa2, 0, [2, 1], [nGC_4862, nGC_4862])

    call avCT(105, 1, 19, 1, 0, FSFa2, 0, [0, 1], [nGC_4863, nGC_4863])

    call avCT(105, 2, 19, 1, 0, FSFa2, 0, [0, 3], [nGC_4864, nGC_4864])

    allocate(vertices(106)%branchCT(0:0))
    call avCT(106, 0, 8, 1, 0, FaSF0, 0, [0, 1], [nGC_5326, nGC_5326])

    allocate(vertices(107)%branchCT(0:0))
    call avCT(107, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_5329])

    allocate(vertices(108)%branchCT(0:0))
    call avCT(108, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_5055])

    allocate(vertices(109)%branchCT(0:0))
    call avCT(109, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4872])

    allocate(vertices(538)%branchCT(0:0))
    call avCT(538, 0, 8, 1, 0, UVUa0, 0, [0, 1], [nGC_5219])

    allocate(vertices(110)%branchCT(0:0))
    call avCT(110, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5099, nGC_5098, nGC_5099])

    allocate(vertices(111)%branchCT(0:2))
    call avCT(111, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_5344, nGC_5341])

    call avCT(111, 1, 21, 1, 0, VFFa1, 0, [0, 1], [nGC_5113, nGC_5114])

    call avCT(111, 2, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_5345, nGC_5342])

    allocate(vertices(113)%branchCT(0:0))
    call avCT(113, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_5329])

    allocate(vertices(114)%branchCT(0:0))
    call avCT(114, 0, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_5353])

    allocate(vertices(1047)%branchCT(0:0))
    call avCT(1047, 0, 13, 1, 0, FFa0, 0, [0, 0], [nGC_5358, nGC_5355, nGC_5359&
    , nGC_5359])

    allocate(vertices(116)%branchCT(0:2))
    call avCT(116, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_4864, nGC_4864])

    call avCT(116, 1, 21, 1, 0, SFFa0, 0, [0, 1], [nGC_4863, nGC_4863])

    call avCT(116, 2, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_4862, nGC_4862])

    allocate(vertices(117)%branchCT(0:1))
    call avCT(117, 0, 9, 1, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    call avCT(117, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_5118])

    allocate(vertices(118)%branchCT(0:2))
    call avCT(118, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_5379, nGC_5379])

    call avCT(118, 1, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_5380, nGC_5380])

    call avCT(118, 2, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_5381, nGC_5381])

    allocate(vertices(119)%branchCT(0:0))
    call avCT(119, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_4811])

    allocate(vertices(120)%branchCT(0:0))
    call avCT(120, 0, 8, 1, 0, VFaF0, 0, [0, 1], [nGC_5387])

    allocate(vertices(121)%branchCT(0:1))
    call avCT(121, 0, 8, 1, 0, SSS0, 0, [0, 2], [nGC_GGH])

    call avCT(121, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_5391])

    allocate(vertices(122)%branchCT(0:0))
    call avCT(122, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5396, nGC_5397, nGC_5396])

    allocate(vertices(123)%branchCT(0:0))
    call avCT(123, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_5402])

    allocate(vertices(124)%branchCT(0:0))
    call avCT(124, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_4807])

    allocate(vertices(125)%branchCT(0:2))
    call avCT(125, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_5127, nGC_5123])

    call avCT(125, 1, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_5133, nGC_5134])

    call avCT(125, 2, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_5129, nGC_5125])

    allocate(vertices(188)%branchCT(0:0))
    call avCT(188, 0, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_5083])

    allocate(vertices(127)%branchCT(0:0))
    call avCT(127, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4876])

    allocate(vertices(128)%branchCT(0:2))
    call avCT(128, 0, 19, 1, 0, FSFa2, 0, [2, 1], [nGC_5428, nGC_5428])

    call avCT(128, 1, 19, 1, 0, FSFa2, 0, [0, 1], [nGC_5429, nGC_5429])

    call avCT(128, 2, 19, 1, 0, FSFa2, 0, [0, 3], [nGC_5430, nGC_5430])

    allocate(vertices(129)%branchCT(0:0))
    call avCT(129, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_5402])

    allocate(vertices(130)%branchCT(0:0))
    call avCT(130, 0, 8, 1, 0, FaFS2, 0, [0, 1], [nGC_4824])

    allocate(vertices(131)%branchCT(0:2))
    call avCT(131, 0, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_5444, nGC_5440])

    call avCT(131, 1, 21, 1, 0, VFFa1, 0, [0, 1], [nGC_5133, nGC_5134])

    call avCT(131, 2, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_5442, nGC_5438])

    allocate(vertices(132)%branchCT(0:0))
    call avCT(132, 0, 8, 1, 0, SFFa1, 0, [0, 1], [nGC_5448])

    allocate(vertices(133)%branchCT(0:0))
    call avCT(133, 0, 8, 1, 0, FaFV1, 0, [0, 1], [nGC_5353])

    allocate(vertices(134)%branchCT(0:0))
    call avCT(134, 0, 8, 1, 0, USUa0, 0, [0, 1], [nGC_3449])

    allocate(vertices(135)%branchCT(0:0))
    call avCT(135, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_4955])

    allocate(vertices(136)%branchCT(0:0))
    call avCT(136, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5098, nGC_5099, nGC_5099])

    allocate(vertices(137)%branchCT(0:1))
    call avCT(137, 0, 9, 1, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    call avCT(137, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_3457])

    allocate(vertices(138)%branchCT(0:0))
    call avCT(138, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_4811])

    allocate(vertices(139)%branchCT(0:0))
    call avCT(139, 0, 8, 1, 0, UaUS0, 0, [0, 1], [nGC_3453])

    allocate(vertices(140)%branchCT(0:2))
    call avCT(140, 0, 19, 1, 0, FSFa2, 0, [2, 1], [nGC_5379, nGC_5379])

    call avCT(140, 1, 19, 1, 0, FSFa2, 0, [0, 1], [nGC_5380, nGC_5380])

    call avCT(140, 2, 19, 1, 0, FSFa2, 0, [0, 3], [nGC_5381, nGC_5381])

    allocate(vertices(141)%branchCT(0:0))
    call avCT(141, 0, 20, 1, 0, VFaF1, 0, [0, 1], [nGC_5480, nGC_5481])

    allocate(vertices(1048)%branchCT(0:0))
    call avCT(1048, 0, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_4853])

    allocate(vertices(142)%branchCT(0:0))
    call avCT(142, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_5022, nGC_5022])

    allocate(vertices(143)%branchCT(0:0))
    call avCT(143, 0, 8, 1, 0, FaFV0, 0, [0, 1], [nGC_5268, nGC_5269])

    allocate(vertices(144)%branchCT(0:0))
    call avCT(144, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4807])

    allocate(vertices(9)%branchCT(0:2))
    call avCT(9, 0, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_5499])

    call avCT(9, 1, 21, 1, 0, VFFa0, 0, [0, 1], [nGC_5500])

    call avCT(9, 2, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_5497])

    allocate(vertices(146)%branchCT(0:0))
    call avCT(146, 0, 8, 1, 0, FaFV1, 0, [0, 1], [nGC_5353])

    allocate(vertices(1049)%branchCT(0:0))
    call avCT(1049, 0, 13, 1, 0, FFa1, 0, [0, 0], [nGC_4826, nGC_4825])

    allocate(vertices(364)%branchCT(0:2))
    call avCT(364, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_5497])

    call avCT(364, 1, 19, 1, 0, FVFa0, 0, [0, 1], [nGC_5500])

    call avCT(364, 2, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_5499])

    allocate(vertices(1050)%branchCT(0:0))
    call avCT(1050, 0, 8, 1, 0, FFaV1, 0, [0, 1], [nGC_4853])

    allocate(vertices(148)%branchCT(0:0))
    call avCT(148, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4839])

    allocate(vertices(1051)%branchCT(0:0))
    call avCT(1051, 0, 13, 1, 0, VS0, 0, [0, 0], [nGC_5513])

    allocate(vertices(149)%branchCT(0:3))
    call avCT(149, 0, 34, 2, 0, FaFV0, 0, [1, 2], [nGC_4928, nGC_4930])

    call avCT(149, 1, 34, 2, 0, FaFV0, 0, [3, 0], [nGC_4935, nGC_4936])

    call avCT(149, 2, 35, 3, 0, FaFV0, 0, [1, 2], [nGC_4928, nGC_4930])

    call avCT(149, 3, 35, 3, 0, FaFV0, 0, [3, 0], [nGC_4935, nGC_4936])

    allocate(vertices(150)%branchCT(0:0))
    call avCT(150, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4876])

    allocate(vertices(151)%branchCT(0:2))
    call avCT(151, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_4891, nGC_4892])

    call avCT(151, 1, 17, 1, 0, FaSF0, 0, [0, 1], [nGC_3492, nGC_3495])

    call avCT(151, 2, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_4893, nGC_4894])

    allocate(vertices(152)%branchCT(0:0))
    call avCT(152, 0, 21, 1, 0, SFFa0, 0, [0, 1], [nGC_5543, nGC_5544])

    allocate(vertices(153)%branchCT(0:0))
    call avCT(153, 0, 8, 1, 0, FaFS2, 0, [0, 1], [nGC_5448])

    allocate(vertices(154)%branchCT(0:0))
    call avCT(154, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5099, nGC_5099, nGC_5098])

    allocate(vertices(394)%branchCT(0:0))
    call avCT(394, 0, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_5387])

    allocate(vertices(1052)%branchCT(0:0))
    call avCT(1052, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4803])

    allocate(vertices(878)%branchCT(0:0))
    call avCT(878, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_4807])

    allocate(vertices(157)%branchCT(0:0))
    call avCT(157, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_4876])

    allocate(vertices(158)%branchCT(0:0))
    call avCT(158, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_5055])

    allocate(vertices(159)%branchCT(0:0))
    call avCT(159, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5281, nGC_5281, nGC_5282])

    allocate(vertices(160)%branchCT(0:0))
    call avCT(160, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_4955])

    allocate(vertices(161)%branchCT(0:2))
    call avCT(161, 0, 17, 1, 0, FaVF1, 0, [2, 1], [nGC_5499])

    call avCT(161, 1, 17, 1, 0, FaVF1, 0, [0, 1], [nGC_5500])

    call avCT(161, 2, 17, 1, 0, FaVF1, 0, [0, 3], [nGC_5497])

    allocate(vertices(879)%branchCT(0:0))
    call avCT(879, 0, 8, 1, 0, UUaV0, 0, [0, 1], [nGC_4868])

    allocate(vertices(1053)%branchCT(0:0))
    call avCT(1053, 0, 13, 1, 0, VS0, 0, [0, 0], [nGC_5576])

    allocate(vertices(4)%branchCT(0:2))
    call avCT(4, 0, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_5104, nGC_5107])

    call avCT(4, 1, 17, 1, 0, FaVF0, 0, [0, 1], [nGC_5113, nGC_5114])

    call avCT(4, 2, 17, 1, 0, FaVF0, 0, [2, 1], [nGC_5105, nGC_5108])

    allocate(vertices(165)%branchCT(0:0))
    call avCT(165, 0, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_5589, nGC_5590])

    allocate(vertices(166)%branchCT(0:0))
    call avCT(166, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_5402])

    allocate(vertices(167)%branchCT(0:0))
    call avCT(167, 0, 8, 1, 0, VFaF0, 0, [0, 1], [nGC_5597])

    allocate(vertices(168)%branchCT(0:1))
    call avCT(168, 0, 8, 1, 0, SSS0, 0, [0, 2], [nGC_GGH])

    call avCT(168, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_5391])

    allocate(vertices(169)%branchCT(0:0))
    call avCT(169, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_4897])

    allocate(vertices(170)%branchCT(0:0))
    call avCT(170, 0, 19, 1, 0, FVFa1, 0, [0, 1], [nGC_5480, nGC_5481])

    allocate(vertices(171)%branchCT(0:0))
    call avCT(171, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_5329])

    allocate(vertices(172)%branchCT(0:0))
    call avCT(172, 0, 17, 1, 0, FaVF0, 0, [0, 1], [nGC_5208, nGC_5209])

    allocate(vertices(175)%branchCT(0:0))
    call avCT(175, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_4829])

    allocate(vertices(176)%branchCT(0:0))
    call avCT(176, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4829])

    allocate(vertices(177)%branchCT(0:0))
    call avCT(177, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_3449])

    allocate(vertices(178)%branchCT(0:0))
    call avCT(178, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5396, nGC_5397, nGC_5396])

    allocate(vertices(179)%branchCT(0:0))
    call avCT(179, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_4829])

    allocate(vertices(180)%branchCT(0:0))
    call avCT(180, 0, 8, 1, 0, FFaV0, 0, [0, 1], [nGC_5634, nGC_5635])

    allocate(vertices(181)%branchCT(0:2))
    call avCT(181, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_4862, nGC_4862])

    call avCT(181, 1, 17, 1, 0, FaSF0, 0, [0, 1], [nGC_4863, nGC_4863])

    call avCT(181, 2, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_4864, nGC_4864])

    allocate(vertices(1054)%branchCT(0:0))
    call avCT(1054, 0, 13, 1, 0, SV0, 0, [0, 0], [nGC_5513])

    allocate(vertices(183)%branchCT(0:0))
    call avCT(183, 0, 8, 1, 0, SFaF0, 0, [0, 1], [nGC_4921, nGC_4921])

    allocate(vertices(184)%branchCT(0:0))
    call avCT(184, 0, 8, 1, 0, FSFa0, 0, [0, 1], [nGC_5448])

    allocate(vertices(185)%branchCT(0:0))
    call avCT(185, 0, 8, 1, 0, VVV0, 0, [0, 1], [nGC_5654])

    allocate(vertices(186)%branchCT(0:0))
    call avCT(186, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_4811])

    allocate(vertices(187)%branchCT(0:0))
    call avCT(187, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_4955])

    allocate(vertices(126)%branchCT(0:0))
    call avCT(126, 0, 21, 1, 0, SFFa0, 0, [0, 1], [nGC_4961, nGC_4961])

    allocate(vertices(189)%branchCT(0:0))
    call avCT(189, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_4977, nGC_4978])

    allocate(vertices(190)%branchCT(0:0))
    call avCT(190, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_5673])

    allocate(vertices(191)%branchCT(0:0))
    call avCT(191, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4876])

    allocate(vertices(192)%branchCT(0:0))
    call avCT(192, 0, 21, 1, 0, VFFa1, 0, [0, 1], [nGC_5208, nGC_5209])

    allocate(vertices(193)%branchCT(0:0))
    call avCT(193, 0, 8, 1, 0, FFaV1, 0, [0, 1], [nGC_4880])

    allocate(vertices(194)%branchCT(0:0))
    call avCT(194, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4807])

    allocate(vertices(195)%branchCT(0:0))
    call avCT(195, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_4876])

    allocate(vertices(196)%branchCT(0:0))
    call avCT(196, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_5694])

    allocate(vertices(197)%branchCT(0:0))
    call avCT(197, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_4829])

    allocate(vertices(198)%branchCT(0:0))
    call avCT(198, 0, 19, 1, 0, FSFa2, 0, [0, 1], [nGC_4961, nGC_4961])

    allocate(vertices(781)%branchCT(0:0))
    call avCT(781, 0, 19, 1, 0, FVFa0, 0, [0, 1], [nGC_4968])

    allocate(vertices(199)%branchCT(0:0))
    call avCT(199, 0, 8, 1, 0, UaUV0, 0, [0, 1], [nGC_4902])

    allocate(vertices(200)%branchCT(0:0))
    call avCT(200, 0, 8, 1, 0, FFaV1, 0, [0, 1], [nGC_5387])

    allocate(vertices(201)%branchCT(0:0))
    call avCT(201, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_5710])

    allocate(vertices(202)%branchCT(0:0))
    call avCT(202, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_4807])

    allocate(vertices(203)%branchCT(0:0))
    call avCT(203, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_4815])

    allocate(vertices(235)%branchCT(0:3))
    call avCT(235, 0, 40, 2, 0, VFFa1, 0, [1, 2], [nGC_5719, nGC_5717])

    call avCT(235, 1, 40, 2, 0, VFFa1, 0, [3, 0], [nGC_5723, nGC_5724])

    call avCT(235, 2, 41, 3, 0, VFFa1, 0, [1, 2], [nGC_5719, nGC_5717])

    call avCT(235, 3, 41, 3, 0, VFFa1, 0, [3, 0], [nGC_5723, nGC_5724])

    allocate(vertices(33)%branchCT(0:3))
    call avCT(33, 0, 32, 2, 0, FaVF0, 0, [1, 2], [nGC_5733, nGC_5735])

    call avCT(33, 1, 32, 2, 0, FaVF0, 0, [3, 0], [nGC_5737, nGC_5738])

    call avCT(33, 2, 33, 3, 0, FaVF0, 0, [1, 2], [nGC_5733, nGC_5735])

    call avCT(33, 3, 33, 3, 0, FaVF0, 0, [3, 0], [nGC_5737, nGC_5738])

    allocate(vertices(206)%branchCT(0:0))
    call avCT(206, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_5749])

    allocate(vertices(207)%branchCT(0:0))
    call avCT(207, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_5054])

    allocate(vertices(208)%branchCT(0:0))
    call avCT(208, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_4829])

    allocate(vertices(209)%branchCT(0:0))
    call avCT(209, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_5758])

    allocate(vertices(210)%branchCT(0:1))
    call avCT(210, 0, 9, 1, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    call avCT(210, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_5118])

    allocate(vertices(211)%branchCT(0:2))
    call avCT(211, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_5379, nGC_5379])

    call avCT(211, 1, 17, 1, 0, FaSF0, 0, [0, 1], [nGC_5380, nGC_5380])

    call avCT(211, 2, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_5381, nGC_5381])

    allocate(vertices(212)%branchCT(0:0))
    call avCT(212, 0, 8, 1, 0, UVUa0, 0, [0, 1], [nGC_4988])

    allocate(vertices(281)%branchCT(0:0))
    call avCT(281, 0, 8, 1, 0, UaUV0, 0, [0, 1], [nGC_5776])

    allocate(vertices(929)%branchCT(0:0))
    call avCT(929, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_5779])

    allocate(vertices(214)%branchCT(0:0))
    call avCT(214, 0, 8, 1, 0, UaUV0, 0, [0, 1], [nGC_5219])

    allocate(vertices(1055)%branchCT(0:0))
    call avCT(1055, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_4963])

    allocate(vertices(215)%branchCT(0:0))
    call avCT(215, 0, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_5543, nGC_5544])

    allocate(vertices(216)%branchCT(0:2))
    call avCT(216, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_5797, nGC_5798])

    call avCT(216, 1, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_3515, nGC_3512])

    call avCT(216, 2, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_5799, nGC_5800])

    allocate(vertices(217)%branchCT(0:0))
    call avCT(217, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_4872])

    allocate(vertices(218)%branchCT(0:1))
    call avCT(218, 0, 0, 4, 0, UaUV0, 0, [3, 0], [nGC_5807])

    call avCT(218, 1, 1, 5, 0, UaUV0, 0, [3, 0], [nGC_5807])

    allocate(vertices(897)%branchCT(0:0))
    call avCT(897, 0, 21, 1, 0, VFFa0, 0, [0, 1], [nGC_4968])

    allocate(vertices(220)%branchCT(0:2))
    call avCT(220, 0, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_5815])

    call avCT(220, 1, 20, 1, 0, VFaF0, 0, [0, 1], [nGC_5500])

    call avCT(220, 2, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_5813])

    allocate(vertices(221)%branchCT(0:0))
    call avCT(221, 0, 8, 1, 0, FVFa0, 0, [0, 1], [nGC_5387])

    allocate(vertices(222)%branchCT(0:0))
    call avCT(222, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5396, nGC_5397, nGC_5396])

    allocate(vertices(223)%branchCT(0:2))
    call avCT(223, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_5066, nGC_5067])

    call avCT(223, 1, 17, 1, 0, FaSF0, 0, [0, 1], [nGC_3501, nGC_3498])

    call avCT(223, 2, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_5068, nGC_5069])

    allocate(vertices(224)%branchCT(0:0))
    call avCT(224, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_4815])

    allocate(vertices(1056)%branchCT(0:0))
    call avCT(1056, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4803])

    allocate(vertices(225)%branchCT(0:0))
    call avCT(225, 0, 8, 1, 0, VFaF1, 0, [0, 1], [nGC_5144, nGC_5145])

    allocate(vertices(226)%branchCT(0:0))
    call avCT(226, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_5843])

    allocate(vertices(227)%branchCT(0:0))
    call avCT(227, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_4811])

    allocate(vertices(228)%branchCT(0:0))
    call avCT(228, 0, 8, 1, 0, FaFS0, 0, [0, 1], [nGC_4821, nGC_4820])

    allocate(vertices(229)%branchCT(0:0))
    call avCT(229, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5396, nGC_5396, nGC_5397])

    allocate(vertices(900)%branchCT(0:0))
    call avCT(900, 0, 8, 1, 0, FSFa0, 0, [0, 1], [nGC_5272])

    allocate(vertices(231)%branchCT(0:0))
    call avCT(231, 0, 8, 1, 0, SVV0, 0, [0, 1], [nGC_4843])

    allocate(vertices(232)%branchCT(0:2))
    call avCT(232, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_5442, nGC_5438])

    call avCT(232, 1, 19, 1, 0, FVFa1, 0, [0, 1], [nGC_5133, nGC_5134])

    call avCT(232, 2, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_5444, nGC_5440])

    allocate(vertices(233)%branchCT(0:2))
    call avCT(233, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_5067, nGC_5066])

    call avCT(233, 1, 17, 1, 0, FaSF0, 0, [0, 1], [nGC_3498, nGC_3501])

    call avCT(233, 2, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_5069, nGC_5068])

    allocate(vertices(234)%branchCT(0:0))
    call avCT(234, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_5329])

    allocate(vertices(1057)%branchCT(0:0))
    call avCT(1057, 0, 8, 1, 0, FaFV1, 0, [0, 1], [nGC_4853])

    allocate(vertices(1058)%branchCT(0:0))
    call avCT(1058, 0, 13, 1, 0, SS0, 0, [0, 1], [nGC_GG])

    allocate(vertices(236)%branchCT(0:0))
    call avCT(236, 0, 8, 1, 0, VUUa0, 0, [0, 1], [nGC_4868])

    allocate(vertices(237)%branchCT(0:0))
    call avCT(237, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_4811])

    allocate(vertices(238)%branchCT(0:0))
    call avCT(238, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_5889])

    allocate(vertices(239)%branchCT(0:0))
    call avCT(239, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_4955])

    allocate(vertices(240)%branchCT(0:0))
    call avCT(240, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4876])

    allocate(vertices(241)%branchCT(0:3))
    call avCT(241, 0, 11, 2, 0, FFaV0, 0, [1, 2], [nGC_5733, nGC_5735])

    call avCT(241, 1, 11, 2, 0, FFaV0, 0, [3, 0], [nGC_5737, nGC_5738])

    call avCT(241, 2, 12, 3, 0, FFaV0, 0, [1, 2], [nGC_5733, nGC_5735])

    call avCT(241, 3, 12, 3, 0, FFaV0, 0, [3, 0], [nGC_5737, nGC_5738])

    allocate(vertices(242)%branchCT(0:0))
    call avCT(242, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4829])

    allocate(vertices(243)%branchCT(0:2))
    call avCT(243, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_5066, nGC_5067])

    call avCT(243, 1, 20, 1, 0, SFaF0, 0, [0, 1], [nGC_3501, nGC_3498])

    call avCT(243, 2, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_5068, nGC_5069])

    allocate(vertices(508)%branchCT(0:0))
    call avCT(508, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_5779])

    allocate(vertices(245)%branchCT(0:0))
    call avCT(245, 0, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_5589, nGC_5590])

    allocate(vertices(246)%branchCT(0:0))
    call avCT(246, 0, 17, 1, 0, FaSF0, 0, [0, 1], [nGC_5022, nGC_5022])

    allocate(vertices(247)%branchCT(0:0))
    call avCT(247, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_5000])

    allocate(vertices(248)%branchCT(0:0))
    call avCT(248, 0, 8, 1, 0, VVV0, 0, [0, 1], [nGC_5936])

    allocate(vertices(249)%branchCT(0:0))
    call avCT(249, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_5749])

    allocate(vertices(555)%branchCT(0:0))
    call avCT(555, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4815])

    allocate(vertices(251)%branchCT(0:2))
    call avCT(251, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_5428, nGC_5428])

    call avCT(251, 1, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_5429, nGC_5429])

    call avCT(251, 2, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_5430, nGC_5430])

    allocate(vertices(252)%branchCT(0:0))
    call avCT(252, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_3451])

    allocate(vertices(718)%branchCT(0:0))
    call avCT(718, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_4829])

    allocate(vertices(253)%branchCT(0:2))
    call avCT(253, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_5497])

    call avCT(253, 1, 19, 1, 0, FVFa0, 0, [0, 1], [nGC_5500])

    call avCT(253, 2, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_5499])

    allocate(vertices(254)%branchCT(0:0))
    call avCT(254, 0, 8, 1, 0, SFaF1, 0, [0, 1], [nGC_5272])

    allocate(vertices(255)%branchCT(0:0))
    call avCT(255, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_4815])

    allocate(vertices(256)%branchCT(0:0))
    call avCT(256, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_5402])

    allocate(vertices(257)%branchCT(0:2))
    call avCT(257, 0, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_5104, nGC_5107])

    call avCT(257, 1, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_5113, nGC_5114])

    call avCT(257, 2, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_5105, nGC_5108])

    allocate(vertices(258)%branchCT(0:0))
    call avCT(258, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_4955])

    allocate(vertices(259)%branchCT(0:0))
    call avCT(259, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_4829])

    allocate(vertices(261)%branchCT(0:0))
    call avCT(261, 0, 8, 1, 0, UVUa0, 0, [0, 1], [nGC_4835])

    allocate(vertices(262)%branchCT(0:0))
    call avCT(262, 0, 8, 1, 0, FSFa2, 0, [0, 1], [nGC_4994, nGC_4993])

    allocate(vertices(263)%branchCT(0:0))
    call avCT(263, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_5480, nGC_5481])

    allocate(vertices(264)%branchCT(0:0))
    call avCT(264, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_5779])

    allocate(vertices(265)%branchCT(0:3))
    call avCT(265, 0, 32, 2, 0, FaVF0, 0, [1, 2], [nGC_5719, nGC_5717])

    call avCT(265, 1, 32, 2, 0, FaVF0, 0, [3, 0], [nGC_5723, nGC_5724])

    call avCT(265, 2, 33, 3, 0, FaVF0, 0, [1, 2], [nGC_5719, nGC_5717])

    call avCT(265, 3, 33, 3, 0, FaVF0, 0, [3, 0], [nGC_5723, nGC_5724])

    allocate(vertices(319)%branchCT(0:0))
    call avCT(319, 0, 8, 1, 0, FaFV0, 0, [0, 1], [nGC_5634, nGC_5635])

    allocate(vertices(266)%branchCT(0:0))
    call avCT(266, 0, 8, 1, 0, SVV0, 0, [0, 1], [nGC_4925])

    allocate(vertices(267)%branchCT(0:0))
    call avCT(267, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_5843])

    allocate(vertices(268)%branchCT(0:0))
    call avCT(268, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4815])

    allocate(vertices(269)%branchCT(0:1))
    call avCT(269, 0, 9, 1, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    call avCT(269, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_5118])

    allocate(vertices(270)%branchCT(0:0))
    call avCT(270, 0, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_5889])

    allocate(vertices(271)%branchCT(0:0))
    call avCT(271, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_6026, nGC_6027, nGC_6026])

    allocate(vertices(1059)%branchCT(0:0))
    call avCT(1059, 0, 13, 1, 0, FFa0, 0, [0, 0], [nGC_6032, nGC_6029, nGC_6033&
    , nGC_6033])

    allocate(vertices(272)%branchCT(0:0))
    call avCT(272, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5281, nGC_5281, nGC_5282])

    allocate(vertices(273)%branchCT(0:0))
    call avCT(273, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_5402])

    allocate(vertices(274)%branchCT(0:0))
    call avCT(274, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_5402])

    allocate(vertices(275)%branchCT(0:0))
    call avCT(275, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_4829])

    allocate(vertices(684)%branchCT(0:0))
    call avCT(684, 0, 8, 1, 0, SFFa0, 0, [0, 1], [nGC_4921, nGC_4921])

    allocate(vertices(301)%branchCT(0:2))
    call avCT(301, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_4910, nGC_4905])

    call avCT(301, 1, 21, 1, 0, VFFa1, 0, [0, 1], [nGC_4914, nGC_4915])

    call avCT(301, 2, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_4911, nGC_4906])

    allocate(vertices(277)%branchCT(0:0))
    call avCT(277, 0, 8, 1, 0, VUUa0, 0, [0, 1], [nGC_4902])

    allocate(vertices(910)%branchCT(0:2))
    call avCT(910, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_4892, nGC_4891])

    call avCT(910, 1, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_3495, nGC_3492])

    call avCT(910, 2, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_4894, nGC_4893])

    allocate(vertices(278)%branchCT(0:2))
    call avCT(278, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_5813])

    call avCT(278, 1, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_5500])

    call avCT(278, 2, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_5815])

    allocate(vertices(279)%branchCT(0:0))
    call avCT(279, 0, 8, 1, 0, UaVU0, 0, [0, 1], [nGC_5297])

    allocate(vertices(1060)%branchCT(0:0))
    call avCT(1060, 0, 14, 1, 0, FFa0, 0, [0, 0], [nGC_6083, nGC_6080, nGC_6084&
    , nGC_6084])

    allocate(vertices(1061)%branchCT(0:0))
    call avCT(1061, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_6085])

    allocate(vertices(213)%branchCT(0:3))
    call avCT(213, 0, 32, 2, 0, FaVF0, 0, [1, 2], [nGC_4928, nGC_4930])

    call avCT(213, 1, 32, 2, 0, FaVF0, 0, [3, 0], [nGC_4935, nGC_4936])

    call avCT(213, 2, 33, 3, 0, FaVF0, 0, [1, 2], [nGC_4928, nGC_4930])

    call avCT(213, 3, 33, 3, 0, FaVF0, 0, [3, 0], [nGC_4935, nGC_4936])

    allocate(vertices(282)%branchCT(0:0))
    call avCT(282, 0, 8, 1, 0, FFaS1, 0, [0, 1], [nGC_4824])

    allocate(vertices(1062)%branchCT(0:0))
    call avCT(1062, 0, 13, 1, 0, FaF0, 0, [0, 0], [nGC_6101, nGC_6100])

    allocate(vertices(283)%branchCT(0:0))
    call avCT(283, 0, 8, 1, 0, VFFa0, 0, [0, 1], [nGC_5353])

    allocate(vertices(284)%branchCT(0:2))
    call avCT(284, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6115, nGC_6114])

    call avCT(284, 1, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_3548, nGC_3545])

    call avCT(284, 2, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6117, nGC_6116])

    allocate(vertices(285)%branchCT(0:0))
    call avCT(285, 0, 19, 1, 0, FVFa0, 0, [0, 1], [nGC_4968])

    allocate(vertices(286)%branchCT(0:0))
    call avCT(286, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_4872])

    allocate(vertices(287)%branchCT(0:0))
    call avCT(287, 0, 8, 1, 0, FaFS0, 0, [0, 1], [nGC_6128, nGC_6128])

    allocate(vertices(288)%branchCT(0:0))
    call avCT(288, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4815])

    allocate(vertices(912)%branchCT(0:0))
    call avCT(912, 0, 8, 1, 0, UUaV0, 0, [0, 1], [nGC_4835])

    allocate(vertices(525)%branchCT(0:0))
    call avCT(525, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_4876])

    allocate(vertices(290)%branchCT(0:0))
    call avCT(290, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_4807])

    allocate(vertices(291)%branchCT(0:0))
    call avCT(291, 0, 8, 1, 0, USUa0, 0, [0, 1], [nGC_5889])

    allocate(vertices(292)%branchCT(0:0))
    call avCT(292, 0, 8, 1, 0, FFaS0, 0, [0, 1], [nGC_5309, nGC_5308])

    allocate(vertices(293)%branchCT(0:0))
    call avCT(293, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_4807])

    allocate(vertices(598)%branchCT(0:1))
    call avCT(598, 0, 8, 1, 0, SSS0, 0, [0, 2], [nGC_GGH])

    call avCT(598, 1, 8, 1, 0, SSS0, 0, [0, 1], [nGC_5391])

    allocate(vertices(295)%branchCT(0:2))
    call avCT(295, 0, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_5499])

    call avCT(295, 1, 20, 1, 0, VFaF0, 0, [0, 1], [nGC_5500])

    call avCT(295, 2, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_5497])

    allocate(vertices(563)%branchCT(0:0))
    call avCT(563, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_4876])

    allocate(vertices(564)%branchCT(0:0))
    call avCT(564, 0, 8, 1, 0, VUUa0, 0, [0, 1], [nGC_5219])

    allocate(vertices(371)%branchCT(0:2))
    call avCT(371, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_5815])

    call avCT(371, 1, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_5500])

    call avCT(371, 2, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_5813])

    allocate(vertices(298)%branchCT(0:0))
    call avCT(298, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_4955])

    allocate(vertices(299)%branchCT(0:2))
    call avCT(299, 0, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_5127, nGC_5123])

    call avCT(299, 1, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_5133, nGC_5134])

    call avCT(299, 2, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_5129, nGC_5125])

    allocate(vertices(300)%branchCT(0:0))
    call avCT(300, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_6026, nGC_6026, nGC_6027])

    allocate(vertices(1063)%branchCT(0:0))
    call avCT(1063, 0, 8, 1, 0, FVFa0, 0, [0, 1], [nGC_4853])

    allocate(vertices(302)%branchCT(0:0))
    call avCT(302, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_5171])

    allocate(vertices(303)%branchCT(0:0))
    call avCT(303, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_4807])

    allocate(vertices(304)%branchCT(0:0))
    call avCT(304, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_4829])

    allocate(vertices(305)%branchCT(0:0))
    call avCT(305, 0, 8, 1, 0, VFaF0, 0, [0, 1], [nGC_5300])

    allocate(vertices(726)%branchCT(0:0))
    call avCT(726, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5099, nGC_5098, nGC_5099])

    allocate(vertices(307)%branchCT(0:2))
    call avCT(307, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_6202, nGC_6202])

    call avCT(307, 1, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_6203, nGC_6203])

    call avCT(307, 2, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_6204, nGC_6204])

    allocate(vertices(309)%branchCT(0:0))
    call avCT(309, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_4876])

    allocate(vertices(310)%branchCT(0:1))
    call avCT(310, 0, 9, 1, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    call avCT(310, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_3457])

    allocate(vertices(311)%branchCT(0:0))
    call avCT(311, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_4872])

    allocate(vertices(1064)%branchCT(0:0))
    call avCT(1064, 0, 13, 1, 0, VV0, 0, [0, 0], [nGC_6214, nGC_6213])

    allocate(vertices(313)%branchCT(0:0))
    call avCT(313, 0, 8, 1, 0, USUa0, 0, [0, 1], [nGC_3451])

    allocate(vertices(314)%branchCT(0:0))
    call avCT(314, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4872])

    allocate(vertices(315)%branchCT(0:0))
    call avCT(315, 0, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_5387])

    allocate(vertices(316)%branchCT(0:1))
    call avCT(316, 0, 9, 1, 0, SSSS0, 0, [0, 3], [nGC_GPGMGPGM])

    call avCT(316, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_3458])

    allocate(vertices(317)%branchCT(0:0))
    call avCT(317, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_4872])

    allocate(vertices(318)%branchCT(0:0))
    call avCT(318, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_4876])

    allocate(vertices(173)%branchCT(0:1))
    call avCT(173, 0, 22, 4, 0, UaVU0, 0, [3, 0], [nGC_5807])

    call avCT(173, 1, 23, 5, 0, UaVU0, 0, [3, 0], [nGC_5807])

    allocate(vertices(320)%branchCT(0:0))
    call avCT(320, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_4829])

    allocate(vertices(321)%branchCT(0:0))
    call avCT(321, 0, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_5300])

    allocate(vertices(1065)%branchCT(0:0))
    call avCT(1065, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4803])

    allocate(vertices(322)%branchCT(0:2))
    call avCT(322, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_5813])

    call avCT(322, 1, 19, 1, 0, FVFa0, 0, [0, 1], [nGC_5500])

    call avCT(322, 2, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_5815])

    allocate(vertices(323)%branchCT(0:2))
    call avCT(323, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_5797, nGC_5798])

    call avCT(323, 1, 21, 1, 0, SFFa0, 0, [0, 1], [nGC_3515, nGC_3512])

    call avCT(323, 2, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_5799, nGC_5800])

    allocate(vertices(324)%branchCT(0:0))
    call avCT(324, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_5402])

    allocate(vertices(325)%branchCT(0:0))
    call avCT(325, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5396, nGC_5396, nGC_5397])

    allocate(vertices(326)%branchCT(0:0))
    call avCT(326, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_5402])

    allocate(vertices(327)%branchCT(0:0))
    call avCT(327, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_5693])

    allocate(vertices(328)%branchCT(0:2))
    call avCT(328, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_5164, nGC_5165])

    call avCT(328, 1, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_3539, nGC_3542])

    call avCT(328, 2, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_5166, nGC_5167])

    allocate(vertices(329)%branchCT(0:0))
    call avCT(329, 0, 19, 1, 0, FSFa2, 0, [0, 1], [nGC_5291, nGC_5292])

    allocate(vertices(330)%branchCT(0:0))
    call avCT(330, 0, 8, 1, 0, FFaV1, 0, [0, 1], [nGC_5300])

    allocate(vertices(331)%branchCT(0:0))
    call avCT(331, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_5843])

    allocate(vertices(332)%branchCT(0:0))
    call avCT(332, 0, 8, 1, 0, SFaF0, 0, [0, 1], [nGC_5309, nGC_5308])

    allocate(vertices(648)%branchCT(0:2))
    call avCT(648, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_6202, nGC_6202])

    call avCT(648, 1, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_6203, nGC_6203])

    call avCT(648, 2, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_6204, nGC_6204])

    allocate(vertices(333)%branchCT(0:3))
    call avCT(333, 0, 36, 2, 0, FVFa1, 0, [1, 2], [nGC_4928, nGC_4930])

    call avCT(333, 1, 36, 2, 0, FVFa1, 0, [3, 0], [nGC_4935, nGC_4936])

    call avCT(333, 2, 37, 3, 0, FVFa1, 0, [1, 2], [nGC_4928, nGC_4930])

    call avCT(333, 3, 37, 3, 0, FVFa1, 0, [3, 0], [nGC_4935, nGC_4936])

    allocate(vertices(334)%branchCT(0:0))
    call avCT(334, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_4807])

    allocate(vertices(1066)%branchCT(0:0))
    call avCT(1066, 0, 8, 1, 0, FaFV1, 0, [0, 1], [nGC_4853])

    allocate(vertices(336)%branchCT(0:1))
    call avCT(336, 0, 9, 1, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    call avCT(336, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_3457])

    allocate(vertices(1067)%branchCT(0:0))
    call avCT(1067, 0, 13, 1, 0, FaF1, 0, [0, 0], [nGC_5358, nGC_5355, nGC_5359&
    , nGC_5359])

    allocate(vertices(337)%branchCT(0:0))
    call avCT(337, 0, 8, 1, 0, UVUa0, 0, [0, 1], [nGC_6322])

    allocate(vertices(338)%branchCT(0:0))
    call avCT(338, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4811])

    allocate(vertices(339)%branchCT(0:1))
    call avCT(339, 0, 9, 1, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    call avCT(339, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_5118])

    allocate(vertices(340)%branchCT(0:0))
    call avCT(340, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_4876])

    allocate(vertices(1068)%branchCT(0:0))
    call avCT(1068, 0, 13, 1, 0, SV0, 0, [0, 0], [nGC_6334])

    allocate(vertices(341)%branchCT(0:0))
    call avCT(341, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_4807])

    allocate(vertices(342)%branchCT(0:0))
    call avCT(342, 0, 8, 1, 0, UVUa0, 0, [0, 1], [nGC_4988])

    allocate(vertices(343)%branchCT(0:0))
    call avCT(343, 0, 8, 1, 0, UUaV0, 0, [0, 1], [nGC_4988])

    allocate(vertices(344)%branchCT(0:2))
    call avCT(344, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_5344, nGC_5341])

    call avCT(344, 1, 20, 1, 0, VFaF1, 0, [0, 1], [nGC_5113, nGC_5114])

    call avCT(344, 2, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_5345, nGC_5342])

    allocate(vertices(345)%branchCT(0:2))
    call avCT(345, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_4891, nGC_4892])

    call avCT(345, 1, 21, 1, 0, SFFa0, 0, [0, 1], [nGC_3492, nGC_3495])

    call avCT(345, 2, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_4893, nGC_4894])

    allocate(vertices(346)%branchCT(0:0))
    call avCT(346, 0, 8, 1, 0, FFaV0, 0, [0, 1], [nGC_6367, nGC_6368])

    allocate(vertices(347)%branchCT(0:0))
    call avCT(347, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_4876])

    allocate(vertices(348)%branchCT(0:2))
    call avCT(348, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_5036, nGC_5037])

    call avCT(348, 1, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_3506, nGC_3509])

    call avCT(348, 2, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_5038, nGC_5039])

    allocate(vertices(349)%branchCT(0:0))
    call avCT(349, 0, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_3453])

    allocate(vertices(350)%branchCT(0:0))
    call avCT(350, 0, 8, 1, 0, SFaF0, 0, [0, 1], [nGC_5326, nGC_5326])

    allocate(vertices(351)%branchCT(0:0))
    call avCT(351, 0, 8, 1, 0, UUaV0, 0, [0, 1], [nGC_5776])

    allocate(vertices(352)%branchCT(0:0))
    call avCT(352, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4815])

    allocate(vertices(353)%branchCT(0:0))
    call avCT(353, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_4872])

    allocate(vertices(354)%branchCT(0:0))
    call avCT(354, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4876])

    allocate(vertices(85)%branchCT(0:0))
    call avCT(85, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_4872])

    allocate(vertices(356)%branchCT(0:0))
    call avCT(356, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_3448])

    allocate(vertices(677)%branchCT(0:0))
    call avCT(677, 0, 20, 1, 0, VFaF1, 0, [0, 1], [nGC_5208, nGC_5209])

    allocate(vertices(357)%branchCT(0:2))
    call avCT(357, 0, 19, 1, 0, FSFa2, 0, [2, 1], [nGC_4892, nGC_4891])

    call avCT(357, 1, 19, 1, 0, FSFa2, 0, [0, 1], [nGC_3495, nGC_3492])

    call avCT(357, 2, 19, 1, 0, FSFa2, 0, [0, 3], [nGC_4894, nGC_4893])

    allocate(vertices(358)%branchCT(0:0))
    call avCT(358, 0, 8, 1, 0, VFaF0, 0, [0, 1], [nGC_5353])

    allocate(vertices(359)%branchCT(0:0))
    call avCT(359, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4876])

    allocate(vertices(360)%branchCT(0:2))
    call avCT(360, 0, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_5105, nGC_5108])

    call avCT(360, 1, 21, 1, 0, VFFa1, 0, [0, 1], [nGC_5113, nGC_5114])

    call avCT(360, 2, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_5104, nGC_5107])

    allocate(vertices(361)%branchCT(0:0))
    call avCT(361, 0, 8, 1, 0, VFaF1, 0, [0, 1], [nGC_5634, nGC_5635])

    allocate(vertices(362)%branchCT(0:0))
    call avCT(362, 0, 17, 1, 0, FaVF0, 0, [0, 1], [nGC_6445, nGC_6446])

    allocate(vertices(363)%branchCT(0:0))
    call avCT(363, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4815])

    allocate(vertices(365)%branchCT(0:1))
    call avCT(365, 0, 9, 1, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    call avCT(365, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_5118])

    allocate(vertices(366)%branchCT(0:0))
    call avCT(366, 0, 8, 1, 0, SVV0, 0, [0, 1], [nGC_5673])

    allocate(vertices(367)%branchCT(0:2))
    call avCT(367, 0, 19, 1, 0, FSFa2, 0, [2, 1], [nGC_4891, nGC_4892])

    call avCT(367, 1, 19, 1, 0, FSFa2, 0, [0, 1], [nGC_3492, nGC_3495])

    call avCT(367, 2, 19, 1, 0, FSFa2, 0, [0, 3], [nGC_4893, nGC_4894])

    allocate(vertices(368)%branchCT(0:0))
    call avCT(368, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4872])

    allocate(vertices(369)%branchCT(0:0))
    call avCT(369, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5099, nGC_5099, nGC_5098])

    allocate(vertices(370)%branchCT(0:2))
    call avCT(370, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_6478, nGC_6473])

    call avCT(370, 1, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_4914, nGC_4915])

    call avCT(370, 2, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_6477, nGC_6472])

    allocate(vertices(372)%branchCT(0:0))
    call avCT(372, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4955])

    allocate(vertices(373)%branchCT(0:0))
    call avCT(373, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_5402])

    allocate(vertices(374)%branchCT(0:0))
    call avCT(374, 0, 8, 1, 0, VVS0, 0, [0, 1], [nGC_5710])

    allocate(vertices(375)%branchCT(0:0))
    call avCT(375, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_5171])

    allocate(vertices(376)%branchCT(0:2))
    call avCT(376, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_6204, nGC_6204])

    call avCT(376, 1, 21, 1, 0, SFFa0, 0, [0, 1], [nGC_6203, nGC_6203])

    call avCT(376, 2, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_6202, nGC_6202])

    allocate(vertices(377)%branchCT(0:0))
    call avCT(377, 0, 8, 1, 0, UaSU0, 0, [0, 1], [nGC_3448])

    allocate(vertices(378)%branchCT(0:0))
    call avCT(378, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_4925])

    allocate(vertices(379)%branchCT(0:0))
    call avCT(379, 0, 8, 1, 0, FVFa1, 0, [0, 1], [nGC_4950, nGC_4951])

    allocate(vertices(380)%branchCT(0:0))
    call avCT(380, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_5329])

    allocate(vertices(381)%branchCT(0:2))
    call avCT(381, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_5164, nGC_5165])

    call avCT(381, 1, 17, 1, 0, FaSF0, 0, [0, 1], [nGC_3539, nGC_3542])

    call avCT(381, 2, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_5166, nGC_5167])

    allocate(vertices(382)%branchCT(0:0))
    call avCT(382, 0, 8, 1, 0, FVFa1, 0, [0, 1], [nGC_5634, nGC_5635])

    allocate(vertices(383)%branchCT(0:0))
    call avCT(383, 0, 21, 1, 0, SFFa0, 0, [0, 1], [nGC_5022, nGC_5022])

    allocate(vertices(384)%branchCT(0:0))
    call avCT(384, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4815])

    allocate(vertices(385)%branchCT(0:0))
    call avCT(385, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_4872])

    allocate(vertices(386)%branchCT(0:0))
    call avCT(386, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_4839])

    allocate(vertices(387)%branchCT(0:0))
    call avCT(387, 0, 17, 1, 0, FaVF1, 0, [0, 1], [nGC_4968])

    allocate(vertices(388)%branchCT(0:0))
    call avCT(388, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_4815])

    allocate(vertices(389)%branchCT(0:0))
    call avCT(389, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4872])

    allocate(vertices(390)%branchCT(0:0))
    call avCT(390, 0, 8, 1, 0, UaVU0, 0, [0, 1], [nGC_4835])

    allocate(vertices(391)%branchCT(0:0))
    call avCT(391, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4876])

    allocate(vertices(392)%branchCT(0:0))
    call avCT(392, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_5402])

    allocate(vertices(393)%branchCT(0:1))
    call avCT(393, 0, 9, 1, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    call avCT(393, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_3457])

    allocate(vertices(1069)%branchCT(0:1))
    call avCT(1069, 0, 42, 1, 0, FaF1, 0, [0, 2], [nGC_6567, nGC_6563, nGC_6569&
    , nGC_6569])

    call avCT(1069, 1, 42, 1, 0, FaF1, 0, [2, 0], [nGC_6568, nGC_6564, nGC_6570&
    , nGC_6570])

    allocate(vertices(395)%branchCT(0:0))
    call avCT(395, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_4829])

    allocate(vertices(396)%branchCT(0:2))
    call avCT(396, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_5067, nGC_5066])

    call avCT(396, 1, 20, 1, 0, SFaF0, 0, [0, 1], [nGC_3498, nGC_3501])

    call avCT(396, 2, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_5069, nGC_5068])

    allocate(vertices(397)%branchCT(0:0))
    call avCT(397, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4897])

    allocate(vertices(398)%branchCT(0:2))
    call avCT(398, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_5066, nGC_5067])

    call avCT(398, 1, 18, 1, 0, FaFS0, 0, [0, 1], [nGC_3501, nGC_3498])

    call avCT(398, 2, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_5068, nGC_5069])

    allocate(vertices(399)%branchCT(0:0))
    call avCT(399, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_4876])

    allocate(vertices(685)%branchCT(0:0))
    call avCT(685, 0, 8, 1, 0, SFaF1, 0, [0, 1], [nGC_4824])

    allocate(vertices(928)%branchCT(0:0))
    call avCT(928, 0, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_3449])

    allocate(vertices(401)%branchCT(0:2))
    call avCT(401, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_6477, nGC_6472])

    call avCT(401, 1, 19, 1, 0, FVFa1, 0, [0, 1], [nGC_4914, nGC_4915])

    call avCT(401, 2, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_6478, nGC_6473])

    allocate(vertices(402)%branchCT(0:0))
    call avCT(402, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_5171])

    allocate(vertices(403)%branchCT(0:0))
    call avCT(403, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_5245])

    allocate(vertices(404)%branchCT(0:0))
    call avCT(404, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_6027, nGC_6026, nGC_6026])

    allocate(vertices(405)%branchCT(0:0))
    call avCT(405, 0, 8, 1, 0, FaSF1, 0, [0, 1], [nGC_5448])

    allocate(vertices(407)%branchCT(0:0))
    call avCT(407, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5397, nGC_5396, nGC_5396])

    allocate(vertices(408)%branchCT(0:0))
    call avCT(408, 0, 8, 1, 0, FFaV1, 0, [0, 1], [nGC_5597])

    allocate(vertices(409)%branchCT(0:0))
    call avCT(409, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_5219])

    allocate(vertices(410)%branchCT(0:0))
    call avCT(410, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_5402])

    allocate(vertices(740)%branchCT(0:0))
    call avCT(740, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_5171])

    allocate(vertices(628)%branchCT(0:0))
    call avCT(628, 0, 8, 1, 0, UUaV0, 0, [0, 1], [nGC_5219])

    allocate(vertices(412)%branchCT(0:1))
    call avCT(412, 0, 9, 1, 0, SSSS0, 0, [0, 3], [nGC_HHHH])

    call avCT(412, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_6637])

    allocate(vertices(413)%branchCT(0:2))
    call avCT(413, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_5797, nGC_5798])

    call avCT(413, 1, 17, 1, 0, FaSF0, 0, [0, 1], [nGC_3515, nGC_3512])

    call avCT(413, 2, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_5799, nGC_5800])

    allocate(vertices(414)%branchCT(0:0))
    call avCT(414, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4807])

    allocate(vertices(415)%branchCT(0:0))
    call avCT(415, 0, 8, 1, 0, FaFV1, 0, [0, 1], [nGC_5088])

    allocate(vertices(416)%branchCT(0:0))
    call avCT(416, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_5779])

    allocate(vertices(417)%branchCT(0:0))
    call avCT(417, 0, 8, 1, 0, UaVU0, 0, [0, 1], [nGC_5776])

    allocate(vertices(418)%branchCT(0:0))
    call avCT(418, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5281, nGC_5281, nGC_5282])

    allocate(vertices(419)%branchCT(0:2))
    call avCT(419, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_5428, nGC_5428])

    call avCT(419, 1, 21, 1, 0, SFFa0, 0, [0, 1], [nGC_5429, nGC_5429])

    call avCT(419, 2, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_5430, nGC_5430])

    allocate(vertices(420)%branchCT(0:0))
    call avCT(420, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_4876])

    allocate(vertices(421)%branchCT(0:2))
    call avCT(421, 0, 19, 1, 0, FSFa2, 0, [2, 1], [nGC_6115, nGC_6114])

    call avCT(421, 1, 19, 1, 0, FSFa2, 0, [0, 1], [nGC_3548, nGC_3545])

    call avCT(421, 2, 19, 1, 0, FSFa2, 0, [0, 3], [nGC_6117, nGC_6116])

    allocate(vertices(422)%branchCT(0:0))
    call avCT(422, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4955])

    allocate(vertices(423)%branchCT(0:0))
    call avCT(423, 0, 8, 1, 0, FaFV1, 0, [0, 1], [nGC_5387])

    allocate(vertices(424)%branchCT(0:0))
    call avCT(424, 0, 8, 1, 0, UUaS0, 0, [0, 1], [nGC_3448])

    allocate(vertices(425)%branchCT(0:0))
    call avCT(425, 0, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_3448])

    allocate(vertices(426)%branchCT(0:0))
    call avCT(426, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4872])

    allocate(vertices(427)%branchCT(0:0))
    call avCT(427, 0, 8, 1, 0, UaUS0, 0, [0, 1], [nGC_3454])

    allocate(vertices(428)%branchCT(0:0))
    call avCT(428, 0, 8, 1, 0, FaFV1, 0, [0, 1], [nGC_5300])

    allocate(vertices(491)%branchCT(0:0))
    call avCT(491, 0, 8, 1, 0, VUUa0, 0, [0, 1], [nGC_4835])

    allocate(vertices(430)%branchCT(0:0))
    call avCT(430, 0, 8, 1, 0, FaSF2, 0, [0, 1], [nGC_4824])

    allocate(vertices(431)%branchCT(0:0))
    call avCT(431, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_5758])

    allocate(vertices(432)%branchCT(0:2))
    call avCT(432, 0, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_5499])

    call avCT(432, 1, 18, 1, 0, FaFV1, 0, [0, 1], [nGC_5500])

    call avCT(432, 2, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_5497])

    allocate(vertices(433)%branchCT(0:1))
    call avCT(433, 0, 9, 1, 0, SSSS0, 0, [0, 3], [nGC_GPGMGPGM])

    call avCT(433, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_3458])

    allocate(vertices(1070)%branchCT(0:0))
    call avCT(1070, 0, 13, 1, 0, VV1, 0, [0, 0], [nGC_5176, nGC_5175, nGC_5176 &
    , nGC_5175, nGC_5177])

    allocate(vertices(0)%branchCT(0:0))
    call avCT(0, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_5402])

    allocate(vertices(436)%branchCT(0:0))
    call avCT(436, 0, 8, 1, 0, FaFV0, 0, [0, 1], [nGC_5144, nGC_5145])

    allocate(vertices(63)%branchCT(0:0))
    call avCT(63, 0, 8, 1, 0, SFaF1, 0, [0, 1], [nGC_5448])

    allocate(vertices(533)%branchCT(0:2))
    call avCT(533, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_5345, nGC_5342])

    call avCT(533, 1, 19, 1, 0, FVFa1, 0, [0, 1], [nGC_5113, nGC_5114])

    call avCT(533, 2, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_5344, nGC_5341])

    allocate(vertices(439)%branchCT(0:0))
    call avCT(439, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5282, nGC_5281, nGC_5281])

    allocate(vertices(539)%branchCT(0:0))
    call avCT(539, 0, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_3454])

    allocate(vertices(441)%branchCT(0:0))
    call avCT(441, 0, 8, 1, 0, UaUS0, 0, [0, 1], [nGC_3451])

    allocate(vertices(442)%branchCT(0:2))
    call avCT(442, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_5379, nGC_5379])

    call avCT(442, 1, 10, 1, 0, FFaS0, 0, [0, 1], [nGC_5380, nGC_5380])

    call avCT(442, 2, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_5381, nGC_5381])

    allocate(vertices(443)%branchCT(0:0))
    call avCT(443, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_5245])

    allocate(vertices(1071)%branchCT(0:0))
    call avCT(1071, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_4803])

    allocate(vertices(444)%branchCT(0:0))
    call avCT(444, 0, 8, 1, 0, FFaV0, 0, [0, 1], [nGC_5195, nGC_5196])

    allocate(vertices(445)%branchCT(0:0))
    call avCT(445, 0, 8, 1, 0, UUaV0, 0, [0, 1], [nGC_4988])

    allocate(vertices(446)%branchCT(0:2))
    call avCT(446, 0, 19, 1, 0, FSFa2, 0, [2, 1], [nGC_5067, nGC_5066])

    call avCT(446, 1, 19, 1, 0, FSFa2, 0, [0, 1], [nGC_3498, nGC_3501])

    call avCT(446, 2, 19, 1, 0, FSFa2, 0, [0, 3], [nGC_5069, nGC_5068])

    allocate(vertices(447)%branchCT(0:0))
    call avCT(447, 0, 8, 1, 0, USUa0, 0, [0, 1], [nGC_3454])

    allocate(vertices(448)%branchCT(0:0))
    call avCT(448, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_4876])

    allocate(vertices(449)%branchCT(0:0))
    call avCT(449, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4955])

    allocate(vertices(450)%branchCT(0:0))
    call avCT(450, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_4815])

    allocate(vertices(451)%branchCT(0:0))
    call avCT(451, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_4902])

    allocate(vertices(452)%branchCT(0:0))
    call avCT(452, 0, 8, 1, 0, SUUa0, 0, [0, 1], [nGC_5889])

    allocate(vertices(453)%branchCT(0:0))
    call avCT(453, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5099, nGC_5099, nGC_5098])

    allocate(vertices(583)%branchCT(0:1))
    call avCT(583, 0, 9, 1, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    call avCT(583, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_3457])

    allocate(vertices(455)%branchCT(0:1))
    call avCT(455, 0, 9, 1, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    call avCT(455, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_5118])

    allocate(vertices(456)%branchCT(0:0))
    call avCT(456, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_5245])

    allocate(vertices(584)%branchCT(0:0))
    call avCT(584, 0, 8, 1, 0, VFaF0, 0, [0, 1], [nGC_5088])

    allocate(vertices(1072)%branchCT(0:0))
    call avCT(1072, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4803])

    allocate(vertices(458)%branchCT(0:0))
    call avCT(458, 0, 8, 1, 0, SFFa0, 0, [0, 1], [nGC_5326, nGC_5326])

    allocate(vertices(939)%branchCT(0:0))
    call avCT(939, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4807])

    allocate(vertices(459)%branchCT(0:0))
    call avCT(459, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4829])

    allocate(vertices(460)%branchCT(0:2))
    call avCT(460, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_5129, nGC_5125])

    call avCT(460, 1, 19, 1, 0, FVFa1, 0, [0, 1], [nGC_5133, nGC_5134])

    call avCT(460, 2, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_5127, nGC_5123])

    allocate(vertices(461)%branchCT(0:0))
    call avCT(461, 0, 8, 1, 0, UaVU0, 0, [0, 1], [nGC_6322])

    allocate(vertices(663)%branchCT(0:0))
    call avCT(663, 0, 8, 1, 0, VFFa1, 0, [0, 1], [nGC_5268, nGC_5269])

    allocate(vertices(182)%branchCT(0:0))
    call avCT(182, 0, 8, 1, 0, UaVU0, 0, [0, 1], [nGC_4868])

    allocate(vertices(463)%branchCT(0:0))
    call avCT(463, 0, 8, 1, 0, VVV0, 0, [0, 1], [nGC_6825])

    allocate(vertices(308)%branchCT(0:2))
    call avCT(308, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_6115, nGC_6114])

    call avCT(308, 1, 21, 1, 0, SFFa0, 0, [0, 1], [nGC_3548, nGC_3545])

    call avCT(308, 2, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_6117, nGC_6116])

    allocate(vertices(465)%branchCT(0:2))
    call avCT(465, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_4910, nGC_4905])

    call avCT(465, 1, 20, 1, 0, VFaF1, 0, [0, 1], [nGC_4914, nGC_4915])

    call avCT(465, 2, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_4911, nGC_4906])

    allocate(vertices(466)%branchCT(0:0))
    call avCT(466, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_4829])

    allocate(vertices(467)%branchCT(0:0))
    call avCT(467, 0, 8, 1, 0, VFFa0, 0, [0, 1], [nGC_5353])

    allocate(vertices(706)%branchCT(0:0))
    call avCT(706, 0, 8, 1, 0, SUaU0, 0, [0, 1], [nGC_3453])

    allocate(vertices(469)%branchCT(0:0))
    call avCT(469, 0, 8, 1, 0, VVS0, 0, [0, 1], [nGC_4925])

    allocate(vertices(470)%branchCT(0:0))
    call avCT(470, 0, 17, 1, 0, FaSF0, 0, [0, 1], [nGC_5590, nGC_5589])

    allocate(vertices(471)%branchCT(0:0))
    call avCT(471, 0, 8, 1, 0, FaVF1, 0, [0, 1], [nGC_5597])

    allocate(vertices(472)%branchCT(0:2))
    call avCT(472, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_5104, nGC_5107])

    call avCT(472, 1, 19, 1, 0, FVFa1, 0, [0, 1], [nGC_5113, nGC_5114])

    call avCT(472, 2, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_5105, nGC_5108])

    allocate(vertices(406)%branchCT(0:0))
    call avCT(406, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_4839])

    allocate(vertices(474)%branchCT(0:0))
    call avCT(474, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_4872])

    allocate(vertices(942)%branchCT(0:1))
    call avCT(942, 0, 9, 1, 0, SSSS0, 0, [0, 3], [nGC_GPGMGPGM])

    call avCT(942, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_3458])

    allocate(vertices(1073)%branchCT(0:0))
    call avCT(1073, 0, 8, 1, 0, VFFa0, 0, [0, 1], [nGC_4853])

    allocate(vertices(758)%branchCT(0:0))
    call avCT(758, 0, 8, 1, 0, USUa0, 0, [0, 1], [nGC_3454])

    allocate(vertices(477)%branchCT(0:0))
    call avCT(477, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_4872])

    allocate(vertices(478)%branchCT(0:0))
    call avCT(478, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_5748])

    allocate(vertices(479)%branchCT(0:3))
    call avCT(479, 0, 38, 2, 0, VFaF1, 0, [1, 2], [nGC_5719, nGC_5717])

    call avCT(479, 1, 38, 2, 0, VFaF1, 0, [3, 0], [nGC_5723, nGC_5724])

    call avCT(479, 2, 39, 3, 0, VFaF1, 0, [1, 2], [nGC_5719, nGC_5717])

    call avCT(479, 3, 39, 3, 0, VFaF1, 0, [3, 0], [nGC_5723, nGC_5724])

    allocate(vertices(480)%branchCT(0:0))
    call avCT(480, 0, 9, 1, 0, VSVS0, 0, [0, 2], [nGC_5329])

    allocate(vertices(481)%branchCT(0:0))
    call avCT(481, 0, 8, 1, 0, UaUS0, 0, [0, 1], [nGC_3449])

    allocate(vertices(482)%branchCT(0:2))
    call avCT(482, 0, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_6905, nGC_6901])

    call avCT(482, 1, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_6908, nGC_6909])

    call avCT(482, 2, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_6903, nGC_6899])

    allocate(vertices(483)%branchCT(0:0))
    call avCT(483, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4815])

    allocate(vertices(484)%branchCT(0:2))
    call avCT(484, 0, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_5499])

    call avCT(484, 1, 10, 1, 0, FFaV1, 0, [0, 1], [nGC_5500])

    call avCT(484, 2, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_5497])

    allocate(vertices(485)%branchCT(0:0))
    call avCT(485, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_4872])

    allocate(vertices(486)%branchCT(0:0))
    call avCT(486, 0, 8, 1, 0, VSV0, 0, [0, 1], [nGC_4925])

    allocate(vertices(487)%branchCT(0:0))
    call avCT(487, 0, 8, 1, 0, FFaS2, 0, [0, 1], [nGC_4824])

    allocate(vertices(488)%branchCT(0:1))
    call avCT(488, 0, 9, 1, 0, SSSS0, 0, [0, 3], [nGC_HHGG])

    call avCT(488, 1, 9, 1, 0, SSSS0, 0, [0, 2], [nGC_3457])

    allocate(vertices(489)%branchCT(0:0))
    call avCT(489, 0, 17, 1, 0, FaSF0, 0, [0, 1], [nGC_5543, nGC_5544])

    allocate(vertices(1074)%branchCT(0:0))
    call avCT(1074, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_4803])

    allocate(vertices(490)%branchCT(0:0))
    call avCT(490, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_6934])

    allocate(vertices(429)%branchCT(0:3))
    call avCT(429, 0, 11, 2, 0, FFaV0, 0, [1, 2], [nGC_5719, nGC_5717])

    call avCT(429, 1, 11, 2, 0, FFaV0, 0, [3, 0], [nGC_5723, nGC_5724])

    call avCT(429, 2, 12, 3, 0, FFaV0, 0, [1, 2], [nGC_5719, nGC_5717])

    call avCT(429, 3, 12, 3, 0, FFaV0, 0, [3, 0], [nGC_5723, nGC_5724])

    allocate(vertices(492)%branchCT(0:0))
    call avCT(492, 0, 8, 1, 0, VVV0, 0, [0, 1], [nGC_5935])

    allocate(vertices(493)%branchCT(0:0))
    call avCT(493, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4872])

    allocate(vertices(494)%branchCT(0:2))
    call avCT(494, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_6905, nGC_6901])

    call avCT(494, 1, 19, 1, 0, FVFa1, 0, [0, 1], [nGC_6908, nGC_6909])

    call avCT(494, 2, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_6903, nGC_6899])

    allocate(vertices(495)%branchCT(0:0))
    call avCT(495, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5099, nGC_5098, nGC_5099])

    allocate(vertices(496)%branchCT(0:0))
    call avCT(496, 0, 8, 1, 0, SSV0, 0, [0, 1], [nGC_5054])

    allocate(vertices(833)%branchCT(0:3))
    call avCT(833, 0, 38, 2, 0, VFaF1, 0, [1, 2], [nGC_6968, nGC_6970])

    call avCT(833, 1, 38, 2, 0, VFaF1, 0, [3, 0], [nGC_6974, nGC_6975])

    call avCT(833, 2, 39, 3, 0, VFaF1, 0, [1, 2], [nGC_6968, nGC_6970])

    call avCT(833, 3, 39, 3, 0, VFaF1, 0, [3, 0], [nGC_6974, nGC_6975])

    allocate(vertices(754)%branchCT(0:2))
    call avCT(754, 0, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_6477, nGC_6472])

    call avCT(754, 1, 17, 1, 0, FaVF0, 0, [0, 1], [nGC_4914, nGC_4915])

    call avCT(754, 2, 17, 1, 0, FaVF0, 0, [2, 1], [nGC_6478, nGC_6473])

    allocate(vertices(498)%branchCT(0:0))
    call avCT(498, 0, 8, 1, 0, VFFa0, 0, [0, 1], [nGC_5300])

    allocate(vertices(499)%branchCT(0:0))
    call avCT(499, 0, 21, 1, 0, VFFa0, 0, [0, 1], [nGC_4968])

    allocate(vertices(592)%branchCT(0:0))
    call avCT(592, 0, 8, 1, 0, FFaV1, 0, [0, 1], [nGC_5300])

    allocate(vertices(501)%branchCT(0:0))
    call avCT(501, 0, 8, 1, 0, FVFa0, 0, [0, 1], [nGC_5300])

    allocate(vertices(901)%branchCT(0:0))
    call avCT(901, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4897])

    allocate(vertices(503)%branchCT(0:0))
    call avCT(503, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_4876])

    allocate(vertices(504)%branchCT(0:0))
    call avCT(504, 0, 8, 1, 0, SVS0, 0, [0, 1], [nGC_5693])

    allocate(vertices(505)%branchCT(0:0))
    call avCT(505, 0, 8, 1, 0, FSFa1, 0, [0, 1], [nGC_5448])

    allocate(vertices(506)%branchCT(0:0))
    call avCT(506, 0, 8, 1, 0, UVUa0, 0, [0, 1], [nGC_5776])

    allocate(vertices(507)%branchCT(0:0))
    call avCT(507, 0, 8, 1, 0, VSS0, 0, [0, 1], [nGC_5749])

    allocate(vertices(244)%branchCT(0:0))
    call avCT(244, 0, 9, 1, 0, VVSS0, 0, [0, 2], [nGC_4876])

    allocate(vertices(1075)%branchCT(0:0))
    call avCT(1075, 0, 9, 1, 0, SVVS0, 0, [0, 2], [nGC_4803])

    allocate(vertices(510)%branchCT(0:2))
    call avCT(510, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_5813])

    call avCT(510, 1, 20, 1, 0, VFaF0, 0, [0, 1], [nGC_5500])

    call avCT(510, 2, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_5815])

    allocate(vertices(1076)%branchCT(0:1))
    call avCT(1076, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_7029, nGC_7023, nGC_7031&
    , nGC_7031])

    call avCT(1076, 1, 14, 1, 0, FFa0, 0, [2, 0], [nGC_7030, nGC_7024, nGC_7032&
    , nGC_7032])

    allocate(vertices(511)%branchCT(0:0))
    call avCT(511, 0, 8, 1, 0, VVV0, 0, [0, 1], [nGC_5936])

    allocate(vertices(512)%branchCT(0:0))
    call avCT(512, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5098, nGC_5099, nGC_5099])

    allocate(vertices(513)%branchCT(0:0))
    call avCT(513, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_4955])

    allocate(vertices(1077)%branchCT(0:0))
    call avCT(1077, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4803])

    allocate(vertices(514)%branchCT(0:0))
    call avCT(514, 0, 9, 1, 0, SVSV0, 0, [0, 2], [nGC_4839])

    allocate(vertices(515)%branchCT(0:0))
    call avCT(515, 0, 9, 1, 0, VSSV0, 0, [0, 2], [nGC_5402])

    allocate(vertices(516)%branchCT(0:0))
    call avCT(516, 0, 8, 1, 0, VUaU0, 0, [0, 1], [nGC_5776])

    allocate(vertices(517)%branchCT(0:0))
    call avCT(517, 0, 10, 1, 0, FFaV0, 0, [0, 1], [nGC_5208, nGC_5209])

    allocate(vertices(434)%branchCT(0:0))
    call avCT(434, 0, 9, 1, 0, SSVV0, 0, [0, 2], [nGC_4872])

    allocate(vertices(1078)%branchCT(0:0))
    call avCT(1078, 0, 13, 1, 0, FaF1, 0, [0, 0], [nGC_5252, nGC_5249, nGC_5253&
    , nGC_5253])

    allocate(vertices(518)%branchCT(0:0))
    call avCT(518, 0, 8, 1, 0, FaSF2, 0, [0, 1], [nGC_5448])

    allocate(vertices(519)%branchCT(0:0))
    call avCT(519, 0, 9, 1, 0, VVVV0, 0, [0, 2], [nGC_5099, nGC_5098, nGC_5099])

    allocate(vertices(520)%branchCT(0:2))
    call avCT(520, 0, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_7082, nGC_7078])

    call avCT(520, 1, 18, 1, 0, FaFV0, 0, [0, 1], [nGC_6908, nGC_6909])

    call avCT(520, 2, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_7080, nGC_7076])

  end subroutine fill_vertices_mdl2
end module vertices_info2
