!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl3()
    coupl(nGC_5249) = coupl(nGC_MI)*dZeMinusL
    coupl(nGC_5245) = coupl(nGC_22)*dZWMinus/2d0 + coupl(nGC_3465)
    coupl(nGC_3394) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(    &
                      nGC_34)**2d0 + coupl(nGC_73)**2d0 + coupl(nGC_74)*coupl( &
                      nGC_76) + coupl(nGC_75)**2d0)/(64d0*pi**2d0)
    coupl(nGC_3198) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_54)*coupl(nGC_56) - 8d0*&
                      Nc*cMC**2d0*cima*coupl(nGC_58)*coupl(nGC_60) - 8d0*Nc*cMD&
                      **2d0*cima*coupl(nGC_62)*coupl(nGC_64) - 8d0*Nc*cMS**2d0*&
                      cima*coupl(nGC_74)*coupl(nGC_76) - 8d0*Nc*cMT**2d0*cima* &
                      coupl(nGC_78)*coupl(nGC_80) - 8d0*Nc*cMU**2d0*cima*coupl(&
                      nGC_86)*coupl(nGC_88) - 8d0*cME**2d0*cima*coupl(nGC_66)* &
                      coupl(nGC_68) - cMH**2d0*cima*coupl(nGC_206)*coupl(nGC_37&
                      ) - 8d0*cMM**2d0*cima*coupl(nGC_70)*coupl(nGC_72) - 8d0* &
                      cMTA**2d0*cima*coupl(nGC_82)*coupl(nGC_84) - 4d0*cMW**2d0&
                      *cima*coupl(nGC_22)*coupl(nGC_548) - 4d0*cMW**2d0*coupl( &
                      nGC_17) - cMZ**2d0*cima*coupl(nGC_206)*coupl(nGC_37) -   &
                      2d0*cMZ**2d0*coupl(nGC_46))/(32d0*pi**2d0)
    coupl(nGC_3379) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_85)**2d0 + coupl(nGC_39 &
                      )*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_39)*coupl(     &
                      nGC_87)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3378) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_38) + coupl(nGC_34)*coupl(nGC_61)**2d0 + coupl(nGC_35&
                      )*coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_35)*coupl(     &
                      nGC_87)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3371) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23 &
                      )**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_81)**2d0  &
                       + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3370) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23 &
                      )**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_69)**2d0  &
                       + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3373) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_74)*coupl(nGC_76) +     &
                      coupl(nGC_38)*coupl(nGC_75)**2d0 + coupl(nGC_39)*coupl(  &
                      nGC_73)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3372) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_210 &
                      )*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_39) + coupl(nGC_34)*coupl(nGC_74)*coupl(nGC_76) +    &
                      coupl(nGC_34)*coupl(nGC_75)**2d0 + coupl(nGC_35)*coupl(  &
                      nGC_57)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3375) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_77)**2d0 + coupl(nGC_39 &
                      )*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_39)*coupl(     &
                      nGC_79)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3374) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_38) + coupl(nGC_34)*coupl(nGC_53)**2d0 + coupl(nGC_35&
                      )*coupl(nGC_78)*coupl(nGC_80) + coupl(nGC_35)*coupl(     &
                      nGC_79)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3377) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23&
                      )**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_82)*coupl(&
                      nGC_84) + coupl(nGC_36)*coupl(nGC_83)**2d0 + 4d0*coupl(  &
                      nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40)**3d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_3376) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4  &
                      )**2d0 + coupl(nGC_40)*coupl(nGC_82)*coupl(nGC_84) +     &
                      coupl(nGC_40)*coupl(nGC_83)**2d0 + coupl(nGC_41)*coupl(  &
                      nGC_81)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3207) = cima*(-2d0*Nc*coupl(nGC_34)**2d0 - 2d0*Nc*coupl(nGC_35)**&
                      2d0 - 2d0*Nc*coupl(nGC_38)**2d0 - 2d0*Nc*coupl(nGC_39)** &
                      2d0 - coupl(nGC_210)**2d0 - coupl(nGC_25)**2d0 - 2d0*    &
                      coupl(nGC_36)**2d0 - 2d0*coupl(nGC_40)**2d0 - 2d0*coupl( &
                      nGC_41)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3206) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_34) + 2d0*Nc&
                      *cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_38) + 2d0*Nc*cMC** &
                      2d0*cima*coupl(nGC_2)*coupl(nGC_35) + 2d0*Nc*cMC**2d0*   &
                      cima*coupl(nGC_2)*coupl(nGC_39) + 2d0*Nc*cMD**2d0*cima*  &
                      coupl(nGC_1)*coupl(nGC_34) + 2d0*Nc*cMD**2d0*cima*coupl( &
                      nGC_1)*coupl(nGC_38) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*&
                      coupl(nGC_34) + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)*coupl( &
                      nGC_38) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_35 &
                      ) + 2d0*Nc*cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_39) + 2d0&
                      *Nc*cMU**2d0*cima*coupl(nGC_2)*coupl(nGC_35) + 2d0*Nc*cMU&
                      **2d0*cima*coupl(nGC_2)*coupl(nGC_39) + 2d0*cME**2d0*cima&
                      *coupl(nGC_36)*coupl(nGC_4) + 2d0*cME**2d0*cima*coupl(   &
                      nGC_4)*coupl(nGC_40) + 2d0*cMM**2d0*cima*coupl(nGC_36)*  &
                      coupl(nGC_4) + 2d0*cMM**2d0*cima*coupl(nGC_4)*coupl(     &
                      nGC_40) + 2d0*cMTA**2d0*cima*coupl(nGC_36)*coupl(nGC_4   &
                      ) + 2d0*cMTA**2d0*cima*coupl(nGC_4)*coupl(nGC_40) + 3d0* &
                      cMW**2d0*cima*coupl(nGC_210)*coupl(nGC_354) + 3d0*cMW**  &
                      2d0*cima*coupl(nGC_25)*coupl(nGC_3) - 2d0*cMW**2d0*coupl(&
                      nGC_29))/(16d0*pi**2d0)
    coupl(nGC_5799) = coupl(nGC_3516) + coupl(nGC_76)*dZsL_QED2/2d0 + coupl(   &
                      nGC_76)*dZsR_QED2/2d0
    coupl(nGC_5798) = coupl(nGC_3511) + coupl(nGC_74)*dZsL_QCD2/2d0 + coupl(   &
                      nGC_74)*dZsR_QCD2/2d0
    coupl(nGC_3480) = coupl(nGC_3068)*dsw_ + coupl(nGC_3069)*dZee + coupl(     &
                      nGC_3070)*dcw_ + coupl(nGC_3071)*dvev_QEDM1
    coupl(nGC_5797) = coupl(nGC_3514) + coupl(nGC_76)*dZsL_QCD2/2d0 + coupl(   &
                      nGC_76)*dZsR_QCD2/2d0
    coupl(nGC_4824) = coupl(nGC_3528) + coupl(nGC_81)*dZnu_tauL/2d0 + coupl(   &
                      nGC_81)*dZtauMinusR/2d0
    coupl(nGC_4825) = coupl(nGC_MI)*dZnu_muL
    coupl(nGC_4820) = coupl(nGC_3533) + coupl(nGC_82)*dZtauMinusL/2d0 + coupl( &
                      nGC_82)*dZtauMinusR/2d0
    coupl(nGC_4821) = coupl(nGC_3534) + coupl(nGC_84)*dZtauMinusL/2d0 + coupl( &
                      nGC_84)*dZtauMinusR/2d0
    coupl(nGC_4829) = coupl(nGC_17)*dZWMinus + coupl(nGC_3469)
    coupl(nGC_3478) = coupl(nGC_3060)*dZee + coupl(nGC_3061)*dsw_ + coupl(     &
                      nGC_3062)*dcw_
    coupl(nGC_3479) = coupl(nGC_3186)*dZee + coupl(nGC_3187)*dsw_ + coupl(     &
                      nGC_3188)*dcw_
    coupl(nGC_3577) = coupl(nGC_144)*dMW2
    coupl(nGC_3473) = coupl(nGC_3169)*dZee + coupl(nGC_3170)*dsw_ + coupl(     &
                      nGC_3171)*dcw_
    coupl(nGC_3579) = coupl(nGC_152)*dMZ2
    coupl(nGC_3578) = coupl(nGC_148)*dMW2
    coupl(nGC_3476) = coupl(nGC_3051)*dZee + coupl(nGC_3052)*dcw_ + coupl(     &
                      nGC_3053)*dvev_QEDM1
    coupl(nGC_3477) = coupl(nGC_3096)*dZee + coupl(nGC_3097)*dcw_
    coupl(nGC_3474) = coupl(nGC_3102)*dZee + coupl(nGC_3103)*dcw_
    coupl(nGC_3475) = coupl(nGC_3100)*dZee + coupl(nGC_3101)*dcw_
    coupl(nGC_5054) = coupl(nGC_21)*dZH/2d0 + coupl(nGC_21)*dZWMinus/2d0 +     &
                      coupl(nGC_3466)
    coupl(nGC_5055) = -coupl(nGC_5054)
    coupl(nGC_5112) = coupl(nGC_2)*dZA/2d0 + coupl(nGC_3481)
    coupl(nGC_3364) = coupl(nGC_11)**2d0*coupl(nGC_34)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_3270) = (-coupl(nGC_1)*coupl(nGC_170)*coupl(nGC_77) + 8d0*coupl( &
                      nGC_1)*coupl(nGC_2)*coupl(nGC_77) - coupl(nGC_2)*coupl(  &
                      nGC_4)*coupl(nGC_77) - coupl(nGC_22)*coupl(nGC_23)*coupl(&
                      nGC_80) - coupl(nGC_23)*coupl(nGC_79)*coupl(nGC_954) +   &
                      8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_77) - coupl(   &
                      nGC_35)*coupl(nGC_40)*coupl(nGC_77) - coupl(nGC_38)*coupl&
                      (nGC_77)*coupl(nGC_918) - coupl(nGC_53)*coupl(nGC_54)*   &
                      coupl(nGC_80) - coupl(nGC_53)*coupl(nGC_55)*coupl(nGC_79 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3271) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_57) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_57) + coupl(nGC_170)*coupl(&
                      nGC_2)*coupl(nGC_57) + coupl(nGC_20)*coupl(nGC_23)*coupl(&
                      nGC_59) + coupl(nGC_23)*coupl(nGC_548)*coupl(nGC_60) +   &
                      8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_57) + coupl(   &
                      nGC_35)*coupl(nGC_57)*coupl(nGC_918) + coupl(nGC_38)*    &
                      coupl(nGC_40)*coupl(nGC_57) - coupl(nGC_59)*coupl(nGC_73 &
                      )*coupl(nGC_75) - coupl(nGC_60)*coupl(nGC_73)*coupl(     &
                      nGC_74))/(32d0*pi**2d0)
    coupl(nGC_3273) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_73) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_73) + coupl(nGC_170)*coupl(&
                      nGC_2)*coupl(nGC_73) + coupl(nGC_22)*coupl(nGC_23)*coupl(&
                      nGC_76) + coupl(nGC_23)*coupl(nGC_75)*coupl(nGC_954) +   &
                      8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_73) + coupl(   &
                      nGC_34)*coupl(nGC_40)*coupl(nGC_73) + coupl(nGC_39)*coupl&
                      (nGC_73)*coupl(nGC_918) - coupl(nGC_57)*coupl(nGC_58)*   &
                      coupl(nGC_76) - coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_75 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3274) = coupl(nGC_11)**2d0*coupl(nGC_73)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3275) = (-coupl(nGC_1)*coupl(nGC_170)*coupl(nGC_61) + 8d0*coupl( &
                      nGC_1)*coupl(nGC_2)*coupl(nGC_61) - coupl(nGC_2)*coupl(  &
                      nGC_4)*coupl(nGC_61) - coupl(nGC_20)*coupl(nGC_23)*coupl(&
                      nGC_63) - coupl(nGC_23)*coupl(nGC_548)*coupl(nGC_64) +   &
                      8d0*coupl(nGC_34)*coupl(nGC_39)*coupl(nGC_61) - coupl(   &
                      nGC_34)*coupl(nGC_61)*coupl(nGC_918) - coupl(nGC_39)*    &
                      coupl(nGC_40)*coupl(nGC_61) - coupl(nGC_63)*coupl(nGC_85 &
                      )*coupl(nGC_87) - coupl(nGC_64)*coupl(nGC_85)*coupl(     &
                      nGC_86))/(32d0*pi**2d0)
    coupl(nGC_3276) = coupl(nGC_11)**2d0*coupl(nGC_61)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3277) = (-coupl(nGC_1)*coupl(nGC_170)*coupl(nGC_85) + 8d0*coupl( &
                      nGC_1)*coupl(nGC_2)*coupl(nGC_85) - coupl(nGC_2)*coupl(  &
                      nGC_4)*coupl(nGC_85) - coupl(nGC_22)*coupl(nGC_23)*coupl(&
                      nGC_88) - coupl(nGC_23)*coupl(nGC_87)*coupl(nGC_954) +   &
                      8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_85) - coupl(   &
                      nGC_35)*coupl(nGC_40)*coupl(nGC_85) - coupl(nGC_38)*coupl&
                      (nGC_85)*coupl(nGC_918) - coupl(nGC_61)*coupl(nGC_62)*   &
                      coupl(nGC_88) - coupl(nGC_61)*coupl(nGC_63)*coupl(nGC_87 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3278) = coupl(nGC_11)**2d0*coupl(nGC_85)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3362) = coupl(nGC_11)**2d0*coupl(nGC_38)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_9579) = -coupl(nGC_3282)
    coupl(nGC_3361) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_38) + 4d0*coupl(nGC_210 &
                      )*coupl(nGC_23)**2d0 + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_39) + coupl(nGC_34)*coupl(nGC_62)*coupl(nGC_64) +    &
                      coupl(nGC_34)*coupl(nGC_63)**2d0 + coupl(nGC_35)*coupl(  &
                      nGC_85)**2d0 + 4d0*coupl(nGC_38)**3d0)/(32d0*pi**2d0)
    coupl(nGC_6569) = coupl(nGC_3570) + coupl(nGC_6565)
    coupl(nGC_7928) = coupl(nGC_3568) + coupl(nGC_7922)
    coupl(nGC_3409) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_59)**2d0 +   &
                      coupl(nGC_63)**2d0 + coupl(nGC_75)**2d0 + coupl(nGC_87)**&
                      2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_3408) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_59)**2d0 -  &
                      coupl(nGC_63)**2d0 - coupl(nGC_75)**2d0 - coupl(nGC_87)**&
                      2d0)/(16d0*pi**2d0)
    coupl(nGC_3407) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_58)*coupl(   &
                      nGC_60) + coupl(nGC_62)*coupl(nGC_64) + coupl(nGC_74)*   &
                      coupl(nGC_76) + coupl(nGC_86)*coupl(nGC_88))/(16d0*pi**  &
                      2d0*Nc)
    coupl(nGC_7925) = coupl(nGC_MI)*dZcR_QED2
    coupl(nGC_7926) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_7920) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_3301) = coupl(nGC_11)**2d0*coupl(nGC_60)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_5021) = coupl(nGC_3525) + coupl(nGC_55)*dZH/2d0
    coupl(nGC_8443) = coupl(nGC_3572) + coupl(nGC_8439)
    coupl(nGC_8441) = coupl(nGC_MI)*dZsR_QED2
    coupl(nGC_8444) = coupl(nGC_3573) + coupl(nGC_8440)
    coupl(nGC_3240) = (coupl(nGC_1460)*coupl(nGC_170)*coupl(nGC_548) - 6d0*    &
                      coupl(nGC_20)*coupl(nGC_22)*coupl(nGC_354) - 6d0*coupl(  &
                      nGC_21)*coupl(nGC_22)*coupl(nGC_3) + coupl(nGC_4)*coupl( &
                      nGC_548)*coupl(nGC_954))/(96d0*pi**2d0)
    coupl(nGC_3368) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4  &
                      )**2d0 + coupl(nGC_40)*coupl(nGC_70)*coupl(nGC_72) +     &
                      coupl(nGC_40)*coupl(nGC_71)**2d0 + coupl(nGC_41)*coupl(  &
                      nGC_69)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3369) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23&
                      )**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_70)*coupl(&
                      nGC_72) + coupl(nGC_36)*coupl(nGC_71)**2d0 + 4d0*coupl(  &
                      nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40)**3d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_6032) = coupl(nGC_MI)*dZmuMinusR
    coupl(nGC_5800) = coupl(nGC_3513) + coupl(nGC_74)*dZsL_QED2/2d0 + coupl(   &
                      nGC_74)*dZsR_QED2/2d0
    coupl(nGC_5806) = coupl(nGC_10)*dZg_QCD2/2d0 + coupl(nGC_3439)
    coupl(nGC_5207) = coupl(nGC_2)*dZtR + coupl(nGC_35)*dZZA/2d0
    coupl(nGC_5206) = coupl(nGC_2)*dZtL + coupl(nGC_39)*dZZA/2d0
    coupl(nGC_5209) = coupl(nGC_5112) + coupl(nGC_5206)
    coupl(nGC_5208) = coupl(nGC_5112) + coupl(nGC_5207)
    coupl(nGC_3490) = coupl(nGC_3157)*dZee + coupl(nGC_3158)*dsw_ + coupl(     &
                      nGC_3159)*dcw_
    coupl(nGC_7147) = coupl(nGC_MI)*dZnu_tauL
    coupl(nGC_7148) = coupl(nGC_MI)*dZnu_tauR
    coupl(nGC_8438) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_3330) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_63) - coupl(nGC_1460)*  &
                      coupl(nGC_23)*coupl(nGC_61) - coupl(nGC_206)*coupl(nGC_38&
                      )*coupl(nGC_64) - coupl(nGC_34)*coupl(nGC_37)*coupl(     &
                      nGC_64) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_63   &
                      ) - coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_87) - coupl(   &
                      nGC_63)**3d0 - coupl(nGC_63)*coupl(nGC_64)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_4860) = coupl(nGC_87)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_4861) = coupl(nGC_87)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_4862) = coupl(nGC_3552) + coupl(nGC_4861)
    coupl(nGC_4863) = coupl(nGC_3553) + coupl(nGC_87)*dZH/2d0
    coupl(nGC_7032) = coupl(nGC_3566) + coupl(nGC_7026)
    coupl(nGC_3200) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_55)**2d0 - 4d0*Nc*cMC** &
                      2d0*cima*coupl(nGC_59)**2d0 - 4d0*Nc*cMD**2d0*cima*coupl(&
                      nGC_63)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_75)**2d0 - &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_79)**2d0 - 4d0*Nc*cMU**2d0&
                      *cima*coupl(nGC_87)**2d0 - 4d0*cME**2d0*cima*coupl(nGC_67&
                      )**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_71)**2d0 - 4d0*cMTA &
                      **2d0*cima*coupl(nGC_83)**2d0 - cMW**2d0*cima*coupl(     &
                      nGC_1460)*coupl(nGC_20) - cMW**2d0*cima*coupl(nGC_21)*   &
                      coupl(nGC_954) - 2d0*cMW**2d0*coupl(nGC_17) - cMZ**2d0*  &
                      cima*coupl(nGC_206)*coupl(nGC_37) - cMZ**2d0*coupl(nGC_46&
                      ) + 2d0*cima*coupl(nGC_50)**2d0 + cima*coupl(nGC_52)**2d0&
                      )/(16d0*pi**2d0)
    coupl(nGC_3205) = cima*(coupl(nGC_210)*coupl(nGC_354) + coupl(nGC_25)*coupl&
                      (nGC_3))/(48d0*pi**2d0)
    coupl(nGC_3204) = cima*(-2d0*Nc*coupl(nGC_1)*coupl(nGC_34) - 2d0*Nc*coupl( &
                      nGC_1)*coupl(nGC_38) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_35  &
                      ) - 2d0*Nc*coupl(nGC_2)*coupl(nGC_39) - coupl(nGC_210)*  &
                      coupl(nGC_354) - coupl(nGC_25)*coupl(nGC_3) - 2d0*coupl( &
                      nGC_36)*coupl(nGC_4) - 2d0*coupl(nGC_4)*coupl(nGC_40))/( &
                      32d0*pi**2d0)
    coupl(nGC_6030) = coupl(nGC_MM)*(dZmuMinusL + dZmuMinusR)/2d0
    coupl(nGC_5748) = coupl(nGC_3473) + coupl(nGC_4)*dZAZ/2d0 + coupl(nGC_40)* &
                      dZZ/2d0
    coupl(nGC_5749) = -coupl(nGC_5748)
    coupl(nGC_4826) = coupl(nGC_MI)*dZnu_muR
    coupl(nGC_5429) = coupl(nGC_3556) + coupl(nGC_59)*dZH/2d0
    coupl(nGC_5428) = coupl(nGC_3555) + coupl(nGC_5427)
    coupl(nGC_3339) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_75) - coupl(nGC_1460)*  &
                      coupl(nGC_23)*coupl(nGC_73) - coupl(nGC_206)*coupl(nGC_38&
                      )*coupl(nGC_76) - coupl(nGC_34)*coupl(nGC_37)*coupl(     &
                      nGC_76) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_75   &
                      ) - coupl(nGC_57)*coupl(nGC_59)*coupl(nGC_73) - coupl(   &
                      nGC_75)**3d0 - coupl(nGC_75)*coupl(nGC_76)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3338) = (coupl(nGC_206)*coupl(nGC_36)*coupl(nGC_72) + coupl(     &
                      nGC_21)*coupl(nGC_23)*coupl(nGC_69) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_71) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_72) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_71) -  &
                      coupl(nGC_71)**3d0 - coupl(nGC_71)*coupl(nGC_72)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_4912) = coupl(nGC_34)*dZZA/2d0
    coupl(nGC_4913) = coupl(nGC_1)*dZA/2d0 + coupl(nGC_3482)
    coupl(nGC_3335) = coupl(nGC_11)**2d0*sq2**2d0*(-cMC*coupl(nGC_59) - cMD*   &
                      coupl(nGC_63) - cMS*coupl(nGC_75) - cMU*coupl(nGC_87))/( &
                      16d0*pi**2d0)
    coupl(nGC_3334) = (coupl(nGC_206)*coupl(nGC_36)*coupl(nGC_68) + coupl(     &
                      nGC_21)*coupl(nGC_23)*coupl(nGC_65) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_67) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_68) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_67) -  &
                      coupl(nGC_67)**3d0 - coupl(nGC_67)*coupl(nGC_68)**2d0)/( &
                      32d0*pi**2d0)
    coupl(nGC_3337) = (coupl(nGC_206)*coupl(nGC_40)*coupl(nGC_70) + coupl(     &
                      nGC_23)*coupl(nGC_69)*coupl(nGC_954) + coupl(nGC_36)*    &
                      coupl(nGC_37)*coupl(nGC_70) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_71) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_71) - coupl(nGC_70)**2d0*coupl(nGC_71) - coupl(nGC_71&
                      )**3d0)/(32d0*pi**2d0)
    coupl(nGC_3336) = coupl(nGC_11)**2d0*sq2**2d0*(cMC*coupl(nGC_59) + cMD*    &
                      coupl(nGC_63) + cMS*coupl(nGC_75) + cMU*coupl(nGC_87))/( &
                      16d0*pi**2d0*Nc)
    coupl(nGC_3331) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_63) - coupl(nGC_20)*    &
                      coupl(nGC_23)*coupl(nGC_61) - coupl(nGC_206)*coupl(nGC_34&
                      )*coupl(nGC_62) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_63) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_62) -    &
                      coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_87) - coupl(nGC_62 &
                      )**2d0*coupl(nGC_63) - coupl(nGC_63)**3d0)/(32d0*pi**2d0)
    coupl(nGC_4919) = coupl(nGC_83)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_3333) = (coupl(nGC_206)*coupl(nGC_40)*coupl(nGC_66) + coupl(     &
                      nGC_23)*coupl(nGC_65)*coupl(nGC_954) + coupl(nGC_36)*    &
                      coupl(nGC_37)*coupl(nGC_66) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_67) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_67) - coupl(nGC_66)**2d0*coupl(nGC_67) - coupl(nGC_67&
                      )**3d0)/(32d0*pi**2d0)
    coupl(nGC_3443) = coupl(nGC_3124)*dZee + coupl(nGC_3125)*dsw_ + coupl(     &
                      nGC_3126)*dcw_
    coupl(nGC_3442) = coupl(nGC_3095)*dZee
    coupl(nGC_3441) = coupl(nGC_3094)*dZee
    coupl(nGC_3440) = coupl(nGC_3105)*dZgs_QCD2
    coupl(nGC_3447) = coupl(nGC_3093)*dZee
    coupl(nGC_3446) = coupl(nGC_3115)*dZee + coupl(nGC_3116)*dsw_ + coupl(     &
                      nGC_3117)*dcw_
    coupl(nGC_3445) = coupl(nGC_3139)*dZee + coupl(nGC_3140)*dsw_ + coupl(     &
                      nGC_3141)*dcw_
    coupl(nGC_3449) = coupl(nGC_3142)*dsw_ + coupl(nGC_3143)*dMW2 + coupl(     &
                      nGC_3144)*dZee
    coupl(nGC_3448) = coupl(nGC_3107)*dMW2 + coupl(nGC_3108)*dZee
    coupl(nGC_3298) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_58) - coupl(nGC_206)*   &
                      coupl(nGC_35)*coupl(nGC_59) - coupl(nGC_22)*coupl(nGC_23 &
                      )*coupl(nGC_57) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                      nGC_58) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_59) -    &
                      coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_74) - coupl(nGC_58 &
                      )**2d0*coupl(nGC_60) - coupl(nGC_59)**2d0*coupl(nGC_60   &
                      ))/(32d0*pi**2d0)
    coupl(nGC_3524) = coupl(nGC_3079)*dys_QED3
    coupl(nGC_3297) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_54) - coupl(nGC_206)*   &
                      coupl(nGC_38)*coupl(nGC_55) - coupl(nGC_23)*coupl(nGC_53 &
                      )*coupl(nGC_548) - coupl(nGC_34)*coupl(nGC_37)*coupl(    &
                      nGC_55) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_54   &
                      ) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_78) - coupl(   &
                      nGC_54)**2d0*coupl(nGC_56) - coupl(nGC_55)**2d0*coupl(   &
                      nGC_56))/(32d0*pi**2d0)
    coupl(nGC_3294) = (4d0*Nc*cMB*coupl(nGC_54)**2d0*coupl(nGC_55) + 16d0*Nc*  &
                      cMB*coupl(nGC_54)*coupl(nGC_55)*coupl(nGC_56) + 4d0*Nc*  &
                      cMB*coupl(nGC_55)*coupl(nGC_56)**2d0 + 4d0*Nc*cMC*coupl( &
                      nGC_58)**2d0*coupl(nGC_59) + 16d0*Nc*cMC*coupl(nGC_58)*  &
                      coupl(nGC_59)*coupl(nGC_60) + 4d0*Nc*cMC*coupl(nGC_59)*  &
                      coupl(nGC_60)**2d0 + 4d0*Nc*cMD*coupl(nGC_62)**2d0*coupl(&
                      nGC_63) + 16d0*Nc*cMD*coupl(nGC_62)*coupl(nGC_63)*coupl( &
                      nGC_64) + 4d0*Nc*cMD*coupl(nGC_63)*coupl(nGC_64)**2d0 +  &
                      4d0*Nc*cMS*coupl(nGC_74)**2d0*coupl(nGC_75) + 16d0*Nc*cMS&
                      *coupl(nGC_74)*coupl(nGC_75)*coupl(nGC_76) + 4d0*Nc*cMS* &
                      coupl(nGC_75)*coupl(nGC_76)**2d0 + 4d0*Nc*cMT*coupl(     &
                      nGC_78)**2d0*coupl(nGC_79) + 16d0*Nc*cMT*coupl(nGC_78)*  &
                      coupl(nGC_79)*coupl(nGC_80) + 4d0*Nc*cMT*coupl(nGC_79)*  &
                      coupl(nGC_80)**2d0 + 4d0*Nc*cMU*coupl(nGC_86)**2d0*coupl(&
                      nGC_87) + 16d0*Nc*cMU*coupl(nGC_86)*coupl(nGC_87)*coupl( &
                      nGC_88) + 4d0*Nc*cMU*coupl(nGC_87)*coupl(nGC_88)**2d0 +  &
                      4d0*cME*coupl(nGC_66)**2d0*coupl(nGC_67) + 16d0*cME*coupl&
                      (nGC_66)*coupl(nGC_67)*coupl(nGC_68) + 4d0*cME*coupl(    &
                      nGC_67)*coupl(nGC_68)**2d0 + 4d0*cMM*coupl(nGC_70)**2d0* &
                      coupl(nGC_71) + 16d0*cMM*coupl(nGC_70)*coupl(nGC_71)*    &
                      coupl(nGC_72) + 4d0*cMM*coupl(nGC_71)*coupl(nGC_72)**2d0 &
                       + 4d0*cMTA*coupl(nGC_82)**2d0*coupl(nGC_83) + 16d0*cMTA*&
                      coupl(nGC_82)*coupl(nGC_83)*coupl(nGC_84) + 4d0*cMTA*    &
                      coupl(nGC_83)*coupl(nGC_84)**2d0 + 4d0*cima*coupl(nGC_17 &
                      )*coupl(nGC_50) + 2d0*cima*coupl(nGC_46)*coupl(nGC_52) + &
                      coupl(nGC_206)**2d0*coupl(nGC_48) + coupl(nGC_206)*coupl(&
                      nGC_37)*coupl(nGC_49) - coupl(nGC_206)*coupl(nGC_37)*    &
                      coupl(nGC_52) + 2d0*coupl(nGC_22)*coupl(nGC_48)*coupl(   &
                      nGC_548) - 2d0*coupl(nGC_22)*coupl(nGC_50)*coupl(nGC_548 &
                      ) + coupl(nGC_37)**2d0*coupl(nGC_48))/(32d0*pi**2d0)
    coupl(nGC_3295) = (-4d0*Nc*coupl(nGC_34)*coupl(nGC_54)*coupl(nGC_55) + 4d0*&
                      Nc*coupl(nGC_34)*coupl(nGC_55)*coupl(nGC_56) - 4d0*Nc*   &
                      coupl(nGC_34)*coupl(nGC_62)*coupl(nGC_63) + 4d0*Nc*coupl(&
                      nGC_34)*coupl(nGC_63)*coupl(nGC_64) - 4d0*Nc*coupl(nGC_34&
                      )*coupl(nGC_74)*coupl(nGC_75) + 4d0*Nc*coupl(nGC_34)*    &
                      coupl(nGC_75)*coupl(nGC_76) + 4d0*Nc*coupl(nGC_35)*coupl(&
                      nGC_58)*coupl(nGC_59) - 4d0*Nc*coupl(nGC_35)*coupl(nGC_59&
                      )*coupl(nGC_60) + 4d0*Nc*coupl(nGC_35)*coupl(nGC_78)*    &
                      coupl(nGC_79) - 4d0*Nc*coupl(nGC_35)*coupl(nGC_79)*coupl(&
                      nGC_80) + 4d0*Nc*coupl(nGC_35)*coupl(nGC_86)*coupl(nGC_87&
                      ) - 4d0*Nc*coupl(nGC_35)*coupl(nGC_87)*coupl(nGC_88) +   &
                      4d0*Nc*coupl(nGC_38)*coupl(nGC_54)*coupl(nGC_55) - 4d0*Nc&
                      *coupl(nGC_38)*coupl(nGC_55)*coupl(nGC_56) + 4d0*Nc*coupl&
                      (nGC_38)*coupl(nGC_62)*coupl(nGC_63) - 4d0*Nc*coupl(     &
                      nGC_38)*coupl(nGC_63)*coupl(nGC_64) + 4d0*Nc*coupl(nGC_38&
                      )*coupl(nGC_74)*coupl(nGC_75) - 4d0*Nc*coupl(nGC_38)*    &
                      coupl(nGC_75)*coupl(nGC_76) - 4d0*Nc*coupl(nGC_39)*coupl(&
                      nGC_58)*coupl(nGC_59) + 4d0*Nc*coupl(nGC_39)*coupl(nGC_59&
                      )*coupl(nGC_60) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_78)*    &
                      coupl(nGC_79) + 4d0*Nc*coupl(nGC_39)*coupl(nGC_79)*coupl(&
                      nGC_80) - 4d0*Nc*coupl(nGC_39)*coupl(nGC_86)*coupl(nGC_87&
                      ) + 4d0*Nc*coupl(nGC_39)*coupl(nGC_87)*coupl(nGC_88) +   &
                      coupl(nGC_1460)*coupl(nGC_548)*coupl(nGC_918) - 6d0*coupl&
                      (nGC_20)*coupl(nGC_210)*coupl(nGC_22) + coupl(nGC_206)** &
                      3d0 - 6d0*coupl(nGC_21)*coupl(nGC_22)*coupl(nGC_25) - 4d0&
                      *coupl(nGC_36)*coupl(nGC_66)*coupl(nGC_67) + 4d0*coupl(  &
                      nGC_36)*coupl(nGC_67)*coupl(nGC_68) - 4d0*coupl(nGC_36)* &
                      coupl(nGC_70)*coupl(nGC_71) + 4d0*coupl(nGC_36)*coupl(   &
                      nGC_71)*coupl(nGC_72) - 4d0*coupl(nGC_36)*coupl(nGC_82)* &
                      coupl(nGC_83) + 4d0*coupl(nGC_36)*coupl(nGC_83)*coupl(   &
                      nGC_84) + coupl(nGC_40)*coupl(nGC_548)*coupl(nGC_954) +  &
                      4d0*coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_67) - 4d0*coupl&
                      (nGC_40)*coupl(nGC_67)*coupl(nGC_68) + 4d0*coupl(nGC_40)*&
                      coupl(nGC_70)*coupl(nGC_71) - 4d0*coupl(nGC_40)*coupl(   &
                      nGC_71)*coupl(nGC_72) + 4d0*coupl(nGC_40)*coupl(nGC_82)* &
                      coupl(nGC_83) - 4d0*coupl(nGC_40)*coupl(nGC_83)*coupl(   &
                      nGC_84))/(96d0*pi**2d0)
    coupl(nGC_3292) = (coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_71) + coupl(nGC_23&
                      )*coupl(nGC_548)*coupl(nGC_70) + coupl(nGC_36)*coupl(    &
                      nGC_40)*coupl(nGC_69) + 8d0*coupl(nGC_36)*coupl(nGC_41)* &
                      coupl(nGC_69) + coupl(nGC_4)**2d0*coupl(nGC_69) + coupl( &
                      nGC_41)*coupl(nGC_69)*coupl(nGC_918))/(32d0*pi**2d0)
    coupl(nGC_3521) = coupl(nGC_3064)*dydo_QED3
    coupl(nGC_3290) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_85) + coupl(    &
                      nGC_1)*coupl(nGC_4)*coupl(nGC_85) + coupl(nGC_1460)*coupl&
                      (nGC_23)*coupl(nGC_87) + coupl(nGC_170)*coupl(nGC_2)*    &
                      coupl(nGC_85) + coupl(nGC_22)*coupl(nGC_23)*coupl(nGC_86 &
                      ) + 8d0*coupl(nGC_35)*coupl(nGC_38)*coupl(nGC_85) + coupl&
                      (nGC_35)*coupl(nGC_85)*coupl(nGC_918) + coupl(nGC_38)*   &
                      coupl(nGC_40)*coupl(nGC_85) - coupl(nGC_61)*coupl(nGC_63 &
                      )*coupl(nGC_87) - coupl(nGC_61)*coupl(nGC_64)*coupl(     &
                      nGC_86))/(32d0*pi**2d0)
    coupl(nGC_3523) = coupl(nGC_3079)*dys_QED1
    coupl(nGC_5068) = coupl(nGC_3502) + coupl(nGC_73)*dZcL_QED2/2d0 + coupl(   &
                      nGC_73)*dZsR_QED2/2d0
    coupl(nGC_6101) = coupl(nGC_MI)*dZnu_eR
    coupl(nGC_5141) = coupl(nGC_3447) + coupl(nGC_4)*dZA/2d0
    coupl(nGC_5142) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZeMinusR
    coupl(nGC_5066) = coupl(nGC_3500) + coupl(nGC_73)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_73)*dZsR_QCD2/2d0
    coupl(nGC_3243) = (4d0*coupl(nGC_1)*coupl(nGC_23)**2d0 + coupl(nGC_1)*coupl&
                      (nGC_73)**2d0 + 4d0*coupl(nGC_2)**3d0 + 4d0*coupl(nGC_2)*&
                      coupl(nGC_39)**2d0 + coupl(nGC_2)*coupl(nGC_58)*coupl(   &
                      nGC_60) + coupl(nGC_2)*coupl(nGC_59)**2d0 + 4d0*coupl(   &
                      nGC_23)**2d0*coupl(nGC_3))/(32d0*pi**2d0)
    coupl(nGC_5635) = coupl(nGC_5141) + coupl(nGC_5632)
    coupl(nGC_5633) = coupl(nGC_36)*dZZA/2d0 + coupl(nGC_4)*dZtauMinusR
    coupl(nGC_3296) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_56) - coupl(nGC_206)*   &
                      coupl(nGC_34)*coupl(nGC_55) - coupl(nGC_22)*coupl(nGC_23 &
                      )*coupl(nGC_53) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_56) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_55) -    &
                      coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_80) - coupl(nGC_54 &
                      )*coupl(nGC_55)**2d0 - coupl(nGC_54)*coupl(nGC_56)**2d0  &
                      )/(32d0*pi**2d0)
    coupl(nGC_5324) = coupl(nGC_71)*(dZmuMinusL + dZmuMinusR)/2d0
    coupl(nGC_5325) = coupl(nGC_3536) + coupl(nGC_71)*dZH/2d0
    coupl(nGC_5326) = coupl(nGC_5324) + coupl(nGC_5325)
    coupl(nGC_5329) = coupl(nGC_3478) + coupl(nGC_46)*dZH + coupl(nGC_46)*dZZ
    coupl(nGC_3520) = coupl(nGC_3064)*dydo_QED1
    coupl(nGC_3293) = (-coupl(nGC_1460)*coupl(nGC_23)*coupl(nGC_83) - coupl(   &
                      nGC_170)*coupl(nGC_4)*coupl(nGC_81) - coupl(nGC_22)*coupl&
                      (nGC_23)*coupl(nGC_82) + 8d0*coupl(nGC_36)*coupl(nGC_41)*&
                      coupl(nGC_81) - coupl(nGC_36)*coupl(nGC_81)*coupl(nGC_918&
                      ) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_81))/(32d0*pi**&
                      2d0)
    coupl(nGC_6213) = coupl(nGC_MI)*dZA
    coupl(nGC_6214) = -coupl(nGC_6213)
    coupl(nGC_3291) = (coupl(nGC_21)*coupl(nGC_23)*coupl(nGC_67) + coupl(nGC_23&
                      )*coupl(nGC_548)*coupl(nGC_66) + coupl(nGC_36)*coupl(    &
                      nGC_40)*coupl(nGC_65) + 8d0*coupl(nGC_36)*coupl(nGC_41)* &
                      coupl(nGC_65) + coupl(nGC_4)**2d0*coupl(nGC_65) + coupl( &
                      nGC_41)*coupl(nGC_65)*coupl(nGC_918))/(32d0*pi**2d0)
    coupl(nGC_3471) = coupl(nGC_3175)*dZee + coupl(nGC_3176)*dsw_ + coupl(     &
                      nGC_3177)*dcw_
    coupl(nGC_8598) = coupl(nGC_MI)*dZbL
    coupl(nGC_6100) = coupl(nGC_MI)*dZnu_eL
    coupl(nGC_5395) = coupl(nGC_19)*dZWMinus + coupl(nGC_19)*dZZ + coupl(      &
                      nGC_3446)
    coupl(nGC_5397) = coupl(nGC_5394) - 2d0*coupl(nGC_5395)
    coupl(nGC_5396) = -coupl(nGC_5394)/2d0 + coupl(nGC_5395)
    coupl(nGC_5391) = coupl(nGC_3459) + coupl(nGC_48)*dZH/2d0
    coupl(nGC_7078) = coupl(nGC_39)*dZcL_QCD2
    coupl(nGC_5252) = coupl(nGC_MI)*dZeMinusR
    coupl(nGC_5253) = coupl(nGC_3562) + coupl(nGC_5250)
    coupl(nGC_5843) = -coupl(nGC_5245)
    coupl(nGC_5193) = coupl(nGC_3490) + coupl(nGC_36)*dZZ/2d0 + coupl(nGC_36)* &
                      dZmuMinusR
    coupl(nGC_5195) = coupl(nGC_4943) + coupl(nGC_5193)
    coupl(nGC_5194) = coupl(nGC_3473) + coupl(nGC_40)*dZZ/2d0 + coupl(nGC_40)* &
                      dZmuMinusL
    coupl(nGC_5478) = coupl(nGC_3485) + coupl(nGC_35)*dZZ/2d0 + coupl(nGC_35)* &
                      dZtR
    coupl(nGC_3542) = coupl(nGC_3090)*dyup_QED1
    coupl(nGC_4815) = coupl(nGC_26)*dZA/2d0 + coupl(nGC_26)*dZWMinus/2d0 +     &
                      coupl(nGC_3467) + coupl(nGC_7)*dZZA/2d0
    coupl(nGC_3543) = coupl(nGC_3090)*dyup_QED3
    coupl(nGC_4955) = coupl(nGC_26)*dZAZ/2d0 + coupl(nGC_3477) + coupl(nGC_7)* &
                      dZWMinus/2d0 + coupl(nGC_7)*dZZ/2d0
    coupl(nGC_3399) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(    &
                      nGC_35)**2d0 + coupl(nGC_85)**2d0 + coupl(nGC_86)*coupl( &
                      nGC_88) + coupl(nGC_87)**2d0)/(64d0*pi**2d0)
    coupl(nGC_3398) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_2)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0 + 4d0*coupl(nGC_39)**2d0 + coupl(nGC_61)**  &
                      2d0 + coupl(nGC_86)*coupl(nGC_88) + coupl(nGC_87)**2d0)/(&
                      64d0*pi**2d0)
    coupl(nGC_3226) = cMM*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)**  &
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_3544) = coupl(nGC_3067)*dyc_QED1_QCD2
    coupl(nGC_3393) = coupl(nGC_11)*sq2*(4d0*coupl(nGC_1)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0 + 4d0*coupl(nGC_38)**2d0 + coupl(nGC_57)**  &
                      2d0 + coupl(nGC_74)*coupl(nGC_76) + coupl(nGC_75)**2d0)/(&
                      64d0*pi**2d0)
    coupl(nGC_3391) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(   &
                      nGC_34)**2d0 - coupl(nGC_73)**2d0 - coupl(nGC_74)*coupl( &
                      nGC_76) - coupl(nGC_75)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3390) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_1)**2d0 - 4d0*coupl(   &
                      nGC_23)**2d0 - 4d0*coupl(nGC_38)**2d0 - coupl(nGC_57)**  &
                      2d0 - coupl(nGC_74)*coupl(nGC_76) - coupl(nGC_75)**2d0)/(&
                      64d0*pi**2d0*Nc)
    coupl(nGC_3397) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(   &
                      nGC_35)**2d0 - coupl(nGC_85)**2d0 - coupl(nGC_86)*coupl( &
                      nGC_88) - coupl(nGC_87)**2d0)/(64d0*pi**2d0*Nc)
    coupl(nGC_3396) = coupl(nGC_11)*sq2*(-4d0*coupl(nGC_2)**2d0 - 4d0*coupl(   &
                      nGC_23)**2d0 - 4d0*coupl(nGC_39)**2d0 - coupl(nGC_61)**  &
                      2d0 - coupl(nGC_86)*coupl(nGC_88) - coupl(nGC_87)**2d0)/(&
                      64d0*pi**2d0*Nc)
    coupl(nGC_8689) = -coupl(nGC_8685)
    coupl(nGC_5109) = coupl(nGC_39)*dZZA/2d0
    coupl(nGC_5123) = coupl(nGC_38)*dZsL_QED2
    coupl(nGC_5106) = coupl(nGC_35)*dZZA/2d0
    coupl(nGC_3366) = (-4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23&
                      )**2d0*coupl(nGC_41) + coupl(nGC_36)*coupl(nGC_66)*coupl(&
                      nGC_68) + coupl(nGC_36)*coupl(nGC_67)**2d0 + 4d0*coupl(  &
                      nGC_4)**2d0*coupl(nGC_40) + 4d0*coupl(nGC_40)**3d0)/(32d0&
                      *pi**2d0)
    coupl(nGC_3367) = (4d0*coupl(nGC_23)**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23 &
                      )**2d0*coupl(nGC_40) + coupl(nGC_36)*coupl(nGC_65)**2d0  &
                       + 4d0*coupl(nGC_41)**3d0)/(32d0*pi**2d0)
    coupl(nGC_5779) = coupl(nGC_3478) + coupl(nGC_46)*dZZ
    coupl(nGC_3365) = (4d0*coupl(nGC_36)**3d0 + 4d0*coupl(nGC_36)*coupl(nGC_4  &
                      )**2d0 + coupl(nGC_40)*coupl(nGC_66)*coupl(nGC_68) +     &
                      coupl(nGC_40)*coupl(nGC_67)**2d0 + coupl(nGC_41)*coupl(  &
                      nGC_65)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3249) = coupl(nGC_4)*(4d0*coupl(nGC_36)**2d0 + 4d0*coupl(nGC_4)**&
                      2d0 + coupl(nGC_66)*coupl(nGC_68) + coupl(nGC_67)**2d0)/(&
                      32d0*pi**2d0)
    coupl(nGC_3363) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_34) + 4d0*coupl(nGC_34  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_62)*coupl(nGC_64) +     &
                      coupl(nGC_38)*coupl(nGC_63)**2d0 + coupl(nGC_39)*coupl(  &
                      nGC_61)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3360) = coupl(nGC_11)**2d0*coupl(nGC_35)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(32d0*pi**2d0*Nc)
    coupl(nGC_9640) = -coupl(nGC_3400)
    coupl(nGC_3244) = (coupl(nGC_1)*coupl(nGC_57)**2d0 + 4d0*coupl(nGC_2)**3d0 &
                       + 4d0*coupl(nGC_2)*coupl(nGC_35)**2d0 + coupl(nGC_2)*   &
                      coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_2)*coupl(nGC_59  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3247) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_34)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_62)*coupl(nGC_64) + coupl(  &
                      nGC_1)*coupl(nGC_63)**2d0 + coupl(nGC_2)*coupl(nGC_61)** &
                      2d0)/(32d0*pi**2d0)
    coupl(nGC_3246) = (4d0*coupl(nGC_1)**3d0 + 4d0*coupl(nGC_1)*coupl(nGC_38)**&
                      2d0 + coupl(nGC_1)*coupl(nGC_62)*coupl(nGC_64) + coupl(  &
                      nGC_1)*coupl(nGC_63)**2d0 + 4d0*coupl(nGC_2)*coupl(nGC_23&
                      )**2d0 + coupl(nGC_2)*coupl(nGC_85)**2d0 + 4d0*coupl(    &
                      nGC_23)**2d0*coupl(nGC_354))/(32d0*pi**2d0)
    coupl(nGC_3241) = (-8d0*Nc*cMB*coupl(nGC_1)**2d0*coupl(nGC_55) - 8d0*Nc*cMC&
                      *coupl(nGC_2)**2d0*coupl(nGC_59) - 8d0*Nc*cMD*coupl(nGC_1&
                      )**2d0*coupl(nGC_63) - 8d0*Nc*cMS*coupl(nGC_1)**2d0*coupl&
                      (nGC_75) - 8d0*Nc*cMT*coupl(nGC_2)**2d0*coupl(nGC_79) -  &
                      8d0*Nc*cMU*coupl(nGC_2)**2d0*coupl(nGC_87) - 8d0*cME*    &
                      coupl(nGC_4)**2d0*coupl(nGC_67) - 8d0*cMM*coupl(nGC_4)** &
                      2d0*coupl(nGC_71) - 8d0*cMTA*coupl(nGC_4)**2d0*coupl(    &
                      nGC_83) + 4d0*cima*coupl(nGC_396)*coupl(nGC_50) - coupl( &
                      nGC_1460)*coupl(nGC_354)*coupl(nGC_51) - coupl(nGC_20)*  &
                      coupl(nGC_354)*coupl(nGC_51) - coupl(nGC_21)*coupl(nGC_3 &
                      )*coupl(nGC_51) + 6d0*coupl(nGC_3)**2d0*coupl(nGC_50) -  &
                      coupl(nGC_3)*coupl(nGC_51)*coupl(nGC_954) + 6d0*coupl(   &
                      nGC_354)**2d0*coupl(nGC_50))/(32d0*pi**2d0)
    coupl(nGC_5775) = coupl(nGC_25)*dZZA/2d0 + coupl(nGC_3)*dZA/2d0 + coupl(   &
                      nGC_3441)
    coupl(nGC_3242) = (-4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_55) -  &
                      4d0*Nc*cMB*coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_55) - 4d0&
                      *Nc*cMC*coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_59) - 4d0*Nc&
                      *cMC*coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_59) - 4d0*Nc*  &
                      cMD*coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_63) - 4d0*Nc*cMD&
                      *coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_63) - 4d0*Nc*cMS*  &
                      coupl(nGC_1)*coupl(nGC_34)*coupl(nGC_75) - 4d0*Nc*cMS*   &
                      coupl(nGC_1)*coupl(nGC_38)*coupl(nGC_75) - 4d0*Nc*cMT*   &
                      coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_79) - 4d0*Nc*cMT*   &
                      coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_79) - 4d0*Nc*cMU*   &
                      coupl(nGC_2)*coupl(nGC_35)*coupl(nGC_87) - 4d0*Nc*cMU*   &
                      coupl(nGC_2)*coupl(nGC_39)*coupl(nGC_87) - 4d0*cME*coupl(&
                      nGC_36)*coupl(nGC_4)*coupl(nGC_67) - 4d0*cME*coupl(nGC_4 &
                      )*coupl(nGC_40)*coupl(nGC_67) - 4d0*cMM*coupl(nGC_36)*   &
                      coupl(nGC_4)*coupl(nGC_71) - 4d0*cMM*coupl(nGC_4)*coupl( &
                      nGC_40)*coupl(nGC_71) - 4d0*cMTA*coupl(nGC_36)*coupl(    &
                      nGC_4)*coupl(nGC_83) - 4d0*cMTA*coupl(nGC_4)*coupl(nGC_40&
                      )*coupl(nGC_83) + 4d0*cima*coupl(nGC_29)*coupl(nGC_50) - &
                      coupl(nGC_1460)*coupl(nGC_354)*coupl(nGC_47) - coupl(    &
                      nGC_20)*coupl(nGC_210)*coupl(nGC_51) - coupl(nGC_21)*    &
                      coupl(nGC_25)*coupl(nGC_51) + 6d0*coupl(nGC_210)*coupl(  &
                      nGC_354)*coupl(nGC_50) + 6d0*coupl(nGC_25)*coupl(nGC_3)* &
                      coupl(nGC_50) - coupl(nGC_3)*coupl(nGC_47)*coupl(nGC_954 &
                      ))/(32d0*pi**2d0)
    coupl(nGC_7031) = coupl(nGC_3565) + coupl(nGC_7025)
    coupl(nGC_4864) = coupl(nGC_3554) + coupl(nGC_4860)
    coupl(nGC_7919) = coupl(nGC_MI)*dZcL_QED2
    coupl(nGC_3419) = cima*coupl(nGC_11)**3d0*sq2**3d0*(coupl(nGC_34) + coupl( &
                      nGC_35) + coupl(nGC_38) + coupl(nGC_39))/(192d0*pi**2d0)
    coupl(nGC_3414) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_34)**2d0 +   &
                      coupl(nGC_35)**2d0 + coupl(nGC_38)**2d0 + coupl(nGC_39)**&
                      2d0)/(48d0*pi**2d0)
    coupl(nGC_5036) = coupl(nGC_3505) + coupl(nGC_64)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_64)*dZdR_QCD2/2d0
    coupl(nGC_5037) = coupl(nGC_3508) + coupl(nGC_62)*dZdL_QCD2/2d0 + coupl(   &
                      nGC_62)*dZdR_QCD2/2d0
    coupl(nGC_5038) = coupl(nGC_3507) + coupl(nGC_64)*dZdL_QED2/2d0 + coupl(   &
                      nGC_64)*dZdR_QED2/2d0
    coupl(nGC_5039) = coupl(nGC_3510) + coupl(nGC_62)*dZdL_QED2/2d0 + coupl(   &
                      nGC_62)*dZdR_QED2/2d0
    coupl(nGC_8498) = coupl(nGC_3560) + coupl(nGC_MH)*dZH
    coupl(nGC_3279) = (-coupl(nGC_170)*coupl(nGC_4)*coupl(nGC_65) - coupl(     &
                      nGC_20)*coupl(nGC_23)*coupl(nGC_67) - coupl(nGC_23)*coupl&
                      (nGC_548)*coupl(nGC_68) + 8d0*coupl(nGC_36)*coupl(nGC_41 &
                      )*coupl(nGC_65) - coupl(nGC_36)*coupl(nGC_65)*coupl(     &
                      nGC_918) - coupl(nGC_40)*coupl(nGC_41)*coupl(nGC_65))/(  &
                      32d0*pi**2d0)
    coupl(nGC_5218) = coupl(nGC_25)*dZWMinus/2d0 + coupl(nGC_3443)
    coupl(nGC_5219) = -coupl(nGC_5218)
    coupl(nGC_5358) = coupl(nGC_MI)*dZtauMinusR
    coupl(nGC_5353) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_23)*dZnu_tauL/2d0 &
                       + coupl(nGC_23)*dZtauMinusL/2d0 + coupl(nGC_3484)
    coupl(nGC_5355) = coupl(nGC_MI)*dZtauMinusL
    coupl(nGC_5356) = coupl(nGC_MTA)*(dZtauMinusL + dZtauMinusR)/2d0
    coupl(nGC_6637) = 2d0*coupl(nGC_15)*dZH + coupl(nGC_3456)
    coupl(nGC_4907) = coupl(nGC_38)*dZZA/2d0
    coupl(nGC_10087) = -coupl(nGC_3265)
    coupl(nGC_4994) = coupl(nGC_3529) + coupl(nGC_68)*dZeMinusL/2d0 + coupl(   &
                      nGC_68)*dZeMinusR/2d0
    coupl(nGC_5500) = coupl(nGC_23)*dZWMinus/2d0 + coupl(nGC_3484)
    coupl(nGC_3302) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_64) - coupl(nGC_206)*   &
                      coupl(nGC_34)*coupl(nGC_63) - coupl(nGC_22)*coupl(nGC_23 &
                      )*coupl(nGC_61) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_64) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_63) -    &
                      coupl(nGC_61)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_62 &
                      )*coupl(nGC_63)**2d0 - coupl(nGC_62)*coupl(nGC_64)**2d0  &
                      )/(32d0*pi**2d0)
    coupl(nGC_4993) = coupl(nGC_3530) + coupl(nGC_66)*dZeMinusL/2d0 + coupl(   &
                      nGC_66)*dZeMinusR/2d0
    coupl(nGC_9066) = coupl(nGC_3460) + 3d0*coupl(nGC_49)*dZH/2d0
    coupl(nGC_3305) = coupl(nGC_11)**2d0*coupl(nGC_62)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3522) = coupl(nGC_3079)*dys_QED1_QCD2
    coupl(nGC_3306) = (coupl(nGC_206)*coupl(nGC_36)*coupl(nGC_67) + coupl(     &
                      nGC_22)*coupl(nGC_23)*coupl(nGC_65) + 8d0*coupl(nGC_36)* &
                      coupl(nGC_40)*coupl(nGC_66) + coupl(nGC_37)*coupl(nGC_40 &
                      )*coupl(nGC_67) + 8d0*coupl(nGC_4)**2d0*coupl(nGC_66) -  &
                      coupl(nGC_66)**2d0*coupl(nGC_68) - coupl(nGC_67)**2d0*   &
                      coupl(nGC_68))/(32d0*pi**2d0)
    coupl(nGC_3359) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_35) + 4d0*coupl(nGC_35  &
                      )**3d0 + coupl(nGC_38)*coupl(nGC_57)**2d0 + coupl(nGC_39 &
                      )*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_39)*coupl(     &
                      nGC_59)**2d0)/(32d0*pi**2d0)
    coupl(nGC_3357) = (4d0*coupl(nGC_2)**2d0*coupl(nGC_39) + 4d0*coupl(nGC_23  &
                      )**2d0*coupl(nGC_25) + 4d0*coupl(nGC_23)**2d0*coupl(     &
                      nGC_38) + coupl(nGC_34)*coupl(nGC_73)**2d0 + coupl(nGC_35&
                      )*coupl(nGC_58)*coupl(nGC_60) + coupl(nGC_35)*coupl(     &
                      nGC_59)**2d0 + 4d0*coupl(nGC_39)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3307) = (coupl(nGC_206)*coupl(nGC_40)*coupl(nGC_67) + coupl(     &
                      nGC_23)*coupl(nGC_548)*coupl(nGC_65) + coupl(nGC_36)*    &
                      coupl(nGC_37)*coupl(nGC_67) + 8d0*coupl(nGC_36)*coupl(   &
                      nGC_40)*coupl(nGC_68) + 8d0*coupl(nGC_4)**2d0*coupl(     &
                      nGC_68) - coupl(nGC_66)*coupl(nGC_67)**2d0 - coupl(nGC_66&
                      )*coupl(nGC_68)**2d0)/(32d0*pi**2d0)
    coupl(nGC_6029) = coupl(nGC_MI)*dZmuMinusL
    coupl(nGC_4920) = coupl(nGC_3537) + coupl(nGC_83)*dZH/2d0
    coupl(nGC_3328) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_59) - coupl(nGC_206)*   &
                      coupl(nGC_35)*coupl(nGC_60) - coupl(nGC_21)*coupl(nGC_23 &
                      )*coupl(nGC_57) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl( &
                      nGC_59) - coupl(nGC_37)*coupl(nGC_39)*coupl(nGC_60) -    &
                      coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_75) - coupl(nGC_59 &
                      )**3d0 - coupl(nGC_59)*coupl(nGC_60)**2d0)/(32d0*pi**2d0)
    coupl(nGC_4925) = coupl(nGC_3476) + coupl(nGC_47)*dZWMinus/2d0 + coupl(    &
                      nGC_47)*dZZ/2d0 + coupl(nGC_51)*dZAZ/2d0
    coupl(nGC_3322) = 3d0*(8d0*Nc*cMB*coupl(nGC_55)**3d0 + 8d0*Nc*cMC*coupl(   &
                      nGC_59)**3d0 + 8d0*Nc*cMD*coupl(nGC_63)**3d0 + 8d0*Nc*cMS&
                      *coupl(nGC_75)**3d0 + 8d0*Nc*cMT*coupl(nGC_79)**3d0 + 8d0&
                      *Nc*cMU*coupl(nGC_87)**3d0 + 8d0*cME*coupl(nGC_67)**3d0  &
                       + 8d0*cMM*coupl(nGC_71)**3d0 + 8d0*cMTA*coupl(nGC_83)** &
                      3d0 + 4d0*cima*coupl(nGC_17)*coupl(nGC_50) + 2d0*cima*   &
                      coupl(nGC_46)*coupl(nGC_52) + coupl(nGC_1460)*coupl(     &
                      nGC_20)*coupl(nGC_48) - coupl(nGC_1460)*coupl(nGC_20)*   &
                      coupl(nGC_50) + coupl(nGC_206)*coupl(nGC_37)*coupl(nGC_48&
                      ) - coupl(nGC_206)*coupl(nGC_37)*coupl(nGC_52) + coupl(  &
                      nGC_21)*coupl(nGC_48)*coupl(nGC_954) - coupl(nGC_21)*    &
                      coupl(nGC_50)*coupl(nGC_954))/(32d0*pi**2d0)
    coupl(nGC_4928) = coupl(nGC_11)*dZdR_QED2
    coupl(nGC_3320) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_88) - coupl(nGC_206)*   &
                      coupl(nGC_39)*coupl(nGC_87) - coupl(nGC_23)*coupl(nGC_548&
                      )*coupl(nGC_85) - coupl(nGC_35)*coupl(nGC_37)*coupl(     &
                      nGC_87) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_88   &
                      ) - coupl(nGC_61)*coupl(nGC_64)*coupl(nGC_85) - coupl(   &
                      nGC_86)*coupl(nGC_87)**2d0 - coupl(nGC_86)*coupl(nGC_88  &
                      )**2d0)/(32d0*pi**2d0)
    coupl(nGC_3321) = coupl(nGC_11)**2d0*coupl(nGC_88)*sq2**2d0*(Nc**2d0 - 1d0 &
                      )/(16d0*pi**2d0*Nc)
    coupl(nGC_3326) = (-8d0*Nc*cMB*coupl(nGC_34)**2d0*coupl(nGC_55) + 8d0*Nc*  &
                      cMB*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55) - 8d0*Nc*  &
                      cMB*coupl(nGC_38)**2d0*coupl(nGC_55) - 8d0*Nc*cMC*coupl( &
                      nGC_35)**2d0*coupl(nGC_59) + 8d0*Nc*cMC*coupl(nGC_35)*   &
                      coupl(nGC_39)*coupl(nGC_59) - 8d0*Nc*cMC*coupl(nGC_39)** &
                      2d0*coupl(nGC_59) - 8d0*Nc*cMD*coupl(nGC_34)**2d0*coupl( &
                      nGC_63) + 8d0*Nc*cMD*coupl(nGC_34)*coupl(nGC_38)*coupl(  &
                      nGC_63) - 8d0*Nc*cMD*coupl(nGC_38)**2d0*coupl(nGC_63) -  &
                      8d0*Nc*cMS*coupl(nGC_34)**2d0*coupl(nGC_75) + 8d0*Nc*cMS*&
                      coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_75) - 8d0*Nc*cMS*  &
                      coupl(nGC_38)**2d0*coupl(nGC_75) - 8d0*Nc*cMT*coupl(     &
                      nGC_35)**2d0*coupl(nGC_79) + 8d0*Nc*cMT*coupl(nGC_35)*   &
                      coupl(nGC_39)*coupl(nGC_79) - 8d0*Nc*cMT*coupl(nGC_39)** &
                      2d0*coupl(nGC_79) - 8d0*Nc*cMU*coupl(nGC_35)**2d0*coupl( &
                      nGC_87) + 8d0*Nc*cMU*coupl(nGC_35)*coupl(nGC_39)*coupl(  &
                      nGC_87) - 8d0*Nc*cMU*coupl(nGC_39)**2d0*coupl(nGC_87) -  &
                      8d0*cME*coupl(nGC_36)**2d0*coupl(nGC_67) + 8d0*cME*coupl(&
                      nGC_36)*coupl(nGC_40)*coupl(nGC_67) - 8d0*cME*coupl(     &
                      nGC_40)**2d0*coupl(nGC_67) - 8d0*cMM*coupl(nGC_36)**2d0* &
                      coupl(nGC_71) + 8d0*cMM*coupl(nGC_36)*coupl(nGC_40)*coupl&
                      (nGC_71) - 8d0*cMM*coupl(nGC_40)**2d0*coupl(nGC_71) - 8d0&
                      *cMTA*coupl(nGC_36)**2d0*coupl(nGC_83) + 8d0*cMTA*coupl( &
                      nGC_36)*coupl(nGC_40)*coupl(nGC_83) - 8d0*cMTA*coupl(    &
                      nGC_40)**2d0*coupl(nGC_83) + 4d0*cima*coupl(nGC_314)*    &
                      coupl(nGC_50) - coupl(nGC_1460)*coupl(nGC_210)*coupl(    &
                      nGC_47) - coupl(nGC_20)*coupl(nGC_210)*coupl(nGC_47) -   &
                      coupl(nGC_21)*coupl(nGC_25)*coupl(nGC_47) + 6d0*coupl(   &
                      nGC_210)**2d0*coupl(nGC_50) + 6d0*coupl(nGC_25)**2d0*    &
                      coupl(nGC_50) - coupl(nGC_25)*coupl(nGC_47)*coupl(nGC_954&
                      ))/(32d0*pi**2d0)
    coupl(nGC_3327) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_59) - coupl(nGC_206)*   &
                      coupl(nGC_39)*coupl(nGC_58) - coupl(nGC_23)*coupl(nGC_57 &
                      )*coupl(nGC_954) - coupl(nGC_35)*coupl(nGC_37)*coupl(    &
                      nGC_58) + 8d0*coupl(nGC_35)*coupl(nGC_39)*coupl(nGC_59   &
                      ) - coupl(nGC_57)*coupl(nGC_73)*coupl(nGC_75) - coupl(   &
                      nGC_58)**2d0*coupl(nGC_59) - coupl(nGC_59)**3d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3324) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_55) - coupl(nGC_1460)*  &
                      coupl(nGC_23)*coupl(nGC_53) - coupl(nGC_206)*coupl(nGC_38&
                      )*coupl(nGC_56) - coupl(nGC_34)*coupl(nGC_37)*coupl(     &
                      nGC_56) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl(nGC_55   &
                      ) - coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) - coupl(   &
                      nGC_55)**3d0 - coupl(nGC_55)*coupl(nGC_56)**2d0)/(32d0*pi&
                      **2d0)
    coupl(nGC_3325) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_55) - coupl(nGC_20)*    &
                      coupl(nGC_23)*coupl(nGC_53) - coupl(nGC_206)*coupl(nGC_34&
                      )*coupl(nGC_54) + 8d0*coupl(nGC_34)*coupl(nGC_38)*coupl( &
                      nGC_55) - coupl(nGC_37)*coupl(nGC_38)*coupl(nGC_54) -    &
                      coupl(nGC_53)*coupl(nGC_77)*coupl(nGC_79) - coupl(nGC_54 &
                      )**2d0*coupl(nGC_55) - coupl(nGC_55)**3d0)/(32d0*pi**2d0)
    coupl(nGC_3451) = coupl(nGC_3178)*dsw_ + coupl(nGC_3179)*dMW2 + coupl(     &
                      nGC_3180)*dZee + coupl(nGC_3181)*dcw_
    coupl(nGC_3452) = coupl(nGC_3127)*dZee + coupl(nGC_3128)*dsw_ + coupl(     &
                      nGC_3129)*dcw_
    coupl(nGC_3453) = coupl(nGC_3145)*dsw_ + coupl(nGC_3146)*dMW2 + coupl(     &
                      nGC_3147)*dZee
    coupl(nGC_3454) = coupl(nGC_3148)*dZee + coupl(nGC_3149)*dsw_ + coupl(     &
                      nGC_3150)*dMZ2
    coupl(nGC_6899) = coupl(nGC_39)*dZuL_QED2
    coupl(nGC_3457) = coupl(nGC_3104)*dlam_QED2
    coupl(nGC_3406) = cima*coupl(nGC_11)**2d0*sq2**2d0*(-coupl(nGC_58)*coupl(  &
                      nGC_60) - coupl(nGC_62)*coupl(nGC_64) - coupl(nGC_74)*   &
                      coupl(nGC_76) - coupl(nGC_86)*coupl(nGC_88))/(16d0*pi**  &
                      2d0)
    coupl(nGC_3405) = cima*coupl(nGC_11)**2d0*sq2**2d0*(coupl(nGC_57)**2d0 +   &
                      coupl(nGC_61)**2d0 + coupl(nGC_73)**2d0 + coupl(nGC_85)**&
                      2d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_5171) = coupl(nGC_3461) + coupl(nGC_42)*dZZA + coupl(nGC_6)*dZA
    coupl(nGC_5172) = coupl(nGC_MI)*dZg_QCD2
    coupl(nGC_5175) = coupl(nGC_MI)*dZAZ/2d0
    coupl(nGC_6117) = coupl(nGC_3549) + coupl(nGC_58)*dZcL_QED2/2d0 + coupl(   &
                      nGC_58)*dZcR_QED2/2d0
    coupl(nGC_6114) = coupl(nGC_3544) + coupl(nGC_60)*dZcL_QCD2/2d0 + coupl(   &
                      nGC_60)*dZcR_QCD2/2d0
    coupl(nGC_5176) = coupl(nGC_MI)*dZZA/2d0
    coupl(nGC_3217) = cME*cima*(-coupl(nGC_36)*coupl(nGC_40) - coupl(nGC_4)**  &
                      2d0)/(8d0*pi**2d0)
    coupl(nGC_7087) = -coupl(nGC_7083)
    coupl(nGC_3199) = cima*(4d0*Nc*coupl(nGC_55)**2d0 + 4d0*Nc*coupl(nGC_59)** &
                      2d0 + 4d0*Nc*coupl(nGC_63)**2d0 + 4d0*Nc*coupl(nGC_75)** &
                      2d0 + 4d0*Nc*coupl(nGC_79)**2d0 + 4d0*Nc*coupl(nGC_87)** &
                      2d0 + coupl(nGC_1460)*coupl(nGC_20) + coupl(nGC_206)*    &
                      coupl(nGC_37) + coupl(nGC_21)*coupl(nGC_954) + 4d0*coupl(&
                      nGC_67)**2d0 + 4d0*coupl(nGC_71)**2d0 + 4d0*coupl(nGC_83 &
                      )**2d0)/(96d0*pi**2d0)
    coupl(nGC_3213) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_23)**2d0 - coupl(   &
                      nGC_39)**2d0)/(16d0*pi**2d0)
    coupl(nGC_3195) = cima*(4d0*Nc*coupl(nGC_53)**2d0 + 4d0*Nc*coupl(nGC_57)** &
                      2d0 + 4d0*Nc*coupl(nGC_61)**2d0 + 4d0*Nc*coupl(nGC_73)** &
                      2d0 + 4d0*Nc*coupl(nGC_77)**2d0 + 4d0*Nc*coupl(nGC_85)** &
                      2d0 + coupl(nGC_1460)*coupl(nGC_20) + coupl(nGC_170)**2d0&
                       + coupl(nGC_21)*coupl(nGC_954) + 2d0*coupl(nGC_22)*coupl&
                      (nGC_548) + coupl(nGC_4)**2d0 + coupl(nGC_40)**2d0 + 4d0*&
                      coupl(nGC_65)**2d0 + 4d0*coupl(nGC_69)**2d0 + 4d0*coupl( &
                      nGC_81)**2d0 + coupl(nGC_918)**2d0)/(192d0*pi**2d0)
    coupl(nGC_3197) = cima*(4d0*Nc*coupl(nGC_54)*coupl(nGC_56) + 4d0*Nc*coupl( &
                      nGC_58)*coupl(nGC_60) + 4d0*Nc*coupl(nGC_62)*coupl(nGC_64&
                      ) + 4d0*Nc*coupl(nGC_74)*coupl(nGC_76) + 4d0*Nc*coupl(   &
                      nGC_78)*coupl(nGC_80) + 4d0*Nc*coupl(nGC_86)*coupl(nGC_88&
                      ) + coupl(nGC_206)*coupl(nGC_37) + 2d0*coupl(nGC_22)*    &
                      coupl(nGC_548) + 4d0*coupl(nGC_66)*coupl(nGC_68) + 4d0*  &
                      coupl(nGC_70)*coupl(nGC_72) + 4d0*coupl(nGC_82)*coupl(   &
                      nGC_84))/(96d0*pi**2d0)
    coupl(nGC_3196) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_53)**2d0 - 4d0*Nc*cMB** &
                      2d0*cima*coupl(nGC_77)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(&
                      nGC_57)**2d0 - 4d0*Nc*cMC**2d0*cima*coupl(nGC_73)**2d0 - &
                      4d0*Nc*cMD**2d0*cima*coupl(nGC_61)**2d0 - 4d0*Nc*cMD**2d0&
                      *cima*coupl(nGC_85)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(   &
                      nGC_57)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_73)**2d0 - &
                      4d0*Nc*cMT**2d0*cima*coupl(nGC_53)**2d0 - 4d0*Nc*cMT**2d0&
                      *cima*coupl(nGC_77)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(   &
                      nGC_61)**2d0 - 4d0*Nc*cMU**2d0*cima*coupl(nGC_85)**2d0 - &
                      4d0*cME**2d0*cima*coupl(nGC_65)**2d0 - cMH**2d0*cima*    &
                      coupl(nGC_1460)*coupl(nGC_20) - cMH**2d0*cima*coupl(     &
                      nGC_21)*coupl(nGC_954) - 4d0*cMM**2d0*cima*coupl(nGC_69  &
                      )**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_81)**2d0 - cMW**2d0&
                      *cima*coupl(nGC_1460)*coupl(nGC_20) - cMW**2d0*cima*coupl&
                      (nGC_170)**2d0 - cMW**2d0*cima*coupl(nGC_21)*coupl(      &
                      nGC_954) - 2d0*cMW**2d0*cima*coupl(nGC_22)*coupl(nGC_548 &
                      ) - cMW**2d0*cima*coupl(nGC_4)**2d0 - cMW**2d0*cima*coupl&
                      (nGC_40)**2d0 - cMW**2d0*cima*coupl(nGC_918)**2d0 - 8d0* &
                      cMW**2d0*coupl(nGC_17) - 2d0*cMZ**2d0*cima*coupl(nGC_22)*&
                      coupl(nGC_548) - cMZ**2d0*cima*coupl(nGC_40)**2d0 - cMZ**&
                      2d0*cima*coupl(nGC_918)**2d0 - 4d0*cMZ**2d0*coupl(nGC_45 &
                      ) + 8d0*cima*coupl(nGC_47)**2d0 + 8d0*cima*coupl(nGC_51  &
                      )**2d0)/(64d0*pi**2d0)
    coupl(nGC_3190) = cima*(coupl(nGC_210)**2d0 + coupl(nGC_25)**2d0 + coupl(  &
                      nGC_3)**2d0 + coupl(nGC_354)**2d0)/(48d0*pi**2d0)
  end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
