!******************************************************************************!
!                                                                              !
!    currents_info1.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info1.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info1
  implicit none
  contains
  subroutine fill_current_1(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_WMinus, P_H, P_Z, P_GPlus, 844, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_WMinus, 830, check)
    call createCurrent(P_GMinus, P_G0, P_A, P_WPlus, 75, check)
    call createCurrent(P_WPlus, P_GPlus, P_GMinus, P_WMinus, 735, check)
    call createCurrent(P_GPlus, P_b, P_tAnti, 603, check)
    call createCurrent(P_WPlus, P_H, P_H, P_WMinus, 22, check)
    call createCurrent(P_G0, P_H, P_A, 1117, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, 915, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_G0, 977, check)
    call createCurrent(P_t, P_tAnti, P_A, 517, check)
    call createCurrent(P_c, P_G0, P_cAnti, 421, check)
    call createCurrent(P_GPlus, P_A, P_Z, P_GMinus, 256, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, P_H, 115, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_H, 477, check)
    call createCurrent(P_H, P_ghWpAnti, P_ghWp, 536, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_H, 217, check)
    call createCurrent(P_tAnti, P_t, P_Z, 812, check)
    call createCurrent(P_H, P_tauPlus, P_tauMinus, 183, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_Z, 290, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_G0, 31, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_GPlus, 487, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_A, 742, check)
    call createCurrent(P_Z, P_H, P_WPlus, P_GMinus, 60, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, 537, check)
    call createCurrent(P_H, P_H, P_A, P_Z, 1065, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_A, 1003, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_A, 729, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, 366, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, 997, check)
    call createCurrent(P_Z, P_G0, P_GMinus, P_WPlus, 967, check)
    call createCurrent(P_A, P_WMinus, P_A, P_WPlus, 914, check)
    call createCurrent(P_muPlus, P_muMinus, 1103, check)
    call createCurrent(P_muMinus, P_muPlus, P_G0, 292, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, 562, check)
    call createCurrent(P_H, P_A, P_WMinus, P_GPlus, 548, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, 752, check)
    call createCurrent(P_G0, P_uAnti, P_u, 400, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_A, 389, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_GPlus, 607, check)
    call createCurrent(P_GPlus, P_Z, P_Z, P_GMinus, 671, check)
    call createCurrent(P_A, P_c, P_cAnti, 360, check)
    call createCurrent(P_s, P_sAnti, P_H, 442, check)
    call createCurrent(P_t, P_tAnti, P_G0, 500, check)
    call createCurrent(P_g, P_WPlus, P_WMinus, P_g, 1184, check)
    call createCurrent(P_GPlus, P_GMinus, P_g, P_g, 1199, check)
    call createCurrent(P_H, P_G0, P_G0, 162, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_Z, 688, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, 1007, check)
    call createCurrent(P_d, P_WPlus, P_uAnti, 364, check)
    call createCurrent(P_Z, P_nu_tau, P_nu_tauAnti, 457, check)
    call createCurrent(P_A, P_uAnti, P_u, 344, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_A, 837, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, 206, check)
    call createCurrent(P_WMinus, P_A, P_A, P_WPlus, 957, check)
    call createCurrent(P_WMinus, P_G0, P_G0, P_WPlus, 658, check)
    call createCurrent(P_uAnti, P_d, P_WPlus, 695, check)
    call createCurrent(P_A, P_Z, P_g, P_g, 1182, check)
    call createCurrent(P_GMinus, P_nu_mu, P_muPlus, 657, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_GPlus, 12, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_H, 354, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, 327, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_Z, 514, check)
    call createCurrent(P_H, P_H, 1118, check)
    call createCurrent(P_Z, P_g, P_Z, P_g, 1201, check)
    call createCurrent(P_H, P_H, P_GPlus, P_GMinus, 902, check)
    call createCurrent(P_uAnti, P_u, 1107, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, 931, check)
    call createCurrent(P_bAnti, P_b, P_H, 869, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_A, 326, check)
    call createCurrent(P_Z, P_A, P_GPlus, P_GMinus, 531, check)
    call createCurrent(P_G0, P_b, P_bAnti, 99, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WPlus, 767, check)
    call createCurrent(P_GMinus, P_dAnti, P_u, 21, check)
    call createCurrent(P_u, P_uAnti, P_Z, 773, check)
    call createCurrent(P_WPlus, P_WMinus, P_g, P_g, 1198, check)
    call createCurrent(P_d, P_Z, P_dAnti, 232, check)
    call createCurrent(P_A, P_ePlus, P_eMinus, 225, check)
    call createCurrent(P_GPlus, P_G0, P_A, P_WMinus, 483, check)
    call createCurrent(P_G0, P_WMinus, P_G0, P_WPlus, 654, check)
    call createCurrent(P_A, P_dAnti, P_d, 465, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_H, 534, check)
    call createCurrent(P_Z, P_H, P_GPlus, P_WMinus, 318, check)
    call createCurrent(P_Z, P_u, P_uAnti, 966, check)
    call createCurrent(P_sAnti, P_s, 1116, check)
    call createCurrent(P_WMinus, P_nu_mu, P_muPlus, 498, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_H, 661, check)
    call createCurrent(P_WPlus, P_Z, P_G0, P_GMinus, 819, check)
    call createCurrent(P_c, P_sAnti, P_GMinus, 633, check)
    call createCurrent(P_H, P_WMinus, P_WPlus, P_H, 169, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, 486, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, 672, check)
    call createCurrent(P_H, P_ghZAnti, P_ghZ, 57, check)
    call createCurrent(P_G0, P_eMinus, P_ePlus, 840, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, 356, check)
    call createCurrent(P_ghWmAnti, P_H, P_ghWm, 822, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, 777, check)
    call createCurrent(P_nu_e, P_GMinus, P_ePlus, 184, check)
    call createCurrent(P_GPlus, P_GPlus, P_GMinus, P_GMinus, 316, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_A, 363, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_Z, 768, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_H, 846, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, 1038, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_GPlus, 153, check)
    call createCurrent(P_Z, P_H, P_A, P_H, 1042, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghZAnti, 798, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, 538, check)
    call createCurrent(P_muMinus, P_muPlus, P_H, 521, check)
    call createCurrent(P_g, P_GMinus, P_GPlus, P_g, 1175, check)
    call createCurrent(P_u, P_dAnti, P_WMinus, 799, check)
    call createCurrent(P_Z, P_tauPlus, P_tauMinus, 51, check)
    call createCurrent(P_WMinus, P_dAnti, P_u, 1030, check)
    call createCurrent(P_Z, P_H, P_WMinus, P_GPlus, 999, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, P_H, 156, check)
    call createCurrent(P_WPlus, P_GMinus, P_GPlus, P_WMinus, 395, check)
    call createCurrent(P_dAnti, P_d, 1069, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghA, 804, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_G0, 202, check)
    call createCurrent(P_Z, P_WPlus, P_A, P_WMinus, 649, check)
    call createCurrent(P_s, P_sAnti, P_Z, 125, check)
    call createCurrent(P_s, P_A, P_sAnti, 401, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_Z, 922, check)
    call createCurrent(P_g, P_H, P_g, 1140, check)
    call createCurrent(P_GMinus, P_GPlus, 1058, check)
    call createCurrent(P_WPlus, P_Z, P_A, P_WMinus, 689, check)
    call createCurrent(P_H, P_tAnti, P_t, 90, check)
    call createCurrent(P_Z, P_ghWm, P_ghWmAnti, 277, check)
    call createCurrent(P_GMinus, P_g, P_GPlus, P_g, 1142, check)
    call createCurrent(P_Z, P_Z, P_g, P_g, 1153, check)
    call createCurrent(P_t, P_G0, P_tAnti, 629, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_A, 1066, check)
    call createCurrent(P_Z, P_GPlus, P_H, P_WMinus, 760, check)
    call createCurrent(P_muPlus, P_muMinus, P_G0, 103, check)
    call createCurrent(P_H, P_H, P_Z, P_Z, 107, check)
    call createCurrent(P_H, P_G0, P_A, 1055, check)
    call createCurrent(P_WPlus, P_A, P_H, P_GMinus, 493, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, 911, check)
    call createCurrent(P_A, P_nu_tau, P_nu_tauAnti, 1097, check)
    call createCurrent(P_Z, P_WPlus, P_Z, P_WMinus, 122, check)
    call createCurrent(P_cAnti, P_g, P_c, 33, check)
    call createCurrent(P_GMinus, P_Z, P_H, P_WPlus, 309, check)
    call createCurrent(P_A, P_cAnti, P_c, 437, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, 1035, check)
    call createCurrent(P_G0, P_H, P_Z, 247, check)
    call createCurrent(P_H, P_uAnti, P_u, 540, check)
    call createCurrent(P_GMinus, P_Z, P_A, P_GPlus, 123, check)
    call createCurrent(P_WPlus, P_tauMinus, P_nu_tauAnti, 467, check)
    call createCurrent(P_H, P_A, P_Z, 1083, check)
    call createCurrent(P_Z, P_A, P_G0, P_G0, 1093, check)
    call createCurrent(P_Z, P_c, P_cAnti, 664, check)
    call createCurrent(P_GMinus, P_bAnti, P_t, 962, check)
    call createCurrent(P_G0, P_Z, P_G0, P_A, 1096, check)
    call createCurrent(P_A, P_ghWm, P_ghWmAnti, 874, check)
    call createCurrent(P_WPlus, P_H, P_A, P_GMinus, 845, check)
    call createCurrent(P_ePlus, P_Z, P_eMinus, 529, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, 690, check)
    call createCurrent(P_A, P_G0, P_G0, P_Z, 1074, check)
    call createCurrent(P_H, P_H, P_H, P_H, 412, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_Z, 755, check)
    call createCurrent(P_Z, P_G0, P_G0, P_A, 1089, check)
    call createCurrent(P_GPlus, P_GMinus, 1130, check)
    call createCurrent(P_G0, P_g, P_g, P_G0, 1165, check)
    call createCurrent(P_eMinus, P_WPlus, P_nu_eAnti, 221, check)
    call createCurrent(P_t, P_H, P_tAnti, 198, check)
    call createCurrent(P_cAnti, P_A, P_c, 4, check)
    call createCurrent(P_g, P_g, P_H, 1156, check)
    call createCurrent(P_WPlus, P_WMinus, P_G0, P_G0, 459, check)
    call createCurrent(P_muPlus, P_muMinus, P_H, 570, check)
    call createCurrent(P_GPlus, P_GMinus, P_WPlus, P_WMinus, 615, check)
    call createCurrent(P_Z, P_ePlus, P_eMinus, 696, check)
    call createCurrent(P_H, P_GMinus, P_Z, P_WPlus, 805, check)
    call createCurrent(P_tauPlus, P_G0, P_tauMinus, 876, check)
    call createCurrent(P_tauMinus, P_WPlus, P_nu_tauAnti, 965, check)
    call createCurrent(P_A, P_tauPlus, P_tauMinus, 361, check)
    call createCurrent(P_uAnti, P_u, P_H, 853, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_G0, 388, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_Z, 407, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghWp, 89, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_Z, 408, check)
    call createCurrent(P_H, P_H, P_Z, P_A, 1072, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_Z, 258, check)
    call createCurrent(P_Z, P_Z, P_GPlus, P_GMinus, 606, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, 196, check)
    call createCurrent(P_t, P_Z, P_tAnti, 170, check)
    call createCurrent(P_H, P_tauMinus, P_tauPlus, 684, check)
    call createCurrent(P_G0, P_dAnti, P_d, 526, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, 586, check)
    call createCurrent(P_H, P_g, P_H, P_g, 1168, check)
    call createCurrent(P_s, P_Z, P_sAnti, 460, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_Z, 274, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_GPlus, 761, check)
    call createCurrent(P_t, P_GMinus, P_bAnti, 573, check)
    call createCurrent(P_GMinus, P_sAnti, P_c, 396, check)
    call createCurrent(P_Z, P_nu_muAnti, P_nu_mu, 20, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, 1028, check)
    call createCurrent(P_nu_e, P_WMinus, P_ePlus, 440, check)
    call createCurrent(P_H, P_cAnti, P_c, 578, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, 721, check)
    call createCurrent(P_bAnti, P_b, P_G0, 582, check)
    call createCurrent(P_GMinus, P_A, P_H, P_WPlus, 576, check)
    call createCurrent(P_H, P_G0, P_H, P_G0, 932, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, 261, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, P_Z, 49, check)
    call createCurrent(P_G0, P_WPlus, P_Z, P_GMinus, 341, check)
    call createCurrent(P_WPlus, P_A, P_A, P_WMinus, 782, check)
    call createCurrent(P_nu_tau, P_A, P_nu_tauAnti, 1039, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WMinus, 763, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, 981, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_Z, 124, check)
    call createCurrent(P_WPlus, P_nu_muAnti, P_muMinus, 305, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_GMinus, 227, check)
    call createCurrent(P_muMinus, P_muPlus, P_A, 670, check)
    call createCurrent(P_G0, P_u, P_uAnti, 70, check)
    call createCurrent(P_GMinus, P_Z, P_G0, P_WPlus, 599, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_G0, 352, check)
    call createCurrent(P_GMinus, P_u, P_dAnti, 888, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, 205, check)
    call createCurrent(P_WMinus, P_c, P_sAnti, 617, check)
    call createCurrent(P_A, P_muPlus, P_muMinus, 943, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_A, 319, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, 1024, check)
    call createCurrent(P_u, P_A, P_uAnti, 533, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, 659, check)
    call createCurrent(P_H, P_Z, P_GMinus, P_WPlus, 525, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, 647, check)
    call createCurrent(P_H, P_g, P_g, 1149, check)
    call createCurrent(P_uAnti, P_G0, P_u, 381, check)
    call createCurrent(P_A, P_u, P_uAnti, 111, check)
    call createCurrent(P_A, P_H, P_G0, 1132, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, P_A, 693, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_A, 272, check)
    call createCurrent(P_G0, P_c, P_cAnti, 308, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, 612, check)
    call createCurrent(P_WMinus, P_WPlus, P_g, P_g, 1206, check)
    call createCurrent(P_dAnti, P_d, P_Z, 808, check)
    call createCurrent(P_Z, P_G0, P_GPlus, P_WMinus, 859, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_G0, 868, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, 516, check)
    call createCurrent(P_G0, P_A, P_WMinus, P_GPlus, 656, check)
    call createCurrent(P_b, P_bAnti, P_G0, 917, check)
    call createCurrent(P_GMinus, P_A, P_Z, P_GPlus, 306, check)
    call createCurrent(P_b, P_A, P_bAnti, 547, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, 424, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, 403, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_Z, 193, check)
    call createCurrent(P_g, P_H, P_H, P_g, 1144, check)
    call createCurrent(P_H, P_Z, P_Z, 802, check)
    call createCurrent(P_G0, P_ghWm, P_ghWmAnti, 928, check)
    call createCurrent(P_G0, P_A, P_WPlus, P_GMinus, 559, check)
    call createCurrent(P_tauPlus, P_A, P_tauMinus, 996, check)
    call createCurrent(P_WPlus, P_Z, P_H, P_GMinus, 244, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_A, 1114, check)
    call createCurrent(P_WMinus, P_g, P_WPlus, P_g, 1136, check)
    call createCurrent(P_H, P_sAnti, P_s, 631, check)
    call createCurrent(P_GPlus, P_A, P_G0, P_WMinus, 571, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_A, 166, check)
    call createCurrent(P_cAnti, P_c, P_g, 596, check)
    call createCurrent(P_GMinus, P_GMinus, P_GPlus, P_GPlus, 653, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_G0, 523, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, 476, check)
    call createCurrent(P_A, P_A, P_H, 1137, check)
    call createCurrent(P_WPlus, P_Z, P_Z, P_WMinus, 715, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_Z, 515, check)
    call createCurrent(P_GMinus, P_GPlus, P_WPlus, P_WMinus, 82, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_Z, 939, check)
    call createCurrent(P_muMinus, P_WPlus, P_nu_muAnti, 501, check)
    call createCurrent(P_g, P_A, P_g, P_Z, 1205, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_A, 894, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, 838, check)
    call createCurrent(P_Z, P_GMinus, P_G0, P_WPlus, 992, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_A, 1050, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_A, 936, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_G0, 530, check)
    call createCurrent(P_G0, P_muMinus, P_muPlus, 680, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, 209, check)
    call createCurrent(P_WMinus, P_nu_e, P_ePlus, 945, check)
    call createCurrent(P_sAnti, P_s, P_H, 118, check)
    call createCurrent(P_H, P_WMinus, P_H, P_WPlus, 569, check)
    call createCurrent(P_H, P_dAnti, P_d, 969, check)
    call createCurrent(P_t, P_bAnti, P_WMinus, 741, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_Z, 415, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WMinus, 330, check)
    call createCurrent(P_dAnti, P_d, P_A, 204, check)
    call createCurrent(P_ghGAnti, P_g, P_ghG, 173, check)
    call createCurrent(P_Z, P_cAnti, P_c, 963, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, 757, check)
    call createCurrent(P_eMinus, P_A, P_ePlus, 704, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_Z, 154, check)
    call createCurrent(P_s, P_cAnti, P_WPlus, 278, check)
    call createCurrent(P_Z, P_uAnti, P_u, 723, check)
    call createCurrent(P_H, P_muMinus, P_muPlus, 458, check)
    call createCurrent(P_tauMinus, P_H, P_tauPlus, 855, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_G0, 237, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_Z, 359, check)
    call createCurrent(P_G0, P_A, P_H, 1040, check)
    call createCurrent(P_nu_tauAnti, P_Z, P_nu_tau, 892, check)
    call createCurrent(P_muMinus, P_GPlus, P_nu_muAnti, 93, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_H, 502, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, 511, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, 504, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, P_H, 719, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, 335, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, 478, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_GMinus, 488, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_H, 340, check)
    call createCurrent(P_dAnti, P_g, P_d, 213, check)
    call createCurrent(P_Z, P_Z, P_WPlus, P_WMinus, 325, check)
    call createCurrent(P_cAnti, P_WPlus, P_s, 1022, check)
    call createCurrent(P_Z, P_tauMinus, P_tauPlus, 780, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, 598, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_G0, 95, check)
    call createCurrent(P_WPlus, P_b, P_tAnti, 897, check)
    call createCurrent(P_A, P_GMinus, P_A, P_GPlus, 71, check)
    call createCurrent(P_nu_e, P_A, P_nu_eAnti, 1104, check)
    call createCurrent(P_dAnti, P_u, P_GMinus, 736, check)
    call createCurrent(P_c, P_cAnti, P_A, 72, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, 579, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, 955, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_A, 180, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_H, 880, check)
    call createCurrent(P_H, P_GPlus, P_Z, P_WMinus, 832, check)
    call createCurrent(P_sAnti, P_s, P_A, 604, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghZAnti, 491, check)
    call createCurrent(P_s, P_sAnti, 1133, check)
    call createCurrent(P_H, P_Z, P_H, P_Z, 234, check)
    call createCurrent(P_G0, P_Z, 1068, check)
    call createCurrent(P_A, P_A, P_WPlus, P_WMinus, 418, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_A, 0, check)
    call createCurrent(P_GMinus, P_H, P_Z, P_WPlus, 543, check)
    call createCurrent(P_WPlus, P_g, P_WMinus, P_g, 1167, check)
    call createCurrent(P_eMinus, P_ePlus, P_Z, 346, check)
    call createCurrent(P_WMinus, P_Z, P_A, P_WPlus, 532, check)
    call createCurrent(P_dAnti, P_GMinus, P_u, 947, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, 687, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, 705, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghZ, 252, check)
    call createCurrent(P_b, P_bAnti, P_Z, 937, check)
    call createCurrent(P_g, P_sAnti, P_s, 479, check)
    call createCurrent(P_tAnti, P_t, P_A, 76, check)
    call createCurrent(P_G0, P_G0, P_WPlus, P_WMinus, 968, check)
    call createCurrent(P_A, P_Z, P_H, P_H, 1052, check)
    call createCurrent(P_muMinus, P_A, P_muPlus, 790, check)
    call createCurrent(P_GMinus, P_ePlus, P_nu_e, 63, check)
    call createCurrent(P_u, P_uAnti, P_H, 15, check)
    call createCurrent(P_muPlus, P_WMinus, P_nu_mu, 321, check)
    call createCurrent(P_Z, P_g, P_g, P_Z, 1170, check)
    call createCurrent(P_G0, P_Z, P_A, P_G0, 1075, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, 831, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, 427, check)
    call createCurrent(P_nu_mu, P_A, P_nu_muAnti, 1063, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_A, 439, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_G0, 14, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, 463, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_H, 474, check)
    call createCurrent(P_A, P_g, P_g, P_A, 1194, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, 83, check)
    call createCurrent(P_c, P_sAnti, P_WMinus, 371, check)
    call createCurrent(P_GPlus, P_WMinus, P_WPlus, P_GMinus, 6, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, 425, check)
    call createCurrent(P_G0, P_bAnti, P_b, 978, check)
    call createCurrent(P_A, P_d, P_dAnti, 301, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, 16, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_Z, 229, check)
    call createCurrent(P_g, P_A, P_g, P_A, 1173, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, 312, check)
    call createCurrent(P_GPlus, P_tauMinus, P_nu_tauAnti, 702, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_A, 61, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, 920, check)
    call createCurrent(P_H, P_H, P_H, 991, check)
    call createCurrent(P_b, P_bAnti, P_H, 142, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghWpAnti, 564, check)
    call createCurrent(P_GMinus, P_G0, P_G0, P_GPlus, 583, check)
    call createCurrent(P_ePlus, P_WMinus, P_nu_e, 315, check)
    call createCurrent(P_ghWpAnti, P_H, P_ghWp, 691, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, P_H, 397, check)
    call createCurrent(P_dAnti, P_A, P_d, 745, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_A, 353, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, 759, check)
    call createCurrent(P_GMinus, P_tauPlus, P_nu_tau, 685, check)
    call createCurrent(P_A, P_g, P_A, P_g, 1150, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_Z, 985, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_Z, 347, check)
    call createCurrent(P_Z, P_G0, P_WMinus, P_GPlus, 298, check)
    call createCurrent(P_A, P_sAnti, P_s, 867, check)
    call createCurrent(P_tAnti, P_t, P_H, 524, check)
    call createCurrent(P_g, P_WMinus, P_g, P_WPlus, 1189, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_A, 1023, check)
    call createCurrent(P_GPlus, P_GMinus, P_GMinus, P_GPlus, 942, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_G0, 1, check)
    call createCurrent(P_sAnti, P_A, P_s, 754, check)
    call createCurrent(P_GMinus, P_GPlus, P_WMinus, P_WPlus, 682, check)
    call createCurrent(P_H, P_A, P_A, 1157, check)
    call createCurrent(P_sAnti, P_g, P_s, 265, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, 377, check)
    call createCurrent(P_GPlus, P_WPlus, P_WMinus, P_GMinus, 946, check)
    call createCurrent(P_ghWm, P_H, P_ghWmAnti, 291, check)
    call createCurrent(P_A, P_GMinus, P_G0, P_WPlus, 186, check)
    call createCurrent(P_WMinus, P_GPlus, P_WPlus, P_GMinus, 28, check)
    call createCurrent(P_g, P_A, P_Z, P_g, 1183, check)
    call createCurrent(P_G0, P_g, P_G0, P_g, 1162, check)
    call createCurrent(P_Z, P_b, P_bAnti, 785, check)
    call createCurrent(P_d, P_dAnti, P_Z, 748, check)
    call createCurrent(P_H, P_g, P_g, P_H, 1134, check)
    call createCurrent(P_ePlus, P_eMinus, P_Z, 815, check)
    call createCurrent(P_nu_mu, P_muPlus, P_GMinus, 1006, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, 1049, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, 481, check)
    call createCurrent(P_GMinus, P_G0, P_Z, P_WPlus, 144, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_A, 475, check)
    call createCurrent(P_G0, P_G0, P_WMinus, P_WPlus, 827, check)
    call createCurrent(P_A, P_G0, P_Z, P_G0, 1071, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_H, 195, check)
    call createCurrent(P_u, P_H, P_uAnti, 105, check)
    call createCurrent(P_A, P_g, P_g, P_g, 1172, check)
    call createCurrent(P_Z, P_WPlus, P_H, P_GMinus, 839, check)
    call createCurrent(P_A, P_g, P_Z, P_g, 1204, check)
    call createCurrent(P_WPlus, P_tAnti, P_b, 639, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, 1082, check)
    call createCurrent(P_Z, P_dAnti, P_d, 835, check)
    call createCurrent(P_g, P_g, P_G0, P_G0, 1181, check)
    call createCurrent(P_GPlus, P_WMinus, 1086, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_H, 47, check)
    call createCurrent(P_tAnti, P_H, P_t, 32, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, 961, check)
    call createCurrent(P_g, P_g, P_g, P_A, 1176, check)
    call createCurrent(P_A, P_nu_muAnti, P_nu_mu, 1091, check)
    call createCurrent(P_nu_eAnti, P_WPlus, P_eMinus, 394, check)
    call createCurrent(P_cAnti, P_s, P_GPlus, 398, check)
    call createCurrent(P_G0, P_A, P_GMinus, P_WPlus, 938, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_WPlus, 592, check)
    call createCurrent(P_c, P_g, P_cAnti, 601, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_A, 255, check)
    call createCurrent(P_ghWp, P_H, P_ghWpAnti, 699, check)
    call createCurrent(P_Z, P_WMinus, P_Z, P_WPlus, 178, check)
    call createCurrent(P_Z, P_GMinus, P_A, P_GPlus, 552, check)
    call createCurrent(P_c, P_cAnti, P_Z, 809, check)
    call createCurrent(P_tauPlus, P_tauMinus, 1067, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_G0, 288, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, 431, check)
    call createCurrent(P_uAnti, P_u, P_g, 818, check)
    call createCurrent(P_uAnti, P_u, P_A, 497, check)
    call createCurrent(P_g, P_g, P_H, P_H, 1179, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, 651, check)
    call createCurrent(P_c, P_Z, P_cAnti, 713, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, 623, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, 933, check)
    call createCurrent(P_GPlus, P_GMinus, P_WMinus, P_WPlus, 176, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, P_G0, 320, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_G0, 817, check)
    call createCurrent(P_H, P_WPlus, P_H, P_WMinus, 949, check)
    call createCurrent(P_s, P_g, P_sAnti, 1015, check)
    call createCurrent(P_tAnti, P_t, 1111, check)
    call createCurrent(P_GMinus, P_H, P_A, P_WPlus, 314, check)
    call createCurrent(P_WPlus, P_WMinus, P_H, 883, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_Z, 811, check)
    call createCurrent(P_dAnti, P_H, P_d, 1011, check)
    call createCurrent(P_sAnti, P_H, P_s, 211, check)
    call createCurrent(P_sAnti, P_G0, P_s, 413, check)
    call createCurrent(P_d, P_A, P_dAnti, 783, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, 218, check)
    call createCurrent(P_bAnti, P_H, P_b, 246, check)
    call createCurrent(P_H, P_A, P_Z, P_H, 1102, check)
    call createCurrent(P_dAnti, P_Z, P_d, 843, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_A, 555, check)
    call createCurrent(P_WMinus, P_H, P_A, P_GPlus, 722, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_A, 594, check)
    call createCurrent(P_G0, P_s, P_sAnti, 323, check)
    call createCurrent(P_Z, P_GPlus, P_A, P_GMinus, 984, check)
    call createCurrent(P_muMinus, P_Z, P_muPlus, 74, check)
    call createCurrent(P_G0, P_G0, P_Z, P_Z, 826, check)
    call createCurrent(P_Z, P_Z, P_G0, P_G0, 852, check)
    call createCurrent(P_Z, P_s, P_sAnti, 65, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, 801, check)
    call createCurrent(P_Z, P_nu_mu, P_nu_muAnti, 297, check)
    call createCurrent(P_b, P_bAnti, P_A, 189, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, 635, check)
    call createCurrent(P_A, P_G0, 1051, check)
    call createCurrent(P_H, P_H, P_WMinus, P_WPlus, 930, check)
    call createCurrent(P_GPlus, P_H, P_WMinus, P_A, 368, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_G0, 338, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghZ, 8, check)
    call createCurrent(P_sAnti, P_WMinus, P_c, 778, check)
    call createCurrent(P_g, P_d, P_dAnti, 899, check)
    call createCurrent(P_uAnti, P_u, P_G0, 328, check)
    call createCurrent(P_GPlus, P_tAnti, P_b, 614, check)
    call createCurrent(P_WPlus, P_GMinus, P_WMinus, P_GPlus, 304, check)
    call createCurrent(P_H, P_A, P_H, P_Z, 1043, check)
    call createCurrent(P_b, P_G0, P_bAnti, 329, check)
    call createCurrent(P_H, P_H, P_GMinus, P_GPlus, 269, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_H, 294, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, 758, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, 645, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_ghWm, 707, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_Z, 847, check)
    call createCurrent(P_tAnti, P_b, P_WPlus, 155, check)
    call createCurrent(P_WMinus, P_G0, P_Z, P_GPlus, 774, check)
    call createCurrent(P_Z, P_g, P_g, P_A, 1169, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghWm, 871, check)
    call createCurrent(P_g, P_WPlus, P_g, P_WMinus, 1192, check)
    call createCurrent(P_GPlus, P_GMinus, P_GPlus, P_GMinus, 1009, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_A, 738, check)
    call createCurrent(P_g, P_u, P_uAnti, 79, check)
    call createCurrent(P_H, P_GPlus, P_A, P_WMinus, 37, check)
    call createCurrent(P_Z, P_GPlus, P_G0, P_WMinus, 187, check)
    call createCurrent(P_H, P_Z, P_WPlus, P_GMinus, 435, check)
    call createCurrent(P_uAnti, P_A, P_u, 787, check)
    call createCurrent(P_Z, P_g, P_A, P_g, 1180, check)
    call createCurrent(P_g, P_WMinus, P_WPlus, P_g, 1138, check)
    call createCurrent(P_G0, P_GPlus, P_Z, P_WMinus, 834, check)
    call createCurrent(P_t, P_tAnti, P_H, 793, check)
    call createCurrent(P_muPlus, P_nu_mu, P_WMinus, 679, check)
    call createCurrent(P_uAnti, P_WPlus, P_d, 289, check)
    call createCurrent(P_Z, P_A, P_GMinus, P_GPlus, 129, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, 1036, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_GMinus, 282, check)
    call createCurrent(P_g, P_Z, P_Z, P_g, 1174, check)
    call createCurrent(P_Z, P_H, P_H, P_Z, 171, check)
    call createCurrent(P_G0, P_H, P_G0, 921, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_A, 893, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, 622, check)
    call createCurrent(P_Z, P_bAnti, P_b, 998, check)
    call createCurrent(P_H, P_Z, P_H, P_A, 1085, check)
    call createCurrent(P_uAnti, P_H, P_u, 181, check)
    call createCurrent(P_WMinus, P_GPlus, P_GMinus, P_WPlus, 259, check)
    call createCurrent(P_t, P_WMinus, P_bAnti, 781, check)
    call createCurrent(P_A, P_Z, P_WPlus, P_WMinus, 369, check)
    call createCurrent(P_GPlus, P_nu_muAnti, P_muMinus, 733, check)
    call createCurrent(P_A, P_H, P_WMinus, P_GPlus, 613, check)
    call createCurrent(P_g, P_g, P_A, P_g, 1188, check)
    call createCurrent(P_G0, P_G0, P_G0, P_G0, 1005, check)
    call createCurrent(P_G0, P_Z, P_WPlus, P_GMinus, 303, check)
    call createCurrent(P_sAnti, P_c, P_GMinus, 692, check)
    call createCurrent(P_H, P_d, P_dAnti, 376, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_Z, 273, check)
    call createCurrent(P_s, P_H, P_sAnti, 140, check)
    call createCurrent(P_cAnti, P_c, 1125, check)
    call createCurrent(P_WMinus, P_t, P_bAnti, 499, check)
    call createCurrent(P_g, P_g, P_A, P_Z, 1151, check)
    call createCurrent(P_Z, P_GMinus, P_H, P_WPlus, 260, check)
    call createCurrent(P_muPlus, P_H, P_muMinus, 106, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, 69, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, 469, check)
    call createCurrent(P_A, P_nu_eAnti, P_nu_e, 1113, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_Z, 747, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_G0, 952, check)
    call createCurrent(P_WMinus, P_Z, P_Z, P_WPlus, 1010, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_H, 862, check)
    call createCurrent(P_H, P_GMinus, P_H, P_GPlus, 636, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, 190, check)
    call createCurrent(P_G0, P_tAnti, P_t, 590, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, 185, check)
    call createCurrent(P_Z, P_G0, P_Z, P_G0, 929, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, 438, check)
    call createCurrent(P_c, P_GMinus, P_sAnti, 446, check)
    call createCurrent(P_ePlus, P_nu_e, P_GMinus, 669, check)
    call createCurrent(P_g, P_g, P_g, P_g, 731, check)
    call createCurrent(P_GMinus, P_GPlus, P_H, P_H, 667, check)
    call createCurrent(P_s, P_GPlus, P_cAnti, 694, check)
    call createCurrent(P_WMinus, P_H, P_WPlus, P_H, 1001, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, 642, check)
    call createCurrent(P_G0, P_t, P_tAnti, 152, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Z, 600, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, 904, check)
    call createCurrent(P_cAnti, P_c, P_G0, 284, check)
    call createCurrent(P_dAnti, P_d, P_g, 149, check)
    call createCurrent(P_Z, P_H, P_G0, 923, check)
    call createCurrent(P_WMinus, P_GMinus, P_WPlus, P_GPlus, 751, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_H, 391, check)
    call createCurrent(P_WMinus, P_G0, P_A, P_GPlus, 44, check)
    call createCurrent(P_A, P_A, P_g, P_g, 1158, check)
    call createCurrent(P_b, P_Z, P_bAnti, 791, check)
    call createCurrent(P_d, P_dAnti, P_G0, 50, check)
    call createCurrent(P_sAnti, P_s, P_Z, 299, check)
    call createCurrent(P_WMinus, P_H, P_GPlus, P_A, 355, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghWp, 776, check)
    call createCurrent(P_WPlus, P_uAnti, P_d, 295, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, 848, check)
    call createCurrent(P_u, P_uAnti, 1076, check)
    call createCurrent(P_WMinus, P_g, P_g, P_WPlus, 1195, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_A, 302, check)
    call createCurrent(P_GPlus, P_s, P_cAnti, 542, check)
    call createCurrent(P_d, P_uAnti, P_WPlus, 484, check)
    call createCurrent(P_muMinus, P_H, P_muPlus, 905, check)
    call createCurrent(P_ghA, P_WPlus, P_ghWpAnti, 342, check)
    call createCurrent(P_A, P_H, P_GPlus, P_WMinus, 789, check)
    call createCurrent(P_uAnti, P_GPlus, P_d, 151, check)
    call createCurrent(P_GPlus, P_WPlus, P_GMinus, P_WMinus, 581, check)
    call createCurrent(P_tauPlus, P_WMinus, P_nu_tau, 882, check)
    call createCurrent(P_Z, P_Z, 1121, check)
    call createCurrent(P_s, P_sAnti, P_g, 429, check)
    call createCurrent(P_g, P_g, P_WPlus, P_WMinus, 1135, check)
    call createCurrent(P_nu_muAnti, P_GPlus, P_muMinus, 697, check)
    call createCurrent(P_H, P_ghZ, P_ghZAnti, 609, check)
    call createCurrent(P_g, P_g, P_Z, P_Z, 1164, check)
    call createCurrent(P_uAnti, P_Z, P_u, 1002, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, 1033, check)
    call createCurrent(P_WMinus, P_GPlus, P_H, P_Z, 673, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, 535, check)
    call createCurrent(P_GPlus, P_Z, P_A, P_GMinus, 392, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_WPlus, 959, check)
    call createCurrent(P_g, P_uAnti, P_u, 833, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, 112, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_A, 732, check)
    call createCurrent(P_A, P_GPlus, P_H, P_WMinus, 87, check)
    call createCurrent(P_Z, P_H, P_Z, P_H, 480, check)
    call createCurrent(P_d, P_dAnti, 1084, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghZ, 409, check)
    call createCurrent(P_g, P_Z, P_g, P_Z, 1190, check)
    call createCurrent(P_g, P_g, P_Z, P_g, 1147, check)
    call createCurrent(P_WMinus, P_WPlus, 1124, check)
    call createCurrent(P_Z, P_sAnti, P_s, 655, check)
    call createCurrent(P_nu_e, P_ePlus, P_WMinus, 200, check)
    call createCurrent(P_H, P_ghWmAnti, P_ghWm, 238, check)
    call createCurrent(P_nu_mu, P_GMinus, P_muPlus, 900, check)
    call createCurrent(P_H, P_eMinus, P_ePlus, 668, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WPlus, 644, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_H, 700, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, 343, check)
    call createCurrent(P_H, P_G0, P_Z, 954, check)
    call createCurrent(P_Z, P_nu_e, P_nu_eAnti, 875, check)
    call createCurrent(P_G0, P_WMinus, P_A, P_GPlus, 870, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_Z, 148, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, 813, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, 23, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_G0, 228, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, 447, check)
    call createCurrent(P_WMinus, P_GPlus, 1053, check)
    call createCurrent(P_G0, P_GMinus, P_A, P_WPlus, 829, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, 879, check)
    call createCurrent(P_Z, P_G0, P_G0, P_Z, 264, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_Z, 410, check)
    call createCurrent(P_WPlus, P_nu_eAnti, P_eMinus, 120, check)
    call createCurrent(P_muPlus, P_Z, P_muMinus, 546, check)
    call createCurrent(P_WPlus, P_A, P_G0, P_GMinus, 2, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_GPlus, 10, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, 585, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, 889, check)
    call createCurrent(P_A, P_GPlus, P_Z, P_GMinus, 948, check)
    call createCurrent(P_A, P_G0, P_H, 1095, check)
    call createCurrent(P_WPlus, P_WMinus, P_WPlus, P_WMinus, 877, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, 496, check)
    call createCurrent(P_nu_tau, P_Z, P_nu_tauAnti, 59, check)
    call createCurrent(P_G0, P_d, P_dAnti, 711, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, 378, check)
    call createCurrent(P_A, P_H, P_GMinus, P_WPlus, 1029, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_A, 1012, check)
    call createCurrent(P_bAnti, P_G0, P_b, 527, check)
    call createCurrent(P_H, P_Z, P_A, P_H, 1128, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_A, 495, check)
    call createCurrent(P_nu_muAnti, P_Z, P_nu_mu, 775, check)
    call createCurrent(P_G0, P_G0, P_GMinus, P_GPlus, 137, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_A, 68, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, P_G0, 983, check)
    call createCurrent(P_H, P_Z, P_G0, 960, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_H, 188, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, 605, check)
    call createCurrent(P_A, P_nu_e, P_nu_eAnti, 1073, check)
    call createCurrent(P_c, P_cAnti, P_H, 251, check)
    call createCurrent(P_G0, P_G0, P_H, P_H, 861, check)
    call createCurrent(P_G0, P_Z, P_GMinus, P_WPlus, 1000, check)
    call createCurrent(P_GPlus, P_nu_eAnti, P_eMinus, 551, check)
    call createCurrent(P_Z, P_H, P_H, P_A, 1037, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_Z, 102, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_H, 950, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WPlus, 428, check)
    call createCurrent(P_muPlus, P_G0, P_muMinus, 560, check)
    call createCurrent(P_nu_eAnti, P_A, P_nu_e, 1088, check)
    call createCurrent(P_nu_tauAnti, P_WPlus, P_tauMinus, 114, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_A, 580, check)
    call createCurrent(P_bAnti, P_Z, P_b, 362, check)
    call createCurrent(P_H, P_G0, P_G0, P_H, 67, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_A, 619, check)
    call createCurrent(P_A, P_Z, P_G0, P_G0, 1109, check)
    call createCurrent(P_WPlus, P_eMinus, P_nu_eAnti, 824, check)
    call createCurrent(P_tAnti, P_WPlus, P_b, 545, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, 351, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_Z, 222, check)
    call createCurrent(P_G0, P_tauPlus, P_tauMinus, 164, check)
    call createCurrent(P_Z, P_nu_tauAnti, P_nu_tau, 584, check)
    call createCurrent(P_cAnti, P_H, P_c, 803, check)
    call createCurrent(P_d, P_dAnti, P_A, 25, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_GPlus, 988, check)
    call createCurrent(P_A, P_Z, 1045, check)
    call createCurrent(P_Z, P_GPlus, P_Z, P_GMinus, 386, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghWp, 39, check)
    call createCurrent(P_G0, P_G0, P_H, 626, check)
    call createCurrent(P_tauPlus, P_GMinus, P_nu_tau, 94, check)
    call createCurrent(P_H, P_A, P_GPlus, P_WMinus, 385, check)
    call createCurrent(P_s, P_cAnti, P_GPlus, 55, check)
    call createCurrent(P_cAnti, P_c, P_A, 257, check)
    call createCurrent(P_eMinus, P_ePlus, 1046, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WMinus, 628, check)
    call createCurrent(P_u, P_uAnti, P_A, 872, check)
    call createCurrent(P_WPlus, P_WMinus, P_WMinus, P_WPlus, 404, check)
    call createCurrent(P_c, P_cAnti, 1105, check)
    call createCurrent(P_WPlus, P_s, P_cAnti, 993, check)
    call createCurrent(P_dAnti, P_d, P_H, 648, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, 660, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, 681, check)
    call createCurrent(P_H, P_muPlus, P_muMinus, 350, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, 236, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, 226, check)
    call createCurrent(P_u, P_uAnti, P_G0, 728, check)
    call createCurrent(P_WPlus, P_WMinus, 1079, check)
    call createCurrent(P_tauMinus, P_G0, P_tauPlus, 884, check)
    call createCurrent(P_G0, P_Z, P_WMinus, P_GPlus, 239, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_H, 64, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_G0, 135, check)
    call createCurrent(P_nu_tauAnti, P_A, P_nu_tau, 1106, check)
    call createCurrent(P_G0, P_GMinus, P_G0, P_GPlus, 712, check)
    call createCurrent(P_Z, P_g, P_g, P_g, 1160, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_H, 240, check)
    call createCurrent(P_Z, P_Z, P_H, P_H, 113, check)
    call createCurrent(P_g, P_GPlus, P_GMinus, P_g, 1202, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghWpAnti, 666, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghWp, 706, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_A, 1057, check)
    call createCurrent(P_WPlus, P_ghA, P_ghWpAnti, 906, check)
    call createCurrent(P_GMinus, P_nu_e, P_ePlus, 132, check)
    call createCurrent(P_g, P_s, P_sAnti, 235, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_GPlus, 130, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, 41, check)
    call createCurrent(P_A, P_A, P_GMinus, P_GPlus, 740, check)
    call createCurrent(P_eMinus, P_G0, P_ePlus, 262, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghWp, 866, check)
    call createCurrent(P_b, P_bAnti, 1126, check)
    call createCurrent(P_H, P_ghWm, P_ghWmAnti, 270, check)
    call createCurrent(P_muPlus, P_A, P_muMinus, 92, check)
    call createCurrent(P_WMinus, P_A, P_G0, P_GPlus, 384, check)
    call createCurrent(P_tauMinus, P_tauPlus, 1047, check)
    call createCurrent(P_WMinus, P_A, P_H, P_GPlus, 86, check)
    call createCurrent(P_GPlus, P_A, P_A, P_GMinus, 701, check)
    call createCurrent(P_G0, P_WPlus, P_G0, P_WMinus, 275, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, 331, check)
    call createCurrent(P_eMinus, P_GPlus, P_nu_eAnti, 505, check)
    call createCurrent(P_c, P_A, P_cAnti, 472, check)
    call createCurrent(P_GPlus, P_d, P_uAnti, 345, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, 417, check)
    call createCurrent(P_GPlus, P_Z, P_G0, P_WMinus, 608, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, 1025, check)
    call createCurrent(P_H, P_GPlus, P_GMinus, P_H, 339, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, 337, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_A, 453, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_H, 686, check)
    call createCurrent(P_tauPlus, P_Z, P_tauMinus, 860, check)
    call createCurrent(P_d, P_G0, P_dAnti, 926, check)
    call createCurrent(P_bAnti, P_t, P_WMinus, 907, check)
    call createCurrent(P_GPlus, P_H, P_H, P_GMinus, 828, check)
    call createCurrent(P_s, P_WPlus, P_cAnti, 675, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, 956, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_G0, 310, check)
    call createCurrent(P_A, P_H, P_A, 1171, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, 108, check)
    call createCurrent(P_dAnti, P_WMinus, P_u, 161, check)
    call createCurrent(P_A, P_G0, P_GPlus, P_WMinus, 566, check)
    call createCurrent(P_Z, P_WMinus, P_A, P_WPlus, 110, check)
    call createCurrent(P_Z, P_A, P_H, 1112, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, 616, check)
    call createCurrent(P_bAnti, P_b, 1120, check)
    call createCurrent(P_A, P_GPlus, P_A, P_GMinus, 678, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, 163, check)
    call createCurrent(P_A, P_H, P_H, P_Z, 1090, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, 145, check)
    call createCurrent(P_A, P_A, P_GPlus, P_GMinus, 1013, check)
    call createCurrent(P_d, P_GPlus, P_uAnti, 367, check)
    call createCurrent(P_cAnti, P_GPlus, P_s, 223, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_G0, 918, check)
    call createCurrent(P_WMinus, P_ePlus, P_nu_e, 1016, check)
    call createCurrent(P_Z, P_G0, P_H, 42, check)
    call createCurrent(P_tAnti, P_G0, P_t, 489, check)
    call createCurrent(P_A, P_tAnti, P_t, 677, check)
    call createCurrent(P_nu_muAnti, P_A, P_nu_mu, 1048, check)
    call createCurrent(P_G0, P_WMinus, P_Z, P_GPlus, 849, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, 506, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, 88, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_A, 1014, check)
    call createCurrent(P_muPlus, P_nu_mu, P_GMinus, 550, check)
    call createCurrent(P_Z, P_Z, P_GMinus, P_GPlus, 1031, check)
    call createCurrent(P_t, P_tAnti, P_Z, 263, check)
    call createCurrent(P_Z, P_A, P_g, P_g, 1161, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, 313, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, 214, check)
    call createCurrent(P_tAnti, P_Z, P_t, 627, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, 1004, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghWp, 279, check)
    call createCurrent(P_WMinus, P_u, P_dAnti, 9, check)
    call createCurrent(P_H, P_WPlus, P_A, P_GMinus, 311, check)
    call createCurrent(P_G0, P_GMinus, P_Z, P_WPlus, 194, check)
    call createCurrent(P_G0, P_Z, P_Z, P_G0, 416, check)
    call createCurrent(P_Z, P_d, P_dAnti, 131, check)
    call createCurrent(P_G0, P_WMinus, P_WPlus, P_G0, 718, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_G0, 293, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_A, 934, check)
    call createCurrent(P_nu_eAnti, P_nu_e, 1062, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_Z, 104, check)
    call createCurrent(P_d, P_dAnti, P_H, 307, check)
    call createCurrent(P_Z, P_WMinus, P_H, P_GPlus, 52, check)
    call createCurrent(P_c, P_cAnti, P_G0, 1034, check)
    call createCurrent(P_GPlus, P_g, P_GMinus, P_g, 1148, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Z, 927, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, P_G0, 175, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, 492, check)
    call createCurrent(P_A, P_muMinus, P_muPlus, 663, check)
    call createCurrent(P_A, P_Z, P_WMinus, P_WPlus, 973, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_Z, 665, check)
    call createCurrent(P_bAnti, P_t, P_GMinus, 987, check)
    call createCurrent(P_GMinus, P_WMinus, P_GPlus, P_WPlus, 466, check)
    call createCurrent(P_GMinus, P_GPlus, P_g, P_g, 1207, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, 989, check)
    call createCurrent(P_G0, P_G0, P_g, P_g, 1187, check)
    call createCurrent(P_nu_mu, P_WMinus, P_muPlus, 101, check)
    call createCurrent(P_A, P_s, P_sAnti, 739, check)
    call createCurrent(P_GPlus, P_eMinus, P_nu_eAnti, 634, check)
    call createCurrent(P_GPlus, P_A, P_H, P_WMinus, 286, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_Z, 726, check)
    call createCurrent(P_WMinus, P_WPlus, P_WPlus, P_WMinus, 708, check)
    call createCurrent(P_GMinus, P_c, P_sAnti, 717, check)
    call createCurrent(P_H, P_ePlus, P_eMinus, 919, check)
    call createCurrent(P_WPlus, P_H, P_Z, P_GMinus, 420, check)
    call createCurrent(P_g, P_c, P_cAnti, 640, check)
    call createCurrent(P_bAnti, P_b, P_Z, 710, check)
    call createCurrent(P_g, P_A, P_g, P_g, 1203, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_WPlus, 720, check)
    call createCurrent(P_A, P_A, P_WMinus, P_WPlus, 96, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, 796, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_Z, 746, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_H, 786, check)
    call createCurrent(P_A, P_WMinus, P_Z, P_WPlus, 519, check)
    call createCurrent(P_A, P_H, P_Z, 1061, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, P_H, 210, check)
    call createCurrent(P_A, P_H, P_WPlus, P_GMinus, 85, check)
    call createCurrent(P_d, P_g, P_dAnti, 333, check)
    call createCurrent(P_WPlus, P_WMinus, P_GPlus, P_GMinus, 24, check)
    call createCurrent(P_G0, P_Z, P_G0, P_Z, 508, check)
    call createCurrent(P_t, P_tAnti, 1060, check)
    call createCurrent(P_g, P_A, P_A, P_g, 1154, check)
    call createCurrent(P_cAnti, P_s, P_WPlus, 66, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghWm, 451, check)
    call createCurrent(P_WPlus, P_g, P_g, P_WMinus, 1185, check)
    call createCurrent(P_sAnti, P_Z, P_s, 964, check)
    call createCurrent(P_G0, P_Z, P_GPlus, P_WMinus, 160, check)
    call createCurrent(P_A, P_Z, P_H, 1123, check)
    call createCurrent(P_g, P_g, P_WMinus, P_WPlus, 1166, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghZ, 863, check)
    call createCurrent(P_GMinus, P_WPlus, 1119, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_A, 795, check)
    call createCurrent(P_G0, P_H, P_G0, P_H, 522, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, 281, check)
    call createCurrent(P_s, P_G0, P_sAnti, 610, check)
    call createCurrent(P_A, P_WPlus, P_H, P_GMinus, 426, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, 231, check)
    call createCurrent(P_nu_e, P_Z, P_nu_eAnti, 593, check)
    call createCurrent(P_Z, P_muMinus, P_muPlus, 630, check)
    call createCurrent(P_A, P_WMinus, P_G0, P_GPlus, 98, check)
    call createCurrent(P_A, P_G0, P_WPlus, P_GMinus, 138, check)
    call createCurrent(P_G0, P_GPlus, P_G0, P_GMinus, 602, check)
    call createCurrent(P_dAnti, P_u, P_WMinus, 432, check)
    call createCurrent(P_uAnti, P_d, P_GPlus, 820, check)
    call createCurrent(P_GMinus, P_H, P_WPlus, P_A, 109, check)
    call createCurrent(P_s, P_sAnti, P_G0, 216, check)
    call createCurrent(P_GPlus, P_H, P_Z, P_WMinus, 191, check)
    call createCurrent(P_g, P_g, P_GPlus, P_GMinus, 1139, check)
    call createCurrent(P_WMinus, P_WPlus, P_H, 509, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_Z, 406, check)
    call createCurrent(P_b, P_tAnti, P_GPlus, 165, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_Z, 958, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_A, 743, check)
    call createCurrent(P_ePlus, P_nu_e, P_WMinus, 423, check)
    call createCurrent(P_H, P_A, P_GMinus, P_WPlus, 873, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_A, 1100, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, 34, check)
    call createCurrent(P_ePlus, P_H, P_eMinus, 575, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, 976, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GPlus, 841, check)
    call createCurrent(P_A, P_t, P_tAnti, 192, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, 709, check)
    call createCurrent(P_G0, P_A, P_GPlus, P_WMinus, 850, check)
    call createCurrent(P_H, P_GMinus, P_A, P_WPlus, 588, check)
    call createCurrent(P_nu_muAnti, P_WPlus, P_muMinus, 219, check)
    call createCurrent(P_nu_tau, P_GMinus, P_tauPlus, 5, check)
    call createCurrent(P_Z, P_tAnti, P_t, 141, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_Z, 558, check)
    call createCurrent(P_WMinus, P_GMinus, P_GPlus, P_WPlus, 625, check)
    call createCurrent(P_A, P_b, P_bAnti, 953, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghA, 770, check)
    call createCurrent(P_ePlus, P_eMinus, P_G0, 7, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, 461, check)
    call createCurrent(P_G0, P_G0, P_Z, P_A, 1077, check)
    call createCurrent(P_tauMinus, P_GPlus, P_nu_tauAnti, 26, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_GMinus, 334, check)
    call createCurrent(P_nu_tau, P_WMinus, P_tauPlus, 865, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_A, 1021, check)
    call createCurrent(P_Z, P_t, P_tAnti, 881, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, 27, check)
    call createCurrent(P_WPlus, P_H, P_GMinus, P_A, 650, check)
    call createCurrent(P_nu_e, P_ePlus, P_GMinus, 857, check)
    call createCurrent(P_u, P_g, P_uAnti, 979, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_A, 986, check)
    call createCurrent(P_c, P_H, P_cAnti, 128, check)
    call createCurrent(P_ePlus, P_A, P_eMinus, 464, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_G0, 565, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_G0, 203, check)
    call createCurrent(P_GMinus, P_nu_tau, P_tauPlus, 528, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_A, 402, check)
    call createCurrent(P_sAnti, P_s, P_g, 662, check)
    call createCurrent(P_g, P_GPlus, P_g, P_GMinus, 1186, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_H, 485, check)
    call createCurrent(P_WPlus, P_d, P_uAnti, 632, check)
    call createCurrent(P_tAnti, P_b, P_GPlus, 245, check)
    call createCurrent(P_u, P_dAnti, P_GMinus, 910, check)
    call createCurrent(P_WPlus, P_WPlus, P_WMinus, P_WMinus, 856, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, 38, check)
    call createCurrent(P_A, P_WPlus, P_G0, P_GMinus, 788, check)
    call createCurrent(P_H, P_GPlus, P_H, P_GMinus, 455, check)
    call createCurrent(P_g, P_Z, P_A, P_g, 1146, check)
    call createCurrent(P_bAnti, P_A, P_b, 951, check)
    call createCurrent(P_A, P_nu_tauAnti, P_nu_tau, 1099, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_H, 676, check)
    call createCurrent(P_tAnti, P_GPlus, P_b, 903, check)
    call createCurrent(P_A, P_WPlus, P_A, P_WMinus, 854, check)
    call createCurrent(P_Z, P_muPlus, P_muMinus, 982, check)
    call createCurrent(P_ePlus, P_eMinus, P_H, 287, check)
    call createCurrent(P_g, P_G0, P_g, P_G0, 1191, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_GMinus, 40, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, 390, check)
    call createCurrent(P_H, P_WPlus, P_Z, P_GMinus, 916, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_Z, 45, check)
    call createCurrent(P_g, P_cAnti, P_c, 970, check)
    call createCurrent(P_d, P_H, P_dAnti, 898, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_H, 753, check)
    call createCurrent(P_WPlus, P_G0, P_G0, P_WMinus, 698, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, P_H, 591, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, 597, check)
    call createCurrent(P_Z, P_H, P_A, 1129, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_G0, 975, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_Z, 568, check)
    call createCurrent(P_ePlus, P_G0, P_eMinus, 836, check)
    call createCurrent(P_WMinus, P_WPlus, P_GPlus, P_GMinus, 544, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghWpAnti, 890, check)
    call createCurrent(P_H, P_GPlus, P_WMinus, P_Z, 1017, check)
    call createCurrent(P_G0, P_A, P_G0, P_Z, 1110, check)
    call createCurrent(P_H, P_GMinus, P_GPlus, 935, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_G0, 454, check)
    call createCurrent(P_Z, P_A, P_WMinus, P_WPlus, 925, check)
    call createCurrent(P_H, P_H, P_g, P_g, 1152, check)
    call createCurrent(P_WPlus, P_muMinus, P_nu_muAnti, 1032, check)
    call createCurrent(P_sAnti, P_c, P_WMinus, 896, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Z, 589, check)
    call createCurrent(P_sAnti, P_s, P_G0, 851, check)
    call createCurrent(P_WMinus, P_tauPlus, P_nu_tau, 358, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, 941, check)
    call createCurrent(P_H, P_Z, P_GPlus, P_WMinus, 77, check)
    call createCurrent(P_WPlus, P_nu_tauAnti, P_tauMinus, 296, check)
    call createCurrent(P_A, P_GMinus, P_H, P_WPlus, 78, check)
    call createCurrent(P_H, P_WMinus, P_Z, P_GPlus, 448, check)
    call createCurrent(P_c, P_cAnti, P_g, 241, check)
    call createCurrent(P_GMinus, P_WPlus, P_GPlus, P_WMinus, 208, check)
    call createCurrent(P_eMinus, P_ePlus, P_G0, 990, check)
    call createCurrent(P_u, P_G0, P_uAnti, 577, check)
    call createCurrent(P_ePlus, P_GMinus, P_nu_e, 405, check)
    call createCurrent(P_nu_eAnti, P_Z, P_nu_e, 471, check)
    call createCurrent(P_G0, P_G0, 1131, check)
    call createCurrent(P_H, P_bAnti, P_b, 276, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, 443, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_H, 724, check)
    call createCurrent(P_WMinus, P_bAnti, P_t, 35, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_A, 842, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, 507, check)
    call createCurrent(P_uAnti, P_u, P_Z, 482, check)
    call createCurrent(P_G0, P_cAnti, P_c, 806, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, P_G0, 336, check)
    call createCurrent(P_G0, P_sAnti, P_s, 825, check)
    call createCurrent(P_GMinus, P_WPlus, P_H, 158, check)
    call createCurrent(P_H, P_t, P_tAnti, 126, check)
    call createCurrent(P_cAnti, P_Z, P_c, 620, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, 769, check)
    call createCurrent(P_g, P_g, P_g, P_Z, 1178, check)
    call createCurrent(P_GPlus, P_Z, P_H, P_WMinus, 157, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, 646, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, 716, check)
    call createCurrent(P_WPlus, P_GPlus, P_WMinus, P_GMinus, 179, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_Z, 807, check)
    call createCurrent(P_g, P_g, P_g, 800, check)
    call createCurrent(P_WPlus, P_G0, P_A, P_GMinus, 994, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_A, 549, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, 567, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, 248, check)
    call createCurrent(P_eMinus, P_ePlus, P_A, 766, check)
    call createCurrent(P_nu_mu, P_Z, P_nu_muAnti, 886, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_H, 127, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, 456, check)
    call createCurrent(P_sAnti, P_GMinus, P_c, 233, check)
    call createCurrent(P_H, P_u, P_uAnti, 116, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, 80, check)
    call createCurrent(P_GMinus, P_GPlus, P_GPlus, P_GMinus, 810, check)
    call createCurrent(P_GPlus, P_cAnti, P_s, 243, check)
    call createCurrent(P_u, P_WMinus, P_dAnti, 253, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_G0, 119, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghWmAnti, 554, check)
    call createCurrent(P_g, P_g, 1044, check)
    call createCurrent(P_GPlus, P_H, P_GMinus, 121, check)
    call createCurrent(P_H, P_A, P_G0, 1092, check)
    call createCurrent(P_ghG, P_g, P_ghGAnti, 784, check)
    call createCurrent(P_GMinus, P_g, P_g, P_GPlus, 1155, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_H, 503, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_H, 1020, check)
    call createCurrent(P_muPlus, P_muMinus, P_Z, 940, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, 43, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_G0, 765, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, 637, check)
    call createCurrent(P_H, P_c, P_cAnti, 419, check)
    call createCurrent(P_Z, P_GMinus, P_Z, P_GPlus, 750, check)
    call createCurrent(P_nu_eAnti, P_GPlus, P_eMinus, 518, check)
    call createCurrent(P_Z, P_H, P_GMinus, P_WPlus, 399, check)
    call createCurrent(P_tauMinus, P_Z, P_tauPlus, 379, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, 249, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, 539, check)
    call createCurrent(P_GPlus, P_muMinus, P_nu_muAnti, 797, check)
    call createCurrent(P_WMinus, P_Z, P_H, P_GPlus, 150, check)
    call createCurrent(P_Z, P_H, P_Z, 201, check)
    call createCurrent(P_g, P_dAnti, P_d, 29, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, 730, check)
    call createCurrent(P_GMinus, P_t, P_bAnti, 652, check)
    call createCurrent(P_WPlus, P_WMinus, P_GMinus, P_GPlus, 242, check)
    call createCurrent(P_WPlus, P_A, P_Z, P_WMinus, 714, check)
    call createCurrent(P_eMinus, P_ePlus, P_H, 595, check)
    call createCurrent(P_WMinus, P_WPlus, P_WMinus, P_WPlus, 271, check)
    call createCurrent(P_A, P_bAnti, P_b, 36, check)
    call createCurrent(P_bAnti, P_GMinus, P_t, 470, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_Z, 891, check)
    call createCurrent(P_G0, P_A, P_Z, P_G0, 1115, check)
    call createCurrent(P_Z, P_Z, P_WMinus, P_WPlus, 473, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, 912, check)
    call createCurrent(P_G0, P_G0, P_A, P_Z, 1056, check)
    call createCurrent(P_G0, P_ghWp, P_ghWpAnti, 349, check)
    call createCurrent(P_t, P_A, P_tAnti, 230, check)
    call createCurrent(P_ePlus, P_eMinus, 1078, check)
    call createCurrent(P_A, P_g, P_g, P_Z, 1193, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_A, 771, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_Z, 611, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghA, 182, check)
    call createCurrent(P_H, P_WPlus, P_WMinus, P_H, 73, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, 734, check)
    call createCurrent(P_G0, P_Z, P_H, 490, check)
    call createCurrent(P_GMinus, P_H, P_H, P_GPlus, 365, check)
    call createCurrent(P_g, P_Z, P_g, P_A, 1143, check)
    call createCurrent(P_cAnti, P_c, P_Z, 520, check)
    call createCurrent(P_WMinus, P_muPlus, P_nu_mu, 553, check)
    call createCurrent(P_u, P_GMinus, P_dAnti, 357, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_Z, 878, check)
    call createCurrent(P_Z, P_A, 1070, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, 19, check)
    call createCurrent(P_ghZ, P_H, P_ghZAnti, 727, check)
    call createCurrent(P_Z, P_eMinus, P_ePlus, 411, check)
    call createCurrent(P_A, P_GPlus, P_G0, P_WMinus, 13, check)
    call createCurrent(P_ePlus, P_eMinus, P_A, 436, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, 441, check)
    call createCurrent(P_t, P_bAnti, P_GMinus, 971, check)
    call createCurrent(P_A, P_tauMinus, P_tauPlus, 1018, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_G0, 224, check)
    call createCurrent(P_WMinus, P_sAnti, P_c, 220, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WPlus, 445, check)
    call createCurrent(P_bAnti, P_WMinus, P_t, 387, check)
    call createCurrent(P_g, P_Z, P_g, P_g, 1141, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, 749, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_Z, 372, check)
    call createCurrent(P_Z, P_WPlus, P_G0, P_GMinus, 414, check)
    call createCurrent(P_muPlus, P_GMinus, P_nu_mu, 462, check)
    call createCurrent(P_G0, P_H, P_H, P_G0, 638, check)
    call createCurrent(P_bAnti, P_b, P_A, 909, check)
    call createCurrent(P_GMinus, P_H, P_GPlus, 168, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, P_G0, 58, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, 174, check)
    call createCurrent(P_d, P_uAnti, P_GPlus, 756, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, 574, check)
    call createCurrent(P_muMinus, P_muPlus, 1059, check)
    call createCurrent(P_A, P_G0, P_GMinus, P_WPlus, 643, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_GMinus, 393, check)
    call createCurrent(P_Z, P_A, P_WPlus, P_WMinus, 924, check)
    call createCurrent(P_H, P_WMinus, P_A, P_GPlus, 317, check)
    call createCurrent(P_GMinus, P_muPlus, P_nu_mu, 254, check)
    call createCurrent(P_d, P_dAnti, P_g, 913, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_G0, 823, check)
    call createCurrent(P_Z, P_nu_eAnti, P_nu_e, 167, check)
    call createCurrent(P_GPlus, P_g, P_g, P_GMinus, 1197, check)
    call createCurrent(P_WPlus, P_G0, P_Z, P_GMinus, 885, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_G0, 779, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_A, 375, check)
    call createCurrent(P_G0, P_muPlus, P_muMinus, 332, check)
    call createCurrent(P_A, P_nu_mu, P_nu_muAnti, 1098, check)
    call createCurrent(P_GPlus, P_uAnti, P_d, 56, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, 814, check)
    call createCurrent(P_GMinus, P_A, P_G0, P_WPlus, 1027, check)
    call createCurrent(P_H, P_H, P_WPlus, P_WMinus, 901, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, 737, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, 11, check)
    call createCurrent(P_G0, P_tauMinus, P_tauPlus, 468, check)
    call createCurrent(P_eMinus, P_H, P_ePlus, 1008, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, 91, check)
    call createCurrent(P_g, P_ghG, P_ghGAnti, 674, check)
    call createCurrent(P_A, P_H, P_Z, P_H, 1094, check)
    call createCurrent(P_g, P_H, P_g, P_H, 1196, check)
    call createCurrent(P_H, P_b, P_bAnti, 383, check)
    call createCurrent(P_b, P_GPlus, P_tAnti, 557, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_Z, 995, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, 266, check)
    call createCurrent(P_GMinus, P_GPlus, P_GMinus, P_GPlus, 433, check)
    call createCurrent(P_Z, P_A, P_H, P_H, 1041, check)
    call createCurrent(P_dAnti, P_G0, P_d, 792, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Z, 30, check)
    call createCurrent(P_A, P_A, 1064, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, 974, check)
    call createCurrent(P_muPlus, P_muMinus, P_A, 143, check)
    call createCurrent(P_Z, P_Z, P_H, 374, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, 134, check)
    call createCurrent(P_muMinus, P_muPlus, P_Z, 444, check)
    call createCurrent(P_eMinus, P_Z, P_ePlus, 972, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, 139, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_A, 772, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, 1081, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, 207, check)
    call createCurrent(P_g, P_g, P_GMinus, P_GPlus, 1145, check)
    call createCurrent(P_WPlus, P_cAnti, P_s, 510, check)
    call createCurrent(P_WMinus, P_H, P_H, P_WPlus, 561, check)
    call createCurrent(P_WMinus, P_nu_tau, P_tauPlus, 283, check)
    call createCurrent(P_WMinus, P_WPlus, P_G0, P_G0, 280, check)
    call createCurrent(P_WMinus, P_A, P_Z, P_WPlus, 136, check)
    call createCurrent(P_tAnti, P_t, P_G0, 215, check)
    call createCurrent(P_A, P_WMinus, P_H, P_GPlus, 908, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghWm, 177, check)
    call createCurrent(P_b, P_tAnti, P_WPlus, 683, check)
    call createCurrent(P_b, P_WPlus, P_tAnti, 285, check)
    call createCurrent(P_cAnti, P_G0, P_c, 100, check)
    call createCurrent(P_GPlus, P_WMinus, P_H, P_Z, 764, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, 725, check)
    call createCurrent(P_A, P_eMinus, P_ePlus, 618, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_H, 563, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_A, 159, check)
    call createCurrent(P_H, P_A, P_WPlus, P_GMinus, 641, check)
    call createCurrent(P_GPlus, P_WMinus, P_GMinus, P_WPlus, 197, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, 572, check)
    call createCurrent(P_WMinus, P_WMinus, P_WPlus, P_WPlus, 300, check)
    call createCurrent(P_u, P_uAnti, P_g, 944, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_WPlus, 146, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_A, 1108, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, 97, check)
    call createCurrent(P_GPlus, P_H, P_A, P_WMinus, 434, check)
    call createCurrent(P_A, P_Z, P_GPlus, P_GMinus, 324, check)
    call createCurrent(P_G0, P_GPlus, P_A, P_WMinus, 268, check)
    call createCurrent(P_Z, P_WMinus, P_G0, P_GPlus, 449, check)
    call createCurrent(P_Z, P_G0, 1101, check)
    call createCurrent(P_GMinus, P_A, P_A, P_GPlus, 621, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_H, 17, check)
    call createCurrent(P_A, P_Z, P_GMinus, P_GPlus, 250, check)
    call createCurrent(P_ghZAnti, P_H, P_ghZ, 744, check)
    call createCurrent(P_tauPlus, P_H, P_tauMinus, 46, check)
    call createCurrent(P_tauMinus, P_A, P_tauPlus, 382, check)
    call createCurrent(P_GMinus, P_WMinus, P_WPlus, P_GPlus, 864, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, 267, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_Z, 513, check)
    call createCurrent(P_A, P_G0, P_WMinus, P_GPlus, 450, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, 1026, check)
    call createCurrent(P_WPlus, P_GMinus, 1122, check)
    call createCurrent(P_GPlus, P_GMinus, P_H, P_H, 821, check)
    call createCurrent(P_H, P_H, P_G0, P_G0, 117, check)
    call createCurrent(P_uAnti, P_g, P_u, 816, check)
    call createCurrent(P_GPlus, P_G0, P_Z, P_WMinus, 422, check)
    call createCurrent(P_WPlus, P_H, P_WMinus, 895, check)
    call createCurrent(P_g, P_g, P_Z, P_A, 1163, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_Z, 373, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, 84, check)
    call createCurrent(P_G0, P_A, 1054, check)
    call createCurrent(P_H, P_s, P_sAnti, 1019, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_Z, 512, check)
    call createCurrent(P_H, P_WPlus, P_GMinus, P_Z, 18, check)
    call createCurrent(P_nu_tauAnti, P_GPlus, P_tauMinus, 430, check)
    call createCurrent(P_A, P_WPlus, P_Z, P_WMinus, 587, check)
    call createCurrent(P_WPlus, P_GMinus, P_H, P_Z, 858, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, 81, check)
    call createCurrent(P_muMinus, P_G0, P_muPlus, 703, check)
    call createCurrent(P_Z, P_ghWp, P_ghWpAnti, 980, check)
    call createCurrent(P_G0, P_ePlus, P_eMinus, 556, check)
    call createCurrent(P_g, P_GMinus, P_g, P_GPlus, 1159, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, 199, check)
    call createCurrent(P_b, P_H, P_bAnti, 48, check)
    call createCurrent(P_nu_e, P_nu_eAnti, 1127, check)
    call createCurrent(P_H, P_Z, P_WMinus, P_GPlus, 887, check)
    call createCurrent(P_tAnti, P_A, P_t, 172, check)
    call createCurrent(P_H, P_WMinus, P_GPlus, P_Z, 62, check)
    call createCurrent(P_Z, P_G0, P_A, P_G0, 1087, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_GPlus, 762, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WMinus, 133, check)
    call createCurrent(P_cAnti, P_c, P_H, 624, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_Z, 53, check)
    call createCurrent(P_g, P_G0, P_G0, P_g, 1200, check)
    call createCurrent(P_c, P_WMinus, P_sAnti, 322, check)
    call createCurrent(P_u, P_Z, P_uAnti, 494, check)
    call createCurrent(P_H, P_ghWp, P_ghWpAnti, 452, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_H, 541, check)
    call createCurrent(P_GPlus, P_nu_tauAnti, P_tauMinus, 794, check)
    call createCurrent(P_H, P_Z, P_A, 1080, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, 212, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_A, 3, check)
    call createCurrent(P_s, P_sAnti, P_A, 370, check)
    call createCurrent(P_g, P_g, P_A, P_A, 1177, check)
    call createCurrent(P_dAnti, P_d, P_G0, 348, check)
    call createCurrent(P_H, P_Z, P_Z, P_H, 380, check)
    call createCurrent(P_H, P_GMinus, P_WPlus, 54, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_GPlus, 147, check)
  end subroutine fill_current_1
end module currents_info1
