!******************************************************************************!
!                                                                              !
!    vertices_info4.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info4.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2019-10-14 10:59             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info4
  implicit none
  contains
  subroutine fill_vertices_mdl4()
    use class_vertices
    use class_couplings
    allocate(vertices(781)%branchR2(0:0))
    call avR2(781, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_3351])

    allocate(vertices(29)%branchR2(0:3))
    call avR2(29, 0, 38, 1, 0, VFaF1, 0, [1, 2], [nGC_3389, nGC_3388])

    call avR2(29, 1, 38, 1, 0, VFaF1, 0, [3, 0], [nGC_3384, nGC_3384])

    call avR2(29, 2, 39, 1, 0, VFaF1, 0, [1, 2], [nGC_3387, nGC_3386])

    call avR2(29, 3, 39, 1, 0, VFaF1, 0, [3, 0], [nGC_3381, nGC_3381])

    allocate(vertices(921)%branchR2(0:0))
    call avR2(921, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3294])

    allocate(vertices(560)%branchR2(0:0))
    call avR2(560, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_3309, nGC_3308])

    allocate(vertices(604)%branchR2(0:1))
    call avR2(604, 0, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_3248, nGC_3248])

    call avR2(604, 1, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_3257, nGC_3256])

    allocate(vertices(1129)%branchR2(0:0))
    call avR2(1129, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3242])

    allocate(vertices(45)%branchR2(0:0))
    call avR2(45, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3370])

    allocate(vertices(1125)%branchR2(0:1))
    call avR2(1125, 0, 42, 1, 0, FaF1, 0, [0, 2], [nGC_3214, nGC_3213, nGC_3210&
    , nGC_3210])

    call avR2(1125, 1, 42, 1, 0, FaF1, 0, [2, 0], [nGC_3212, nGC_3212, nGC_3211&
    , nGC_3211])

    allocate(vertices(106)%branchR2(0:0))
    call avR2(106, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_3338, nGC_3337])

    allocate(vertices(634)%branchR2(0:0))
    call avR2(634, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_3279])

    allocate(vertices(201)%branchR2(0:0))
    call avR2(201, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3326])

    allocate(vertices(582)%branchR2(0:0))
    call avR2(582, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_3296, nGC_3297])

    allocate(vertices(458)%branchR2(0:0))
    call avR2(458, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_3338, nGC_3337])

    allocate(vertices(511)%branchR2(0:0))
    call avR2(511, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3239])

    allocate(vertices(408)%branchR2(0:0))
    call avR2(408, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3367])

    allocate(vertices(463)%branchR2(0:0))
    call avR2(463, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3349])

    allocate(vertices(855)%branchR2(0:0))
    call avR2(855, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_3345, nGC_3344])

    allocate(vertices(806)%branchR2(0:1))
    call avR2(806, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3298, nGC_3300])

    call avR2(806, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3299, nGC_3301])

    allocate(vertices(1103)%branchR2(0:0))
    call avR2(1103, 0, 13, 1, 0, FaF3, 0, [0, 2], [nGC_3218, nGC_3219, nGC_3226&
    , nGC_3226])

    allocate(vertices(394)%branchR2(0:0))
    call avR2(394, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_3353])

    allocate(vertices(1081)%branchR2(0:0))
    call avR2(1081, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_3227])

    allocate(vertices(35)%branchR2(0:0))
    call avR2(35, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_3351])

    allocate(vertices(1162)%branchR2(0:1))
    call avR2(1162, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_3406])

    call avR2(1162, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_3407])

    allocate(vertices(518)%branchR2(0:0))
    call avR2(518, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_3279])

    allocate(vertices(146)%branchR2(0:0))
    call avR2(146, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3354])

    allocate(vertices(1091)%branchR2(0:0))
    call avR2(1091, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3254])

    allocate(vertices(1116)%branchR2(0:1))
    call avR2(1116, 0, 42, 1, 0, FaF1, 0, [0, 2], [nGC_3194, nGC_3193, nGC_3228&
    , nGC_3228])

    call avR2(1116, 1, 42, 1, 0, FaF1, 0, [2, 0], [nGC_3212, nGC_3212, nGC_3229&
    , nGC_3229])

    allocate(vertices(919)%branchR2(0:0))
    call avR2(919, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_3334, nGC_3333])

    allocate(vertices(617)%branchR2(0:1))
    call avR2(617, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_3350])

    call avR2(617, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_3352])

    allocate(vertices(590)%branchR2(0:0))
    call avR2(590, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3314, nGC_3315])

    allocate(vertices(940)%branchR2(0:0))
    call avR2(940, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3368, nGC_3369])

    allocate(vertices(1066)%branchR2(0:0))
    call avR2(1066, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3254])

    allocate(vertices(65)%branchR2(0:1))
    call avR2(65, 0, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_3364, nGC_3362])

    call avR2(65, 1, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3373, nGC_3372])

    allocate(vertices(904)%branchR2(0:0))
    call avR2(904, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9363])

    allocate(vertices(610)%branchR2(0:1))
    call avR2(610, 0, 19, 1, 0, FSFa2, 0, [0, 3], [nGC_3310, nGC_3312])

    call avR2(610, 1, 19, 1, 0, FSFa2, 0, [2, 1], [nGC_3311, nGC_3313])

    allocate(vertices(1015)%branchR2(0:3))
    call avR2(1015, 0, 36, 1, 0, FVFa1, 0, [1, 2], [nGC_3394, nGC_3393])

    call avR2(1015, 1, 36, 1, 0, FVFa1, 0, [3, 0], [nGC_3395, nGC_3395])

    call avR2(1015, 2, 37, 1, 0, FVFa1, 0, [1, 2], [nGC_3391, nGC_3390])

    call avR2(1015, 3, 37, 1, 0, FVFa1, 0, [3, 0], [nGC_3392, nGC_3392])

    allocate(vertices(225)%branchR2(0:0))
    call avR2(225, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_3249, nGC_3250])

    allocate(vertices(882)%branchR2(0:0))
    call avR2(882, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_3353])

    allocate(vertices(364)%branchR2(0:1))
    call avR2(364, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_3350])

    call avR2(364, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_3352])

    allocate(vertices(767)%branchR2(0:0))
    call avR2(767, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3353])

    allocate(vertices(413)%branchR2(0:1))
    call avR2(413, 0, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_3310, nGC_3312])

    call avR2(413, 1, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_3311, nGC_3313])

    allocate(vertices(970)%branchR2(0:3))
    call avR2(970, 0, 38, 1, 0, VFaF1, 0, [1, 2], [nGC_3385, nGC_3383])

    call avR2(970, 1, 38, 1, 0, VFaF1, 0, [3, 0], [nGC_3384, nGC_3384])

    call avR2(970, 2, 39, 1, 0, VFaF1, 0, [1, 2], [nGC_3382, nGC_3380])

    call avR2(970, 3, 39, 1, 0, VFaF1, 0, [3, 0], [nGC_3381, nGC_3381])

    allocate(vertices(1163)%branchR2(0:1))
    call avR2(1163, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3412, nGC_3412,        &
    nGC_3412])

    call avR2(1163, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3413, nGC_3413,        &
    nGC_3413])

    allocate(vertices(838)%branchR2(0:0))
    call avR2(838, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3237])

    allocate(vertices(853)%branchR2(0:1))
    call avR2(853, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_3348, nGC_3348])

    call avR2(853, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_3346, nGC_3347])

    allocate(vertices(301)%branchR2(0:1))
    call avR2(301, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3247, nGC_3246])

    call avR2(301, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_3248, nGC_3248])

    allocate(vertices(423)%branchR2(0:0))
    call avR2(423, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3354])

    allocate(vertices(557)%branchR2(0:0))
    call avR2(557, 0, 19, 1, 0, FSFa2, 0, [0, 3], [nGC_3269, nGC_3270])

    allocate(vertices(848)%branchR2(0:0))
    call avR2(848, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3238])

    allocate(vertices(1164)%branchR2(0:1))
    call avR2(1164, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3414, nGC_3414,        &
    nGC_3414])

    call avR2(1164, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3415, nGC_3415,        &
    nGC_3415])

    allocate(vertices(1165)%branchR2(0:1))
    call avR2(1165, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_3406])

    call avR2(1165, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_3407])

    allocate(vertices(960)%branchR2(0:0))
    call avR2(960, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3295])

    allocate(vertices(1062)%branchR2(0:0))
    call avR2(1062, 0, 13, 1, 0, FaF2, 0, [0, 2], [nGC_3227])

    allocate(vertices(824)%branchR2(0:0))
    call avR2(824, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3353])

    allocate(vertices(927)%branchR2(0:0))
    call avR2(927, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_3376, nGC_3377])

    allocate(vertices(1108)%branchR2(0:0))
    call avR2(1108, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3253])

    allocate(vertices(130)%branchR2(0:0))
    call avR2(130, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_3281])

    allocate(vertices(51)%branchR2(0:0))
    call avR2(51, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_3376, nGC_3377])

    allocate(vertices(632)%branchR2(0:1))
    call avR2(632, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_3350])

    call avR2(632, 1, 21, 1, 0, VFFa0, 0, [2, 1], [nGC_3352])

    allocate(vertices(1166)%branchR2(0:1))
    call avR2(1166, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3402, nGC_3402,        &
    nGC_3402])

    call avR2(1166, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3403, nGC_3403,        &
    nGC_3403])

    allocate(vertices(696)%branchR2(0:0))
    call avR2(696, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_3365, nGC_3366])

    allocate(vertices(644)%branchR2(0:0))
    call avR2(644, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3353])

    allocate(vertices(923)%branchR2(0:0))
    call avR2(923, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9335])

    allocate(vertices(809)%branchR2(0:1))
    call avR2(809, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3359, nGC_3357])

    call avR2(809, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3360, nGC_3358])

    allocate(vertices(158)%branchR2(0:0))
    call avR2(158, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9279])

    allocate(vertices(487)%branchR2(0:0))
    call avR2(487, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_3281])

    allocate(vertices(241)%branchR2(0:3))
    call avR2(241, 0, 11, 1, 0, FFaV0, 0, [1, 2], [nGC_3385, nGC_3383])

    call avR2(241, 1, 11, 1, 0, FFaV0, 0, [3, 0], [nGC_3384, nGC_3384])

    call avR2(241, 2, 12, 1, 0, FFaV0, 0, [1, 2], [nGC_3382, nGC_3380])

    call avR2(241, 3, 12, 1, 0, FFaV0, 0, [3, 0], [nGC_3381, nGC_3381])

    allocate(vertices(114)%branchR2(0:0))
    call avR2(114, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_3354])

    allocate(vertices(1120)%branchR2(0:0))
    call avR2(1120, 0, 42, 1, 0, FaF1, 0, [0, 2], [nGC_3194, nGC_3193, nGC_3192&
    , nGC_3192])

    allocate(vertices(289)%branchR2(0:1))
    call avR2(289, 0, 17, 1, 0, FaVF1, 0, [0, 3], [nGC_3350])

    call avR2(289, 1, 17, 1, 0, FaVF1, 0, [2, 1], [nGC_3352])

    allocate(vertices(958)%branchR2(0:0))
    call avR2(958, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3367])

    allocate(vertices(32)%branchR2(0:0))
    call avR2(32, 0, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_3342, nGC_3343])

    allocate(vertices(663)%branchR2(0:0))
    call avR2(663, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_3251, nGC_3252])

    allocate(vertices(683)%branchR2(0:0))
    call avR2(683, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_3350])

    allocate(vertices(966)%branchR2(0:1))
    call avR2(966, 0, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_3360, nGC_3358])

    call avR2(966, 1, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3379, nGC_3378])

    allocate(vertices(898)%branchR2(0:1))
    call avR2(898, 0, 19, 1, 0, FSFa2, 0, [2, 1], [nGC_3332, nGC_3332])

    call avR2(898, 1, 19, 1, 0, FSFa2, 0, [0, 3], [nGC_3330, nGC_3331])

    allocate(vertices(951)%branchR2(0:0))
    call avR2(951, 0, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_3235, nGC_3234])

    allocate(vertices(692)%branchR2(0:1))
    call avR2(692, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_3272, nGC_3274])

    call avR2(692, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_3287, nGC_3288])

    allocate(vertices(387)%branchR2(0:0))
    call avR2(387, 0, 17, 1, 0, FaVF1, 0, [0, 3], [nGC_3351])

    allocate(vertices(1100)%branchR2(0:0))
    call avR2(1100, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3255])

    allocate(vertices(1167)%branchR2(0:1))
    call avR2(1167, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3402, nGC_3402,        &
    nGC_3402])

    call avR2(1167, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3403, nGC_3403,        &
    nGC_3403])

    allocate(vertices(1168)%branchR2(0:1))
    call avR2(1168, 0, 57, 1, 0, SVSV0, 0, [2, 2], [nGC_3408])

    call avR2(1168, 1, 58, 1, 0, SVSV0, 0, [2, 2], [nGC_3409])

    allocate(vertices(818)%branchR2(0:3))
    call avR2(818, 0, 34, 1, 0, FaFV0, 0, [1, 2], [nGC_3399, nGC_3398])

    call avR2(818, 1, 34, 1, 0, FaFV0, 0, [3, 0], [nGC_3395, nGC_3395])

    call avR2(818, 2, 35, 1, 0, FaFV0, 0, [1, 2], [nGC_3397, nGC_3396])

    call avR2(818, 3, 35, 1, 0, FaFV0, 0, [3, 0], [nGC_3392, nGC_3392])

    allocate(vertices(705)%branchR2(0:0))
    call avR2(705, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3265])

    allocate(vertices(170)%branchR2(0:0))
    call avR2(170, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_3375, nGC_3374])

    allocate(vertices(593)%branchR2(0:0))
    call avR2(593, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3367])

    allocate(vertices(21)%branchR2(0:1))
    call avR2(21, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3278, nGC_3276])

    call avR2(21, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3290, nGC_3289])

    allocate(vertices(1169)%branchR2(0:1))
    call avR2(1169, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3412, nGC_3412,        &
    nGC_3412])

    call avR2(1169, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3413, nGC_3413,        &
    nGC_3413])

    allocate(vertices(876)%branchR2(0:0))
    call avR2(876, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_3317, nGC_3316])

    allocate(vertices(926)%branchR2(0:1))
    call avR2(926, 0, 19, 1, 0, FSFa2, 0, [0, 3], [nGC_3302, nGC_3304])

    call avR2(926, 1, 19, 1, 0, FSFa2, 0, [2, 1], [nGC_3303, nGC_3305])

    allocate(vertices(181)%branchR2(0:1))
    call avR2(181, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_3348, nGC_3348])

    call avR2(181, 1, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_3346, nGC_3347])

    allocate(vertices(1098)%branchR2(0:0))
    call avR2(1098, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3254])

    allocate(vertices(1124)%branchR2(0:0))
    call avR2(1124, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_3190, nGC_3189, nGC_3191])

    allocate(vertices(670)%branchR2(0:0))
    call avR2(670, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_3251, nGC_3252])

    allocate(vertices(739)%branchR2(0:1))
    call avR2(739, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3257, nGC_3256])

    call avR2(739, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_3248, nGC_3248])

    allocate(vertices(465)%branchR2(0:1))
    call avR2(465, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_3247, nGC_3246])

    call avR2(465, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_3248, nGC_3248])

    allocate(vertices(639)%branchR2(0:0))
    call avR2(639, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_3350])

    allocate(vertices(1170)%branchR2(0:1))
    call avR2(1170, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3414, nGC_3414,        &
    nGC_3414])

    call avR2(1170, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3415, nGC_3415,        &
    nGC_3415])

    allocate(vertices(56)%branchR2(0:1))
    call avR2(56, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3275, nGC_3277])

    call avR2(56, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3276, nGC_3278])

    allocate(vertices(1067)%branchR2(0:0))
    call avR2(1067, 0, 13, 1, 0, FaF3, 0, [0, 2], [nGC_3218, nGC_3219, nGC_3231&
    , nGC_3231])

    allocate(vertices(759)%branchR2(0:0))
    call avR2(759, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3237])

    allocate(vertices(668)%branchR2(0:0))
    call avR2(668, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_3334, nGC_3333])

    allocate(vertices(1018)%branchR2(0:0))
    call avR2(1018, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_3260, nGC_3261])

    allocate(vertices(1130)%branchR2(0:0))
    call avR2(1130, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_3196, nGC_3195])

    allocate(vertices(254)%branchR2(0:0))
    call avR2(254, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_3292])

    allocate(vertices(361)%branchR2(0:0))
    call avR2(361, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_3260, nGC_3261])

    allocate(vertices(322)%branchR2(0:1))
    call avR2(322, 0, 19, 1, 0, FVFa0, 0, [0, 3], [nGC_3350])

    call avR2(322, 1, 19, 1, 0, FVFa0, 0, [2, 1], [nGC_3352])

    allocate(vertices(978)%branchR2(0:0))
    call avR2(978, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3296, nGC_3297])

    allocate(vertices(183)%branchR2(0:0))
    call avR2(183, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_3345, nGC_3344])

    allocate(vertices(190)%branchR2(0:0))
    call avR2(190, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3323])

    allocate(vertices(694)%branchR2(0:1))
    call avR2(694, 0, 19, 1, 0, FSFa2, 0, [0, 3], [nGC_3273, nGC_3271])

    call avR2(694, 1, 19, 1, 0, FSFa2, 0, [2, 1], [nGC_3274, nGC_3272])

    allocate(vertices(172)%branchR2(0:0))
    call avR2(172, 0, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_3259, nGC_3258])

    allocate(vertices(535)%branchR2(0:0))
    call avR2(535, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9690])

    allocate(vertices(421)%branchR2(0:1))
    call avR2(421, 0, 19, 1, 0, FSFa2, 0, [0, 3], [nGC_3298, nGC_3300])

    call avR2(421, 1, 19, 1, 0, FSFa2, 0, [2, 1], [nGC_3299, nGC_3301])

    allocate(vertices(537)%branchR2(0:0))
    call avR2(537, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3268])

    allocate(vertices(430)%branchR2(0:0))
    call avR2(430, 0, 8, 1, 0, FaSF2, 0, [0, 3], [nGC_3281])

    allocate(vertices(219)%branchR2(0:0))
    call avR2(219, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_3353])

    allocate(vertices(797)%branchR2(0:0))
    call avR2(797, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_3280])

    allocate(vertices(415)%branchR2(0:0))
    call avR2(415, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3371])

    allocate(vertices(266)%branchR2(0:0))
    call avR2(266, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3268])

    allocate(vertices(400)%branchR2(0:1))
    call avR2(400, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3318, nGC_3320])

    call avR2(400, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3319, nGC_3321])

    allocate(vertices(662)%branchR2(0:3))
    call avR2(662, 0, 34, 1, 0, FaFV0, 0, [1, 2], [nGC_3394, nGC_3393])

    call avR2(662, 1, 34, 1, 0, FaFV0, 0, [3, 0], [nGC_3395, nGC_3395])

    call avR2(662, 2, 35, 1, 0, FaFV0, 0, [1, 2], [nGC_3391, nGC_3390])

    call avR2(662, 3, 35, 1, 0, FaFV0, 0, [3, 0], [nGC_3392, nGC_3392])

    allocate(vertices(1127)%branchR2(0:0))
    call avR2(1127, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_3227])

    allocate(vertices(358)%branchR2(0:0))
    call avR2(358, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3353])

    allocate(vertices(1171)%branchR2(0:0))
    call avR2(1171, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3241])

    allocate(vertices(1172)%branchR2(0:5))
    call avR2(1172, 0, 65, 1, 0, VVVV0, 0, [3, 1], [nGC_3416, nGC_3416,        &
    nGC_3416])

    call avR2(1172, 1, 66, 1, 0, VVVV0, 0, [3, 1], [nGC_3417, nGC_3417,        &
    nGC_3417])

    call avR2(1172, 2, 67, 1, 0, VVVV0, 0, [3, 1], [nGC_3417, nGC_3417,        &
    nGC_3417])

    call avR2(1172, 3, 68, 1, 0, VVVV0, 0, [3, 1], [nGC_3418, nGC_3418,        &
    nGC_3418])

    call avR2(1172, 4, 69, 1, 0, VVVV0, 0, [3, 1], [nGC_3417, nGC_3417,        &
    nGC_3417])

    call avR2(1172, 5, 70, 1, 0, VVVV0, 0, [3, 1], [nGC_3416, nGC_3416,        &
    nGC_3416])

    allocate(vertices(90)%branchR2(0:0))
    call avR2(90, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3342, nGC_3343])

    allocate(vertices(605)%branchR2(0:0))
    call avR2(605, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3264])

    allocate(vertices(791)%branchR2(0:0))
    call avR2(791, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_3356, nGC_3355])

    allocate(vertices(248)%branchR2(0:0))
    call avR2(248, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_3239])

    allocate(vertices(257)%branchR2(0:1))
    call avR2(257, 0, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_3245, nGC_3245])

    call avR2(257, 1, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_3244, nGC_3243])

    allocate(vertices(1131)%branchR2(0:0))
    call avR2(1131, 0, 13, 1, 0, SS2, 0, [0, 2], [nGC_3198, nGC_3197])

    allocate(vertices(540)%branchR2(0:1))
    call avR2(540, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3346, nGC_3347])

    call avR2(540, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3348, nGC_3348])

    allocate(vertices(1173)%branchR2(0:1))
    call avR2(1173, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3410, nGC_3410,        &
    nGC_3410])

    call avR2(1173, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3411, nGC_3411,        &
    nGC_3411])

    allocate(vertices(905)%branchR2(0:0))
    call avR2(905, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_3338, nGC_3337])

    allocate(vertices(486)%branchR2(0:0))
    call avR2(486, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3284])

    allocate(vertices(1083)%branchR2(0:0))
    call avR2(1083, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3242])

    allocate(vertices(1174)%branchR2(0:1))
    call avR2(1174, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3414, nGC_3414,        &
    nGC_3414])

    call avR2(1174, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3415, nGC_3415,        &
    nGC_3415])

    allocate(vertices(1006)%branchR2(0:0))
    call avR2(1006, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_3292])

    allocate(vertices(1175)%branchR2(0:1))
    call avR2(1175, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_3404])

    call avR2(1175, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_3405])

    allocate(vertices(296)%branchR2(0:0))
    call avR2(296, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3354])

    allocate(vertices(1046)%branchR2(0:0))
    call avR2(1046, 0, 13, 1, 0, FFa3, 0, [0, 2], [nGC_3218, nGC_3219, nGC_3217&
    , nGC_3217])

    allocate(vertices(1104)%branchR2(0:0))
    call avR2(1104, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3253])

    allocate(vertices(592)%branchR2(0:0))
    call avR2(592, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3353])

    allocate(vertices(15)%branchR2(0:1))
    call avR2(15, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3346, nGC_3347])

    call avR2(15, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3348, nGC_3348])

    allocate(vertices(672)%branchR2(0:0))
    call avR2(672, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9610])

    allocate(vertices(937)%branchR2(0:0))
    call avR2(937, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3356, nGC_3355])

    allocate(vertices(457)%branchR2(0:0))
    call avR2(457, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3371])

    allocate(vertices(1047)%branchR2(0:0))
    call avR2(1047, 0, 13, 1, 0, FFa3, 0, [0, 2], [nGC_3218, nGC_3219, nGC_3231&
    , nGC_3231])

    allocate(vertices(443)%branchR2(0:0))
    call avR2(443, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9610])

    allocate(vertices(935)%branchR2(0:0))
    call avR2(935, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3264])

    allocate(vertices(896)%branchR2(0:1))
    call avR2(896, 0, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_3350])

    call avR2(896, 1, 18, 1, 0, FaFV1, 0, [2, 1], [nGC_3352])

    allocate(vertices(1176)%branchR2(0:5))
    call avR2(1176, 0, 71, 1, 0, VVVV0, 0, [3, 1], [nGC_3416, nGC_3416,        &
    nGC_3416])

    call avR2(1176, 1, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_3417, nGC_3417,        &
    nGC_3417])

    call avR2(1176, 2, 73, 1, 0, VVVV0, 0, [3, 1], [nGC_3417, nGC_3417,        &
    nGC_3417])

    call avR2(1176, 3, 74, 1, 0, VVVV0, 0, [3, 1], [nGC_3417, nGC_3417,        &
    nGC_3417])

    call avR2(1176, 4, 75, 1, 0, VVVV0, 0, [3, 1], [nGC_3418, nGC_3418,        &
    nGC_3418])

    call avR2(1176, 5, 76, 1, 0, VVVV0, 0, [3, 1], [nGC_3416, nGC_3416,        &
    nGC_3416])

    allocate(vertices(206)%branchR2(0:0))
    call avR2(206, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_10087])

    allocate(vertices(1177)%branchR2(0:1))
    call avR2(1177, 0, 63, 1, 0, VVVV0, 0, [2, 2], [nGC_3410, nGC_3410,        &
    nGC_3410])

    call avR2(1177, 1, 64, 1, 0, VVVV0, 0, [2, 2], [nGC_3411, nGC_3411,        &
    nGC_3411])

    allocate(vertices(230)%branchR2(0:0))
    call avR2(230, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_3259, nGC_3258])

    allocate(vertices(505)%branchR2(0:0))
    call avR2(505, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_3279])

    allocate(vertices(1178)%branchR2(0:5))
    call avR2(1178, 0, 71, 1, 0, VVVV0, 0, [3, 1], [nGC_3419, nGC_3419,        &
    nGC_3419])

    call avR2(1178, 1, 72, 1, 0, VVVV0, 0, [3, 1], [nGC_3420, nGC_3420,        &
    nGC_3420])

    call avR2(1178, 2, 73, 1, 0, VVVV0, 0, [3, 1], [nGC_3420, nGC_3420,        &
    nGC_3420])

    call avR2(1178, 3, 74, 1, 0, VVVV0, 0, [3, 1], [nGC_3420, nGC_3420,        &
    nGC_3420])

    call avR2(1178, 4, 75, 1, 0, VVVV0, 0, [3, 1], [nGC_3421, nGC_3421,        &
    nGC_3421])

    call avR2(1178, 5, 76, 1, 0, VVVV0, 0, [3, 1], [nGC_3419, nGC_3419,        &
    nGC_3419])

    allocate(vertices(1179)%branchR2(0:1))
    call avR2(1179, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_3408])

    call avR2(1179, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_3409])

    allocate(vertices(529)%branchR2(0:0))
    call avR2(529, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3365, nGC_3366])

    allocate(vertices(1180)%branchR2(0:1))
    call avR2(1180, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3412, nGC_3412,        &
    nGC_3412])

    call avR2(1180, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3413, nGC_3413,        &
    nGC_3413])

    allocate(vertices(446)%branchR2(0:1))
    call avR2(446, 0, 19, 1, 0, FSFa2, 0, [2, 1], [nGC_3272, nGC_3274])

    call avR2(446, 1, 19, 1, 0, FSFa2, 0, [0, 3], [nGC_3287, nGC_3288])

    allocate(vertices(601)%branchR2(0:3))
    call avR2(601, 0, 36, 1, 0, FVFa1, 0, [1, 2], [nGC_3385, nGC_3383])

    call avR2(601, 1, 36, 1, 0, FVFa1, 0, [3, 0], [nGC_3384, nGC_3384])

    call avR2(601, 2, 37, 1, 0, FVFa1, 0, [1, 2], [nGC_3382, nGC_3380])

    call avR2(601, 3, 37, 1, 0, FVFa1, 0, [3, 0], [nGC_3381, nGC_3381])

    allocate(vertices(917)%branchR2(0:0))
    call avR2(917, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3296, nGC_3297])

    allocate(vertices(1181)%branchR2(0:1))
    call avR2(1181, 0, 63, 1, 0, VVSS0, 0, [2, 2], [nGC_3406])

    call avR2(1181, 1, 64, 1, 0, VVSS0, 0, [2, 2], [nGC_3407])

    allocate(vertices(1055)%branchR2(0:0))
    call avR2(1055, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9439])

    allocate(vertices(1060)%branchR2(0:0))
    call avR2(1060, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_3214, nGC_3213, nGC_3230&
    , nGC_3230])

    allocate(vertices(526)%branchR2(0:1))
    call avR2(526, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3302, nGC_3304])

    call avR2(526, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3303, nGC_3305])

    allocate(vertices(883)%branchR2(0:0))
    call avR2(883, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3323])

    allocate(vertices(1095)%branchR2(0:0))
    call avR2(1095, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3240])

    allocate(vertices(315)%branchR2(0:0))
    call avR2(315, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_3354])

    allocate(vertices(710)%branchR2(0:0))
    call avR2(710, 0, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_3356, nGC_3355])

    allocate(vertices(899)%branchR2(0:3))
    call avR2(899, 0, 40, 1, 0, VFFa1, 0, [1, 2], [nGC_3389, nGC_3388])

    call avR2(899, 1, 40, 1, 0, VFFa1, 0, [3, 0], [nGC_3384, nGC_3384])

    call avR2(899, 2, 41, 1, 0, VFFa1, 0, [1, 2], [nGC_3387, nGC_3386])

    call avR2(899, 3, 41, 1, 0, VFFa1, 0, [3, 0], [nGC_3381, nGC_3381])

    allocate(vertices(11)%branchR2(0:0))
    call avR2(11, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3237])

    allocate(vertices(857)%branchR2(0:0))
    call avR2(857, 0, 8, 1, 0, FFaS1, 0, [0, 3], [nGC_3291])

    allocate(vertices(382)%branchR2(0:0))
    call avR2(382, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_3260, nGC_3261])

    allocate(vertices(550)%branchR2(0:0))
    call avR2(550, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_3292])

    allocate(vertices(551)%branchR2(0:0))
    call avR2(551, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_3279])

    allocate(vertices(180)%branchR2(0:0))
    call avR2(180, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_3260, nGC_3261])

    allocate(vertices(362)%branchR2(0:0))
    call avR2(362, 0, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_3356, nGC_3355])

    allocate(vertices(1059)%branchR2(0:0))
    call avR2(1059, 0, 13, 1, 0, FFa3, 0, [0, 2], [nGC_3218, nGC_3219, nGC_3226&
    , nGC_3226])

    allocate(vertices(469)%branchR2(0:0))
    call avR2(469, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3268])

    allocate(vertices(468)%branchR2(0:0))
    call avR2(468, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_3317, nGC_3316])

    allocate(vertices(496)%branchR2(0:0))
    call avR2(496, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3283])

    allocate(vertices(910)%branchR2(0:1))
    call avR2(910, 0, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3278, nGC_3276])

    call avR2(910, 1, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3290, nGC_3289])

    allocate(vertices(616)%branchR2(0:0))
    call avR2(616, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3265])

    allocate(vertices(1182)%branchR2(0:1))
    call avR2(1182, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3412, nGC_3412,        &
    nGC_3412])

    call avR2(1182, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3413, nGC_3413,        &
    nGC_3413])

    allocate(vertices(50)%branchR2(0:1))
    call avR2(50, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3302, nGC_3304])

    call avR2(50, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3303, nGC_3305])

    allocate(vertices(267)%branchR2(0:0))
    call avR2(267, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3266])

    allocate(vertices(945)%branchR2(0:0))
    call avR2(945, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3354])

    allocate(vertices(246)%branchR2(0:0))
    call avR2(246, 0, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_3324, nGC_3325])

    allocate(vertices(553)%branchR2(0:0))
    call avR2(553, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3354])

    allocate(vertices(892)%branchR2(0:0))
    call avR2(892, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_3371])

    allocate(vertices(598)%branchR2(0:0))
    call avR2(598, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3264])

    allocate(vertices(737)%branchR2(0:0))
    call avR2(737, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_3282])

    allocate(vertices(1132)%branchR2(0:0))
    call avR2(1132, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9439])

    allocate(vertices(808)%branchR2(0:1))
    call avR2(808, 0, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_3363, nGC_3361])

    call avR2(808, 1, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_3364, nGC_3362])

    allocate(vertices(305)%branchR2(0:0))
    call avR2(305, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3353])

    allocate(vertices(733)%branchR2(0:0))
    call avR2(733, 0, 8, 1, 0, SFaF2, 0, [0, 3], [nGC_3280])

    allocate(vertices(80)%branchR2(0:0))
    call avR2(80, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3268])

    allocate(vertices(1019)%branchR2(0:1))
    call avR2(1019, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3339, nGC_3340])

    call avR2(1019, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3341, nGC_3341])

    allocate(vertices(209)%branchR2(0:0))
    call avR2(209, 0, 8, 1, 0, SVS0, 0, [0, 3], [nGC_9242])

    allocate(vertices(297)%branchR2(0:0))
    call avR2(297, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3370])

    allocate(vertices(327)%branchR2(0:0))
    call avR2(327, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3267])

    allocate(vertices(1183)%branchR2(0:1))
    call avR2(1183, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3412, nGC_3412,        &
    nGC_3412])

    call avR2(1183, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3413, nGC_3413,        &
    nGC_3413])

    allocate(vertices(405)%branchR2(0:0))
    call avR2(405, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_3291])

    allocate(vertices(1049)%branchR2(0:0))
    call avR2(1049, 0, 13, 1, 0, FFa2, 0, [0, 2], [nGC_3227])

    allocate(vertices(7)%branchR2(0:0))
    call avR2(7, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_3307, nGC_3306])

    allocate(vertices(204)%branchR2(0:1))
    call avR2(204, 0, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_3248, nGC_3248])

    call avR2(204, 1, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_3247, nGC_3246])

    allocate(vertices(533)%branchR2(0:1))
    call avR2(533, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_3245, nGC_3245])

    call avR2(533, 1, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_3263, nGC_3262])

    allocate(vertices(623)%branchR2(0:0))
    call avR2(623, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3284])

    allocate(vertices(1184)%branchR2(0:1))
    call avR2(1184, 0, 61, 1, 0, VVVV0, 0, [2, 2], [nGC_3402, nGC_3402,        &
    nGC_3402])

    call avR2(1184, 1, 62, 1, 0, VVVV0, 0, [2, 2], [nGC_3403, nGC_3403,        &
    nGC_3403])

    allocate(vertices(330)%branchR2(0:0))
    call avR2(330, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3354])

    allocate(vertices(1058)%branchR2(0:0))
    call avR2(1058, 0, 13, 1, 0, SS1, 0, [0, 2], [nGC_3196, nGC_3195])

    allocate(vertices(284)%branchR2(0:1))
    call avR2(284, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_3298, nGC_3300])

    call avR2(284, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_3299, nGC_3301])

    allocate(vertices(614)%branchR2(0:0))
    call avR2(614, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3269, nGC_3270])

    allocate(vertices(570)%branchR2(0:0))
    call avR2(570, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_3338, nGC_3337])

    allocate(vertices(509)%branchR2(0:0))
    call avR2(509, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3323])

    allocate(vertices(793)%branchR2(0:0))
    call avR2(793, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3342, nGC_3343])

    allocate(vertices(1123)%branchR2(0:0))
    call avR2(1123, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3242])

    allocate(vertices(802)%branchR2(0:0))
    call avR2(802, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3326])

    allocate(vertices(976)%branchR2(0:0))
    call avR2(976, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3237])

    allocate(vertices(357)%branchR2(0:1))
    call avR2(357, 0, 19, 1, 0, FSFa2, 0, [2, 1], [nGC_3278, nGC_3276])

    call avR2(357, 1, 19, 1, 0, FSFa2, 0, [0, 3], [nGC_3290, nGC_3289])

    allocate(vertices(1185)%branchR2(0:1))
    call avR2(1185, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3402, nGC_3402,        &
    nGC_3402])

    call avR2(1185, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3403, nGC_3403,        &
    nGC_3403])

    allocate(vertices(741)%branchR2(0:0))
    call avR2(741, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_3351])

    allocate(vertices(1186)%branchR2(0:1))
    call avR2(1186, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_3404])

    call avR2(1186, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_3405])

    allocate(vertices(482)%branchR2(0:1))
    call avR2(482, 0, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_3360, nGC_3358])

    call avR2(482, 1, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_3379, nGC_3378])

    allocate(vertices(20)%branchR2(0:0))
    call avR2(20, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3370])

    allocate(vertices(25)%branchR2(0:1))
    call avR2(25, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3247, nGC_3246])

    call avR2(25, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3248, nGC_3248])

    allocate(vertices(1187)%branchR2(0:1))
    call avR2(1187, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_3406])

    call avR2(1187, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_3407])

    allocate(vertices(769)%branchR2(0:0))
    call avR2(769, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_9579])

    allocate(vertices(787)%branchR2(0:1))
    call avR2(787, 0, 17, 1, 0, FaVF0, 0, [2, 1], [nGC_3245, nGC_3245])

    call avR2(787, 1, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_3263, nGC_3262])

    allocate(vertices(640)%branchR2(0:3))
    call avR2(640, 0, 40, 1, 0, VFFa1, 0, [1, 2], [nGC_3385, nGC_3383])

    call avR2(640, 1, 40, 1, 0, VFFa1, 0, [3, 0], [nGC_3384, nGC_3384])

    call avR2(640, 2, 41, 1, 0, VFFa1, 0, [1, 2], [nGC_3382, nGC_3380])

    call avR2(640, 3, 41, 1, 0, VFFa1, 0, [3, 0], [nGC_3381, nGC_3381])

    allocate(vertices(1111)%branchR2(0:0))
    call avR2(1111, 0, 42, 1, 0, FaF1, 0, [0, 2], [nGC_3214, nGC_3213, nGC_3230&
    , nGC_3230])

    allocate(vertices(360)%branchR2(0:1))
    call avR2(360, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3244, nGC_3243])

    call avR2(360, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_3245, nGC_3245])

    allocate(vertices(998)%branchR2(0:0))
    call avR2(998, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_3356, nGC_3355])

    allocate(vertices(1188)%branchR2(0:5))
    call avR2(1188, 0, 77, 1, 0, VVVV0, 0, [3, 1], [nGC_3416, nGC_3416,        &
    nGC_3416])

    call avR2(1188, 1, 78, 1, 0, VVVV0, 0, [3, 1], [nGC_3417, nGC_3417,        &
    nGC_3417])

    call avR2(1188, 2, 79, 1, 0, VVVV0, 0, [3, 1], [nGC_3417, nGC_3417,        &
    nGC_3417])

    call avR2(1188, 3, 80, 1, 0, VVVV0, 0, [3, 1], [nGC_3417, nGC_3417,        &
    nGC_3417])

    call avR2(1188, 4, 81, 1, 0, VVVV0, 0, [3, 1], [nGC_3418, nGC_3418,        &
    nGC_3418])

    call avR2(1188, 5, 82, 1, 0, VVVV0, 0, [3, 1], [nGC_3416, nGC_3416,        &
    nGC_3416])

    allocate(vertices(500)%branchR2(0:0))
    call avR2(500, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3314, nGC_3315])

    allocate(vertices(1008)%branchR2(0:0))
    call avR2(1008, 0, 8, 1, 0, FSFa2, 0, [0, 3], [nGC_3334, nGC_3333])

    allocate(vertices(546)%branchR2(0:0))
    call avR2(546, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3368, nGC_3369])

    allocate(vertices(875)%branchR2(0:0))
    call avR2(875, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3367])

    allocate(vertices(287)%branchR2(0:0))
    call avR2(287, 0, 8, 1, 0, FaFS0, 0, [0, 3], [nGC_3334, nGC_3333])

    allocate(vertices(92)%branchR2(0:0))
    call avR2(92, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3251, nGC_3252])

    allocate(vertices(1070)%branchR2(0:0))
    call avR2(1070, 0, 13, 1, 0, VV2, 0, [0, 2], [nGC_3205, nGC_3204, nGC_3206])

    allocate(vertices(618)%branchR2(0:0))
    call avR2(618, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_3249, nGC_3250])

    allocate(vertices(947)%branchR2(0:1))
    call avR2(947, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_3278, nGC_3276])

    call avR2(947, 1, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_3290, nGC_3289])

    allocate(vertices(278)%branchR2(0:1))
    call avR2(278, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_3351])

    call avR2(278, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_3352])

    allocate(vertices(685)%branchR2(0:0))
    call avR2(685, 0, 8, 1, 0, SFaF1, 0, [0, 3], [nGC_3293])

    allocate(vertices(121)%branchR2(0:0))
    call avR2(121, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3264])

    allocate(vertices(1078)%branchR2(0:0))
    call avR2(1078, 0, 13, 1, 0, FaF3, 0, [0, 2], [nGC_3218, nGC_3219, nGC_3217&
    , nGC_3217])

    allocate(vertices(193)%branchR2(0:0))
    call avR2(193, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3370])

    allocate(vertices(1189)%branchR2(0:1))
    call avR2(1189, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3402, nGC_3402,        &
    nGC_3402])

    call avR2(1189, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3403, nGC_3403,        &
    nGC_3403])

    allocate(vertices(964)%branchR2(0:1))
    call avR2(964, 0, 17, 1, 0, FaVF0, 0, [2, 1], [nGC_3364, nGC_3362])

    call avR2(964, 1, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_3373, nGC_3372])

    allocate(vertices(371)%branchR2(0:1))
    call avR2(371, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_3350])

    call avR2(371, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_3352])

    allocate(vertices(216)%branchR2(0:1))
    call avR2(216, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3310, nGC_3312])

    call avR2(216, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3311, nGC_3313])

    allocate(vertices(790)%branchR2(0:0))
    call avR2(790, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_3251, nGC_3252])

    allocate(vertices(213)%branchR2(0:3))
    call avR2(213, 0, 32, 1, 0, FaVF0, 0, [1, 2], [nGC_3389, nGC_3388])

    call avR2(213, 1, 32, 1, 0, FaVF0, 0, [3, 0], [nGC_3384, nGC_3384])

    call avR2(213, 2, 33, 1, 0, FaVF0, 0, [1, 2], [nGC_3387, nGC_3386])

    call avR2(213, 3, 33, 1, 0, FaVF0, 0, [3, 0], [nGC_3381, nGC_3381])

    allocate(vertices(702)%branchR2(0:0))
    call avR2(702, 0, 8, 1, 0, SFFa2, 0, [0, 3], [nGC_3281])

    allocate(vertices(81)%branchR2(0:0))
    call avR2(81, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3236])

    allocate(vertices(247)%branchR2(0:0))
    call avR2(247, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_3295])

    allocate(vertices(547)%branchR2(0:0))
    call avR2(547, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_3235, nGC_3234])

    allocate(vertices(780)%branchR2(0:0))
    call avR2(780, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_3376, nGC_3377])

    allocate(vertices(185)%branchR2(0:0))
    call avR2(185, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_10319])

    allocate(vertices(1126)%branchR2(0:0))
    call avR2(1126, 0, 14, 1, 0, FFa0, 0, [0, 2], [nGC_3194, nGC_3193, nGC_3192&
    , nGC_3192])

    allocate(vertices(657)%branchR2(0:0))
    call avR2(657, 0, 8, 1, 0, SFFa1, 0, [0, 3], [nGC_3292])

    allocate(vertices(38)%branchR2(0:0))
    call avR2(38, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3237])

    allocate(vertices(541)%branchR2(0:0))
    call avR2(541, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_3345, nGC_3344])

    allocate(vertices(987)%branchR2(0:0))
    call avR2(987, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_3286, nGC_3285])

    allocate(vertices(231)%branchR2(0:0))
    call avR2(231, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3236])

    allocate(vertices(1057)%branchR2(0:0))
    call avR2(1057, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3253])

    allocate(vertices(869)%branchR2(0:0))
    call avR2(869, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_3324, nGC_3325])

    allocate(vertices(472)%branchR2(0:1))
    call avR2(472, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_3245, nGC_3245])

    call avR2(472, 1, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_3244, nGC_3243])

    allocate(vertices(153)%branchR2(0:0))
    call avR2(153, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_3279])

    allocate(vertices(652)%branchR2(0:0))
    call avR2(652, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3286, nGC_3285])

    allocate(vertices(841)%branchR2(0:0))
    call avR2(841, 0, 8, 1, 0, FFaS2, 0, [0, 3], [nGC_3279])

    allocate(vertices(900)%branchR2(0:0))
    call avR2(900, 0, 8, 1, 0, FSFa0, 0, [0, 3], [nGC_3292])

    allocate(vertices(1190)%branchR2(0:1))
    call avR2(1190, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3414, nGC_3414,        &
    nGC_3414])

    call avR2(1190, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3415, nGC_3415,        &
    nGC_3415])

    allocate(vertices(376)%branchR2(0:1))
    call avR2(376, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3330, nGC_3331])

    call avR2(376, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3332, nGC_3332])

    allocate(vertices(40)%branchR2(0:0))
    call avR2(40, 0, 8, 1, 0, FaFS1, 0, [0, 3], [nGC_3293])

    allocate(vertices(55)%branchR2(0:1))
    call avR2(55, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3273, nGC_3271])

    call avR2(55, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3274, nGC_3272])

    allocate(vertices(1045)%branchR2(0:0))
    call avR2(1045, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_3205, nGC_3204, nGC_3206])

    allocate(vertices(70)%branchR2(0:1))
    call avR2(70, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3318, nGC_3320])

    call avR2(70, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3319, nGC_3321])

    allocate(vertices(748)%branchR2(0:1))
    call avR2(748, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3363, nGC_3361])

    call avR2(748, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3364, nGC_3362])

    allocate(vertices(754)%branchR2(0:1))
    call avR2(754, 0, 17, 1, 0, FaVF0, 0, [2, 1], [nGC_3248, nGC_3248])

    call avR2(754, 1, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_3257, nGC_3256])

    allocate(vertices(1191)%branchR2(0:1))
    call avR2(1191, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_3406])

    call avR2(1191, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_3407])

    allocate(vertices(126)%branchR2(0:0))
    call avR2(126, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3342, nGC_3343])

    allocate(vertices(41)%branchR2(0:0))
    call avR2(41, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3284])

    allocate(vertices(168)%branchR2(0:0))
    call avR2(168, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3264])

    allocate(vertices(766)%branchR2(0:0))
    call avR2(766, 0, 8, 1, 0, FFaV0, 0, [0, 3], [nGC_3249, nGC_3250])

    allocate(vertices(779)%branchR2(0:0))
    call avR2(779, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_3317, nGC_3316])

    allocate(vertices(556)%branchR2(0:0))
    call avR2(556, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_3307, nGC_3306])

    allocate(vertices(1121)%branchR2(0:0))
    call avR2(1121, 0, 13, 1, 0, VV3, 0, [0, 2], [nGC_3208, nGC_3207, nGC_3209])

    allocate(vertices(164)%branchR2(0:0))
    call avR2(164, 0, 8, 1, 0, SFaF0, 0, [0, 3], [nGC_3317, nGC_3316])

    allocate(vertices(207)%branchR2(0:0))
    call avR2(207, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_3283])

    allocate(vertices(763)%branchR2(0:0))
    call avR2(763, 0, 8, 1, 0, FFaV1, 0, [0, 3], [nGC_3353])

    allocate(vertices(142)%branchR2(0:0))
    call avR2(142, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3324, nGC_3325])

    allocate(vertices(648)%branchR2(0:1))
    call avR2(648, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_3332, nGC_3332])

    call avR2(648, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_3330, nGC_3331])

    allocate(vertices(479)%branchR2(0:3))
    call avR2(479, 0, 38, 1, 0, VFaF1, 0, [1, 2], [nGC_3394, nGC_3393])

    call avR2(479, 1, 38, 1, 0, VFaF1, 0, [3, 0], [nGC_3395, nGC_3395])

    call avR2(479, 2, 39, 1, 0, VFaF1, 0, [1, 2], [nGC_3391, nGC_3390])

    call avR2(479, 3, 39, 1, 0, VFaF1, 0, [3, 0], [nGC_3392, nGC_3392])

    allocate(vertices(1063)%branchR2(0:0))
    call avR2(1063, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3254])

    allocate(vertices(713)%branchR2(0:1))
    call avR2(713, 0, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_3359, nGC_3357])

    call avR2(713, 1, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_3360, nGC_3358])

    allocate(vertices(1192)%branchR2(0:1))
    call avR2(1192, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3402, nGC_3402,        &
    nGC_3402])

    call avR2(1192, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3403, nGC_3403,        &
    nGC_3403])

    allocate(vertices(801)%branchR2(0:0))
    call avR2(801, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_10319])

    allocate(vertices(1193)%branchR2(0:1))
    call avR2(1193, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3412, nGC_3412,        &
    nGC_3412])

    call avR2(1193, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3413, nGC_3413,        &
    nGC_3413])

    allocate(vertices(971)%branchR2(0:0))
    call avR2(971, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3286, nGC_3285])

    allocate(vertices(1016)%branchR2(0:0))
    call avR2(1016, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3354])

    allocate(vertices(783)%branchR2(0:1))
    call avR2(783, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_3248, nGC_3248])

    call avR2(783, 1, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_3247, nGC_3246])

    allocate(vertices(723)%branchR2(0:1))
    call avR2(723, 0, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_3360, nGC_3358])

    call avR2(723, 1, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_3379, nGC_3378])

    allocate(vertices(982)%branchR2(0:0))
    call avR2(982, 0, 8, 1, 0, VFaF1, 0, [0, 3], [nGC_3368, nGC_3369])

    allocate(vertices(679)%branchR2(0:0))
    call avR2(679, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3354])

    allocate(vertices(953)%branchR2(0:0))
    call avR2(953, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3235, nGC_3234])

    allocate(vertices(1194)%branchR2(0:1))
    call avR2(1194, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3410, nGC_3410,        &
    nGC_3410])

    call avR2(1194, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3411, nGC_3411,        &
    nGC_3411])

    allocate(vertices(93)%branchR2(0:0))
    call avR2(93, 0, 8, 1, 0, FSFa1, 0, [0, 3], [nGC_3280])

    allocate(vertices(1195)%branchR2(0:1))
    call avR2(1195, 0, 55, 1, 0, VVVV0, 0, [2, 2], [nGC_3402, nGC_3402,        &
    nGC_3402])

    call avR2(1195, 1, 56, 1, 0, VVVV0, 0, [2, 2], [nGC_3403, nGC_3403,        &
    nGC_3403])

    allocate(vertices(607)%branchR2(0:0))
    call avR2(607, 0, 8, 1, 0, FaFS2, 0, [0, 3], [nGC_3280])

    allocate(vertices(27)%branchR2(0:0))
    call avR2(27, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3284])

    allocate(vertices(1196)%branchR2(0:1))
    call avR2(1196, 0, 59, 1, 0, VSVS0, 0, [2, 2], [nGC_3408])

    call avR2(1196, 1, 60, 1, 0, VSVS0, 0, [2, 2], [nGC_3409])

    allocate(vertices(251)%branchR2(0:1))
    call avR2(251, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3327, nGC_3328])

    call avR2(251, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3329, nGC_3329])

    allocate(vertices(220)%branchR2(0:1))
    call avR2(220, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_3350])

    call avR2(220, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_3352])

    allocate(vertices(1073)%branchR2(0:0))
    call avR2(1073, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3253])

    allocate(vertices(299)%branchR2(0:1))
    call avR2(299, 0, 18, 1, 0, FaFV0, 0, [2, 1], [nGC_3364, nGC_3362])

    call avR2(299, 1, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_3373, nGC_3372])

    allocate(vertices(396)%branchR2(0:1))
    call avR2(396, 0, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3272, nGC_3274])

    call avR2(396, 1, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3287, nGC_3288])

    allocate(vertices(1197)%branchR2(0:1))
    call avR2(1197, 0, 55, 1, 0, SVVS0, 0, [2, 2], [nGC_3404])

    call avR2(1197, 1, 56, 1, 0, SVVS0, 0, [2, 2], [nGC_3405])

    allocate(vertices(1099)%branchR2(0:0))
    call avR2(1099, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3255])

    allocate(vertices(1198)%branchR2(0:1))
    call avR2(1198, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3402, nGC_3402,        &
    nGC_3402])

    call avR2(1198, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3403, nGC_3403,        &
    nGC_3403])

    allocate(vertices(1199)%branchR2(0:1))
    call avR2(1199, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_3404])

    call avR2(1199, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_3405])

    allocate(vertices(221)%branchR2(0:0))
    call avR2(221, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3353])

    allocate(vertices(131)%branchR2(0:1))
    call avR2(131, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3363, nGC_3361])

    call avR2(131, 1, 21, 1, 0, VFFa1, 0, [2, 1], [nGC_3364, nGC_3362])

    allocate(vertices(312)%branchR2(0:0))
    call avR2(312, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3323])

    allocate(vertices(840)%branchR2(0:0))
    call avR2(840, 0, 8, 1, 0, SFFa0, 0, [0, 3], [nGC_3307, nGC_3306])

    allocate(vertices(370)%branchR2(0:1))
    call avR2(370, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3257, nGC_3256])

    call avR2(370, 1, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3248, nGC_3248])

    allocate(vertices(292)%branchR2(0:0))
    call avR2(292, 0, 8, 1, 0, FFaS0, 0, [0, 3], [nGC_3309, nGC_3308])

    allocate(vertices(909)%branchR2(0:0))
    call avR2(909, 0, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_3235, nGC_3234])

    allocate(vertices(963)%branchR2(0:1))
    call avR2(963, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_3359, nGC_3357])

    call avR2(963, 1, 20, 1, 0, VFaF1, 0, [2, 1], [nGC_3360, nGC_3358])

    allocate(vertices(143)%branchR2(0:0))
    call avR2(143, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3251, nGC_3252])

    allocate(vertices(30)%branchR2(0:0))
    call avR2(30, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3376, nGC_3377])

    allocate(vertices(149)%branchR2(0:3))
    call avR2(149, 0, 34, 1, 0, FaFV0, 0, [1, 2], [nGC_3389, nGC_3388])

    call avR2(149, 1, 34, 1, 0, FaFV0, 0, [3, 0], [nGC_3384, nGC_3384])

    call avR2(149, 2, 35, 1, 0, FaFV0, 0, [1, 2], [nGC_3387, nGC_3386])

    call avR2(149, 3, 35, 1, 0, FaFV0, 0, [3, 0], [nGC_3381, nGC_3381])

    allocate(vertices(431)%branchR2(0:0))
    call avR2(431, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_9242])

    allocate(vertices(731)%branchR2(0:23))
    call avR2(731, 0, 2, 1, 0, VVVV0, 0, [4, 0], [nGC_3423, nGC_3423, nGC_3422])

    call avR2(731, 1, 3, 1, 0, VVVV0, 0, [4, 0], [nGC_3423, nGC_3423, nGC_3422])

    call avR2(731, 2, 4, 1, 0, VVVV0, 0, [4, 0], [nGC_3434, nGC_3436, nGC_3435])

    call avR2(731, 3, 5, 1, 0, VVVV0, 0, [4, 0], [nGC_3431, nGC_3433, nGC_3432])

    call avR2(731, 4, 6, 1, 0, VVVV0, 0, [4, 0], [nGC_3434, nGC_3436, nGC_3435])

    call avR2(731, 5, 7, 1, 0, VVVV0, 0, [4, 0], [nGC_3431, nGC_3433, nGC_3432])

    call avR2(731, 6, 89, 1, 0, VVVV0, 0, [4, 0], [nGC_3424, nGC_3424, nGC_3424&
    ])

    call avR2(731, 7, 90, 1, 0, VVVV0, 0, [4, 0], [nGC_3425, nGC_3424, nGC_3426&
    ])

    call avR2(731, 8, 91, 1, 0, VVVV0, 0, [4, 0], [nGC_3428, nGC_3427, nGC_3427&
    ])

    call avR2(731, 9, 92, 1, 0, VVVV0, 0, [4, 0], [nGC_3425, nGC_3426, nGC_3424&
    ])

    call avR2(731, 10, 93, 1, 0, VVVV0, 0, [4, 0], [nGC_3429, nGC_3430,        &
    nGC_3428])

    call avR2(731, 11, 94, 1, 0, VVVV0, 0, [4, 0], [nGC_3427, nGC_3428,        &
    nGC_3427])

    call avR2(731, 12, 95, 1, 0, VVVV0, 0, [4, 0], [nGC_3424, nGC_3426,        &
    nGC_3425])

    call avR2(731, 13, 96, 1, 0, VVVV0, 0, [4, 0], [nGC_3424, nGC_3426,        &
    nGC_3425])

    call avR2(731, 14, 97, 1, 0, VVVV0, 0, [4, 0], [nGC_3425, nGC_3426,        &
    nGC_3424])

    call avR2(731, 15, 98, 1, 0, VVVV0, 0, [4, 0], [nGC_3425, nGC_3424,        &
    nGC_3426])

    call avR2(731, 16, 99, 1, 0, VVVV0, 0, [4, 0], [nGC_3424, nGC_3424,        &
    nGC_3424])

    call avR2(731, 17, 100, 1, 0, VVVV0, 0, [4, 0], [nGC_3437, nGC_3437,       &
    nGC_3437])

    call avR2(731, 18, 101, 1, 0, VVVV0, 0, [4, 0], [nGC_3437, nGC_3437,       &
    nGC_3437])

    call avR2(731, 19, 102, 1, 0, VVVV0, 0, [4, 0], [nGC_3437, nGC_3437,       &
    nGC_3437])

    call avR2(731, 20, 103, 1, 0, VVVV0, 0, [4, 0], [nGC_3438, nGC_3438,       &
    nGC_3438])

    call avR2(731, 21, 104, 1, 0, VVVV0, 0, [4, 0], [nGC_3437, nGC_3437,       &
    nGC_3437])

    call avR2(731, 22, 105, 1, 0, VVVV0, 0, [4, 0], [nGC_3437, nGC_3437,       &
    nGC_3437])

    call avR2(731, 23, 106, 1, 0, VVVV0, 0, [4, 0], [nGC_3437, nGC_3437,       &
    nGC_3437])

    allocate(vertices(624)%branchR2(0:1))
    call avR2(624, 0, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_3329, nGC_3329])

    call avR2(624, 1, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_3327, nGC_3328])

    allocate(vertices(903)%branchR2(0:0))
    call avR2(903, 0, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_3269, nGC_3270])

    allocate(vertices(192)%branchR2(0:0))
    call avR2(192, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3259, nGC_3258])

    allocate(vertices(501)%branchR2(0:0))
    call avR2(501, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3353])

    allocate(vertices(189)%branchR2(0:0))
    call avR2(189, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3235, nGC_3234])

    allocate(vertices(295)%branchR2(0:1))
    call avR2(295, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_3350])

    call avR2(295, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_3352])

    allocate(vertices(507)%branchR2(0:0))
    call avR2(507, 0, 8, 1, 0, VSS0, 0, [0, 3], [nGC_10087])

    allocate(vertices(211)%branchR2(0:1))
    call avR2(211, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_3341, nGC_3341])

    call avR2(211, 1, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_3339, nGC_3340])

    allocate(vertices(799)%branchR2(0:1))
    call avR2(799, 0, 10, 1, 0, FFaV1, 0, [0, 3], [nGC_3351])

    call avR2(799, 1, 10, 1, 0, FFaV1, 0, [2, 1], [nGC_3352])

    allocate(vertices(1069)%branchR2(0:1))
    call avR2(1069, 0, 42, 1, 0, FaF1, 0, [0, 2], [nGC_3194, nGC_3193, nGC_3215&
    , nGC_3215])

    call avR2(1069, 1, 42, 1, 0, FaF1, 0, [2, 0], [nGC_3212, nGC_3212, nGC_3216&
    , nGC_3216])

    allocate(vertices(499)%branchR2(0:0))
    call avR2(499, 0, 21, 1, 0, VFFa0, 0, [0, 3], [nGC_3351])

    allocate(vertices(851)%branchR2(0:1))
    call avR2(851, 0, 18, 1, 0, FaFS0, 0, [0, 3], [nGC_3310, nGC_3312])

    call avR2(851, 1, 18, 1, 0, FaFS0, 0, [2, 1], [nGC_3311, nGC_3313])

    allocate(vertices(969)%branchR2(0:1))
    call avR2(969, 0, 20, 1, 0, SFaF0, 0, [0, 3], [nGC_3330, nGC_3331])

    call avR2(969, 1, 20, 1, 0, SFaF0, 0, [2, 1], [nGC_3332, nGC_3332])

    allocate(vertices(498)%branchR2(0:0))
    call avR2(498, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3354])

    allocate(vertices(730)%branchR2(0:0))
    call avR2(730, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3236])

    allocate(vertices(235)%branchR2(0:3))
    call avR2(235, 0, 40, 1, 0, VFFa1, 0, [1, 2], [nGC_3394, nGC_3393])

    call avR2(235, 1, 40, 1, 0, VFFa1, 0, [3, 0], [nGC_3395, nGC_3395])

    call avR2(235, 2, 41, 1, 0, VFFa1, 0, [1, 2], [nGC_3391, nGC_3390])

    call avR2(235, 3, 41, 1, 0, VFFa1, 0, [3, 0], [nGC_3392, nGC_3392])

    allocate(vertices(626)%branchR2(0:0))
    call avR2(626, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3294])

    allocate(vertices(128)%branchR2(0:1))
    call avR2(128, 0, 19, 1, 0, FSFa2, 0, [2, 1], [nGC_3329, nGC_3329])

    call avR2(128, 1, 19, 1, 0, FSFa2, 0, [0, 3], [nGC_3327, nGC_3328])

    allocate(vertices(1200)%branchR2(0:1))
    call avR2(1200, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_3406])

    call avR2(1200, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_3407])

    allocate(vertices(756)%branchR2(0:1))
    call avR2(756, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3275, nGC_3277])

    call avR2(756, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3276, nGC_3278])

    allocate(vertices(860)%branchR2(0:0))
    call avR2(860, 0, 8, 1, 0, FaVF0, 0, [0, 3], [nGC_3376, nGC_3377])

    allocate(vertices(1113)%branchR2(0:0))
    call avR2(1113, 0, 8, 1, 0, VFaF0, 0, [0, 3], [nGC_3253])

    allocate(vertices(1002)%branchR2(0:1))
    call avR2(1002, 0, 17, 1, 0, FaVF0, 0, [2, 1], [nGC_3360, nGC_3358])

    call avR2(1002, 1, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_3379, nGC_3378])

    allocate(vertices(907)%branchR2(0:0))
    call avR2(907, 0, 18, 1, 0, FaFV1, 0, [0, 3], [nGC_3351])

    allocate(vertices(223)%branchR2(0:1))
    call avR2(223, 0, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_3273, nGC_3271])

    call avR2(223, 1, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_3274, nGC_3272])

    allocate(vertices(888)%branchR2(0:1))
    call avR2(888, 0, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3278, nGC_3276])

    call avR2(888, 1, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3290, nGC_3289])

    allocate(vertices(4)%branchR2(0:1))
    call avR2(4, 0, 17, 1, 0, FaVF0, 0, [2, 1], [nGC_3245, nGC_3245])

    call avR2(4, 1, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_3244, nGC_3243])

    allocate(vertices(1112)%branchR2(0:0))
    call avR2(1112, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3242])

    allocate(vertices(775)%branchR2(0:0))
    call avR2(775, 0, 8, 1, 0, FaVF1, 0, [0, 3], [nGC_3370])

    allocate(vertices(319)%branchR2(0:0))
    call avR2(319, 0, 8, 1, 0, FaFV0, 0, [0, 3], [nGC_3260, nGC_3261])

    allocate(vertices(467)%branchR2(0:0))
    call avR2(467, 0, 8, 1, 0, VFFa0, 0, [0, 3], [nGC_3354])

    allocate(vertices(462)%branchR2(0:0))
    call avR2(462, 0, 8, 1, 0, FaSF1, 0, [0, 3], [nGC_3292])

    allocate(vertices(460)%branchR2(0:1))
    call avR2(460, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_3364, nGC_3362])

    call avR2(460, 1, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_3373, nGC_3372])

    allocate(vertices(1201)%branchR2(0:1))
    call avR2(1201, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3414, nGC_3414,        &
    nGC_3414])

    call avR2(1201, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3415, nGC_3415,        &
    nGC_3415])

    allocate(vertices(345)%branchR2(0:1))
    call avR2(345, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3275, nGC_3277])

    call avR2(345, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3276, nGC_3278])

    allocate(vertices(1202)%branchR2(0:1))
    call avR2(1202, 0, 61, 1, 0, VSSV0, 0, [2, 2], [nGC_3404])

    call avR2(1202, 1, 62, 1, 0, VSSV0, 0, [2, 2], [nGC_3405])

    allocate(vertices(1011)%branchR2(0:1))
    call avR2(1011, 0, 17, 1, 0, FaSF0, 0, [2, 1], [nGC_3332, nGC_3332])

    call avR2(1011, 1, 17, 1, 0, FaSF0, 0, [0, 3], [nGC_3330, nGC_3331])

    allocate(vertices(881)%branchR2(0:0))
    call avR2(881, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3375, nGC_3374])

    allocate(vertices(997)%branchR2(0:0))
    call avR2(997, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_9690])

    allocate(vertices(1203)%branchR2(0:5))
    call avR2(1203, 0, 83, 1, 0, VVVV0, 0, [3, 1], [nGC_3416, nGC_3416,        &
    nGC_3416])

    call avR2(1203, 1, 84, 1, 0, VVVV0, 0, [3, 1], [nGC_3417, nGC_3417,        &
    nGC_3417])

    call avR2(1203, 2, 85, 1, 0, VVVV0, 0, [3, 1], [nGC_3417, nGC_3417,        &
    nGC_3417])

    call avR2(1203, 3, 86, 1, 0, VVVV0, 0, [3, 1], [nGC_3417, nGC_3417,        &
    nGC_3417])

    call avR2(1203, 4, 87, 1, 0, VVVV0, 0, [3, 1], [nGC_3418, nGC_3418,        &
    nGC_3418])

    call avR2(1203, 5, 88, 1, 0, VVVV0, 0, [3, 1], [nGC_3416, nGC_3416,        &
    nGC_3416])

    allocate(vertices(517)%branchR2(0:0))
    call avR2(517, 0, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3259, nGC_3258])

    allocate(vertices(1204)%branchR2(0:1))
    call avR2(1204, 0, 57, 1, 0, VVVV0, 0, [2, 2], [nGC_3412, nGC_3412,        &
    nGC_3412])

    call avR2(1204, 1, 58, 1, 0, VVVV0, 0, [2, 2], [nGC_3413, nGC_3413,        &
    nGC_3413])

    allocate(vertices(411)%branchR2(0:0))
    call avR2(411, 0, 8, 1, 0, VFFa1, 0, [0, 3], [nGC_3365, nGC_3366])

    allocate(vertices(728)%branchR2(0:1))
    call avR2(728, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3318, nGC_3320])

    call avR2(728, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3319, nGC_3321])

    allocate(vertices(510)%branchR2(0:1))
    call avR2(510, 0, 20, 1, 0, VFaF0, 0, [0, 3], [nGC_3351])

    call avR2(510, 1, 20, 1, 0, VFaF0, 0, [2, 1], [nGC_3352])

    allocate(vertices(1205)%branchR2(0:1))
    call avR2(1205, 0, 59, 1, 0, VVVV0, 0, [2, 2], [nGC_3412, nGC_3412,        &
    nGC_3412])

    call avR2(1205, 1, 60, 1, 0, VVVV0, 0, [2, 2], [nGC_3413, nGC_3413,        &
    nGC_3413])

    allocate(vertices(596)%branchR2(0:3))
    call avR2(596, 0, 34, 1, 0, FaFV0, 0, [1, 2], [nGC_3385, nGC_3383])

    call avR2(596, 1, 34, 1, 0, FaFV0, 0, [3, 0], [nGC_3384, nGC_3384])

    call avR2(596, 2, 35, 1, 0, FaFV0, 0, [1, 2], [nGC_3382, nGC_3380])

    call avR2(596, 3, 35, 1, 0, FaFV0, 0, [3, 0], [nGC_3381, nGC_3381])

    allocate(vertices(36)%branchR2(0:0))
    call avR2(36, 0, 20, 1, 0, VFaF1, 0, [0, 3], [nGC_3235, nGC_3234])

    allocate(vertices(1206)%branchR2(0:1))
    call avR2(1206, 0, 53, 1, 0, VVVV0, 0, [2, 2], [nGC_3402, nGC_3402,        &
    nGC_3402])

    call avR2(1206, 1, 54, 1, 0, VVVV0, 0, [2, 2], [nGC_3403, nGC_3403,        &
    nGC_3403])

    allocate(vertices(198)%branchR2(0:0))
    call avR2(198, 0, 19, 1, 0, FSFa2, 0, [0, 3], [nGC_3342, nGC_3343])

    allocate(vertices(133)%branchR2(0:0))
    call avR2(133, 0, 8, 1, 0, FaFV1, 0, [0, 3], [nGC_3353])

    allocate(vertices(249)%branchR2(0:0))
    call avR2(249, 0, 8, 1, 0, SSV0, 0, [0, 3], [nGC_10087])

    allocate(vertices(1025)%branchR2(0:0))
    call avR2(1025, 0, 8, 1, 0, SVV0, 0, [0, 3], [nGC_3284])

    allocate(vertices(440)%branchR2(0:0))
    call avR2(440, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3354])

    allocate(vertices(125)%branchR2(0:1))
    call avR2(125, 0, 10, 1, 0, FFaV0, 0, [2, 1], [nGC_3364, nGC_3362])

    call avR2(125, 1, 10, 1, 0, FFaV0, 0, [0, 3], [nGC_3373, nGC_3372])

    allocate(vertices(494)%branchR2(0:1))
    call avR2(494, 0, 19, 1, 0, FVFa1, 0, [2, 1], [nGC_3360, nGC_3358])

    call avR2(494, 1, 19, 1, 0, FVFa1, 0, [0, 3], [nGC_3379, nGC_3378])

    allocate(vertices(575)%branchR2(0:0))
    call avR2(575, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_3334, nGC_3333])

    allocate(vertices(323)%branchR2(0:1))
    call avR2(323, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3310, nGC_3312])

    call avR2(323, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3311, nGC_3313])

    allocate(vertices(379)%branchR2(0:0))
    call avR2(379, 0, 8, 1, 0, FVFa1, 0, [0, 3], [nGC_3376, nGC_3377])

    allocate(vertices(778)%branchR2(0:1))
    call avR2(778, 0, 17, 1, 0, FaVF1, 0, [0, 3], [nGC_3350])

    call avR2(778, 1, 17, 1, 0, FaVF1, 0, [2, 1], [nGC_3352])

    allocate(vertices(989)%branchR2(0:0))
    call avR2(989, 0, 8, 1, 0, VVV0, 0, [0, 3], [nGC_10319])

    allocate(vertices(681)%branchR2(0:0))
    call avR2(681, 0, 8, 1, 0, VVS0, 0, [0, 3], [nGC_3237])

    allocate(vertices(620)%branchR2(0:1))
    call avR2(620, 0, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_3359, nGC_3357])

    call avR2(620, 1, 17, 1, 0, FaVF0, 0, [2, 1], [nGC_3360, nGC_3358])

    allocate(vertices(836)%branchR2(0:0))
    call avR2(836, 0, 8, 1, 0, FaSF0, 0, [0, 3], [nGC_3307, nGC_3306])

    allocate(vertices(711)%branchR2(0:1))
    call avR2(711, 0, 21, 1, 0, SFFa0, 0, [0, 3], [nGC_3302, nGC_3304])

    call avR2(711, 1, 21, 1, 0, SFFa0, 0, [2, 1], [nGC_3303, nGC_3305])

    allocate(vertices(442)%branchR2(0:1))
    call avR2(442, 0, 10, 1, 0, FFaS0, 0, [0, 3], [nGC_3339, nGC_3340])

    call avR2(442, 1, 10, 1, 0, FFaS0, 0, [2, 1], [nGC_3341, nGC_3341])

    allocate(vertices(162)%branchR2(0:0))
    call avR2(162, 0, 8, 1, 0, SSS0, 0, [0, 3], [nGC_3294])

    allocate(vertices(965)%branchR2(0:0))
    call avR2(965, 0, 8, 1, 0, FVFa0, 0, [0, 3], [nGC_3354])

    allocate(vertices(745)%branchR2(0:1))
    call avR2(745, 0, 17, 1, 0, FaVF0, 0, [2, 1], [nGC_3248, nGC_3248])

    call avR2(745, 1, 17, 1, 0, FaVF0, 0, [0, 3], [nGC_3247, nGC_3246])

    allocate(vertices(76)%branchR2(0:0))
    call avR2(76, 0, 18, 1, 0, FaFV0, 0, [0, 3], [nGC_3259, nGC_3258])

    allocate(vertices(785)%branchR2(0:0))
    call avR2(785, 0, 21, 1, 0, VFFa1, 0, [0, 3], [nGC_3356, nGC_3355])

    allocate(vertices(1207)%branchR2(0:1))
    call avR2(1207, 0, 53, 1, 0, SSVV0, 0, [2, 2], [nGC_3404])

    call avR2(1207, 1, 54, 1, 0, SSVV0, 0, [2, 2], [nGC_3405])

    allocate(vertices(1024)%branchR2(0:0))
    call avR2(1024, 0, 8, 1, 0, VSV0, 0, [0, 3], [nGC_3268])

  end subroutine fill_vertices_mdl4
end module vertices_info4
